Compass Scoring System
* Use the Contents tab to view the table of contents
* Use the Search tab to find information on specific topics
* The Index tab is not used in this Help system

Conventions:

Highlighted text usually refers to a screen button
Italicized Red text usually refers to a top bar menu item


Compass Update Release Notes

V2022.1.12

  1. Duplicate Movements: Webb (with Rover) added for 17, 19, 21 tables playing 26 boards. These movements eliminate the need for 3 sets of boards required for the standard Webb Movements for these tables.
  2. Club Database - Member Type Field: This has now been expanded to make it financial year specific thus the member type can change from year to year. This is set on the Subs Info Tab of the Club Database.
  3. Club Database - NZB Fee: The NZB Fee concept has been removed as it is no longer required.
  4. Club Database - Second Club Flag: The Second Club concept has been removed as it is no longer required.
  5. Club Database - Override Sub Fee: This can now be set to $0.
  6. Club Database - Inactive Members: Inactive members are now not automatically shown in the database. To show inactive members, click the checkbox at the bottom of the screen.
  7. Club Calendar of Event - Add button to DELETE or INSERT a session into a series.
  8. Compa$$ Screen:
    • The speed in the Transaction and Compa$$ tabs has been improved.
    • The Transaction and Compa$$ redisplayed are now initiated by clicking the Update Display Now button.
    • Compa$$ accounts. When subs are “paid” by existing account credit, the transaction now does not show in the Compa$$ Accounts. Subs payments made by Direct Credit (ie through a bank transaction) will continue to be shown.
  9. CompassVirtual Club - Implementation

V2021.5.26

  1. Hand Generation for Tournaments: Your own tournament hand records can be created from the Dealer Assist screen. It takes only a few seconds to get a unique set of deals in your preferred format for any session. Hand records and travelers are also supplied. For details, search for "Creating Hand Record Files" in the CompassHELP.
  2. Swiss Teams Score-up Sheets: Templated PDFs are now available for all common Swiss Teams formats. These can be accessed from the Print Options ...Print Existing PDF Score Sheet menu item of the Swiss results screen.
  3. Swiss Teams Draw Calculation: Improve the process to better avoid invalid draws.
  4. Privacy Management: This functionality restricts the access to private information (address, phone etc) to authorized users only. For details, search for "Privacy Management" in the CompassHELP.
  5. Over-ride XG Handicap: It is now possible to specify an XG handicap that over-rides the normal XG handicap for any player. For details, search for "XG handicap" in the CompassHELP.
  6. Compa$$: Club members can now OPT OUT of all Compa$$ transactions. These members are treated the same way as visitors and table money is collected at the table.

V2021.2.3

  1. CompassMail: Update the password.

V2021.1.21

  1. Database phone number: The automatic formatting of phone numbers has been removed thus they are now WYSIWYG. A new menu item Database Updates .... Format Phone Numbers will reformat all existing numbers to 123 4567 or 01 123 4567 for landlines and 123 456 78999 for mobiles.
  2. Club Competition Ladders: Add a filter so that ladders for previous years can be calculated.
  3. Club Calendar: Add a button toDisplay ALL Events., allowing you to delete events that wold not normally be shown.
  4. Club Database: A new Club Information field has been added where free format text can be entered.
  5. Club Info Set Up: Add a check to help you roll over to a new year.


Compass Overview

Compass Scoring System

The Compass Scoring System is a functionally rich application for the scoring and administration of a contract bridge club.

System Features

  • Scoring event types: Duplicate Pairs, Swiss Pairs, Swiss Teams, Individuals, Multiple Teams, Knock out Teams, Round Robin Teams, Barometer Pairs
  • Scoring methods: Matchpoint, Butler IMPs, Cross IMPs, Point-A-Board
  • Support for all electronic scoring systems BridgeMate, BridgeTab, BridgePal and BridgePad
  • 100's of inbuilt movements
  • Many options available for Individual movements, for both full and partial tables
  • Table movement guides and personal guide cards printed at the click of a button
  • Club membership management including the creation of annual subscription accounts
  • Automatic integration of the NZ Bridge player database
  • Automatic evaluation of non members attending club sessions
  • Email fully integrated
  • Automatic ftp of master point files to NZ Bridge
  • Reconciliation comparison of the data in the club and NZB databases.
  • Email of results to all participating players at the click of a button
  • Dropbox fully integrated meaning updates to system data files are instantly available to users
  • Direct integration with your hand dealing hardware
  • Support for hand record file in BRI, DLM or PBN formats
  • Hand generation service available using the Big Deal algorithm
  • Hand records for all week-day club sessions available through the XClub service
  • Automatic access to the hand records related to the NZB Lessons
  • Pre-entry files can be maintained and draws calculated based on players rating points
  • XMLs generated for upload to bridge-club.org
  • USEBIO XMLs generated for upload to Pianola and Bridgeweb sites
  • McManus triangle available for Swiss Teams
  • Pair datums calculated for team events
  • Automatic evaluation of substitutions in club pairs competitions
  • Club handicapping available
  • Automatic calculation of "70% Club" and "Slam Club" ladders
  • Integrated with Hello Club, which automates the table money process (among other things)
  • Program updates (ie the executable) available via Dropbox at the click of a button
  • One off purchase cost with no ongoing support or maintenance charges
  • Fully documented using Microsoft® HTML Help. Help is integrated into all Compass screens.
  • System is continuously enhanced based on user feedback
  • And lots more ...

Author

The author is Bob Fearn, a New Zealander living in Seattle, WA. He can be contacted by email at bobfearn@msn.com.

Revised: 22 November 2018


Compass Documentation

In addition to this documentation, PDF files and instructional videos can be found in the the \CompassMate Documentation\ folder in Dropbox. Users cannot access this folder directly. A shortcut to this is Compass Documentation in Dropbox

The shortcut can also be found in the \Dropbox\CompassMate\ folder

Viewing the Documentation directly within Compass

Compass now has built in HTML Help files. This Help can be accessed by
  • Right clicking the mouse on any box or button on the Side Bar Menu. This displays the related Help topics.
  • Clicking the Help icon [image] that shows on most Compass screens.
Notes
  • When the Help window is displayed, resize and reposition it to your preference. This new layout is then remembered when the Help screen is next accessed.
  • It is best to hide the left hand Navigation panel. Just click the [image] icon to hide the navigation panel, then click the [image] to show the navigation panel.
  • If the navigation panel is displayed,
    • the Contents tab shows the entire Help contents in a tree diagram.
    • the Search tab can be used to find specific help topics

Viewing the Documentation in Windows Systems

Users should create a Desktop shortcut to the help file located at
\Dropbox\CompassMate\CompassMate Download Files\CompassHTMLHelp.chm

Help Viewer

By default, this Help will open in Microsoft HTML Help Executable.

Viewing this Documentation in Apple Systems

  1. Install the Dropbox app on the IPad
  2. Open the Dropbox app and navigate to the \Dropbox\CompassMate\CompassMate Download Files folder
  3. Click on the CompassHTMLHelp.chm. You will probably get a "No Preview Available"
  4. Click the up arrow icon and select Open In ..
  5. Select the viewer app eg CHM Sharp (you must install the viewer app first!!, see below)
Help Viewer

A viewer app must be installed on your device. A number of apps are available, of the free ones, I find that CHM Sharp is better than most.


Compass Side Bar Menu

Compass Navigation - Side Bar Menu

The main Compass menu is the Side Bar Menu positioned at the left of the screen. All functions are initiated from this menu.

Strip Menu
The panels at the top of the menu display
  • The current installed version of Compass. The version number is the year, month and day that the versions was released, in this case V2016.7.2 was released 2 July 2016.
  • The week number of the today's date.
  • The current NZB total members, in this case it is 13641. Double clicking this panel will pop up an analysis of the NZB member count by region.

MemberCount

Notes

  1. When the version number background is coloured magenta, a Compass update is available. This can be installed from the Dropbox folder.
  2. Double clicking on the version number will open the current calendar with the ISO week numbers included.
  3. The More Menu Items item widens to side bar menu to show additional, lesser used, items. Clicking on any large grey space will shrink the width of the side bar menu.

Opening Multiple Compass Sessions (aka Instances)

It is possible to have two (or more) separate instances of Compass running.
  • If a scoring session is underway, you may wish to open another Compass do do other non scoring related things
  • When scoring multiple events. This is the Piggy Back Option

All instances are initiated from the Compass icon on the desktop. Each of these additional instances starts with the menu showing on the right side of the Desktop with a background colour selected by the user. The choices are light green, light yellow or cyan.
Revised: 11 February 2016


Club Info Set Up

Club Information Set Up

This sets the default parameters for your club, and these set the conditions in which the Compass operates.

Strip Menu Item: Club Info Set Up

This screen has a number of separate tabs.

Club Details Tab
File Locations Tab

 Club Gradings Tab
Quick Clicks Tab
 General Tab
Handicap Methods Tab
Club Sessions Tab
NZB Handicaps Tab
Bridgemate Options Tabs
Club Options Tabs
Revised: 11 February 2017


Club Info Set Up Club Details tab

Club Details Tab

  • The club's NZB ID, name and address info is recorded. If your club is not affiliated to the NZB or is not licensed to use Compass, use the generic club number 999.
  • If your club is GST registered, the GST Number is printed Subscription Invoices.
  • The Club Logo File is printed on Subscription Invoices.

Other Club Info Set Up tabs

Club Details Tab
File Locations Tab

 Club Gradings Tab
Quick Clicks Tab
 General Tab
Handicap Methods Tab
Club Sessions Tab
NZB Handicaps Tab
Bridgemate Options Tabs
Club Options Tabs
Revised: 11 February 2017


Club Info Set Up File Locations tab

File Locations Tab

  • The file name and location of the Club Database, the Non Members Database and the Club Calendar of Events are recorded
  • The Input Data File location is recorded. This should always be C:\CompassV6\YYYY\ where YYYY is the current year. This field should be updated at the beginning of each year.
  • To change a file (or folder) location, click the radio button next to the appropriate file, then use the lower panel to find and select the appropriate file name.
  • The following are the recommended names and locations for the database files
FILE LOCATION FILE NAME
Members C:\compassv6\system clubname.dat
Non Members C:\compassv6\system nonmemb
Club Program C:\compassv6\system program.YYYY, where YYYY is the current year

Other Club Info Set Up tabs

Club Details Tab
File Locations Tab

 Club Gradings Tab
Quick Clicks Tab
 General Tab
Handicap Methods Tab
Club Sessions Tab
NZB Handicaps Tab
Bridgemate Options Tabs
Club Options Tabs
Revised: 11 February 2017


Club Info Set Up Club Gradings tab

Club Gradings Tab

  • If your club is a graded club, enter the Club Grades here.
  • For clubs with no specific gradings, one entry should be made here, say All Players.
  • Handicapped pairs and teams competitions can use handicaps based on these grades. If so, enter the handicap the Club Grade Handicaps here. The handicaps for pairs is a percentage and the handicap for teams events is IMPs. More information on Handicaps in Compass is available here.
  • The criteria for setting handicap based grading can be set. For each grade, an upper and lower handicap range is entered. Handicap based gradings can be used to calculated Aggregate Competition based on a players handicap grade.
If High/Low competitions are played (where a player with a LOW handicap must partner a player with a HIGH handicap) enter the threshold handicap. Player with a handicap less or equal to this threshold handicap are categorized are HIGH handicap players. The players HIGH/LOW handicap reting can be set on the Club Database screen.

Other Club Info Set Up tabs

Club Details Tab
File Locations Tab

 Club Gradings Tab
Quick Clicks Tab
 General Tab
Handicap Methods Tab
Club Sessions Tab
NZB Handicaps Tab
Bridgemate Options Tabs
Club Options Tabs
Revised: 11 February 2017


Club Info Set Up Quick Clicks tab

Quick Clicks Tab

  • The Quick Clicks are handy features that appear in the results screen.
  • This is an alternative to selecting the print option from the menu. Prins are then generated by one button click.
  • You nominate the number of prints when using the Quick Click buttons on the results screen.
  • If you set copies to zero, then 1 copy will be printed

Other Club Info Set Up tabs

Club Details Tab
File Locations Tab

 Club Gradings Tab
Quick Clicks Tab
 General Tab
Handicap Methods Tab
Club Sessions Tab
NZB Handicaps Tab
Bridgemate Options Tabs
Club Options Tabs
Revised: 11 February 2017


Club Info Set Up General tab

General Tab

  • The Handicap List Titles define the names of the handicap lists used for handicapping club sessions.
  • The Section Colours are the default appropriate colours for the sections in multi-section sessions. They should correspond to the coloured cards available at your club. If you do not use sections, just leave the default options unchanged.

Other Club Info Set Up tabs

Club Details Tab
File Locations Tab

 Club Gradings Tab
Quick Clicks Tab
 General Tab
Handicap Methods Tab
Club Sessions Tab
NZB Handicaps Tab
Bridgemate Options Tabs
Club Options Tabs
Revised: 11 February 2017


Club Info Set Up Handical Methods tab

Handicap Methods Tab

  • This record the method your club uses to calculate players handicaps. The standard method is to average a players scores over the nights sessions played (club sessions only) and subtract from a fixed value, usually 50. The result becomes the player’s handicap. A club also has the option of applying minimum and maximum handicap limits.
  • A Handicap Weighting (between 0 and 2) can be applied to the calculated handicap to give the actual Final Handicap.
Final Handicap = Calculated Handicap x Handicap Weighting
  • The resultant handicap can be rounded to the nearest whole number (0.0), or rounded to half (0.5) or to the nearest tenth of a point (0.1) or to the nearest hundredth of a point (0.01)
  • Use “Tauranga” Handicap Method
    • If NOT used, (ie unticked), the handicap calculation is as defined as above
    • If used, (ie ticked), the players best and worst scored are dropped before the average is calculated. The new handicap is then an average of this average and their existing handicap.
    • Handicap Weighting should not be used with the Tauranga method.
Applying Handicap to Results
  • Handicap Weightings
    • Add means the players handicap is added together. The weighting in this case is effectively 100%
    • Average means the players handicap is added together, then averaged. The weighting in this case is effectively 50%
    • User Defined Factor means the players handicap is added togther, then multiplied by this factor. This factor is usually a number between 50 and 100, give or take.
  • Always Calculate Handicap Results of Club Events: This tctivates the feature to automatically calculate handicaps in all club sessions. This must be UNTICKED if you are using electronic scoring. In this case, the handicap result is calculated manually by clicking the Calculate Handicap button on the results screen.
  • Minimum Sessions when Updating Handicaps. Specifies the minimum sessions a player must attend before the member’s database is updated.

Other Club Info Set Up tabs

Club Details Tab
File Locations Tab

 Club Gradings Tab
Quick Clicks Tab
 General Tab
Handicap Methods Tab
Club Sessions Tab
NZB Handicaps Tab
Bridgemate Options Tabs
Club Options Tabs
Revised: 5 April 2017


Club Info Set Up Club Sessions tab

Club Sessions Tab

  • This records the input file suffix and session day and time.
  • The input file suffix must be a three or four-letter code.
  • EVENING sessions use a suffix that is the 3 letter abbreviation of the day, eg mon or thu
  • DAY session append a "d" to the 3 letter day abbreviation of the day, eg mond or frid
  • Tick the XClub Club Session checkbox for sessions that participate in the XClub process.
  • The XClub Session Grade option is not used at this time.
  • Tick the Suppress Master Points if master points are not to be calculated for an entire session day. (Note that this is not necessarily a "final" solution as master point can be calculated manually from the results display screen.
  • Tick the Supervised Sessions option if this session is scored using the Supervised Sessions options.

Other Club Info Set Up tabs

Club Details Tab
File Locations Tab

 Club Gradings Tab
Quick Clicks Tab
 General Tab
Handicap Methods Tab
Club Sessions Tab
NZB Handicaps Tab
Bridgemate Options Tabs
Club Options Tabs
Revised: 11 February 2017


Club Info Set Up NZB Handicaps tab

NZB Handicaps Tab

NZB Grade Handicaps
  • Special handicaps based to a player’s NZB grade (Junior, Intermediate, Open), can be applied during the scoring of pairs and teams events. The NZB grade handicaps for pairs events is a percentage, and for teams events it is IMPs.

NZB Grade Handicaps

  • Special handicaps based to a player’s NZB rating can be applied during the scoring of pairs events. Each handicap applies to a range of rating points.
More information on Compass Handicapping can be found here.

Other Club Info Set Up tabs

Club Details Tab
File Locations Tab

 Club Gradings Tab
Quick Clicks Tab
 General Tab
Handicap Methods Tab
Club Sessions Tab
NZB Handicaps Tab
Bridgemate Options Tabs
Club Options Tabs
Revised: 11 February 2017


Club Info Set Up Bridgemate Settings tab

BM Options 1,2,3 Tab

These options control the behaviour of the Bridgemates.

Compass Label | BM Name | Description | Recommended Setting (ticked = true)
Show Results | ShowResults | Show previous results of the board just played (true/false) | True
Show Own Results | ShowOwnResult | Show your own result in this list of previous results (true/false) | True
Repeat Results | RepeatResults | Enable the possibility to repeat the results after all previous results have been shown (true/false) | True
Maximum Results | MaximumResults | Maximize the number of shown previous results (0 till 127. 0 means unlimited) | 20
Show Percentage | ShowPercentage | Show the percentage obtained on the board just played (true/false) | True
Group Sections | GroupSections | Group all sections together. If grouped, results of boards played in other sections will also be shown and the percentage will be calculated across all sections (true/false) | True
Show Score Points | ScorePoints | Show score points from perspective of North-South or from declarer (north-south = 0; declared=1) | North-South
Enter Contract As | EnterResultsMethod | Enter results as number of tricks won/lost compared to the contract (=0) or as total tricks won (=1), or as American style (=2). | Compass sets this automatically to 2. NS/US Style
Show Pair Numbers | ShowPairNumbers | Show pair numbers in the round information screen (true/false) | True
Intermediate Results | IntermediateResults | Send the contract and lead card directly after entry (true/false) | False
Auto Power Off Time | AutopoweroffTime | Set the autopower-off time (5 through 60) | 20 seconds
Verification Time | VerificationTime | Set the time that the verification message is shown on the screen (1 through 7) | 2 seconds
Read Score Interval | This is a Compass setting only | The frequency in seconds in which BSC information is transferred from the BMs to Compass | 4 seconds
Show Contract | ShowContract | Show contract as symbols (=0) or letters (=1) | Your Choice
Lead Card | LeadCard | Enter leadcard (true/false) | True
Member Numbers | MemberNumbers | Enter member numbers (true/false) | True
Allow Blank Member No | MemberNumbersNoBlankEntry | Indicate if blank member number entry is allowed (true/false) | False
Board Order Verification | BoardOrderVerification | Verify the board number on correct order of entry (true/false) | True
Hand Record Validation | HandRecordValidation (recorder use only) | Validate the recording of played cards against the hand records (true/false) | False
Auto Shut Down | AutoShutDownBPC | Automatically shut down BCS after all tables have logged off (true/false) | True

Compass Label | BM Name | Description | Recommended Setting
Pin Code | BM2PINcode | Pin code to access TD-menu (string, always containing 4 digits) | Your Choice
Confirm entry of No Play | BM2ConfirmNP | Confirm entry of No Play by TD pin code (true/false) | True
Show remaining number of boards | BM2RemainingBoards | Show remaining number of boards to go after each entry (true/false) | True
Seating Next Round | BM2NextSeatings | Show seatings for next round at end of round (true/false) | True
Allow players to retrieve the round scores | BM2ScoreRecap | Allow players to retrieve the round scores they have entered (true/false) | True
 | BM2AutoShowScoreRecap | Show score recap automatically at end of each round and end of session (true/false) |
Allow players to make corrections | BM2ScoreCorrection | Allow players to make corrections to their round scores (true/false) | True
Auto Entry of Board Number ... | BM2AutoBoardNumber | Automatic input of board number in the entry screen (true/false) | False
Automatic input of boards number ... | BM2FirstBoardManually | Disable the automatic input of board number when no boards are entered yet in current round (true/false; true = override automatic input, false = automatic input). This setting has no use when BM2AutoBoardNumber is set to false. | False
Validate Lead Card | BM2ValidateLeadCard | Validate the lead card using known hand record and declarer (true/false) | This is disabled in Compass, and set automatically to false.
Results Overview | BM2ResultsOverview | Type of results overview 0 to 5 | Your choice but recommend 4, 6 lines, 2 columns
Show Player Names | BM2ShowPlayerNames | Show the names of the players: 0 = don’t show player names 1 = show player names at each round 2 = show player names only at first round | Show at Each Round
 | BM2Ranking | Show current ranking for the two pairs 0 = don’t show ranking 1 = show ranking after each round 2 = show ranking at end of session | 2 = show ranking at end of session
 | BM2GameSummary | Enable/disable the summary after end of session. (Enabled requires BM2Ranking=1 or 2) | True
 | BM2SummaryPoints | Specifies what type of points should be shown in the summary: 0 = matchpoints obtained for each board 1 = percentage achieved for each board | Percentage
Enter Pair Numbers as part of Declarer | BM2PairNumberEntry | Setting for entering pair number as part of the declarer 0 = don’t enter pair number 1 = entry of pair number is optional 2 = entry of pair number is compulsory | Set to 0
Enable the RESET function key | BM2ResetFunctionKey | Enable/disable the RESET function key. | False
Not Available in Compass | BM2RecordBidding | Enable the recording of the bidding. | Automatically set to False
Not Available in Compass | BM2RecordPlay | Enable the recording of the cards. | Automatically set to False
Not Available in Compass | BM2ValidateRecording | Activate validation of the recording against the hand records. | Automatically set to False
Not Available in Compass | BM2ShowHands | Allow the hand record to be shown during the recording process. | Automatically set to False
Not available in Compass | BM2NumberValidation | Use validation for member numbers. | Automatically set to False
Not available in Compass | BM2NumberEntryEachRound | Ask for entry of player numbers each round (true/false) | Automatically set to False
Not available in Compass | BM2NumberEntryPreloadValues | If player numbers are entered each round, preload known player numbers (true/false) | Automatically set to False
Player name Source | BM2NameSource | Setting for where to source for names: 0 = table “PlayerNames” in .bws file with NZB names 2 = names are preset/updated by Compass names | Read Names from NZB File
Not available in Compass | BM2TextBasedNumber | Specifies whether name lookups should be performed based on number comparison (false) or text comparison (true). | Automatically set to False
View Hand Record After Play | BM2ViewHandRecord | Allow the players to view the hand record of the board they just played. | True
Enter Hand Record | BM2EnterHandRecord | Enable manual entry of the hand record of the boards played in a round. Entered hand records are stored in the HandRecord table. | Usually false. Set to true in special circumstances
Not available in Compass | BM2EnterHandRecordWhen | Specifies when the hand records are entered: 0 = at end of round 1 = at end of board (requires BM2EnterHandRecord = true) | Automatically set to 0

Other BM Related Options

Compass Label | BM Name | Description | Recommended Setting
Retrieve Data |  | When starting BCS, start retrieving data from server and don’t show the report after uploading tables and/or hand records | True
Mimimize |  | Minimize BCS after startup. | True
Auto Start Bridgemates |  |  | Highly recommended this be set to NO

Other Club Info Set Up tabs

Club Details Tab
File Locations Tab

 Club Gradings Tab
Quick Clicks Tab
 General Tab
Handicap Methods Tab
Club Sessions Tab
NZB Handicaps Tab
Bridgemate Options Tabs
Club Options Tabs
Revised: 11 February 2017


Club Info Set Up Club Options tab

Club Options (1) Tab

Electronic Scoring Option

BridgeTabs can work in tandem with both BridgeMates or BridgeTabs. The primary system will then be BridgeTabs, and the secondary system will be Mates or Pads.

  • Options for your Primary System are none, BridgeMates, BridgePals or BridgeTabs.
  • Options for your Secondary System apply if your Primary System is BridgeTabs. The secondary options are then are none, BridgeMates or BridgePals.
  • Report Suspicious Scores in Compass. Set this to the desired option:
    • None
    • Duplicate Events only (this includes all Individual and Multiple Teams events)
    • Swiss Pairs events only
    • Both Duplicate and Swiss Pairs events

Miscellaneous Options
  • Bypass Windows Printer Dialog. Displays simple ‘Compass’ dialogue box requesting the number of print copies. Recommended setting = Enabled.
  • Always ask if Boards are played in Order. Displays this question when starting to score any session. Recommended setting = Disabled.
  • Use Subscription Invoice Numbers. If this option is now not used in Compass.
  • Include C Points in… Prints C Points in reports, Neither, Printed Results , Text Files or both. Recommended setting = Your choice.
  • Use Font 12 in Print Results – Uses Font 12 as apposed to the normal Font 10 Recommended setting = Enabled.
  • Print Placings Info on Personal Score Sheets. Applicable to Tournaments – enables the printing of the finals placings of the tournament in the PSS. Recommended setting = Disabled.
  • Create html result files: Recommended setting = Enabled as it is OK for html files to be created in the background
  • Show half tables on startup screen: Recommended setting = Enabled.
  • Automatically open Scoring Assist Mode Screen: Recommended setting = Enabled.
  • Display Barometer Options on start up screen: Recommended setting = Disabled unless you intent to use barometer scoring.
  • Create BBO LIN Files: Recommended setting = Your choice.
  • Password protect the Dealer Assist screen: Recommended setting = Your choice. Please refer to the discussion in the Dealers Assist documentation.
  • Sometimes use XClub Results for Club Ladders: Recommended setting = Your choice. Enable this if there is a possibility that the may sometimes be use the XClub results when calulating club ladders.
  • Use Program Intuitive Dates: Recommended setting: for AFFILIATED clubs = Disabled, for SOCIAL clubs = Your choice This option eliminate the need to have entries in the Club Calendar of Events. During the scoring set up process, Compass will intuitively determine the session details (session names, file name etc).

Club Options (2) Tab

Bridge-Club.org Options
  • Create www.bridge-club.org XML files: For club using www.bridge-club.org as their web host. Recommended setting = Enabled.
  • Show Handicap Result First: Determines the order in which the results are displayed on the website: Recommended setting = Enabled.

 Pianola Files
  • Create Pianola Files: For uploading to the Pianola results site. Recommended setting = Your Choice.

 Aggregate Competition Method
  • Placings Counted: Determines the number of top placings that are awared points in Aggregate Competitions. "Zero" is the default for all placings. Recommended setting = Your Choice.

Dropbox Options
  • Use Multi Club Options: This is used when running Dropbox based Simultaneous Events. This must not be enabled unless instructed by Compass Administrator.

Club Options (3) Tab

CompassMail Account Details Options
CompassMail can use
  • a generic GMail account for sending emails. Bob manages this account.
    • Mail Program: CompassMail
    • Account ID: compassmailnz@gmail.com
    • Password:
  • a club managed GMail account. Enter the account ID and password details
    • Mail Program: Club GMail Account
    • Account ID: your GMail account ID
    • Password: your password
    • Note: To allow gmails to be sent from the Compass application, you may also have to enable the Access for less secure apps in the gmail account

Email Addresses

The default addresses are used on the Send Email screen.

NZB Secretary The default address for master point related emails
Club MP Secretary The sender address for any email sent.
Club Captain The default address for emails sent from the Competition Register form to the club captain.
Local Newspaper The default address for emails sent from the Competition Register form to the local newspaper.

Hand Records Dealer

 This sets your hand generation program and your hand dealing hardware.

Competition Register Settings

 The configuration items for the Competition Register are:
How many placings ... sets the numbers of placing of each scoring type for the 2 reports.
Always ask if Competition Register ... is an option that is best left unticked.

Club Options (4) Tab

Names Entry Options

  • Tick = Enter ... Controls the cursor movement on the Names Entry screen. Options are
    • Ticked to enter all NS then all EW
    • Unticked to enter Table 1 NS, then table 1 EW, then Table 2 NS etc

Text File Options

  • Enable Creation of Web Text Files. Automatically creates text files during the scoring process. Recommended setting = Enabled.
  • Save files in folders with session names. This options adds day based subfolders to the \textfiles\ folder. Results are then saved into the appropriate day folder. Recommended setting = Disabled.
  • Text File Suffix. Adds this suffix (file extension) to the web text files an example is “txt”. This enables the web file to be easily viewed using Notepad. Mandatory setting = "TXT".

Miscellaneous Options

  • Automatically Backup to Dropbox .... Recommended setting = Enabled.
Subscriptions Accounts Options
  • Invoice Number Sequence
    • Option 1: Sequential Numbers (1 up). The Last Used Number can be specified
    • Option 2: Concatenation of Year (YY) and the players computer ID eg 16006192

ftp Master Point Process
  • Enable Transfer of MP files to NZBridge. This enable the creation and transferring of ftp files.
  • Transfer Method ... Use ftp. This option uses FTP protocol to transfer the files to NZBridge.
  • Transfer Method ... Use Dropbox. In case there is an issue with the FTP process, this option saves the files to a special Dropbox folder. The file are then transferred to NZB on your behalf.

Other Club Info Set Up tabs

Club Details Tab
File Locations Tab

 Club Gradings Tab
Quick Clicks Tab
 General Tab
Handicap Methods Tab
Club Sessions Tab
NZB Handicaps Tab
Bridgemate Options Tabs
Club Options Tabs
Revised: 11 February 2017


Club Info Set Up Tournaments tab

Tournaments Tab
  • The Rating Points bands for Stratified Events are set here.
Revised: 3 September 2018


Compass Scoring Overview

Scoring Overview

Compass does the scoring for all common event types used in a bridge club.
  • Duplicate Pairs
  • Multiple Teams
  • Swiss / Round Robin Teams
  • Swiss Pairs
  • Individual
  • Knock out Teams
Within each event type, there are multiple options for the scoring type. For example in duplicate pairs, the scoring type can be match pointing, Butler datum or Cross IMPs. A "scoring process" can be the scoring of a new event or the retrieval of an existing result to continue the scoring or to correct the results.

The details steps in scoring a new session are documented in topics for each event type.

Pre-Requisites for Scoring

Prior to any scoring session, it is normal to has the following in place
  • Events entered in one of the calendar or events.
  • Pre-dealt hand records.
  • For some events a pre-entry file is created. This is more common for Swiss events.
  • Electronic scoring equipment in good working order.

Scoring a New Event

Strip Menu Item: Scoring ...

The generalized steps for scoring any new event are as follows
  1. Set up the events details: tables numbers, boards played, event title
  2. Start the electronic scoring units. Player then start entering data to the table top units
  3. When all boards have been played ...
  4. Display the results
  5. Review and make corrections where required
  6. Publish the result
It is as simple as that! Most sessions can be scored using mouse click only - the keyboard is often not used.

View Session Results (VSR)

VSR is used to open a result that has previously been partially or fully scored. This is usually done to correct a result or, in the case of Swiss events, to enter the results for new rounds.

Strip Menu Item: View Session Results

Steps

  1. Select the Select File Type Filter: The default is Matchpoints (*.INP) but you can select any other file type.
  2. (Optional) Select the Selection Filters:
    • Today: Displays files with today's date only
    • Last 30 Days: Displays files with a date within the last 30 days
    • All Dates: Displays all files irrespective of date
    • Day Filter: Displays files that match the selected day filter
    • Search Title: Displays files that match the enter text
    • All All: Displays all files irrespective of date or day filter
    • Repeat Last Search: Sets the filters to those last used
  3. Click any of the column headers to sort the data by that column
  4. Double click the mouse on your event to open it.

Delete the Selected File

When using the VSR screen, the scorer can use the Delete the Selected File button to delete files that are no longer needed. This process will delete the results file, BWS files and the master point files.

Revised: 11 February 2017


Pairs Events Overview

Duplicate Pairs Events - Overview

Duplicate bridge is the most widely used competition of contract bridge for both club and tournament play.

Scoring Types

The scoring types available are:
  • Matchpoints: The result for any pair is compared against the scores for any other pair. In double match-pointing, 2 match points are awarded for each result they beat and 1 match point is awarded for each result they equal.
  • Butler IMPs: Each score on any particular board is compared with a datum. The datum is established by discarding some top and bottom scores and averaging the remaining scores. The difference between your score and the datum is converted to IMPs according to the normal scale.
  • Cross IMPs: In Cross IMPs, instead of calculating IMPs against the room average, each result is IMPed against every other score in the field, and the total is then averaged (i.e. divided by the number of results) to calculate the IMPs earned for the board.
Any session can be re-scored at any time in any one of the 3 scoring types.

Player/Table Numbers and Substitutions

  1. Compass does not require substitution to be specially noted on the names entry screen. When calculating the overall results of a club competition, Compass automatically evaluates substitutions according to the playing conditions of that competition.

General Comments

  1. The selection of the Scoring Type is done on the setup screen. However, from the Display Results screen, the results can be re-scored using any one of the Scoring Types.
  2. Any section can be run in multiple sections.
  3. With electronic scoring, concurrent events can be scored using the one PC and either one Bridgemate server or one Bridgetab system or one BridgePal system.

Details of the Duplicate Pairs scoring process is found here
Revised: 8 August 2016


Pairs Events Scoring Overview

Duplicate Pairs Events - Scoring Overview

These generalized instructions are for a single section event. Instructions for other types of scoring are documented here Multiple Sections and Piggy Back sessions .

Prior to Play

  1. Enter the event in the Club Calendar of Events or the Tournament Calendar of Events.
  2. Create the required hand record files
  3. Deal the hands and print the hand records via Dealer Assist.

On the Day

  1. Ensure the electronic scoring equipment is in good working order
  2. From the main strip menu, select Scoring ... Pairs Contests
  3. To set up the event details use either the
    • the Details Screen and the Event Selection Screen OR
    • the Scoring Assist Mode (SAM) screen
  4. Select the Electronic Scoring Option that applies
  5. Enter the phantom details if they apply
  6. The CompassMate screen will now open
  7. Start the Bridge Control System and click the Click to start reading scores and Click to start reading names options.
Once all tables have completed their boards
  1. Close all Bridge Control Systems
  2. Exit the CompassMate Screen

At Completion of Play

  1. Review the Results Screen
  2. Correct scoring errors, players names and add director's adjustments
  3. Publish the Results
    • Print the results
    • Create the XML File
    • Email the result to the players
    • (Optional) Create the Pianola File
    • (If applicable) Upload the text file reports to your website
  4. Close Compass

Revised: 8 August 2016


Pairs Events Session Set Up

Scoring Duplicate Pairs - Session Set Up

An event/session is set up in either the Details Screen or the Scoring Assist Mode (SAM) screen. The SAM screen is opens in preference to the Details Screen if the Automatically open Scoring Assist Mode Screen parameter in Club Information Set Up is enabled.

Details Screen
  1. Enter/select the event details
    • Tables: Enter full tables number is there is a phantom.
    • Movement Filter Type: Select from the dropdown list to filter the available movement to a single movement type.
    • Movement: Select the movement from the dropdown list.
    • Add Extra Boards: It the movement allows, you can add (or remove) extra sets of feed in boards by clicking the +/- buttons.
    • Share/Skip Option: If the movement requires, select the option to be played. The default is the more common "table 1 shares with the highest number table" option.
    • Scoring Types: Options are Matchpoint, Butler Datum or Cross IMPs. Details are here.
  2. Optionally print the Movement Guide or view the Directors Guide.
  3. Review the Scoring Summary for correctness
  4. Enter the Session Details from the right hand panel.
  5. Click the All OK? button to start the scoring.

Notes

  1. Show Movements Frame. The Common Only option hides the less desirable duplicate movement options. The All option displays all available movement options.
  2. The SAM screen can be opened by clicking the Scoring Assist Mode button.

Scoring Assist Mode (SAM)

Details of the Scoring Assist Mode process are found here.

Notes

  1. Half tables are shown is the parameter Show half tables on startup screen in Club Information Set Up is enabled.
  2. The Add Result Manually is used when adding a result manually. True.

Revised: 7 August 2016


Scoring Assist Mode

A pairs event set up using the Details Screen or the Scoring Assist Mode (SAM). SAM is intended to simplify the set up of duplicate and individual sessions. For a given table count, the 'best' movements only are offered for selection. The principles of SAM are:
  • the events the match today's date are offered for selection
  • avoid having to play too few or too many boards
  • avoid pairs having to sit out more than once when there is a phantom
  • sets the phantom pair in the best position
  • advise the stationary pairs for seating rights

For duplicate events, seating rights are usually given to mobility impaired players. The SAM screen allow the director to choose movements that accommodate those who need to be seated throughout the session. And .... pseudo stationary pairs can also be added!

SAM mode bypasses the electronic scoring option as it is assumed that the scoring is for a single section club event.

The SAM screen is opened in preference to the Details Screen if the Automatically open Scoring Assist Mode Screen parameter in Club Information Set Up is enabled. There are buttons on both the Details and SAM screen allowing the user to switch between the two screens.

The SAM Screen is shown above. Note that the screen content changes depending on the options that the user selects.

General Steps

  1. What Session are you scoring? Select the session from those displayed. If your session is not displayed, the Details Screen must be used.
  2. How may TABLES are playing? Click the total table numbers (count any half table as a full table) If greater than 16 tables, enter the table count in the last box.
  3. Is there a phantom pair today? Click yes or no.
  4. How many BOARDS will you play? Select the number of boards you want to play.
  5. (Optional) How many pairs need seating rights? Select this number. See the discussion on seating rights.
  6. Once you selected your chosen movement, optionally
    • Print the Table Guide Cards
    • Print or View the Personal Guide Cards
    • Print or View the Director's Notes
  7. Click the Accept this Movement button.

Special Case for Individual Events

  1. Full tables are selected in the normal manner. If there is additional players ( eg 3 full tables plus say 2 additional players, ie 14 total players) click the appropriate Extra Players option

Screen Buttons

  • Cancel and Exit: Displays the alternate Details Set Up screen
  • Accept this Movement: Closes this screen and opens the CompassMate screen if electronic scoring is being used.

Notes

  1. SAM is available for single section club pairs events only.
  2. If a session has multiple sections, the Detail Screen must be used.
  3. SAM cannot be used for session set up of tournaments.
  4. The selected table numbers displayed in the last box. If more that 16 tables are playing, over-type the table number on that box.
  5. If your desired movement does not display, the Detail Screen must be used. See the note on Best Movements.

No Sessions Displayed

  1. If there are no sessions in the club calendar that match today's date, an entry box is displayed. The input file name and event title can then be entered manually.
  2. If you select anther date from the date pickers, sessions for that date will be displayed
  3. After this information is entered, the other parts of the SAM screen open up for entry.

Intuitive Mode

Normally, SAM reference the Club Calendar of Events (CCOE) to get the matching session for the entered date. However, if the Use Program Intuitive Dates option is enabled (in Club Information Set Up), the CCOE does not have to have any entries. In this mode, SAM will intuitively determine the session details (session title, file name etc) based on the date and the session information set up in Club Information Set Up .. Club Sessions tab.

This intuitive mode is appropriate for SOCIAL clubs that run daily casual events that are not linked to an overall competition. If the club does run a few competition series, these events can still be entered in the CCOE. In this case, the overall competition results of these events can then be calculated.

Best Movements

Compass maintains a list a "good" movement for each of the table number, and these only are offered for selection. For various reasons, a club may opt to play a less than desirable movement. Compass can be configured to display specific movements for individual clubs. Send Email to Bob ( bobfearn@msn.com ) if you want a movement added to the display.

Table Guide Cards

Table guide cards are the standard guide cards. An example of the Table Guide Cards is

Personal Guide Cards

Personal Guide cards are available for each individual. It lists the table number, the opponents names and the boards to be played in each round. IMPORTANT: If printed from the SAM screen, the player's names will be blank. It is preferable to print this report from the CompasssMate screen as it will then include the player's names once the players have entered their IDs on the table top units.

An example of the Personal Guide Cards is

   Pair Number:  1     Start Table: EW 1    Rita Allum & Vicki Bayly

              Please       Play
     Round      Sit       Boards    Opposition
   ----------------------------------------------------------------------
     Rd  1     EW  1      1 -  2    13   Robin & Sally
     Rd  2     EW  3      7 -  8    12   Lois & Liz
     Rd  3     NS  3      9 - 10     2   Dawn & Colin
     Rd  4     EW  4     13 - 14     6   Jen & Joan
     Rd  5     EW  5     17 - 18    10   Hamish & Christine
     Rd  6     NS  6     21 - 22     9   Murray & Gillian
     Rd  7     EW  2     15 - 16    11   Maree & Jane
     Rd  8     NS  5     23 - 24     4   Nellie & Graham
     Rd  9     NS  2     19 - 20     3   Jan & Michael
     Rd 10     EW  6      5 -  6     5   Marian & Christina
     Rd 11     NS  4      3 -  4     8   Phantom & Phantom
     Rd 12     NS  7     11 - 12    14   Barbara & Alan
   ----------------------------------------------------------------------

Director's Notes

The Director's Notes explain how the room is set up and how the movement is played. An example of the Personal Guide Cards is

                   Session:  Helen & Monty Shearer Pairs  Session  1   19 July 2016
                 File Name:  29TUE
                  Movement:  7 Table
                    Boards:  2 Boards/Set, 12 Sets,  Total 24 Boards
             Shared Boards:  None
                   Phantom:  N-S at Table 6   (Pair Number 8)
  Requested Seating Rights:  0
      Stationary Positions:  (2 positions) T1NS,T7NS,

        Set up for Round 1:    Table   N-S E-W    Boards
                               -------------------------
                                 1      13   1      1- 2
                                 2       5   7      3- 4
                                 3      11  12      5- 6
                                 4       3  10      7- 8
                                 5       6   9      9-10
                                 6       8   4     11-12
                                 7      14   2     13-14

                                Set     Boards     Table
                                ------------------------
                                 1        1- 2       1
                                 2        3- 4       2
                                 3        5- 6       3
                                 4        7- 8       4
                                 5        9-10       5
                                 6       11-12       6
                                 7       13-14       7
                                 8       15-16     Feed-In
                                 9       17-18     Feed-In
                                10       19-20     Feed-In
                                11       21-22     Feed-In
                                12       23-24     Feed-In

Seating Rights

  1. When the mouse is hovered over the board numbers, the tool tip will display the number of stationary pairs for that movement.
  2. After selecting the number of pairs requiring seating rights, the movement/boards that satisfy that number of stationary pairs are highlighted in green.
  3. If the selected movement has sufficient stationary pairs, the text box background will be green.
  4. If the selected movement does not have sufficient stationary pairs the text box background will be red and the Add More Stationary Pairs button will display.
  5. The Add More Stationary Pairs button adds a number of pseudo stationary pairs.
What is a Pseudo Stationary Pair??? A pseudo stationary pair sits at a side table that is not in the normal table layout. At each round, the pseudo stationary pairs remains seated and their opponents of these pair move to that table. The Personal Guide Cards give full instructions for each pair at the pseudo table, including the correct movement of the table top movements.

An example of the Personal Guide Cards in this case is

   Pair Number:  4     Start Table: NS 2    Jo Butler & Sandra Calvert

              Please       Play
     Round      Sit       Boards    Opposition
   -----------------------------------------------------------------------------------------------
     Rd  1     NS  2      3 -  4     6   Graeme & Helen
     Rd  2     EW  4      9 - 10     8   Lindy & Bev
     Rd  3     EW  5     13 - 14    12   Effie & Graham
     Rd  4     EW  1      7 -  8    14   Megan & Kevin
     Rd  5     NS  6     19 - 20    13   Dinnie & Trevor
     Rd  6     EW  3     15 - 16     3   Paul & Jen
                                         This pair has special seating rights. Please ...
                                         a. Collect the BM and Bds 15-16 from table 3
                                         b. Go and sit with Paul & Jen at table A
                                         c. Orientate the boards so you are playing as EW
                                         d. After the match, return the BM to table 3 and
                                                             move the boards to their next table
     Rd  7     NS  3     17 - 18     5   Phantom & Phantom
     Rd  8     EW  7      5 -  6     1   Vicki & Bev
     Rd  9     NS  4      1 -  2    11   Glenys & Nancy
     Rd 10     EW  2     21 - 22     2   Anne & Lyra
     Rd 11     NS  7     11 - 12     7   Sarah & Jean

Video Links

Scoring Assist Mode Part 1

Scoring Assist Mode Part 2

Revised: 29 January 2018


Pairs Events Names Entry & Substitutions

Scoring Duplicate Pairs - Names Entry & Substitutions

The player names entry comes from the table top units units. Typically, the names entry process is used for corrections only. It is only in the case where electronic scoring is not used that all names will have to be entered.

Player Names Entry

This process follows the generalized steps documented in the Names Entry Process.

Substitutions

Compass does not require substitutions to be specially noted on the names entry screen. When calculating the overall results of a club competition, substitutions are automatically evaluated according to the playing conditions of that competition.

Revised: 30 July 2016


Pairs Events Entering Board Results

Pairs Events - Traveling Score Sheet - Entering Results

The board results are entered into the Traveling Score Sheet (TSS) screen either manually or via electronic scoring.

Topics

Entering Scores Without Electronic Scoring
Entering Scores With Electronic Scoring
Arrow Shift Matchpointing (ASM)
Fouled Board Matchpointing (FBM)
Separate Scores Manual Matchpoints for NS and EW
Manually Entering Pair Numbers

General Procedures

Note that standard special scores are entered as ...
    • Average, enter "A" follows by the NS and EW percentages
    • Passed in, enter "P"
    • Did not play, enter "D"
Entering Scores Without Electronic Scoring
  • Contract results only are entered.
  • The Enter Contracts check box should be unticked. This means that contract results only are entered.
  • The x 10 check box should be unticked. This means that when scores are entered, the trailing "0" is omitted. That is, a score of 620 is entered as "62".
  • If the x 10 check box is ticked, the full score are entered. That is, a score of 620 is entered as "620"
  • If there is a foul up in the movement, the NS/EW pair numbers can be manually entered using the Enter Pair Nos check box.
  • When editing an already entered board, the Edit Now button must be clicked.
  • The scores are entered in the Entry Panel column
Steps
  1. Over-type the board numbers or used the +/- buttons to advance to the correct board
  2. Press the <enter> key to place the cursor on line 1 ready for data entry
  3. The scores are entered by keying in the score, followed by ...
    • the <enter> or <+> key for a NS score
    • the <minus> key for a EW score
  4. For repeated scored, just repeat the <enter>or <minus> key
  5. Standard special scores are entered as "A"verage or "P"assed In or "D"id not play
  6. IMPORTANT: If you are editing an existing board, you must press the <down arrow> key to the end of the board to initiate the match-pointing process. This step is important.
  7. Use the <up> and <down> arrow keys to move through the tables
Note: After the entry of a board has been completed, pressing the <spacebar> will automatically initiate the entry of the next sequential board.
Entering Scores With Electronic Scoring
When using electronic scoring is used, the results of course come from that. The TSS screen is used to edit existing scores.
  • The actual contracts are entered.
  • The Enter Contracts check box should be ticked
  • In some cases special scores can also be entered.
Steps
  1. The score are entered in the same way as would be entered on the paper TSS, eg 3S S 4
  2. Other hints and tips
    • spaces can be omitted, and lower case letter are OK eg 3ss4 is OK
    • if tricks taken = contract, then the result can be omitted, eg 3ss is OK for 3S S makes 3
    • Doubled contract have a x anywhere in the entry eg 3ss-1x is OK
    • Doubled contract have a xx anywhere in the entry eg 3sxxs-1 is OK
  3. The LEAD can be included by typing Lxx where xx is the lead card. eg 3ss4 l4s

Entering Special Scores

Special scores can be entered when the Enter Contracts check box is ticked.

Arrow Shift Matchpointing (ASM)

This occurs when the board is played after it has been inadvertently rotated 90 degrees.

If the bidding has commenced, just continue on and bid and play the board with the board still rotated. The score is then entered according the directions PRINTED ON THE BOARD.

To apply arrow shift match pointing
  1. Go into edit mode
  2. Click the N-S MP box in the line where the arrow switch happened, then press the F1 button
  3. This will enable ASM for that table (line)
  4. To remove ASM for that line, press the F1 button again, or edit the contract
  5. Do this for every table (line) in which an arrow switch matchpointing is needed
  6. Complete the matchpointing for all boards by taking your cursor down and out the bottom of the form as usual
  7. Now the board will be matchpointed taking account of any ASMs
  8. The MPs for the ASM lines will have a red background

Fouled Board Matchpointing (FBM)

This occurs when part way through the session, the hands are pocketed incorrectly Thus the board is played differently at some of the tables.

To apply FBM, you must first identify the 2 groups of table that played the hand. Eg tables 11-15 have played the play one way, and all other tables have played the board another way.

In the above, FBM has been entered for tables 11 to 15.

 The FBM process is
  1. Go into edit mode on board in the TSS
  2. Indicate FBM on the smaller of the two "groups" by clicking in the NS MP box of the first table in the smaller group, then pressing the F2 button. (table 11 in the above example). This will enable (or disable) FBM for that table.
  3. Continue this process for the other tables in this group (tables 12 to 15 in the above example)
  4. Run the cursor down the board to matchpoint the board
  5. Now, the board is match pointed taking account of the ASM

Matchpoint Calculations

The adjusted MPs are calculated based on the number of tables in each group
  • 1 table - Awarded score = 50%
  • 2 tables - Awarded score = 55% and 45% (or 50/50 for equal scores)
  • 3 tables - Awarded score = 60% and 50% and 40% (or 50/50/50 for equal scores)
  • 4+ tables - The Neuberg Adjustment is used to calculate the matchpoints
  • In the case of 1 or 2 or 3 tables, the director may choose use the Average Score process, and award 60% or 50% or 40% as appropriate.

Separate Scores

This occurs when the director requires that different contracts and result are entered for each of the NS and EW pairs. The matchpoints are calculated differently for NS and EW.

To apply separate scores, the score is entered in the following format

S NSContract / EWContract

Example S4ss-1/3hw3

 | Meaning | Example
S | indicates a separate score result type | S
NSContract | the contract for the NS pair | 4S S -1
/ | is a separator between the 2 scores | /
EWContract | the contract for the EW pair | 3H W 3

Manual Matchpoints for NS and EW

 If the director assigns arbitrary match points for a particular table they can be entered as follows.
  1. Enter M(NS matchpoints)/(EW matchpoints) eg M6.5/4, where
    • M indicates manual matchpoints for this table
    • "6.5" indicates the NS matchpoints
    • "4" indicates the EW matchpoints
    • / is a separator
  2. Note that the Neuberg adjustment is applied for the other tables playing the board.

Manually Entering Pair Numbers

This occurs when there is a foul up in the movement.

Steps
  1. Click the Enter Pair Nos check box. This enables the NS and EW pair numbers columns for edit.
  2. Navigate to a pair numbers and over-type the change, then IMPORTANT, press the <enter> key to save the change.
  3. Repeat step 2 for other pair numbers
  4. IMPORTANT, to initiate the match pointing process, position the cursor in the Entry Panel column, then press the <down arrow> key to the end of the board.

Testing Button

When doing Compass testing or training, this button can be used to enter random results for each board for each table
  • The random results are entered for boards numbered from 1, to the displayed boards numbers. Therefore if you wish to get random results for ALL boards, first display the highest numbered board, then click the Testing Button button.
  • If Enter Contracts is ticked, random scores only will be entered
  • If Enter Contracts is not ticked, random contracts only will be entered
Revised: 8 August 2016


Duplicate Score Validation

Score Validations

There are two types of score validations that are available in Compass.

Score Validation

This is a simple validation done when manual scoring is used. It will report
  • Incorrect scores based on the vulnerability eg a major game score of 420 will be flagged if the declaring side is vulnerable.
  • Unusual scores based on the vulnerability eg 200 (non vul), 400 (vul) ,670, 800 etc.

Suspicious Score Reporting

Suspicious score reporting is done in the Bridgemate Control System software. The analysis of suspicious contracts detects contracts that may be incorrectly entered on the Bridgemate based on other contracts and/or makeable contract information. The following is from the Bridgemate II Scoring System user documentation.

Notes for Use

  • The rules that determine suspicious contracts are set in the BCS Screen (see the BCS documentation above)
  • A suspicious contract does not necessarily mean a wrong contract. All sorts of very odd contracts occur at the bridge table!
  • The very best option that that all suspicious contracts are dealt with on the BCS screen while the session is in progress. The reason is that the director can check the details directly with the players involved. Within BCS, the scorer/director can either correct the suspicious contract or mark that the suspicious contract as being OK.
  • Compass will report all contracts that remain as suspicious
  • The results screen will have the notation
  • The TSS screen will have the notation
  • On the TSS screen, all suspicious contracts will be highlighted with a red background colour
  • Hover the mouse over any contract to show the lead for that contract

Correcting Suspicious Scores from within Compass

Suspicious scores can either be corrected or marked as being OK.
  • To correct the score, simply edit it on the TSS screen. The newly entered score will no longer be marked as suspicious.
  • To leave the score as is, but mark a score as being OK ...
    • On the TSS screen, go into edit mode
    • Double-click the mouse on the incorrect score. This will mark the result as being OK.
    • Use the down arrow key to then match point the board

Configuration in Compass

The reporting of suspicious Score within Compass in enabled in Club Information Set Up.

This can be set to
  • None (no reporting in Compass)
  • All Duplicate events
  • All Swiss Pairs events
  • Both Duplicate and Swiss Pairs events
Note that Compass does not report suspicious score for Swiss Teams Events.
Revised: 16 October 2017


Pairs Events Results Screen

Duplicate Pairs Results Screen

This screen displays the results for duplicate pairs, multiple teams and individual events. If a session has been scored in sections, additional buttons become visible.

Warning Panel

The warning is displayed if there are any unusual scores and if the results include TBA (ie results that are yet to be entered). This signals that the scoring should be reviewed.

Screen Buttons

  • Display: Switches the displayed report
  • Handicap: Initiates the handicap calculation. When the button background is red, the handicap result is has not been calculated.
  • Quick Clicks: Starts instant prints
  • Club Comps: Open the Club Competitions screen
  • Edit Options: Edits Scoring or Names
The following three buttons are enabled by parameters in Club Information Set Up
  • Create XML File: For bridge-club.org websites. These files are saved to the c:\compassv6\yyyy\xml\ folder.
  • Create Pianola File: For the Pianola website. These files are saved to the c:\compassv6\yyyy\USEBIO\ folder.
  • EMail Results to Players:

Menu Items

  • Print Options: Prints the selected option.
The travellers prints include
    • 2 traveelers per A4 sheet
    • hand records (if these exist
  • Edit Options
      • Apply / View Directors Adjustments
      • Players Name Check: Displays a text file report of the players names.
      • Specify Hand Records
      • Change Handicap List
      • Change Session Date/Time
      • Change Session Type C <--> T
      • Create Master Point File: Manually create a master point file for an event dated more that 1 month ago
      • Create X-Club File: X-Club files are created automatically during the scoring process
      • Import BM Log File
  • ReScore Re-scores the existing result using the methods that are offered. These method a dependent on the actual scoring type (eg duplicate pairs vs multiple teams etc).
  • Select Another File Open another scoring results file.
  • Corrections .. Board Order Modifies the board sequence if boards are not laid out in numerical sequence.
  • .. Reposition the Phantom Allows the phantom position to be changed .
  • View Results in Notepad: The Session Detail option will create a composite text file report.
  • Open CompassMate: As read.

Specify Hand Records

For reporting purposes, a hand record file should be associated with each session. This association is automatic is a consistent naming convention is used, that is if the results file and the hand record file have the same file name.

  1. Use the folder navigator to change folders
  2. A double click a file on the list to select it.

Change Handicap List

Change Session Date/Time

Revised: 8 August 2016


BridgeTabs - Scoring Pairs Events Quick Reference

Detailed instructions for the scoring of Pairs Events can be found here

Useful Information

  1. Pre-dealt hands are not essential but the player experience is much improved if they are available.
  2. The BOS Event should be created in Dealer Assist. This step generates the makeable contracts and whilst it is not essential, it does save a few minutes during the scoring process.
  3. For NEW events, the scoring process is started from the Scoring... item on the side bar menu.
  4. For a continuation of an existing event, the scoring process is started from the View Session Results item on the side bar menu.

Quick Start Instructions

  1. Start the NEW Scoring session from the Side Bar menu OR use View Session Results item to resume the scoring if an existing event (then skip to step 20)
  2. Select the table count, movement and event description
  3. Select the BOS Scoring Type
  4. The CompassMate screen will open
  5. Start BOS
  6. If the makeables had not been previously created, do this now.
  7. Click the Activate BSC/BT Tablets button
  8. On the Games Settings for Pairs Events
    • Enable the Give Feedback option
    • Enable the Show Deals ... Include Makable ... Contract options
    • Enable the Show Round Summary option
    • Enable the Show Ranking option
    • Enable the Recap option
  9. In BSC, start the Communication with the Tablets
  14. Entry on the tablets by the players can begin
  15. Enter the NSEW player names (round 1 only)
  16. Enter the Contact result
  18. Once all boards have been played (the BSC matrix should then be all green) ...
  19. In BSC, STOP the Communication with the Tablets
  20. Close BSC and close BOS
  20. Open the Display Results screen by clicking the View This Sessions Results option
  21. Optionally print the results and upload the XML
Revised: 3 March 2017


Pairs Events Movement Options

Duplicate Movement Options

In Compass, all movements are inbuilt. That is, there is no requirement for separate movement files to be uploaded. All available movements are listed in Compass Movement Options.

A brief guide to the movement types for Duplicate Pairs Events is

Movement Type | Winner Type | Set in Play | Description | Duplicated Boards?
Mitchell | Dual | T plus optional feed-ins | Good standard movement. Should be avoided with half tables when there are a large number of boards per set and/or where one or more pairs sit out more than once. With a small number of tables, say 7 or less, Howell is preferred. | -
Rover | Dual | T (No feed Ins!) | Rover movements are usually when a pair arrives after play has started. For example, the session is set up as a 12 full tables - relay/share Mitchell movement. An extra pairs then arrives late. The movement can be easily switched to 12 table ROVER, and the players and boards do not have to be changed. The late pair becomes a Rover pair, and bumps one NS pair in each round from round 2. IMPORTANT NOTE: Rovers can only be added to events that were originally set up as a Mitchell movement with no feed in boards. If electronic scoring is used, the originally set up movement can be easily changed to a Rover movement. | -
Howell | Single | (T - 1) / 2 (fewer in shortened Howell) | Good standard movement as all pairs play each other in full Howell. In shortened Howells all pairs do not meet. | -
Extended Twist and Bungee | Single | T + 3 | These movements are good for playing an ideal number of boards given the table numbers. | -
Twist and Bungee | Single | T + 2 |  | -
Hesitation Mitchell | Single | T + 1 |  | -
Pivot | Single | T - 1 | This is OK for playing an ideal number of boards but it usually requires 2 sets of boards. | Yes, with full tables
Webb | Dual | Any number less than the number of tables | Good for table numbers greater than 13. | Yes
Bowman Ewing | Dual | T - 2 | This is a special case Webb movement. | Yes
Appendix Mitchell | Dual | 11 or 13 | Not a popular movement as all but a few pairs move. | -
1.5 Table Appendix Mitchell | Yes | T - 2 | Movements OK only when there is a half table. | -

T = Number of Tables

Notes

  1. Table guide cards, personal guide card and directors notes are available for all movements at the click of a button.

Revised: 26 February 2018


Manually Entering Board Results

Pairs Events - Scoring Options

Pairs Events can be scored as follows:
  • Matchpoints
  • Butler (Datum)
  • Cross IMPS
During the session setup, it is usual to select one of these option (matchpoints is the default), but it is not so important as you can select to re-score the session using any one of the three options.

Notes

  1. A discussion of Butler and Cross IMPs scoring can be found here.
  2. A discussion of Datum calculations can be found here.

Revised: 7 August 2016


Blank Page

This page is intentionally blank


Pairs Events Results Import BMLog file

Import for BM Log File

If Bridgemates are used, a pairs results can be imported from the BM Log file. This could be used if the Compass results is corrupt and the result cannot be recovered from the BWS file because that too is corrupt or it has been mistakenly over-written.

Process Steps

Preliminaries - BMFileLog.log file
  1. Locate the BM Log file. This is usually located in:
    • c:\Bridgemate Log Files\BMProLog.log OR
    • c:\Program Files (x86)\Bridgemate Pro\BMProLog.log
  2. If you cannot locate the log file, open BMPro.exe and then select the menu item Tools ... Show Log Files
  3. Copy this BMProLog.log file to your c:\compassv6\yyyy\Bridgemate folder. If necessary, you can change the file name to whatever suits.
Compass
  1. Start a new scoring session or use View Session Results to recall an existing scoring session.
  2. Display the Results screen.
  3. Select the menu item Edit Options ... Import BM Log File
  4. If the BMLog file has been saved in accordance with step 3 above, the import will start immediately. Otherwise, select your log file from the Windows Open File dialog.
  5. The imported result will now show.

Problems that may occur

  1. This process looks in the log file for the records that relate to the session file name. If that file name in not found in the log, the process ends.
  2. Sometimes at the start of a scoring session, BMPro is started then stopped then started again. This results in some bogus records in the log file. Compass will see these bogus records, pout, then give up. To fix this, open the BMProLog.log file in notepad, and delete the bogus records.
  3. The BMProLog.log file can become very large if it is not attended to. A large log file will mean that the import could be very slow. See below for tips on how to reduce the size of the log file.

Notes

  1. Multiple SECTIONS could be in the BMLog file. If so, Compass will ask which section is to be imported.
  2. Name corrections done in Compass will have to be re-entered after the import has been competed.
  3. Scoring corrections done in Compass will have to be re-entered after the import has been competed.

BMProLog Log File

The log file should be attended to from time to time (say at the beginning of each year) to prevent it becoming over sized.
  1. Use File Explorer to navigate to the folder where the log file is saved.
  2. Rename the log file to something appropriate, eg BMProLog_History01.log or BMProLog_History02.log etc
  3. Now, the new log records will be added to a new empty BMProLog.log file
Revised: 10 June 2017


Reposition the Phantom

Reposition means to add or remove or move the phantom to a different table and/or direction. This is done after the session has been started and does not require the electronic scoring to be restarted.

When does this occur?

  • When a pair arrives late and fills in at the phantom table.
  • When the movement is entered with full tables. Later it is found there is a ½ table less than entered (eg 23 tables goes down to 22½ tables).
  • The phantom is switched from EW to NS.

Steps

  1. If you are already in the CompassMate screen, click the Display Results in Compass button to return to the Results Screen.. It is OK if BCS continues to run.
  2. In Compass, click the menu item Corrections .. BRIDGEMATE - Reposition the Phantom.
  3. Answer the pop-up questions (ie reposition, add or delete the phantom).
  4. Click the menu item Open Compassmate.
  5. Tick the Start Reading ... Names and Scores check boxes.
  6. If necessary, click the Start Bridge Control button.
  7. You will get a message about the change of movement and away you go.
  8. The Bridgemate at the table may still display that it is phantom. Use the Names option on the Bridgemates to enter the player IDs.

Revised: 7 August 2016


Scoring Multiple SECTIONS

In multiple sections events, all boards are scored "across the field". These differ for Piggy Back events which are two or more unrelated events that are run at the same time. These events are not scored "across the field".

Sectional events can be scored easily using Compass. The process is slightly different for club and tournament event.
  • For tournament events, the sessions should be entered in the Tournament Calendar of Events. These are then available to reference when setting up a new session.
  • For club event, it is not usually known if sections will be played. Sections are therefore set up during the scoring process.

Sections Set Up

Set up for Section 1
  1. Open Compass.
  2. Click the menu strip item Scoring ... Pairs Contests.
  3. Exit the SAM screen if it appears (sections cannot be set up in the SAM screen).
  4. For a Tournament event
    • Select the session from the tournament competition list (eg 101open)
  5. For a Club event
    • Select the session from the club competition list. (eg 45wed)
    • Click the Sections? option
    • Select the Sect # (section numbers)
    • Enter the Section Name
  6. Click the All OK? button to exit the set up screen.
  7. If there is a phantom, enter its position.
  8. The CompassMate screen will display but you must immediately EXIT BACK TO THE SIDE BAR MENU, to set up the other sections. The easiest way to do this is by clicking the Exit Back to the Side-Bar Menu menu item.
Set up for Section 2
  1. Set up section 2 in exactly the way it was done for section 1.
  2. Once this is complete, the CompassMate screen will display.

Electronic Scoring

  1. The Bridge Control systems can be started.
  2. When both sections have finished all boards, exit Compassmate.

Results

Screen Buttons

  1. Sections List: To switch between sections, double click one of the session titles.
  2. Edit Options Scoring of Names: Open the screens for the selected option.
  3. Change Section: An alternate method to switch between sections
  4. Refresh Sections List: In case all sections doe not display correctly.
  5. Score Across Sections: Normally this result will be calculated automatically, and the button background will be green. If it has not been calculated, the button background will be red.
  6. View Result Across Sections: As read.
The menu items are the same as for single sections events. When selecting the Print Options, the report will relate to the section of overall result that is displayed on the screen.

Revised: 29 May 2017


Scoring Multiple Events (Piggy Back Sessions)

Piggy back sessions occur when two or more separate pairs events are run at the same time. A separate instance of Compass is used for each event and if electronic scoring is used, a single BWS file is used for all events. Hence event 2 piggy backs onto event 1.

This differs from Multiple Section events where all boards are scored "across the field".

Note that piggy back sections cannot be used if any two or more events have multiple sections than one section. It is OK for one of the events to have multiple sections, and all other events to have a single section. Note that the event with sections must be the first event in the piggy back.

Note: Multiple events with multiple sections can be scored with Bridgemates, but it does require multiple Bridgemate servers. Please refer to Bob Fearn of Jan Spaans for details.

Steps

Set up Event 1
  1. Open Compass.
  2. Click Scoring ... Pairs Contests. Exit SAM if it comes up
  3. Select the session (file) from the competition list. (Note the file name as you will need it when setting up Event B)
  4. Choose the movement, then click All OK.
  5. The BM Scoring Type window opens. Select the A section with only one section option.
  6. If a Phantom, enter its position.
  7. Click OK.
  8. The CompassMate screen will display. DO NOT START THE ELECTRONIC SCORING AT THIS TIME.

Set up Event 2
  1. Open a new instance of Compass from the Desktop. The strip menu will appear as a different colour on the right-hand edge of the screen.
  2. Click Scoring ... Pairs Contests. Exit SAM if it comes up
  3. Select the session (file) from the competition list.
  4. Choose the movement, then click All OK.
  5. The BM Scoring Type window opens.
    • IMPORTANT: Select the Two separate events scored with only 1 BM Pro server. One SECTION in each event. This is the piggy back option.
    • Enter the BWS file that was used in Event A. This is usually the file name of the event.
    • Enter the Event No. If this is the second event, enter "2". If it the third, enter "3"
  6. Click OK.
  7. If there is a phantom, enter its position.
  8. The CompassMate screen will display.
  9. Now start Bridge Control in one of the sessions. It will automatically show as started in the other session.

At Completion of play
  1. Exit the Compassmate screen to view the results
  2. Each session can be finished up in the normal way.
  3. The extra instance of Compass can be closed and then reopened using VSR of the normal Compass scoring session.

Special Case for Club Sessions

Some clubs run separate graded "sections" during a club session. This may be for part of the year only, for example when the learners graduate from the classes. The significant thing is that same set of hands is played throughout the room.

Example
  1. Assume that this is done for a Wednesday session.
  2. In Club Information Set Up there will exist a session day "wed". Create another entry there named "wed_x".
  3. Create entries in the Club Calendar of Events where the file name uses the "wed_x" suffix.
  4. When scoring, use the piggy back process as described above.
  5. Now the hand record files for the "wed" session will automatically be associated with the "wed_x" session.

Revised: 8 August 2016


Scoring Barometer Pairs

Scoring Pairs - Barometer

A barometer game is a style of duplicate in which all tables play the same board during the same round. After each round, the results are posted. Partnerships can keep a running total of their scores, so they know how well (or how poorly) they are doing. Some people find this kind of game distracting, but many like the immediate feedback. If you are among the leaders, the finish can be exciting, like a close horse race.

Details of scoring a Barometer movement event can be found here.

The event is set up as a normal Duplicate Pairs event, but there are some small differences:
  • Special Barometer movements are used.
  • The event can be played in 1 or 2 or more sessions.
  • The field will often come from the Finals Field of a qualifying event.
  • Carry-overs from the qualifying event can be used.
  • The scoring is always in Match Points (not percentages).
  • The progress result is calculated after each set.

Barometer Movements

The following Barometer movements are available in Compass. If required, additional movements can be easily added.

Progress Results

The progress results can be published after each set is played.
  1. From the Results screen, click the menu item Barometer Result.
  2. The Tournament screen will open.
  3. Select the files you want to include in the calculations, including a carry over file if it exists.
  4. Click the Add Sessions button. The results will be calculated.
  5. Publish and/or print the results.
  6. Click Exit and return to the Results screen.
  7. Note that, during the current Compass session, the files selected in step 3 will be remembered when next the menu item Barometer Result is clicked.
Continue this process until all rounds have been completed.

Sample Website Report

Revised: 7 August 2016


Swiss Pairs - Overview

Swiss Pairs is a scoring format which has aspects of both duplicate pairs events and teams events. An event is usually run over 6 to 10 rounds. These rounds can be run within a single day or in the case of a club event, they can be over multiple weeks.

During each round, each pair plays approximately 8-14 boards against one other pair. After each round is scored, the pairs are ranked in order. The draw for the next round means that pairs play the pair closest to them in the standings, 1st v 2nd, 3rd v 4th, 17th v 18th, with the proviso that pairs do not meet a second time. This means that pairs that are doing well play other pairs that are doing well while lesser performing pairs meet other lesser performing pairs.

Draw for Round 1

Mathematicians tell us that it does not matter a great deal how the first round is drawn. It could be drawn randomly however perceptions are important for player happiness even if not mathematically supported. Within Compass, the draw is "semi-random", based on the average rating points of each pair. The field is divided into two groups based on rating points. The draw then matches any pair from the first group with any pair from the second group. The option of a completely random draw is also available.

How many rounds should be played?

The figures from Bridge Directing Complete indicate that the minimum number of rounds should be:
  • 9-16 tables, 7 rounds
  • 17-32 tables, 8 rounds
  • 65-128 contestants 9 rounds
The maximum number of rounds is tricky. If too many rounds are played the draw can become unfair. 1st v 3rd with the first available pair for 2nd being the 11th pair. Such an event might be described as over-swissed. There is no precise point that over-swissing occurs but a rule of thumb is for the number of rounds not to exceed half the number of tables.

Draw Types

The types of draws available are:
  • Swiss: The standard Swiss based draw. When this draw type is used, an attempt is made to equalize the number of times that each pair plays as a NS and as an EW pair. A report of the Seating Stats is available from the View Notepad Reports menu item.
  • Single and Double Round Robin: This can be used for special events such as IP Trials. Each pair plays every other pair once for single round robin or twice for double round robin.
  • Seeded NS and EW: The field is divided into 2 seeded groups, so that each group is roughly the same standard. One group then sits NS throughout and the other sits EW throughout. The draw is Swiss in principle, within each group. The overall result has 2 sets of placings, one for NS and one for EW.
  • Synchronised Swiss: This can be used in multigrade Swiss events. Each pair from each team plays the other equivalent pairs from their opposing team. The draw is based on the combined result over all grades after each round.
A discussion on the various scoring options for Swiss Pairs is here.

Scoring Types

The scoring types available are:
  • Datum/IMPs: Each score is compared to a datum and "IMPed". The IMPs are converted to Victory Points.
  • Match Point: The scores are match-pointed and converted to a percentage. The percentage is then converted to VP according to the following formula, where x is the pair's percentage for the round
    • When x is between 57.5 and 70.0: VP = (x - 20)*2/5
    • When x is between 42.5 and 57.5: VP = (x - 35)*2/3
    • When x is between 30.0 and 42.5: VP = (x - 30)*2/5
  • Cross IMPs: Each score is compared with every other score for that boards and "IMPed" are then averaged. The IMPs are converted to Victory Points.
A discussion on the various scoring options for Swiss Pairs is here .

Player/Table Numbers and Substitutions

  1. In any round, pairs can be added and/or removed. Pairs that were out for one or more rounds can come back in later rounds. The only requirement is that full tables are maintained.
  2. Four substitutions can be used in any one pair.

Stratified Result

A stratified result can be calculated. Details of a Stratified Result can be found here.

General Comments

  1. The number of pairs is usually the same for all rounds. However, in any round you can add a full table or remove a full table.
  2. The number of boards per rounds is usually the same throughout the event, however it is possible to play a different number of boards in each session. This is set in Multi Session Details.
  3. Each session of a Swiss Pairs competition is set up in the Club Calendar. This is a good thing. When the round one starts, the first entry in the calendar is used for the event details. Subsequent sessions are started from "View Session Results". The unused sessions just stay in the calendar, doing no harm.
  4. The hand record files for each session are best named the same as the input file name for each session in the calendar. If this is done, Compass will automatically associate the hand record file with the session results file.
  5. You can play as many rounds/sessions as you wish. You can even play the number of rounds that would be equivalent to a full round robin.
  6. Up to 4 substitutions can be recorded for each pair. Master point allocation takes account of substitutions.
  7. With BridgeMates/Tabs the scoring is done very quickly, therefore a random draw is required for the first round only.
Details of the Swiss Pairs scoring process is found here
Revised: 8 August 2016


Swiss Pairs - Scoring Overview

These generalized instructions are for a Swiss Pairs event. It is highly recommended that a pre-entry file is created so the event can be planned in detail. It will help to ensure full tables and to determine the event format.

Prior to Play

  1. Enter the event in the Club Calendar of Events or the Tournament Calendar of Events.
  2. Create the required hand record files
  3. Deal the hands and print the hand records via Dealer Assist.
  4. Create a Pre-Entry File.
  5. Set up the event using the Session Set Up screen. It is useful to do the set up ahead of time. The event format can be finalized and the first round draw published. This will ensure a smooth start to the session for the players and the director. But sometimes things go astray.

Session Set Up

  1. From the main strip menu, select Scoring ... Swiss Pairs
  2. Enter the event details on the Session Set Up screen.
  3. Enter the Electronic Scoring Type which is almost certainly A Session with only 1 SECTION
  4. Select the Datum Option.
  5. Review and update the Multi Session Options, including the hand record files for each session.
  6. The Scoring and Calculating Draw screen will now display. The pair names will be blank, as names have not yet been entered.
  7. If a pre-entry file DOES NOT EXIST ...
    • Go to next step
  8. If a pre-entry file DOES EXIST ...
    • Click the menu item Edit Options ... Edit Names to open the Names Entry screen.
    • Import the pre-entry file
    • Exit Edit Names and open the Scoring and Calculating Draw screen
  9. Click the Calculate Next Draw button. If there is no pre-entry file, that draw will be totally random. Otherwise the draw will be in accordance with that the Pre-Entry file set up.
  10. Click the Show Results / Open CompassMate button.
  11. Use the Print options to print the draw and/or create the Results Summary and Draw XML.
  12. From this point you can exit and resume the scoring at a later time.

On the Day

  1. From the main strip menu, select Scoring ... View Session Results
  2. This open the Results Screen
  3. Review the setup and make any corrections.
  4. Open the CompassMate screen for the current round
  5. The players now log in and record the results of the boards.
Once all tables have completed their boards
  1. Close all Bridge Control programs (ie electronic scoring screens)
  2. Exit the CompassMate Screen

At Completion of the Current Swiss Round

  1. Review the Results Screen
  2. Review the scoring on the Scoring and Calculating Draw screen.
  3. Review the Player Substitutions.
  4. Publish the Results
    • Print the results
    • If applicable, create the bridge-club.org XML Files

Start the Scoring for the Next Swiss Round

  1. From the Results Screen, click the Scoring / Calculate Draw button
  2. Click the Calculate Next Draw button to calculate the draw for the next round
  3. Click the Show Results / Open CompassMate button.
  4. Use the Print options to print the draw and/or create the Results Summary and Draw XML.
  5. From this point you can exit OR open the CompassMate screen.

Sometimes things go astray

Say the event has been set up before hand and the scorer is ready to fire up the scoring for round 1. What could go wrong? The most likely thing is that some pairs do not turn up and/or there are extra pairs. If that all adds up to the same number of tables, all well and good. The existing set up is OK and the scoring can be started using VSR.

If there ends up a different number of tables, there is no choice but to set up the event from scratch. A new draw will be calculated and published.

It is no problem if different players turn up from those registered in the pre-entry file. All players enter their IDs on the table top units and at that point, the names in the pre-entry file are irrelevant.

If possible, a standby pair should be available to make up full tables. This will prevent some of the problems that could occur.

Suggested Procedure for Round 1 of a Swiss Event

  1. Maintain a pre-entry file, so that you know the number pf pairs and you can avoid a half table
  2. Once entries have closed, create the Compass session using the pre-entry file for the player names
  3. Calculate the draw, and publish it so pairs know where to sit when they arrive
  4. The event now starts. The players arrive and get seated according to the published draw.
  5. There may be more pairs or less pairs or even different pairs than from the pre-entry file. No matter, just slot pairs into any vacant seat, including an extra table or so.
  6. If the table numbers are the same as the initial setup - just continue as normal. The players enter their numbers on the table top units (TTUs) and these simply overwrites the names that were initially entered from the pre-entry file.
  7. If the table numbers are DIFFERENT from the initial setup the session has to be set up from scratch. The players remain where they are currently seated.
  8. Start a new Compass session from scratch with the new table numbers. There is no need to import the pre-entry file. Calculate the draw for round 1, then the electronic scoring. Advise the players that their pair numbers will be changed because the draw had to be re-done. Their new pair numbers will display on the table top units.
  9. Players enter their ID into the TTUs and play then continues as normal
Revised: 21 February 2017


Swiss Pairs Session Set Up

Scoring Swiss Pairs - Session Set Up

The event/ session is set up as follows:
  1. Enter the event details
    • Total PAIRS
    • Boards Played each Round
    • Maximum Number of Rounds: The default is 12. Leave this as 12 unless you intend to run more than 12 rounds.
    • Number of Random Draws: When electronic scoring is used, this is best set to "1".
    • Scoring Type: Options are Datum/IMPs or MatchPoint or Cross IMPS. Details are here.
    • Draw Type: Options are Swiss or Round Robin or Double Round Robin or Seeded NS and EW. Details are here.
  2. Enter the Session Details from the right hand panel.
  3. Click the OK button to start the scoring.

Notes

  1. The Total Pairs can be selected from the dropdown list, or you can simply over-type the numbers. The same applies for other numeric dropdown lists.

Revised: 7 August 2016


Swiss Pairs Names and Substitutions

Swiss Pairs - Names Entry and Substitutions

For Swiss Pairs, the names and substitutions are entered on the Names Entry & Substitutions screen. It is almost certain that the player names will comes from a pre-entry. If so, the player list will come from the option. Recall a Pre-Entry File.

Names Entry

Generalized Process when using Pre-Entry File

  1. Create a pre-entry file from the Tournament menu item.
    • For Multi-Grade events, there will usually be 6 players for each "team" entered in the pre-entry file
    • For single grade events, there will be 2 players for each pair entered in the pre-entry file
  2. Start a Swiss Pairs scoring session
  3. Click the edit Names Entry & Substitutions button (or menu item).
  4. Select the Recall a Pre-Entry File option.
  5. From the file list, select your pre-entry file.
  6. The pre-entry pair names will now be automatically imported.
    • For multi-grade events, enter the numbers of groups, the group names and the master point awards for each group.
    • For single grade or separate events scored within the same SWP file, the first pair in the pre-entry file will be the pair numbers this is currently displayed on the Names Entry & Substitutions screen.
    • For separate events scored within the same SWP file, multiple pre-entry files will need to be imported.

Bridgemate Names Entry - Bypass the Names Entry

There is option to completely bypass the entry of names on the BMs. You may want to use this option if a pre-entry file has been created. If this option is used, the names are read from the Compass names entry screen. The bypass mode is activated if the Member Numbers flag is set as un-ticked in the CompassMate screen.

Substitutions

Compass can record up to 4 substitutions for any Swiss Pairs events. Note that your club playing conditions may not allow this many substitutions. This situation has to be managed manually by the club.

Changing Player Names

  1. Select the Player Names Source radio button (top middle of screen)
  2. Position the cursor in one of the Players boxes in the pair list (bottom left of screen)
  3. To change or add a player,
    • type a few letter of the players surname, then use the up down arrow to move to the correct player. Press the <enter> key OR
    • type the players enter name eg Janice Jones, then press the <enter> key
  4. To delete a player, position the cursor in one of the Players boxes then pres the <backspace> key to remove the player
  5. To add of change a players computer number, just over-type the new computer number in the Computer box.
  6. Anchor Pairs can be specified by ticking the Anchor Pair tick box. These pairs remain seated at the same table throughout the entire event.

Handling Changing Table Numbers

It is OK for FULL tables to be added or removed for any round

ADD 1 table
  1. Click the Edit Options .. Add 1 table to the movement menu item on the Results Display screen.
  2. Two extra pairs are then added to the movement. Add the player names by following the instructions above.
  3. Recalculate the draw for the next round.
REMOVE 1 table
  1. To "remove" 1 table for any round, untick the appropriate boxes on the Substitutions screen

Entering Substitutions

  1. Click the Substitutions button on the Swiss Pairs results screen.
  2. If necessary, add an additional player to the Players list.
  3. Use the tick marks to indicate the players in each round.
  4. The player that is playing in each round is indicated by a tick mark. In the above
    • Janine and Jan played rounds 1-3
    • Janine and Joan played rounds 4-6
    • Janine and Jan played rounds 7-16

Screen Buttons

  1. Quick Update: This will tick the first 2 players in all pairs in all rounds. Be careful with this as you do not want to mistakenly over-write data.
  2. Show Summary: Displays a summary of the rounds that each pair played.

Notes

  1. The player list can be sourced from the club database, non member database or the NZB database.
  2. Click any of the row or columns check boxes will insert or remove the tick from all rounds.
  3. The "qualifying pair" will be the two players who have played the most sessions. Compass will manage this automatically.
  4. A player can be removed from the pairing by clicking in the appropriate box and clicking the backspace key.

Revised: 13 January 2018


Swiss Pairs Handling Anchor Pairs

In Swiss Pairs events, an Anchor Pair remains seated at the same table throughout the event.

Notes

  1. Any number of Anchor Pairs can be specified.
  2. The first Anchor Pair is always seated at the highest numbered table.
  3. A second Anchor Pair is seated at the second highest table.
  4. A third and subsequent Anchor Pair is seated at the next highest tables.
  5. IMPORTANT: The Swiss draw means that the Anchor Pairs can be assigned as a NS Pairs OR an EW Pair at their designated table. The table cards and boards should be oriented to ensure each pair is playing in the correct direction.
  6. No matter what, the Anchor Pairs are always seated as NS in the first round.

Set Up

The Anchor Pairs are denoted on the Names Entry screen and are highlighted in a magenta colour. To set (or unset) an Anchor Pair:
  • Mouse click the pair, then click the Set as Anchor Pair button
Notes
  • The Anchor Pairs are highlighted in a Magenta colour.
  • If a pre-entry file is used, the anchor pairs can be specified and the correct draw can be calculated for round 1. For round 1, the anchor pairs will be seated as NS at the highest numbered tables.
  • If a pre-entry file is not used, the Anchor Pairs must be seated as NS at the highest numbered tables. Then, after the names have been recording from the electronic scoring, they can be marked as anchors in the Names Entry screen.

What happens if pairs play a set seated in the wrong direction!

  • After the set has been played, open the Results Entry screen and use the Edit ... Swap NS/EW Pairs at one table menu item
Revised: 6 March 2017


Swiss Pairs Results Screen

Screen Buttons

  • Display Options: Switches the displayed report
    • PSS Sheets: There are 3 report formats.
      • The Format 3 report is a detailed report for each pair and included the current provisional placings and the draw for the next round. When printing this report, a selection of pairs can be made, and the report can be optionally sorted by the players seating position for the next round.
    • Stratified Result: Calculated a Stratified Result. Details of a Stratified Result can be found here.
  • Edit Options:
      • Scoring/Calculate Draw
      • Names
      • Substitutions
The following three buttons are enabled by parameters in Club Information Set Up
  • Full Results: For bridge-club.org websites. These files are saved to the c:\compassv6\yyyy\xml\ folder.
  • Results Summary and Draw: This XML has 3 parts; results for the last round, the overall result to date and the draw for the next round. Some clubs use this on their datashow in the playing room.
  • EMail Results to Players:

Menu Items

  • Print Options: Prints the selected option.
  • Edit Options
      • Contracts/Scores
      • Names
      • Substitutions
      • Session Name
      • Change Session Type C <--> T
      • Add 1 Table to the Movement
      • Remove 1 table from the Movement
      • Multi Session Details
  • ReScore Re-scores the existing result using Butler Datum or Cross IMPs scoring.
  • Master Points: Generate the master points for events that award bonus master points eg A points. Master points for club events (ie C points) are generated automatically.
  • Select Finals Field Open another scoring results file.
  • Generate Results: This is for text file reports only. Reports can be generated for a single round or the entire event.
  • View Results in Notepad:
  • Open CompassMate: As read.

Add 1 Table to the Movement

After 1 table has been added, open Substitutions and update the player names for the 2 pairs that have been added.

Multi Session Details

For each session, the Multi Session Details records the rounds played, the hand record files and the text file session headings.
  • The Session DATE records the actual date that each session is played. This will initially auto populate with the likely date, but can then be changed.
  • The Hand Record file name will auto populate if the files exist in the hand records folders and they follow the standard naming conventions for club and tournament files.

Revised: 19 August 2018


Swiss Pairs - Event Scoring and Draw Calculation

This screen is used to display the results for all rounds for all matches. The VP result is automatically calculated for each match. Scoring errors can be corrected and the result will be recalculated. The draw for each round is also calculated from this screen.

Steps to Edit Scores

  1. Use the Round buttons and Tables buttons to select a match. A mouse click on a match from the list will also display the result of that match.
  2. To edit a contract, first click the Edit Score button, then move to the affected board and make the correction. Important: Use the <down arrow> key to run the cursor off the bottom of the scores list. This will initiate the recalculation of the overall result.

Manually Entered VP Result

  • If the director assigns a manual VP result for a match, enter this in Manual VPs boxes. This entered result will over-ride the automatically calculated VP results (which is shown above the NS and EW Scores columns). Note: If you want the manually entered VPs to be zero, you will have to enter the VPs as 0.001. Because 0.001 is not zero, the over-ride will take effect. Then, in the results, 0.001 will round to zero so you will not see it.

Steps to Calculate Next Round Draw

  1. Click the Calculate Next Draw button.
  2. The calculated draw can be manually changed through the menu item Edit Options ... Manually Change Draw

Screen Buttons

  • Show Results / Open CompassMate: Opens the results screen.
  • Calculate Next Draw: Will initiate the draw calculation for the next round.
  • Manual VPs frame: Use this to enter a manual result for the displayed match.

Show Results from all Matches and the Hand Records

  • Clicking any board number in the Bd # column will display the hand record and all match score for that particular board.

Menu Items

  • Edit Options
    • Manually Change Draw:
    • Swap NS/EW Pairs at one Table: This is used when the pairs sit in the wrong direction at one table.
  • View Results in Notepad
  • Show Results / Open CompassMate:

Manually Change the Draw

At times, the draw may need to be manually changed. Once play has started changes to the draw are not allowed, except to swap the NS/EW pairs at one or more tables.

Revised: 22 January 2018


BrdgeTab Scoring Swiss Events

BridgeTabs - Scoring Swiss Events

These instruction cover the scoring of Swiss event using the BridgeTabs. They are to be read in conjunction with the main documentation for Swiss Pairs scoring and Swiss Teams scoring.

Setup

  1. Set up the events in the Club or Tournament calendar of events
    • Club Program Example
    • Tournament Program Example

Notes
  • Always enter all sessions of an event in the calendar. That is, if the event is 3 sessions, then the calendar should have 3 entries.
  • Compass will use the first listed file name to save the data (in a SWI file or SWP file)
  • The hand record file names should be the same as those set up in the calendar of events. For example,
    • Session 1 16sun.dlm
    • Session 2 17sun.dlm
    • Session 3 18sun.dlm

Pre-Entry File

  1. A pre-entry file is useful for keeping track of the entered pairs/teams. It does help to avoid half tables in Swiss Pairs and to prepare for the triangle movement if there are an uneven number of teams in Swiss Teams.

Hand Records

  1. The hands must to be pre-dealt. One set of boards is required from every 4-5 tables.
  2. For reporting purposes, Compass requires the following hand record files.
Either
  • DLM files and
  • BRI files and
  • TXT files
OR
  • DLM files and
  • PBN files

These files must be saved within the c:\compassv6\handrecords\YYYY folder structure.
  3. For club sessions, the above files are available from XClub via the Dealer Assist functionality, or you can use your own hand generation process.
  4. For tournaments, the above files are available from the hand generation process in Dealer Assist, or you can use your own hand generation process.

Names Entry

Important Note: "BridgeTab" allows player numbers to be entered for the first round only, after that it assumes that the same players sit in the same position for the rest of the event. This of course is not reality. Table slips should be used to record the players IDs which can then be entered into Compass whilst the round is being played.

BWS File

  • Using BridgeMates, a separate BWS file is used for each round. The BWS files names follow the hand record names for each session.
  • With BridgeTabs, the one BWS file is used for the entire event. The BWS files names follow the hand record names for the first session.

Scoring a Swiss Event

Click here for Quick Start Instructions for events without pre-dealt hands and without pre-entry file

Notes

  • When scoring the first session of an event, the set up from the Scoring button on the main strip menu.
  • Subsequent sessions are started from the View Session Results (VSR) button on the main strip menu.

1 | Start the Scoring session from the strip menu
2 | Select the event parameters
3

Select the Datum Method

For Swiss PAIRS, Option 1 is the most common option.

For Swiss TEAMS, the Datum Method is used in the calculation of the pairs Butler result only. Again, Option 1 is the most common option.
4
5

Multi Session Details

Enter the session details (rounds per session, boards per round etc).

Compass will predict the Hand Record file names based in the input file names. You can edit these names as necessary.
6

The TSS screen is now shown.

If a pre-entry file has been created, used Edit Options … Names ... to import the team names and/or players.
7 | Use the Scoring / Calculate Draw button to redo the draw for the next round
8 | Use the Open Compassmate menu item to start the scoring process with the tablets.
9

Click the Start BOS button

If all preliminaries have been completed correctly, the Dupsoft form will display.
10 | If the makeables have not been calculated, click the Ma menu item to start the calculation of the makeables
11 You are now ready to start the communication to the table top Tablets.

Click the Activate BSC/BT Tablets button.

12 The Games Setting form is displayed with the default setting for Swiss Events.

Change the setting at your own risk. (The screen shot does show the settings appropriate for Swiss events.)
13 | Click the Start (F2) button to start the communication with the tablets
14 | The players now enter the results of all boards. When all boards have been played, the Score Entry Status should show that all scores have been transferred to Compass.
15 After all scores have been entered for the current round, STOP the comminication to the tablets

If this is the end if the session, also close
• BridgeTab (BT)
• BOS (BOS)

If another round will shortly be played, you should leave BOS and BT running,
16 | Exit the CompassMate Screen and process the results for the round
17 The next round can now be scored.
  • If necessary, use VSR to re-open the scoring for the event.
  • Calculate the draw for the next round Note: If running a Round Robin event, the Upload RR Draw to Tablets button must be clicked at the start of each round.
  • Open the Compassmate screen to start the scoring
  • If necessary, start BOS and BT
  • Start BSC
  • Click the Start with the new Uploaded Movement button
  • If necessary, tick the two Start Reading ... options
  • Exit the CompassMate Screen and process the results for the round
These steps are repeated for all subsequent rounds.

Revised: 8 January 2018


BridgeTabs - Scoring Swiss Events Quick Reference

Detailed instructions for the scoring of Swiss Events can be found here

Useful Information

  1. Pre-dealt hands are essential as you need one set of boards for every 4-5 competing tables.
  2. A session comprises a number of rounds. These details are recorded on the Multi Session Details screen.
  3. The BOS Event for session 1 should be created in Dealer Assist. This step generates the makeable contracts and whilst it is not essential, it does save a few minutes during the scoring process.
  4. For technical reason, the BOS event/makeables for sessions 2 and higher must be created during the actual scoring process. If you do create the BOS event/makeables for sessions 2 and higher, it will be ignored by Compass.
  5. A pre-entry file is useful, but not essential. The recommendation is that you do create a pre-entry file - just to have an idea of the numbers of competitors that intend to play.
  6. At the start of the first round, the entry of player IDs into the BTs is done
    • Swiss Teams: AFTER the EW players are seated at the opposition table
    • Swiss Pairs: As the NS/EW Players are seated according to the draw for the first round. Alternatively, you can randomly seat the pairs in round 1.
  7. Player IDs are entered at the start of round 1 only. In the subsequent rounds, Bridgetab issues mean that names cannot be entered on the tablets. This means that, player substitutions for the later rounds must be noted on paper, then entered into Compass "names" screen..
  8. In Swiss Teams event, each team has a fixed home table equal to their team number. The NS pair of the team sit at this table. The other half of the team sits EW at the oppositions table.
  9. The BOS App can (and should) remain open throughout all rounds withing one session (a "session" as set up on the multi-session details page).
  10. Communication with the tablets is stopped between rounds. An exception with with Round Robin events - the communication with the tables should be left open after each round.
  11. The BOS App MUST be closed at the end of each session.
  12. Within Compass, the one SWP or SWI results file is used for all rounds of the event
  13. For NEW events, the scoring process is started from the Scoring... item on the side bar menu.
  14. For a continuation of an existing event, the scoring process is started from the View Session Results item on the side bar menu.

Quick Start Instructions

Assume the event file name is 09sun
 The hand record files should be named ...
Session 1 09sun
Session 2 10sun
Session 3 11sun
etc
  1. For the first session, start the NEW Scoring session from the Side Bar menu
  2. Select the event teams count, pairs count, boards per session, scoring type etc and event description
  3. Select the BOS Scoring Type and Datum details
  4. Multi Session Details. Enter the
    1. Rounds for each Session
    2. Boards player for each Round
    3. Hand Record File Names for each session. In this example, enter 09SUN for the first session, 10SUN for the second session etc
  5. The Event Scoring screen will open
  6. Optionally use the Edit Options .. Names menu item to
    • Import a pre entry file OR
    • If a pre entry file is not available, enter the Team Names only (not player names as these will be entered on the BTs)
  7. Calculate/recalculate the draw for round 1 and optionally print the draw (For round robin events, the draw can be printed for ALL rounds)
  8. For round robin teams events
    • Upload RR Draw to Tablets (the button will be coloured green once this has been done.)
    • Note that ALL RR Rounds for the current session will be uploaded to Tablets (BSC), This means that this step does not have to be repeated for the next rounds in the current session
  9. Display the Results, then Open CompassMate
  10. Start BOS
  11. The Dupsoft screen will display if the makeables had not been previously created. Create the makeables now.
  12. Click the Activate BSC/BT Tablets button
  13. On the Games Settings screen, the appropriate settings for Swiss Events are pre-set. Change these with caution. The following settings should be specified for Swiss events.
    • Disable the Give Feedback option
    • Disable the Show Ranking option
    • Disable the Recap option
  14. In BSC, start the Communication with the Tablets
  15. Entry on the tablets by the players can start
  16. Enter the NSEW player names (round 1 only)
  17. Enter the Contact result etc
  18. Once all boards have been played (the BSC matrix should then be all green) ...
  19. In BSC,
    • For Swiss Draw Events, STOP the Communication with the Tablets
    • For Round Robin events, leave the communication running.
  20. Open the Display Results screen by clicking the View This Sessions Results option
  21. Optionally print the results and upload the XML
  22. Open the Scoring/Calculate Draw screen
  23. Correct any scoring errors for the current round
  24. For Swiss Events, calculate the draw for the next round
  25. For round robin events upload the RR draw to the tablets (the button will be coloured green once this has been done.) This uploads the draw for ALL rounds of the current session, meaning that this step has to be done only once.
  26. Display the Results, then Open CompassMate for the next round.
  27. In BSC,
    • For Swiss Draw Events, re-start the Communication with the Tablets. The start button text should be START with updated movement
    • For Round Robin events, you need do nothing as the communication will already be running.
      • If you had inadvertently stopped the communication with the tablets, just start it now. You will get a message The Scoring Program has changed the movement from round1. Do you want to update the movement in the Tabletop units via the safe 'start with updated' movement procedure. ANSWER NO TO THIS QUESTION
.... then repeat steps 14+ for all rounds in the current session

Once all rounds of the session have been completed, Close BSC and Close BOS

For club events, the next session is likely to be held in the following week.
  1. Use View Session Results item to resume the scoring of an existing event
  2. Open the Scoring/Calculate Draw screen
  3. Calculate the draw for the next round
  4. For round robin events upload the RR draw to the tablets (the button will be coloured green once this has been done.) This uploads the draw for ALL rounds of the current session, meaning that this step has to be done only once.
  5. Display the Results, then Open CompassMate for the next round.
  6. Start BOS, For sessions 2,3 you should calculate the makeables when the Dupsoft app opens.
  7. Follow steps 10-27 above
  8. Once all rounds of the session have been completed, Close BSC and Close BOS
Revised: 8 January 2018


Change Swiss Pairs Draw

Change the Swiss Draw

At times, the draw may need to be manually changed. Once play has started changes to the draw are not allowed, except to swap the NS/EW pairs at one table.

The most efficient method to record the new draw is as follows:
  1. Over-type the table number in the text box, then press <enter>
  2. Over-type the NS Pair number in the text box, then press <enter>
  3. Over-type the EW Pair number in the text box, then press <enter>
  4. Press <enter> or click the Save Change this single change button
  5. Repeat steps one to 4 for the other tables
  6. If the new draw is OK, click the Save all Changes and Exit button
  7. If the new draw is not OK, click the Save all Changes and Exit button

Notes

  1. As the changes are being make, the new draw is automatically validated
  2. The Validation box will show the pairs that are in the draw twice, and those pairs not in the draw at all
  3. Invalid draws cannot be saved

Swap the NS/EW pairs at one table

This is done when the pairs sit in the wrong direction and one table. To do this use the Swap NS/EW pairs at one table menu item. This change can be done at any time, but it is preferable to do it once the match has been completed.at one table can be done
Revised: 17 February 2017


Swiss Pairs - Scoring Options

A numbers of combination of draw type and scoring type are available. A short discussion of each option follows. First, let us establish some definitions.

Definitions - Scoring Types

Butler IMP Scoring: Each score on any particular board is compared with a datum. The datum is established by discarding some number of top and bottom scores and averaging the remaining scores. The difference between your score and the datum is converted to IMPs according to the normal scale.

The overall result for the events can be the total IMPs for all rounds, or the total IMPs for each round can be converted to victory points based on the WBF 20 Point Continuous VP Scale. A victory point based results is the most common option.

Cross IMP Scoring: In Cross IMPs, instead of IMPing against the room average, your board result is IMPed against every other table in the field, and the total is then averaged (i.e. divided by the number of results) to calculate the imps you earn on each board.

The overall result is calculated the same way as for Butler IMP scoring.

Match Point Scoring: Boards is match-pointed in the normal manner.

The overall result for the events is the ratio of the total matchpoints scored and the maximum matchpoints available converted to a percentage.

Definitions - Draw Types

One Field Swiss Draw: After each round is scored, the pairs in the event are ranked in order. The draw for the next round matches the pairs closest to each other, ie 1st v 2nd, 3rd v 4th ... 17th v 18th etc, with the proviso that pairs have not played previously. This means that pairs that are doing well play other pairs that are doing well while lesser performing pairs meet other lesser performing pairs.
Seeded NS and EW: The field is divided into 2 seeded groups, so that each group is roughly the same standard. One group then sits NS throughout and the other sits EW throughout. The draw is Swiss in principle, within each group. The overall result has 2 sets of placings, one for NS and one for EW.
Single and Double Round Robin Draw: This draw type is used for special events such as trials, when a small number of pairs is competing. Each pair plays every other pair once for single round robin or twice for double round robin.

Definitions - Datum Calculations

Three options for Datum calculations are available. A discussion of these can be found here.

Scoring Options

One field with Butler IMP Scoring

All pairs compete in one field and the scoring uses Butler IMP Scoring. Datum scoring is not the fairest method as it is thought that it favours the side that "has the good cards". Thus in any one set, if NS (say) has the bulk of the good card, they are more likely to rack up a good win. The EW pairs can come out with a loss just for turning up. In New Zealand this is the most commonly played option.

One field with Cross MP Scoring

All pairs compete in one field and the scoring uses Cross IMP Scoring. The following is a comparison of Butler IMP vs Cross-IMP scoring by Peter Busch of CompScore fame.

The advantages of cross-imping include:

  1. Cross-imping is considered fairer and more like teams scoring, as imps are calculated using actual bridge results, not artificial averages. The imp scale was determined using bridge results, so to bring non-bridge scores into the equation in unsound.
  2. Butler scoring has a built in bias. The imps available to NS and EW are often not the same, reportedly up to as much as 5 imps on a single board with the smaller numbers very common. It is possible that a pair could end up 20 to 30 imps worse off just because they moved on the wrong side of the bias all day. With cross-imping, the NS and EW scores always balance.
  3. Under Butler, you average first then calculate later, which is mathematically unsound. With cross-imping you calculate first then average later.
  4. It should be that small differences in scores separate players in an expert field, yet with Butler, making that extra trick can mean nothing. It is by no means rare for different scores to score the same imps. For example 2H making 10 compared with the datum may score the same as 2H making 9.
  5. Under Butler, the extremes are discarded before computing the average. This is unsound, as it suggests that the extremes are always irrelevant which is clearly not always true. Under cross-imps, the scores at all tables are used.

One disadvantage of cross-imping is that players cannot compute their own scores. Compass does have detailed cross imps reports for each pair.

Seeded NS and EW with Datum Scoring

This option eliminates the bias for the side that has the better cards. It does not eliminate the inherent problem with Butler IMP Scoring discussed above.

Seeded NS and EW with Cross IMP Scoring Scoring

This option eliminates almost all problems that occur with other scoring options. However the players may feel takes "fairness" one step too far.

What is the "best" Scoring Option

Open to debate, one view is:
  1. One field with Cross IMP Scoring
  2. Seeded NS and EW with Cross IMP Scoring
  3. One field with Butler IMP Scoring
  4. Seeded NS and EW with Butler IMP Scoring
One thing for sure is that Cross IMP scoring is better than Butler IMP Scoring.
Revised: 3 March 2017


Swiss Teams - Overview

Swiss Teams events are run over approximately 6 to 10 rounds. These rounds can be run within a single day or in the case of a club event, they can be over multiple weeks.

During each round, each team plays 8-14 boards against one other team. After each round is scored, the teams are ranked in order. The draw for the next round means that a team play the team closest to them in the standings, 1st v 2nd, 3rd v 4th, 17th v 18th, with the proviso that team do not meet a second time. This means that teams that are doing well play teams that are doing well while lesser performing teams meet other lesser performing teams.

Draw for Round 1

Mathematicians tell us that it does not matter a great deal how the first round is drawn. It could be drawn randomly however perceptions are important for player happiness even if not mathematically supported. Within Compass, the draw can be "semi-random", based on the average rating points of each team. The field is divided into two groups based on rating points. The draw then matches any team from the first group with any team from the second group. The option of a completely random draw is also available.

How many rounds should be played?

The figures from Bridge Directing Complete indicate that the minimum number of rounds should be about 8. The maximum number of rounds is tricky. If too many rounds are played the draw can become unfair. 1st v 3rd with the first available team for 2nd being the 11th team. Such an event might be described as over-swissed. There is no precise point that over-swissing occurs but a rule of thumb is for the number of rounds not to exceed half the number of tables.

Draw Types

The types of draws available are:
  • True Swiss: The standard Swiss based draw.
  • Lax Swiss: A Lax Swiss Draw is used for the Finals and Plate rounds of a Teams event. Account is taken of who played who in the preliminary rounds. In the finals rounds, the first preference is to draw teams that have NOT played in the prelim rounds. Once that option has been exhausted, some matches may draw teams that have already played each other in the preliminary rounds. The finals draw does, however, ensure that teams will never play each other more than once in the finals.
  • Single and Double Triple Round Robin**: This can be used for special events such as trials. Each team plays every other team once for single round robin or twice for double round robin.
  • Multi Grade Interclub: This is where clubs field Open and Intermediate and Junior grade teams. The event keeps each grade separate with respect to the draw, but the overall result combines the scores from all 3 grades.
  • Grouped Draws: These are modified Swiss Draw. The teams are divided into 1 or 2 or 3 separate groups. There are then 3 options:
    • All teams as in Group 1 - A normal Swiss draw then applies, any team can play any other team
    • Teams are assigned to Group 1 or 2. Teams is group 1 can play any other team. Teams in group 2 can play teams from group 1 only. Triangles cannot be used with this option.
    • Teams are assigned to Group 1 or 2 or 3. Teams from each group can then play teams within their own group only. Triangles cannot be used with this option. This option is used in the Multi Grade Interclub draw.
Grouped Draws must be set up on the Names Entry Screen before round 1 starts.

** Technically, this draw means the event is not a "Swiss" event. We just have to deal with that.

Scoring Types

The scoring types available are:
  • Datum/IMPs: Each score is compared to a datum and "imped". The imps are converted to victory points using the WBF Continuous 20 point scale.
  • Point-A-Board (PAB): The differences in the two scores is calculated
    • If difference > 0 then 1 point is awarded to the team that "wins" the board
    • If difference =0 then 0 points are awarded to both teams
Note that their is an option on the results display screen to, at any time, recalculate the result using either the IPMs or PAB scoring.

Player/Table Numbers and Substitutions

  1. The number of teams must remain the same throughout the entire event.
  2. 5 substitutions can be used in any one team.

Odd Team Numbers

These can be accommodated by using the "triangle" movement. Two options are available. A discussion can be found her e.

Special Case for Round Robin Events

At the club level, round robins can be awkward when 2 rounds are played per session, This usually leaves the final session with one round only. Compass allows one "finals" round to be played based on the rankings after the last round robin round. The final round matches 1st vs 2nd, 3rd vs 4th etc. The final placings ensure that the winner of the overall event is one of the top 2 teams from the previous round. The minor placings are similarly determined.

Stratified Result

A stratified result can be calculated. Details of a Stratified Result can be found here.

General Points

  1. The number of teams must be the same over all sessions. Thus if you start with 12 teams, each subsequent sessions must have 12 teams, no more, no less.
  2. After qualifying sessions, you can split teams off into a Finals and/or a Plate field. Different files have to be used to score these post qualifying events.
  3. The number of boards played per match can vary from round to round. The setup for this is done from the Multi Session Details menu option.
  4. Each session of a Swiss Teams competition is set up in the Club Calendar. This is a good thing. When the round one starts, the first entry in the calendar is used for the event details. Subsequent sessions are started from "View Session Results". The unused sessions just stay in the calendar, doing no harm.
  5. The maximum number of rounds that can be played is 20
  6. The draw for is based on the Swiss principle or by round robin. If necessary, in rare situations, a draw can be changed manually.
  7. A session can be scored using handicaps. These handicaps assigned to each player or teams is a number of IMPs.
  8. A teams event can be segregated. This is usually by grade (Open Intermediate or Junior), but any grading can be used. The Swiss draw is then arranged so that teams play teams only within their own group.
  9. Each team has their own "home" table, and their NS pair sits at that table throughout the event. The EW players play as the "away" pair at their opponents table. The home table number is the same as the team number.
  10. It is a good to use a "sign up" sheet to records the teams entries in the event. You then can be pre-warned as to the format, ie number of teams, Swiss or Round Robin, triangle etc. This info can then be entered into a pre-entry file.

Other
  1. Players enter their computer numbers on the table top units at the start of each round. This information transfer to the "Names Entry" section within Compass.
  2. Each round, the scorer must check the "Names Entry" section in Compass and correct any bad data that may have been transferred from the table top units.
  3. IMPORTANT:
    • When using Bridgemates, BCS Control must be closed between each round.
    • When using BridgePals, the BP Server screen must be closed between each round.
    • When using BridgeTabs, BSC should be close between each round.

Details of the Swiss Teams scoring process is found here
Revised: 7 August 2016


Swiss Teams - Scoring

These generalized instructions are for a Swiss Teams event. For Swiss events it is recommended a pre-entry file is used as it is important to know the numbers attending.

Prior to Play

  1. Enter the event in the Club Calendar of Events or the Tournament Calendar of Events.
  2. Create the required hand record files
  3. Deal the hands and print the hand records via Dealer Assist.
  4. Create a Pre-Entry File.
  5. Decide on the format of the event. The options are (for example) Swiss of Round Robin Draw, triangle if odd team numbers, how to handle the final round for RR events. The format will be dependent on
    • the number of teams entered
    • the available number of rounds
  6. Set up the event using the Session Set Up screen. It is useful to set up the scoring session ahead of time. The first round draw can be published. This will ensure a smooth start for the players and the director.
  7. Print Score Sheets and VP Tables (used for players record the boards results on paper).

On the Day

  1. Ensure the electronic scoring equipment is in good working order
  2. From the main strip menu,
  • If resuming the scoring of an event already set up, select Scoring ... View Session Results
    • Skip to step 5
  • If scoring a new event, select Scoring ... Swiss Teams
    • Set up the event details using the Session Set Up screen.
    • Select the Electronic Scoring Option that applies
    • Enter the Datum Options (normally accept the default here by pressing the <enter> key)
    • Enter the Multi Session Details (rounds per sessions, boards per round, hand record files etc)
  3. The Scoring Detail screen will open
  4. OPTIONAL Use the Edit Options ... Names and Substitutions menu item to either
    • Recall the Pre-Entry File OR
    • Enter the Team Name only (the individual player names will come from the electronic scoring devices)
    • If necessary, recalculate the random draw for round 1 (if a pre-entry file is used, a semi random draw will be based loosely on the players rating points).
    • Use the Display Results Page button to go to the results screen
  5. Open the CompassMate screen (from the menu item)
  6. Start the Bridge Control System and click the Click to start reading scores and Click to start reading names options.
  7. The players can now start entering data into the electronic scoring devices
Once all tables have completed their boards
  10. Close all Bridge Control programs (electronic scoring).
  11. Exit the CompassMate Screen

At Completion of the Current Round

  15. Review the results Results Screen
  16. Correct wrong scores and players names
  17. Publish the Results
    • Print the results and personal score sheets
    • Create the XML File

Start the Scoring for the Next Swiss Round

  20. From the Results Screen, click the Scoring / Calculate Draw button
  21. Click the Calculate Next Draw button to calculate the draw for the next round
  22. Click the Show Results / Open CompassMate button.
  23. If
    • is the end of the current session, exit Compass and come back next week
    • there is another round being played today, continue on
  24. Use the Print options to print the draw and/or create the Results Summary and Draw XML.
  25. Repeat steps 5 to 24 for the next round

End of the Session

  30. Exit Compass and come back next week ,using the Scoring ... View Session Results option.

Revised: 16 December 2016


Swiss Teams - Session Set Up

The event/session is set up as follows:
  1. Enter the event details
    • Total Teams
    • Boards Played Per Round
    • Draw Type: Options are Swiss, Lax Swiss or Round Robin Details are here.
    • Scoring Type: Options are Datum/IMPs or Point-A-Board. Details are here.

    •
  2. Enter the Session Details from the right hand panel.
  3. Click the OK button to start the scoring.

Notes

  1. The Total Teams can be selected from the dropdown list, or you can simply overtype the numbers. The same applies for other numeric dropdown lists.
  2. When there ia an odd number of teams, the option to use the McManus Triangle movement is displayed.

Revised: 7 August 2016


Swiss Teams Names Entry

Swiss Teams - Names Entry and Substitutions

Names Entry

Each team can have up to 9 team members. The player names for teams events will always come from either a Pre-Entry file or from the entry on the table top units. Therefore, you will probably be just editing the players in this screen

Generalized Process for Correcting Names

  1. Navigate to your team buy over-typing the team numbers or by using the +/- buttons.
  2. Click on any player in the Team Players list.
  3. Click the players names you want to edit. The background will turn yellow.
  4. Type a few letters of the players surname. The player list will filter to show matching players.
  5. To accept a player names
    • If the correct player is highlighted, just press the <enter> key
    • Use the up/down arrow keys to move to the correct player, then press the <enter> key
  6. Repeat for other players.

Member Lists Options

These determine the contents of the Players List. The options are
      • Club Database: Lists the club databases
      • Non Members Database: Merges the club and non members databases
      • Recall a Pre-Entry File:
      • NZB Database: When this option is selected, the list can be filtered by geographical regions. (Reminder, use the Refresh Members List button after making a selection)

Screen Buttons and Selections

  • Seed by Rating Points: Click if the "random" draw for round 1 will be semi random based in team players NZB rating points. (This is a good option to use).
  • Use Carry Over: Tick if this is the finals phase or plate phase of a tournament.
  • Carry Over: The carry over for each team in the finals phase or plate phase of a tournament. This is usually defaulted from a finals field file.
  • Group ID: See Whats This? or Details here.
  • Handicap: The handicap associated with this Team (only required if the "By Team" handicapping option is used)
  • Average Rating: This is the calculated average rating points of all the team players
  • Seed: This is the seed for the Team
    • If Seed by Rating Points is ticked, Seed will always equal Average Rating
    • If Seed by Rating Points is NOT ticked, Seed may be different from Average Rating. In this case, box boxes with be highlighted red
  • Clear All Players: As Read
  • Reread all rating Points and Update Seed: Updates rating points from the NZB database for all players in the team
  • Show Substitutions and Handicaps: As read
  • Display Results Page: Closes this screen

Notes

  1. To remove any player, click one of the boxes in the Teams Players list and click the <backspace> key.
  2. Any new players entered on the table top units will be automatically slotted into the team

Substitutions

The actual members that played in each round are recorded here. It looks daunting, but is not too bad once you get the hang of it.

The R1 to R20 boxes record the actual North and South and East and West player by way of the Player Sequence Number (1 to 9) of the Team members. Clicking the mouse in one of the Rxx boxes with turn the background to cyan, and redisplay the players names in the diamond.
  1. To update the players in each round, type the relevant Player Sequence Number eg "4321" OR
  2. Drag and drop any player from the diamond or the Sitting Out boxes to the correct position.

Screen Buttons

  • Copy Players Forward: Copies the NSEW player sequence forward from the displayed round to round 20.
  • Hide Substitution and Handicaps & Player Seating: This button is the only way to get back to the Names Entry screen.

Notes

  1. When players enter their details on the table top units, this information with transfer to this Substitution screen.
  2. It must be part of the scorer's standard routine to check the Names Entry & Substitutions screen at each round.

Revised: 8 August 2016


Swiss Teams Handicap Options

Handicapped results can be calculated for Teams events. There are a number of handicap values that can be applied, a summary of which is:
  • Pro Rate based on rating points
  • Manually assigned to each team
  • Based on Club Grades
  • Based in NZB Grades
  • Member Handicap Lists
  • Manually assigned to each team player
  • X-Club National Grade handicap

Swiss Teams - Pro Rate based on Rating Points

Handicaps can be calculated based on the average rating points on the players in each team. These IMPs are added to the team’s raw score IMP’s, giving total handicapped IMP’s. This handicap IMP result is then converted to a handicap VP result.

To use this method, in the Swiss Pairs Names screen, select the From Rating/Seeding option and enter a Max Handicap when using Average Rating in the text box. The handicap for each team is then calculated as follows:
  1. The team with the highest average rating points is assigned a handicap of zero.
  2. The team with the lowest average rating points is assigned a handicap equal to the Max Handicap when using Average Rating.
  3. All teams in between are assigned a prorated handicaps between the two limits. This handicap is rounded to the nearest 5. An example of these calculated handicaps is:
Notes
  1. The players rating points come from information in the most recent NZB database.
  2. To ensure that the most accurate rating data is used, ticked the Select by Rating Points option, and ensure that ratings are updated by the Reread all Rating Points and Update Seed button.

Swiss Teams - Manually assigned to each Team

Handicaps can be assigned to each team. These IMPs are added to the team’s raw score IMP’s, giving total handicapped IMP’s. This handicap IMP result is then converted to a handicap VP result.

To use this method, in the Swiss Pairs Names screen, select the From Team # option and enter a handicap in the Handicap text box.

Swiss Teams - Manually assigned to each Team Players

Handicaps can be assigned to each player in each team. These IMPs are added to the team’s raw score IMP’s, giving total handicapped IMPs. This handicap IMP result is then converted to a handicap VP result.

To use this method, in the Swiss Pairs Names screen, select the Manually Set Each Player option and enter a handicap against each player.

Swiss Teams - Club Grades, NZB Grade, Handicap Lists

Club Grade handicaps or NZB grade handicap or Handicap list handicaps for each team player can be used. These IMPs are added to the team’s raw score IMP’s, giving total handicapped IMP’s. This handicap IMP result is then converted to a handicap VP result.

To use this method, in the Swiss Pairs Names screen, select the appropriate option.

Swiss Teams - XClub National Grade

X-Club Handicaps (XG) can be used. As the XG handicap is percentage based, it is recommended that this handicap is converted to an IMP based handicap.

The English Bridge Union recommends that a factor of 0.3086 be used. This factor is then multiplied by the number of boards per session, then by the PCT based handicap to get the equivalent IMP handicap. Thus, if 12 boards are played IMP Handicap = 0.3086 * 12 * PCT Handicap

Thus for a 12 board set, the conversion would be 0.3086 * 12 = 3.70 for each percentage point.

A team with an average XG of 55%, their IMP handicap would be -19 IMPs
A team with an average XG of 50%, their IMP handicap would be 0 IMPs
A team with an average XG of 48%, their IMP handicap would be +7 IMPs

A 48% team playing a 55% team would have a nett handicap of +26 IMPs

Clubs can experiment with different factors.
  • Lower factors will reduce the spread of handicap, perhaps to an unacceptable level.
  • Higher factors increase the spread, meaning that the lesser players have greater advantage over the more senior players. This may not be a bad thing.
Note that the IMP handicap is always rounded to the nearest integer.

Revised: 6 July 2019


Swiss Teams - Handicap Results

A handicap results for Swiss Teams is automatically calculated during the scoring process. The players handicap options are documented in Swiss Team Handicap Options.

Revised: 7 August 2016


Swiss Teams Results

Swiss Teams Results Screen

Screen Buttons

  • Display Options: Switches the displayed report
    • Butler Results: The Butler results for the competing pairs is calculated automatically. The Create XML button creates the XML.
  • Edit Options:
      • Scoring/Calculate Draw
      • Names
The following buttons are enabled by parameters Create www.bridge-club.org XML (Milan) files, Create Pianola Files and Enable the option to Email results from the results screens in Club Information Set Up.
  • Full Raw Results: For bridge-club.org websites. These files are saved to the c:\compassv6\yyyy\xml\ folder.
  • Full Handicap Results:
  • Results Summary and Draw: This XML has 3 parts; results for the last round, the overall result to date and the draw for the next round. Some clubs use this on their datashow in the playing room.
  • Create Pianola File:
  • EMail Results to Players:

Menu Items

  • Print Options: Prints the selected option, most of which are self explanatory.
      • Projector Summary
      • Score Sheet and VP Tables : Prints the sheet for this event with the correct number of boards, IMP table and VP conversion table. This report required MS Excel to be installed on your computer.
  • Edit Options
      • Contracts/Scores
      • Names
      • Substitutions
      • Group Names: Group Names are used when the field is split into separate groups, eg Open and Intermediate
      • Session Name/Date
      • Change Session Type C <--> T
      • Multi Session Details
      • Change Datum Calculations
      • Change Scoring Type: Scoring Type can be switched between IMP/VPs and Point-A-Board
  • Master Points: Generate the master points for events that award bonus master points eg A points. Master points for C point award are generated automatically.
  • Select Finals Field Open another scoring results file.
  • Generate Results: This is for text file reports only. Reports can be generated for a single round or the entire event.
  • View Results in Notepad:
  • Open CompassMate: As read.

Multi Session Details

The Multi Session Details records, for each session, the rounds played, the hand record files and the session heading for the text file reports.
  • Boards Per Round: Different number of boards can be played in each round.
  • First Board: The first board played in any session. This usually equals "1", but it could be different when one set of hands is split over different sessions.
  • Session DATE: Records the actual date that each session is played. This will initially auto populate with the likely date, but can then be changed.
  • Hand Record: The file name will auto populate if the files exist in the hand records folders and they follow the standard naming conventions for club and tournament files.

Butler Result

A Modified Butler results is automatically calculated For each playing pair, the modified datum represents you’re their total raw datum score adjusted to take into account the average score of the pairs they have played against. Any pair must play at lease one third of the matches display in the results.

The Modified Datum for each pair is calculated as follows:

Modified Datum = The pair's total raw datum of all matches PLUS
0.5 * Sum ( Average raw datum of each of their opponents )

For the mathematically inclined:

CDn = the Modified Datum of Pair n
RDn = the total of all Raw Datums of Pair n
ADn = the average Raw Datum of Pair n
(equal to RDn divided by the number of matches played by Pair n)

CDn = RDn + (ADa/2+ ADb/2+ ... + ADz/2)
where ADa, ADb, ... are the average Raw Datums of Pair n’s opponents

A Butler result can be displayed, printed or an XML file can up uploaded to the www.bridge-club.org (Milan) results service.

IMPORTANT: An accurate Butler reports required the players names and positions to be accurately recorded for each round.
Revised: 19 August 2018


Swiss Teams Event Scoring and CalculatingDraw

Swiss Teams - Event Scoring and Draw Calculation

This screen is used to display the results for all rounds for all matches. The VP result is automatically calculated for each match. Scoring errors can be corrected and the result will be recalculated. The draw for each round is also calculated from this screen.

Steps to Edit Scores

  1. Use the Round buttons and Match buttons to select a match. (A mouse click on any match from the match list will also display the result of that match.)
  2. To edit a contract, make the change directly in the grid, then press the <enter> key. The match result will automatically recalculate.

Steps to Calculate Next Round Draw

  1. Click the Calculate Next Round Draw button.
  2. The calculated draw can be manually changed through the Edit Options ... Manually Change Draw menu item.

Screen Buttons

  • Manually Enter IMPs: This over-rides the automatic calculation of the VPs based on the IMPs recorded for the match. See Manual Entry of IMPs and VPs.
  • Set Manual Scoring for All Matches: This ticks the Manually Enter IMPs check box for all matches in the current round. This is typically used when manual scoring is being used for this round as a result of a foul up in electronic scoring.
  • Display Results Page: Opens the results screen.
  • Calculate Next Draw: Will initiate the draw calculation for the next round.
  • Show Handicap Results:
  • Display Round Result
  • Display Overall Results:
  • Refresh Results:

Menu Items

  • Print Options: Prints are normally done from the Results page
  • Edit Options
    • Manually Change Draw:
    • Swap NS/EW Scores: This is used when the pairs sit in the wrong direction. As you would expect this never to happen, then option should never have to be used. Yeah right.
  • View Results in Notepad
  • Display Results Page

Manual Entry of IMPs and/or VPs

The IMP/VP result is entered manually when electronic scoring is not being used, or when there is a director adjustment to the scores.

To manually enter IMPS
  • Navigate to the correct match
  • Tick the Manually Enter IMPs check box
  • Enter the Home and Away IMPs. Important: Press the <enter> key after entering the IMPs.
  • The VPs will automatically calculate, and the IMP and VP boxes at the top right will now be hidden.

To manually enter VPs
  • Navigate to the correct match
  • Enter the Home and Away VPs. Important: Press the <enter> key after entering the VPs.
  • The red background indicates that manual VPs have been entered.
  • To cancel manually entered VPs, click in the Home Team box and press <enter> 4 times.

Handling Directors Adjustments/Penalties

Director's Adjustments are handled as follows

IMP Adjustments/Penalties

These adjustment are to the TOTAL match IMPs scored
  • Navigate to the correct match. At this point, the IMP boxes with display the match IMPs
  • Tick the Manually Enter IMPs check box
  • Enter the new Home and Away IMPs. Important: Press the <enter> key after entering the IMPs.
  • The VPs will automatically calculate, and the IMP and VP boxes at the top right will now be hidden.
To reset the IMPs back to the match IMPs (without the penalty)
  • UNTICK the Manually Enter IMPs check box
  • Position the cursor in the HOME Team box, then press the <enter> key
  • The IMPs will now be updated to the match values
  • Press <enter> twice and the VPs will be updated

VPs Adjustments/Penalties

These adjustment are to the TOTAL match VPs scored. The adjustment may mean that, the sum of the VPs for each team does not add to 20.
  • Navigate to the correct match. At this point, the VP boxes with display the match VPs
  • Enter the new Home and Away VPs. Important: Press the <enter> key after entering the VPs.
  • The red background indicates that manual VPs have been entered.
To reset the VPs back to the match VPs (without the adjustment)
  • Position the cursor in the HOME Team box, then press the <enter> key 4 times
  • The VPs will now be updated to the match values

Un-played Boards by one of the Teams
This applies when the ruling lets the result of the played board stand, and the room Datum score is assigned to the table that did not play the board.
  • First give the un-played table an "Average" score of 50 50. This sets the correct Datum for the board.
  • Press the "D" key , then the <enter> key. This will assign the Datum score to that table.
  • That's it!
Note that is re-scoring if this board at another table alters the calculated, datum. Compass will automatically adjust any previously enter datum results.

Manually assign IMPs on one board

Any number of IMPs can we assigned to each table of the match.
  • Navigate to the appropriate board for the HOME team
  • Enter the manual IMPs as "I" + [IMPs]. For example 3 IMPS is entered as i3 or I3. 0 IMPs are entered as i0 or I0
  • Press the " <enter> key.
  • Repeat the process for the appropriate board for the AWAY team

Voiding a Boards Result
  • If an Average (50/50) is assigned to one table of a match, that match result is considered to be "Par" and both teams are assigned zero IMPs.

Revised: 22 October 2017


Swiss Teams Handling Odd Team Numbers (triangle)

Swiss Teams - Handling Odd Team Numbers

Odd team numbers are awkward and are best avoided. If there is no other choice, a "triangle" movement has to be used, for which there are two options available. Note: triangles can be played with both Swiss draws and Round Robin draws. A special triangle movement is available when 5 teams are competing.

Traditional Triangle

  1. Usually, the three lowest ranking teams (based on the Swiss Draw calculation) form the 3 team triangle
  2. The triangle movement takes 2 normal rounds to complete. Thus, it is important that there is an even number of rounds played in any one session. If this is not done, it is likely that teams could discuss boards that have not yet been played by both sides of the team.
  3. Three sets of boards are required for the two rounds of the triangle. These are the current main room set, the “next” main room set and one additional set.
For Example Main Room Triangle
Round 1 Use set 1 (say 1-12) Rounds 1 & 2 Use Set 1 and Set 2 (same sets as the main room)
Round 2 Use set 2 (say 13-24) plus one additional set
  4. The triangle set of additional boards is played in the triangle only. They are best pre-dealt hands as are the main set boards.
  5. At the table, it may be best to mark these additional boards in a way that they are not mixed up with the main set of boards.
  6. The triangle added set board numbers should be 1, 2, 3 …
    • In reports and screen, Compass will number these boards as 1*, 2*, 3* …
    • The Bridgemates and BridgeTabs and BridgePals will number these boards as 81, 82, 83 …
    • The website will number these boards as 81, 82, 83 …
  7. For convenience, the triangle movement should be played at 3 separate tables over to the side. The 3 teams would move to these tables during the triangle rounds, bringing their table top units from the home table to the triangle tables.

Example

Assume 12 board matches and the teams in the triangle are teams 1, 5 and 7. At round 1, teams initially sit at their home table. The EW pairs then immediately move UP one table. The boards remain at their original table.

Thus, for round 1 of the triangle

Table 1 NS 1 plays EW 7 Boards 1-12
Table 5 NS 5 plays EW 1 Boards 13-24 Table 7 NS 7 plays EW 5 Boards 1*-12* (the added set)

For round 2 of the triangle, EW pairs move UP one table and the boards move down 1 table.

Table 1 NS 1 plays EW 5 Boards 13-24
Table 5 NS 5 plays EW 7 Boards 1*-12* (the added set) Table 7 NS 7 plays EW 1 Boards 1-12

McManus Triangle

This alternative to the normal triangle movement was devised by the NSW Chief Tournament Director, Matthew McManus, and eliminates the disadvantages associated with the traditional triangle. With the McManus Triangle:
  1. The triangle teams play the same set of boards as are played in the main room.
  2. No extra set of boards is required.
  3. Teams can score up after each round.
  4. The tournament can have an odd number of rounds.
  5. You can break the sessions at any time with no boards hanging over at, say, the lunch break.
The perceived disadvantage is the teams involved do not play the same team at the other table However the other benefits outweigh this disadvantage and ultimately, the validity of result is not compromised.

Example

Assume the teams in the triangle are teams 1, 5 and 7. At round 1, teams initially sit at their home table. The EW pairs then immediately move UP one table. All three tables play the same set of boards as the main room.

Thus, for round 1 of the triangle

Table 1 NS 1 plays EW 7
Table 5 NS 5 plays EW 1
Table 7 NS 7 plays EW 5

Match 1 is... 'Home' Table NS 1 plays EW 7
'Away' Table NS 5 plays EW 1
Note that team 1 plays team 7 at one table and team 5 at the other

Match 2 is... 'Home' Table NS 5 plays EW 1
'Away' Table NS 7 plays EW 5
Note that team 5 plays team 1 at one table and team 7 at the other

Match 3 is... 'Home' Table NS 7 plays EW 5
'Away' Table NS 1 plays EW 7
Note that team 7 plays team 5 at one table and team 1 at the other

IMPORTANT: Before the second round of the triangle is played, the EW PAIRS AGAIN MOVE UP ONE TABLE.

Thus, for round 2 of the triangle

Table 1 NS 1 plays EW 5
Table 5 NS 5 plays EW 7
Table 7 NS 7 plays EW 1

Match 1 is... 'Home' Table NS 1 plays EW 5
'Away' Table NS 7 plays EW 1
Note that team 1 plays team 5 at one table and team 7 at the other

Match 2 is... 'Home' Table NS 5 plays EW 7
'Away' Table NS 1 plays EW 5
Note that team 5 plays team 7 at one table and team 1 at the other

Match 3 is... 'Home' Table NS 7 plays EW 1
'Away' Table NS 5 plays EW 7
Note that team 7 plays team 1 at one table and team 5 at the other

Round Robin Draws with Triangle

  1. In RR events, one team is in the triangle for the entire event. Whilst this may be acceptable in club events, it is almost certainly not desirable to use in tournament events.

Special Case for 5 Teams (thanks to Patrick Carter for this movement)

  • This is a round robin movement
  • Two matches are played per session, each of 12 boards
  • Two rounds are required to complete the round robin
  • 3 sets of 12 boards are required 1-12, 13-24 and 25-36. Duplication of boards is not required.
  • Double and triple round robins can be played. Double RR requires 4 sessions (ie evenings) to complete. Triple RR requires 6 sessions to complete.
First Session
  • Team 1 start at table 1
  • Team 2 start at table 2
  • Team 3 start at table 3
  • Team 4 start at table 4
  • Team 5 start at table 5
  • Lay out the 5 tables in a circle with the teams seated as above.
    • Tables 1 and 2 share boards 1-12
    • Tables 3 and 4 share boards 13-24
    • Table 5 has boards 25-36
  • The E/W Pairs of each team immediately move UP two tables. That is ...
    • E/W 1 moves to table E/W 3
    • E/W 2 moves to table E/W 4
    • E/W 3 moves to table E/W 5
    • E/W 4 moves to table E/W 1
    • E/W 5 moves to table E/W 2
  • All teams plays their first 12 boards but nobody scores halfway through the evening
  • For the second round, N/S move UP two tables and E/W move DOWN two tables. That is ...
    • N/S at table 1 moves to table N/S 3, E/W at table 1 moves to table E/W 4
    • N/S at table 2 moves to table N/S 4, E/W at table 2 moves to table E/W 5
    • N/S at table 3 moves to table N/S 5, E/W at table 3 moves to table E/W 1
    • N/S at table 4 moves to table N/S 1, E/W at table 4 moves to table E/W 2
    • N/S at table 5 moves to table N/S 2, E/W at table 5 moves to table E/W 3
  • The boards stay at their existing tables
  • All teams play their second set of boards and then meet their team-mates to score up both matches
  • At the end of the evening each team will have two results and the following matches will have been played:
1 v 4, 2 v 5, 3 v 1, 4 v 2 and 5 v 3
Second Session

The second session runs exactly the same way, but in order to get different teams playing each other you lay out the numbers as follows:

  • Team 5 start at table 1
  • Team 3 start at table 2
  • Team 1 start at table 3
  • Team 4 start at table 4
  • Team 2 start at table 5
  • Lay out the 5 tables in a circle with the teams seated as above.
    • Tables 1 and 2 share boards 1-12
    • Tables 3 and 4 share boards 13-24
    • Table 5 has boards 25-36
  • The E/W Pairs of each team immediately move UP two tables. That is ...
    • E/W at table 1 moves to table E/W 3
    • E/W at table 2 moves to table E/W 4
    • E/W at table 3 moves to table E/W 5
    • E/W at table 4 moves to table E/W 1
    • E/W at table 5 moves to table E/W 2
  • All teams plays their first 12 boards but nobody scores halfway through the evening
  • For the second round, N/S move UP two tables and E/W move DOWN two tables
    • N/S at table 1 moves to table N/S 3, E/W at table 1 moves to table E/W 4
    • N/S at table 2 moves to table N/S 4, E/W at table 2 moves to table E/W 5
    • N/S at table 3 moves to table N/S 5, E/W at table 3 moves to table E/W 1
    • N/S at table 4 moves to table N/S 1, E/W at table 4 moves to table E/W 2
    • N/S at table 5 moves to table N/S 2, E/W at table 5 moves to table E/W 3
  • The boards stay at their existing tables
  • All teams play their second set of boards and then meet their team-mates to score up both matches
  • At the end of the evening each team will have two results and the following matches will have been played:
5 v 4, 3 v 2, 1 v 5, 4 v 3 and 2 v 1 and those matches complete the full round robin over two session
Revised: 8 March 2020


Swiss Teams Finals Files

Swiss Teams - Finals Field

A finals field is required when a tournament has qualifying sessions and then has a final and possibly a plate phase. A finalists are determined by the placing in the qualifying event.

The process to generate finals fields is documented in Tournament - Finals Field.

Revised: 2 August 2016


Change Swiss Teams Draw

Change the Swiss Draw

At times, the draw may need to be manually changed. Obviously, once play has started and info has been entered on the table top unit, care should be taken in changing the draw.

The most efficient method to record the new draw is as follows:

  1. Over-type the match number in the text box, then press <enter>
  2. Over-type the home team number in the text box, then press <enter>
  3. Over-type the away team number in the text box, then press <enter>
  4. Press <enter> or click the Save Change for this Match button
  5. Repeat steps one to 4 for the other tables
  6. If appropriate, enter the 3 teams that are playing in the triangle
  7. If the new draw is OK, click the SAVE all Changes and Exit button
  8. If the new draw is not OK, click the DISCARD all Changes and Exit button

Notes

  1. As the changes are being make, the new draw is automatically validated
  2. The Validation box will show the teams that are in the draw twice, and those teams not in the draw at all
  3. Invalid draws cannot be saved
  4. The draw for a round robin event cannot be changed manually!
Revised: 17 February 2017


Knockout Teams - Overview

A knock-out event is a teams event where teams are eliminated after each round. The competing teams come from the qualifying stage of a Swiss Teams event. The number of teams entered is either 32 or 16 or 8 or 4 or 2. Each round played is called a "phase". The rounds are automatically named, according to the number of competing teams.

Number of Teams Phase Title
32 Round of 32
16 Round of 16
8 Quarter Final
4 Semi Final
2 Final

Stanzas

Each Phase has any number of "stanzas". A stanza is where is group of boards are played in one sitting, typically 12 to 16 boards. After each stanza, the matches are scored up. Sometimes one team forfeits a match before all stanzas are played.

Carry Overs

Carry overs can be applied in any stanza.

Details of the Knockout Teams scoring process is found here
Revised: 8 August 2016


Knockout Teams - Scoring

These generalized instructions are for a Knockout Teams event. Almost certainly, the team information will come from a Finals Field file of a qualifying event

Scoring The First Stanza

  2. Enter the event in the Club Calendar of Events or the Tournament Calendar of Events.
  3. Create the required hand record files
  4. Deal the hands and print the hand records via Dealer Assist
  5. Set up the event using the Session Set Up screen.
  6. Enter the Multi Session Details
  7. Open Match Details will now open.
  8. Set up the draw, the carryover and the team names/players for the first phase
  9. Open the Results screen
  10. Open the CompassMate Screen
  11. Start the Bridge Control System and click the Click to start reading scores and Click to start reading names options.
Once all tables have completed their boards
  1. Close all Bridge Control programs (electronic scoring)
  2. Exit the CompassMate Screen

At Completion of the Current Stanza

  1. Review the Results Screen
  2. Correct wrong scores and players names
  3. Publish the Results
    • Print the results
    • Create the XML File
  4. Start the scoring for the next stanza ans repeat this process until a stanzas are complete

Scoring The Next Phases

  1. Use the combo box to advance to the next phase
  2. Then repeat the process from step 8 above
Repeat this process until the Final Phase is complete.

Special Draw for the Last Phase

Normal, the last phase is the final match between the last 2 teams standing. A playoff for 3rd and 4th can be played between the losing teams in the Semi Final Phase. To do this, when in the Final Phase, click the Add Playoff Match button.

Revised: 8 August 2016


Knockout Teams - Session Set Up

The event is set up as follows:
  1. Enter the event details
    • Total TEAMS. Choices are 16,8,4 or 2.
    • The Phases are now displayed
    • For each phase, enter the number of stanzas and the number of boards played per stanza
  2. Enter the Session Details from the right hand panel.
  3. Click the OK button to start the scoring.


Knock Out Names Entry and Substitutions

Knockout Teams - Names Entry and Substitutions

The Names Entry and Substitutions process for Knockout Teams is identical to the Swiss/Round Robin Teams process. One variation is that the intial team information will probably come from the Finals Fields file of the qualifying phase of the event.


Knockout Teams Results

Knockout Teams - Results Screen

Screen Buttons

  • Display Options: Switches the displayed report
  • Edit Options:
      • Scoring/Calculate Draw
      • Names
The following buttons are enabled by the parameter Create www.bridge-club.org XML (Milan) files in Club Information Set Up.
  • Full Raw Results: For bridge-club.org websites. These files are saved to the c:\compassv6\yyyy\xml\ folder.
  • Results Summary and Draw: This XML has 3 parts; results for the last round, the overall result to date and the draw for the next round. Some clubs use this on their datashow in the playing room.

Menu Items

  • Print Options: Prints the selected option, most of which are self explanatory.
  • Edit Options
  • Master Points: Generate the master points for events that award bonus master points eg A points. Master points for C point award are generated automatically.
  • View Results in Notepad
  • Open CompassMate:

Revised: 5 August 2016


Knockout Teams Scoring and Draw

Knockout Teams - Scoring and Draw Calculation

This screen is used to display the results for all stanzas for all matches for all phases. The IMP results is automatically calculated for each match. Scoring errors can be corrected and the result will be recalculated. The draw for all phases is also calculated from this screen.

The results are always expressed in IMPs only. There is never a conversion to VPs.

Screen Buttons - Draw Options

Set Up the Draw for the Phase: The calculated draw is fixed based on the standard elimination bracket.
  • Final Phase: 1 v 2
  • Semi Final Phase: 1 v 4, 2 v 3
  • Quarter Final Phase: 1 v 8, 3 v 6, 5 v 4, 7 v 2
  • Round of 16: 1 v 16, 3 v 14, 5 v 12, 7 v 10, 9 v 8 , 11 v 6, 13 v 4, 15 v 2
  • Round of 32: You get the picture
Example: The Round of 16 Bracket is as follows

Add Playoff Match

This is applicable to the finals phase only. It sets up a 3rd vs 4th match against the losing teams from the semi finals phase.

Change Draw

Allows the calculated draw to be manually changed.

Screen Buttons - CarryOver (C/O) Options

Define CarryOver Calculations

The carry over calculation can be defined. The original carry over of VPs comes from the Finals Field process from the qualifying rounds. For each phase, these VPs are then multiplied by a Multiplying Factor as defined in the playing conditions for the event. A maximum carry over value can also be set. This calculated carry over becomes the value that is applied to each team in each phase.

Apply Carryover to this Phase

The calculated carryover is applied to this phase. This is normalized, so that the lower team is reduced to zero, and the higher team carryover is reduced accordingly.

If the Director has a Whim Simply manually enter the carryover for all teams in the C/O text box.

Screen Buttons - Edit Options

Edit Names: Opens the Edit Names Screen.

Edit Penalty/Adjustment Text: See Penalty/Adjustment Note

Steps to Edit Scores

  1. Use the Match Number button to select a match.
  2. To edit a contract, make the change directly in the grid, then press the <enter> key. The match result will immediately recalculate.

Penalties/Adjustments

Penalties and Adjustments can be added for any team in any phase. These are entered directly in the Penalty and Adj boxes.

Additionally, Penalty/Adjustment notes can be entered by clicking the Edit Penalty/Adjustment Text button. These notes are then included in the printed and website result

Menu Items

The menu items are self explanatory.

Revised: 8 August 2016


Multiple Teams Overview

Multiple Teams Events - Overview

This event is a 'teams of four' event that uses a Mitchell type movement. Each team plays a mini-match of 2 or 3 boards against every other team.

Scoring Types

The scoring types available are:
  • IMPs: Each compared score are IMPed using the standard scale. This is the most common scoring type for Multiple Teams.
  • Point-A-Board with a 0-1-2 result: Each score is compared. A difference of 10 or less awards 1 point to both pairs. A difference greater than 10 awards 2 points to the winning pair and 0 to the losing pair.
  • Point-A-Board with a 0-1-2 result: Each score is compared. A difference of zero awards 1 point to both pairs. A difference greater than zero awards 2 points to the winning pair and 0 to the losing pair.
  • Point-A-Board with a 0-2-4 result: Each score is compared. A difference of 10 or less are awarded 2 points to both pairs. A difference greater than 10 and less than 200 awards 3 points to the winning pair and 1 to the losing pair. A difference of 200 or more awards 4 points to the winning pair and 0 to the losing pair
  • Match Point (Back to the Future): Each board is match pointed and the final result is reported as percentages.

Player/Table Numbers and Substitutions

  1. Substitutions can be used as in other pairs competitions.

Movement Types

  1. Set movements must be used depending if there is a an odd number of tables or even numbers of tables. The details of the movement type are here.

General Comments

  1. The selection of the Scoring Type is done on the setup screen. However, from the Display Results screen, the results can be re-scored using any one of the Scoring Types.
  2. A Multiple Teams event can be run over multiple sessions. The overall result is calculated from the Club Competitions screen or the Tournament Results screen.
  3. Sometimes, the event conditions require that the players mix up so they play with a different partner in each round.
Details of the Multiple Teams scoring process is found here
Revised: 7 August 2016


Multiple Teams - Scoring

The scoring of Multiple Teams events is almost identical to scoring for duplicate pairs. The only difference is that the results are reported as a team as opposed to a pair.


Multiple Teams - Movements

Two movements are available - one for even numbers of table, and one for odd number of tables. The odd table movement is much easier, so try to arrange for an odd number of tables.

The number of boards in play equals the [Number of Tables] * {Boards Per Set]. However the boards played are one set less A possible layout of boards is:

Tables | Boards Per Set | Boards in Play | Bds Played by Each Team
5 | 6 | 30 | 24
6 | 5 | 30 | 25
7 | 4 | 28 | 24
8 | 4 | 32 | 28
9 | 3 | 27 | 24
10 | 3 | 30 | 27
11 | 3 | 33 | 30
etc | - | - | -

New England Relay

  1. Even number of teams
  2. Tables arranged in two rows numbered as shown below
  3. Boards are shared between the two rows as shown below
  4. After each pair of sharing tables there is a relay table
  5. The number of sets of boards equals the number of teams which equals the number of stations
  6. Each team plays every other team
  7. Each team does not play the first set of boards
  8. At each move, EW Pairs move and the boards move in the same direction , DOWN towards table 1. EW move DOWN one table and boards move DOWN one station
  9. All team members start at their home table but do not play any boards at that table. After entering the name IDs on the table top units, the first movement for the EW pairs and the boards is called.

Example for 6 Teams

American Whist

  1. Odd number of teams
  2. Tables arranged in order as for a Mitchell Movement
  3. Each team plays every other team
  4. Number of sets of boards equals the number of teams
  5. Each team plays every other team
  6. Each team does not play one set of boards
  7. At each move, EW Pairs move up two tables and boards are moved up one table
  8. All team members start at their home table but do not play any boards at that table. After entering the name IDs on the table top units, the first movement for the EW pairs and the boards is called.

Example for 5 Teams

Revised: 7 August 2016


Individual Overview

Individual Events - Overview

These event mix the players so they play with a different partner at each table, and often a different partner for each board.

Scoring Types

Normal matchpointing scoring is used.

Notes

  1. Set movements must be always be used which are dependent on the number of competing tables. The details of the movement options is here.
  2. the use of Personal Guide Cards (PGCs) are required to ensure a smooth movement of all players. These can be printed from the Session Set-Up screen but, if using electronic scoring, they are best printed after the players have entered their names on the table top units (TTUs) as this version incluse the player first names. This print can be initiated from the CompassMate screen.

Display of Results

The results can the displayed in text file format or HTML format. At this time, results cannot be displayed of the www.brdge-club.org (Milan) format.
  • HTML files are saved on the c:\compassv6\yyyy\html\ folder
  • Text files are saved in the c:\compassv6\textfiles\ folder

Special Case for Manual Scoring

It is essential that personal score sheets are made available to the player, and that travelers . The following process is recommended.
  1. Get players seated at tables 1,2,3 ... etc. Seat any additional players at another table.
  2. Get a list of the player - their table, NSEW position and names are required
  3. Ask the players to start play. Advise them that the traveling score sheets and personal guide cards will be distributed shortly.
  4. Start Compass and set up the session in the normal matter
  5. Enter the players names
  6. From the Print menu on the Display Results screen
    • print the Traveling Score Sheets
    • print the personal guide cards
  7. Guillotine the printed documents
  8. Distribute the printed documents to the players
Details of the Individuals scoring process is found here
Revised: 29 January 2018


Individual Scoring

Individual Events - Scoring

These generalized instructions are for an Individual event.

Prior to Play

  1. Enter the event in the Club Calendar of Events or the Tournament Calendar of Events.
  2. Create the required hand record files
  3. Deal the hands and print the hand records via Dealer Assist.

On the Day

  1. Ensure the electronic scoring equipment is in good working order
  2. From the main strip menu, select Scoring ... Individual Contests
  3. To set up the event details use the Details Screen and the Event Selection Screen
  4. Select the Electronic Scoring Option A session with only 1 Section
  5. The CompassMate screen will now open
  6. Start the Bridge Control System and click the Click to start reading scores and Click to start reading names options.
Once all tables have completed their boards
  1. Close all Bridge Control Systems
  2. Exit the CompassMate Screen

At Completion of Play

  1. Review the Results Screen
  2. Correct scoring errors, players names and add director's adjustments
  3. Publish the Results
    • Print the results
    • Create the XML File
    • Email the result to the players
    • (If applicable) Upload the text file reports to your website
  4. Close Compass

Revised: 8 August 2016


Individual Session Set Up

Individual Events - Session Set Up

The set up screen is identical to the Details Screen that is used in pairs scoring, except that the movement choices are limited to those for individual event

When setting up a new scoring session, select the Individual option

Movement Selection - Table Numbers

When setting up the session, if the number of competing players is ....
  • Full tables, select the appropriate whole number of tables eg for 4 full tables, select "4"
  • Full tables, but with one missing (phantom) player, select the whole number of tables eg for 4 full tables LESS one player, select "4". Later you will be asked to enter the player number for the phantom player.
  • Full tables PLUS one additional players, select the entry that has ".1" in the table numbers, eg for 4 full tables PLUS one players, select "4.1".
  • Full tables PLUS two additional players, select the entry that have ".2" in the table numbers, eg for 4 full tables PLUS two players, select "4.2".

When using View Session Results, select the Individual option.

Also, the option Rotate Players for every Board can be enabled if players are required to play with a different partner on every board.
Revised: 23 January 2017
.


Individual Names Entry and Substitutions

Individual Events - Names Entry and Substitutions

Player Names Entry

The names entry process for Individuals is identical to that for ordinary pairs events. Details can be found here.

Practically speaking, electronic scoring must be used when running an Individual event. At the first table, players sit in any position and enter their player details on the table top units. The actual individual players number must be taken from the table guide cards.

The players are recoding according to their seating position in the first round. An example for 6 tables is as follows:

"Sit Out" Movements

When a "sit-out" movement is used, the player names for those who sit out for the first round are entered on the TTUs that is at the last table.

When entering of changing players names, the "sit-out" players are enter and follows. Assume there are 3 tables, plus 1 to 3 additional players, the players names are entered according to their seating at round 1
  • The NS pairs seated at tables 1-3 are entered in the 1-3 slots in the names entry screen. The NORTH player is entered first, then the South player.
  • The EW pairs seated at tables 1-3 are entered in the 5-7 slots in the names entry screen. The EAST player is entered first, then the West player.
  • The additional players are entered
    • The first additional player is the NORTH player, and their name is entered on line 4 in the names entry screen
    • The second additional player is the EAST player, and their name is entered on line 8 in the names entry screen
    • The third additional player is the SOUTH player, and their name is entered on line 4 in the names entry screen
    • any vacant additional player can be entered as Phantom

Substitutions

Players substitutions are not relevant in Individual events.

Revised: 22 January 2018


Individual Results Screen

The same screen displays the results for duplicate pairs, multiple teams and individual events.

Revised: 8 August 2016


Individual Movements

Individual Events - Movements

There is a fixed set of movements for Individual Events. The movements with less than 20 boards are party movements suitable for informal sessions.

An option Rotate Players for every Board can be set in the Detail Set Up screen for the players to rotate after each board. This means that each board is played with a different partner. Notes, this is available for 4 or more tables only. If more than 1 board per set is played, it is highly recommended that the rotate option is used. This ensures that players of differing standards are mixed up as much as possible.

Guide cards must be used for all Individual movement which can be printed from the Detail Set Up screen screen.

Tables | Movement Type | Rounds | Boards Per Set | Boards | Players Rotate?
2 | Progressive | 7 | 1 or 2 or 3 or 4 | 7 or 14 or 21 or 28 | No
3 | Progressive | 11 | 1 or 2 or 3 | 11 or 22 or 33 | No
5 | Rainbow | 5 | 2 or 3 or 4 or 5 or 6 | 10 or 15 or 20 or 25 or 30 | Optional
6 | Rainbow | 7 | 2 or 3 | 14 or 21 | Optional
7 | Rainbow | 7 | 1 or 2 or 3 or 4 or 5 | 7 or 14 or 21 or 28 or 35 | Optional
10 | Individual | 13 | 1 or 2 | 13 or 26 | Optional
11 | Rainbow | 11 | 1 or 2 or 3 | 11 or 22 or 33 | Optional
13 | Rainbow | 13 | 1 or 2 or 3 | 13 or 26 or 39 | Optional
17 | Rainbow | 17 | 1 or 2 | 17 or 34 | Optional
4 | Irregular | 12 | 1 or 2 | 12 or 24 | Optional
6 | Irregular | 7 | 2 or 3 | 14 or 21 | Optional
8 | Irregular | 8 | 2 or 3 | 16 or 24 | Optional
9 | Irregular | 12 | 1 or 2 | 12 or 24 | Optional
9 Players | Individual | 9 | 1 or 2 or 3 | 9 or 18 or 27 | No
10 Players | Individual | 10 | 1 or 2 | 10 or 20 | No
13 Players | Individual | 13 | 1 or 2 | 13 or 26 | No
14 Players | Individual | 14 | 1 or 2 | 14 or 28 | No
17 Players | Individual | 17 | 1 | 17 | No
18 Players | Individual | 15 | 1 or 2 | 15 or 30 | No
21 Players | Individual | 21 | 1 | 21 | No
22 Players | Individual | 21 | 1 | 21 | No
25 Players | Individual | 13 | 1 or 2 | 12 or 24 | No
26 Players | Individual | 13 | 1 or 2 | 12 or 24 | No
37 Players | Individual | 13 | 1 or 2 | 12 or 24 | No
38 Players | Individual | 13 | 1 or 2 | 12 or 24 | No
41 Players | Individual | 13 | 1 or 2 | 13 or 26 | No
42 Players | Individual | 13 | 1 or 2 | 13 or 26 | No

Summary of Player for the Available Movements

TABLES --> | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 13 | 17
Phantom OK |  | 11 | 15 | 19 | 23 | 27 | 31 | 35 | 39 | 43 | 51 | 67
Full Tables | 8 | 12 | 16 | 20 | 24 | 28 | 32 | 36 | 40 | 44 | 52 | 68
Plus 1 Players | 9 | 13 | 17 | 21 | 25 |  |  | 37 | 41 |  |  |
Plus 2 Players | 10 | 14 | 19 | 22 | 26 |  |  | 38 | 42 |  |  |

  • The Rainbow movements are fairly orderly , in that the boards move as normal and the ESW players move up or down in an orderly manner.
  • The Progressive movements are disorderly, in that players move seemingly randomly and the boards are shared among all tables.
  • The Irregular movements are disorderly, in that players move seemingly randomly. The boards may move in an order manner OR each set of boards remains on the same table throughout the session.

Handling Non-Full Tables

Sit Out Players

Movements exist for 9,10,13,14,17,18,21,22,25,26,37,41,42 players. If this case, at least 1 players sits out for one round. Refer to your Personal Guide cards for the movement details.

Phantom Players

When the player numbers are one short of full tables, a phantom player can be used. These movements are not ideal and each player sits out a different number of times, but it does accommodate every player that attends.

It is best to assign the phantom player as the highest player number.

Shortening the Session

Is is OK to end the session before the full number of rounds have been played. When sessions are shortened, use the End this session before all rounds are played button that is on the CompassMate screen.

Player Rotation

For table numbers of 4 or more, the Rotate Players for every Board option is enabled when the session is set up. The rotation is as follows:

Boards per Set | Rotate
1 | No rotation
2 | South and East swap positions after the first board is played
3+ | North remains stationary, and the W, S, E players rotate clockwise around N after each board is played

After rotating, all players should return to their original directional position before the movement for the next round is called.

Movement Guide Cards

All Individual movements require guide cards to be used. These can be printed from the session set-up screen.

PERSONAL GUIDE CARDS can also be printed. If using electronic scoring, these should be printed AFTER players have entered their names into the Bridge Mates, Tabs or Pals. These can be printed from the Print Menu of the Results screen or from the CompassMate screen.

A sample is:

Notes

  1. The overall winners of an event over more that one session can be calculated from Club Competitions.
  2. After the new Master Point process in implemented by NZB in early 2017, master points will be automatically calculated for all Individual events.

Revised: 19 December 2018


Electronic Scoring Overview

Compass support the four main electronic scoring systems
  • BridgeMATE: A well established reliable scoring system
  • BridgePAL: This is a FREE system that uses Android devices as the table top units.
  • BridgeTAB: This uses standard Android devices as the table top units. This requires "per table" licenses - prices vary, but typical prices are $10-$15 per table per year.
  • BridgePal: This is FREEWARE that uses standard Android devices as the table top units. There are NO LICENSING FEES.

Revised: 24 November 2018


Bridgemates

Electronic Scoring - Bridgemates

The Bridgemate system has been in use in bridge clubs since the late 1990s and today, about 4,500 bridge clubs in 65 countries use the system.
  • Supplier: Ron Bouwland (The Netherlands)
  • Software: BMPro
  • Table Top Units: Custom Bridgemate units

Useful Resources

  • www.bridgemate.com This is the official BridgeMate site.
  • Compassmate Documentation in Dropbox

Installation

Please refer to Jan Spaans for instructions

Club Information Set Up Configuration

  • Primary System
  • The Secondary System cannot be set
Revised: 6 August 2016


Electronic Scoring - When Things Go Wrong (Bridgemates)

Instructions for BridgePal users: Electronic Scoring - When things go wrong (BridgePals)
Instructions for BridgeTab users: Electronic Scoring - When things go wrong (BridgeTabs)

Wrong movement set up, late pairs arrive, wrong tables numbers, boards played out of order, phantom changes are things that do happen.

The best way to avoid errors is to delay the setting up of a session within Compass until all players are well and truly seated. The director then knows the exact table numbers and thus can determine the appropriate movement. But yes, sometimes things do not always go according to plan.

Contents

Correcting the Session Set Up
Add, Remove or Move the Phantom
Change of Movement
Scrapping a Session
Boards Played out of Sequence
Kill an Invisible BCS Session
Bridgemates - Bridge Control System (BCS) is Closed

Correcting the Session Set Up

These instructions cover the case when a section has been set up incorrectly. It could that the session has incorrect table numbers or boards per table or movement. This can happen with single events and with one or more sections of multi section and piggy back events.

This page does not discuss problems directly related to the Bridgemate Bridge Control System (BCS) itself. For these issues, please refer to the Bridgemate documentation that is available in the \CompassMate\Bridgemate Documentation\ folder in Dropbox.

Duplicate Pairs Events

These change processes apply to duplicate events.

Add, Remove or Move the Phantom

Use this procedure for a change to the phantom, where the phantom is either added or removed of shifted within the existing tables in the movement. Refer to the Reposition the Phantom documentation.

Change of Movement

Notes
    1. This occurs when the movement changes in one or more of the existing sections.
    2. During this process, the results for all boards in round 1 are erased. It will be necessary to re-enter the results of boards already played.
BCS and Bridgemates

It does not matter if BCS has been started or not, if tables have logged in or not, or if data entry on the BM units has been started or not.
    1. if BCS is not running, do not start it just yet
    2. If BCS is running
      • Leave it running
      • Ask the players sitting in the INCORRECT sections to stop what they are doing, and await further instructions.
      • The players in the CORRECT section can carry on uninterrupted.
Compass
    • Exit the INCORRECT section back to the side-bar menu. Use the Exit Back to the Side-Bar Menu menu item to do this.
    • Use the Scoring button to redo the set up for the INCORRECT section
    • If this question is displayed, always answer YES

    • Enter the Bridgemate Scoring Type details, in the same way they were entered originally.

    • If this question is displayed, the usual answer is YES

    • Enter the "phantom" details
    • The CompassMate Screen will now open
BCS and Bridgemates
    • If BCS has never been started previously, start it now. The section(s) now continue as normal.
    • If BCS was previously started, and then stopped, start it again now.
    • If BCS is running, the new movement for the incorrect section is now uploaded to BCS. That section(s) now continues as normal.
    • To this question,

        • Answer YES, for single section events
        • Answer NO, for multi section/session events
    • The tables in the (now) corrected section/session can now be told to resume play and use the BM units
    • The sessions now continue as normal

Notes for the (now) corrected section

    1. some movement changes may mean that the last set of boards has to be inserted into the movement out of sequence. Use the Boards out of Sequence process to do this.
    2. Any previously entered board results must be re-entered
    3. if the movement change results in boards being redistributed, it may be necessary to award arbitral scores for boards that cannot be played fairly.
    4. Any incorrectly recorded names should be corrected on the BM units or directly within Compass.

Scrapping a Session

In dire circumstances it may be necessary to abandon the current session and start again.
Compass
    1. From the Adjustments tab click the End this session before all rounds are played button and follow the instructions
    2. Close Compass completely
BCS and Bridgemates
    1. Select Close from the File menu item
    2. Select End from the File menu item

Compass
    1. Start the setup of the session again

Boards Played out of sequence

In the rare event where boards are not laid out in numerical sequence

Compass
    1. On the CompassMate screen ...
    2. From the Adjustments tab click the Boards played out of order button
    3. Enter the actual sequence of the boards.
      • The usual sequence would be been something like: 1,2,3,4,5,6,7,8,9 10,11,12,13,14,15,16,17,18,19,20,21,22,23,24
      • The new sequence could be: 1,2,3,4,5,6,7,8,9 10,11,12,,22,23,24,13,14,15,16,17,18,19,20,21
    4. Click the Exit button
    5. Confirm that the new sequence is correct
    6. The new sequence will now be sent to BCS

Kill an Invisible BCS Session

At times an invisible instance of Bridgemate Control left somehow running in the background. This is apparent when the Start Bridge Control button background is green, but the BCS icon is not showing in the task bar. Use the Kill an Invisible BSC Session menu item to invisible instance.

Bridgemates - Bridge Control System (BCS) is Inadvertently Closed

BCS can unexpectedly close due to human error or computer failure. Use these steps for recover the session.

    1. Do not panic
    2. If Compass has shut down, use the View Session Results button to display the session, and then navigate to the CompassMate screen.
    3. Click the Start Bridge Control button
    4. To the displayed question, click YES

    5. BCS and the Bridgemates should now continue as normal.
    6. If NO is entered in response to the above question, you will be asked to confirm that you indeed want to wipe EVERYTHING out of the Bridgemates.

Revised: 7 February 2017


BridgePals Compass Integration

Electronic Scoring - BridgePal

BridgePal is a FREEWARE wireless scoring system for bridge sessions based on the use of smartphones or tablets, rather than dedicated scoring units, and providing a comprehensive set of features. The devices are networked via a WIFI router to a Windows PC which runs the scoring software, but no mobile network or Internet connection is required and therefore the system can be used in any location.

The above is extracted from the BridgePal website at https://mirgo2.co.uk/bridgepal

Hand Records

BridgePal requires PBN files only. If this files exists, that hand records can be displayed on the tablets, along with the makeables if this info is in the PBN file.

Installation

The BridgePal system can be downloaded from https://mirgo2.co.uk/bridgepal

Club Information Set Up Configuration

  • Primary System
Revised: 24 November 2018


BridgePal Installation

To install the BridgePal electronic scoring system

PC or Laptop

  1. From the website https://mirgo2.co.uk/bridgepal/index.php?section=6
    • Install BridgePal Services
    • Install BridgePal Server
  2. Within Compass... Club Info Set Up, specify BridgePal at the electronic scoring system.

Android Devices

  1. From the Google Play Store,
    • install the BridgePal App on each device
    • optionally install Bridge Solver Online on each device (this allow each hand to be replayed on the table top units).

BridgePal Settings

BridgePal share many of the BridgeMate settings - and these are set in the BridgeMate Tab of the CompassMate screen.

Revised: 24 November 2018


Electronic Scoring - When Things Go Wrong (BridgePals)

Instructions for BridgeTab users: Electronic Scoring - When things go wrong (BridgeTabs)
Instructions for BridgeMate users: Electronic Scoring - When things go wrong (BridgeMates)

Wrong movement set up, late pairs arrive, wrong tables numbers, boards played out of order, phantom changes are things that do happen.

The best way to avoid errors is to delay the setting up of a session within Compass until all players are well and truly seated. The director then knows the exact table numbers and thus can determine the appropriate movement. But yes, sometimes things do not always go according to plan.

The recommended way to correct errors is to just stop the BridgePal server, then set up the session up in Compass

This page does not discuss problems directly related to the BridgePal Server itself. For these issues, please refer to the BridgePal App User Guide

Contents

Add, Remove or Move the Phantom
Change of Movement
Scrapping a Session
Boards Played out of Sequence

How to Reset the Tablets

  • Touch the 3 horizontal dots
  • Select Director Function
  • Select Reset Table, then OK
  • Enter the Director PIN, then OK
  • The Tablet will now be at the Start screen
  • Proceed as normal
    • Note that the original player numbers/names will be retained
    • The results for all previously played boards must be re-entered

These instructions cover the case when a section has been set up incorrectly. It could that the session has incorrect table numbers or boards per table or movement. This can happen with single events and with one or more sections of multi section and piggy back events.

IMPORTANT: In all cases the generalized procedure is
  1. The BridgePal Server must be be stopped before any changes are made. This will temporarily disable the communication with the tablets.
  2. The set-up changes are now done in Compass
  3. Restart the BridgePal Server
  4. All tablets in the affected section should now be reset (see above)

Add, Remove or Move the Phantom

Use this procedure for a change to the phantom, where the phantom is either added or removed of shifted within the existing tables in the movement. Refer to the Reposition the Phantom documentation.
  1. The BridgePal Server must be be stopped before any changes are made. This will temporarily disable the communication with the tablets.
  2. Exit the CompassMate sceeen and use the Corrections menu item to change the phantom position
  3. Re-open the Compassmate screen
  4. Restart the BridgePal Server
  5. All tablets in the affected section should now be reset (see above)
  6. Normal operation is now resumed

Change of Movement

This occurs when the movement changes in one or more of the existing sections.
  1. The BridgePal Server must be be stopped before any changes are made. This will temporarily disable the communication with the tablets.
  2. Exit the CompassMate screen and redo the setup for the affected section
    • If this question is displayed, always answer YES
    • Enter the Electronic Scoring Type details, in the same way they were entered originally.

    • Enter the Electronic Scoring Type details, in the same way they were entered originally.\
    • If this question is displayed, the usual answer is YES

    • Enter the "phantom" details
    • The CompassMate Screen will now open
  3. Restart the BridgePal Server
  4. All tablets in the affected section should now be reset (see above)
  5. Normal operation is now resumed
BridgePal
    • Restart the Bridgepal Server.
    • Each TABLET in the affected section must be reset. (The tables in the unaffected section now continue on as normal.)
      • Touch the 3 horizontal dots
      • Select Director Function
      • Select Reset Table, then OK
      • Enter the Director PIN, then OK
      • The Tablet will now be at the Start screen
      • Proceed as normal
        • Note that the original player numbers.names will be retained
        • The results for all played boards must be re-enter

Notes for the (now) corrected section

    1. some movement changes may mean that the last set of boards has to be inserted into the movement out of sequence. Use the Boards out of Sequence process to do this.
    2. Any previously entered board results must be re-entered
    3. if the movement change results in boards being redistributed, it may be necessary to award arbitral scores for boards that cannot be played fairly.
    4. Any incorrectly recorded names should be corrected on the table top units or directly within Compass.

Scrapping a Session

When movement changes are necessary, it is usually best to scrap the current session and start again.

BridgePal

    1. Stop the BridgePal Server
Compass
    1. Exit Compass back to the side-bar menu. The Exit Back to the Side-Bar Menu menu item can be used for this.
    2. Start the scoring session from scratch.

Boards Played out of sequence

In the rare event where boards are not laid out in numerical sequence

Compass
    1. On the CompassMate screen ...
    2. From the Adjustments tab click the Boards played out of order button
    3. Enter the actual sequence of the boards.
      • The usual sequence would be been something like: 1,2,3,4,5,6,7,8,9 10,11,12,13,14,15,16,17,18,19,20,21,22,23,24
      • The new sequence could be: 1,2,3,4,5,6,7,8,9 10,11,12,,22,23,24,13,14,15,16,17,18,19,20,21
    4. Click the Exit button
    5. Confirm that the new sequence is correct
    6. The new sequence will now be sent to the BridgePal Server.
    7. After a few keystroke on the tablets, the new board numbers will be available at the tables.

BridgePal Server is Inadvertently Closed

The BridgePal server can unexpectedly close due to human error or computer failure. Do not panic, just restart the server. The scoring should now continue on as normal.

Revised: 31 October 2019


BridgeTab Handling a Phantom

Handling a Phantom

Some pairs like to see the hands that they are not playing at the phantom table. This is possible on the tablets if a few tricks are employed.
  1. When setting up the session, reply NO to the phantom question.
  2. At round 1, the pair at the phantom table enters their own pair numbers as normal, and then enters the phantom IDs as 99998 and 99999. (Note Tabs does not accept duplicate numbers so the phantom numbers have to be different. Pal are more forgiving.)
  3. For each board, the SKIP or NoPlay option is used. The tablet screen then allow the players to view the hand record.
  4. At the end of the session, the results will include the phantom pair, with a score of 0. Use the menu option Corrections ....Reposition the Phantom, to fix this

Revised: 19 December 2018


BridgeTab Overview

Electronic Scoring - BridgeTab

BridgeTab is a new approach to electronic scoring that uses Android tablets or phones as the table top units. These connect to the scoring computer by a standard Wi-Fi connection.
  • Supplier: Jannersten Forlag (Sweden)
  • Software: BOS suite of programs
  • Table Top Units: Standard Android tablets. These connect to a standard WIFI router.
  • WIFI Router: Any wireless router hardware OR a (free) virtual router installed on the PC can be used.

Documentation on the BridgeTab/Compass integration can be found here.

Useful Resources

  • www.bridgetab.com This is the official BridgeTab site.
  • www.bridgetab.co.uk Lots of useful information here.
  • BridgeTabs - YouTube video
  • Compassmate Documentation in Dropbox

License Costs

The 2016 pricing is: Annual fee = NZ$15 per table.
Lifetime fee = NZ$115 per table.

Example: for 10 table, license is $150 per year or $1150 for a lifetime.

Individual temporary licenses can be purchased cheaply. This is useful if you run a tournament with more tables than your current license allows.

A free TEST license is available for 30 days.

Service Packs

There are 3 service packs that give different levels of support
  • Basic, free No email support.
  • Standard, US$100, NZ$? Email support from the help desk
  • Valet, NZ$? Personal support by email, Tablets ready to use out of the box, Unlimited personal support by phone

Installation

The BridgeTab system installation instructions can be found here.

Club Information Set Up Configuration

Set the Electronic Scoring Systems from the Club Options (1) tab
  • Primary System
  • The Secondary System can be set if Bridgemates are used concurrently. (Note: BridgePads are not capable of running concurrently with BridgeTabs)

Revised: 8 August 2016


Installing BridgeTab

BridgeTab uses the BOS suite of programs.

PC Installation

  1. Download and install the BOS (Software Package) from the Bridgetab website link http://www.bridgetab.com/html/downloads.html (paste this link directly into your browser)
  2. Click Start Download now
  3. The download will take 5-10 minutes.
  4. Navigate to the downloads folder and extract the BOS.zip file to a newly created folder named (eg) BOSInstall
  5. You will then have files extracted to your newly created folder like this:

  6. Double-click on setup.exe and follow the instructions

Step | Instructions | Screen Shot
1 | The Setup wizard should start. |
2 | Click NEXT until you reach this screen. Select the options as shown here, then click NEXT. |
3 | Click NEXT until you reach this screen. DO NOT select anything here, just click NEXT. |
4 | Click INSTALL. |
5 | Click EXTRACT, then NEXT, then FINISH. |
6 | Restart your computer now or later. |

Note:

For the BOS package to execute correctly, Allow programs to communicate through Windows Firewall has to be set for BridgeTab Admin. This is done through the Control Panel. There are a number of ways to do this, here is one way:
    • Open Control Panel
    • Click View network status and tasks
    • Click Windows Firewall
    • Click Allow a program or feature through Windows Firewall
    • Click Change settings for BridgeTab Admin
    • Click OK

Android Tablets Installation

  1. On every tablet that will be used for scoring, install the BridgeTab app from the Google Play Store
    • Go to Google Play Store on any Android phone or tablet
    • Search for “BridgeTab”
    • Download and install BridgeTab and each tablet
  2. Connect to the correct WIFI network (or the PC virtual router) that is available in the playing room.
  3. The tablets should automatically detect the IP address on the PC. If it does not, you can manually enter the IP into the table. This is how it is done:
    • On the PC, open BOS for any event (e.g. demo)
    • Click BridgeTab Admin
    • Click View, then BT Admin's IP
    • Write down the IP address
    • Close all BOS screens
    • On the tablet, open BridgeTab
    • Click Settings , the TD Mode
    • Enter TD PIN (initially set to "0000")
    • Click BT Admin's IP
    • Manually enter the BT Admin's IP (from the PC)
    • Follow the instruction to exit back to the main screen

Revised: 18 February 2017


BridgeTab - Compass Integration

Compass Scoring: Quick Start Instructions

Club Information Set Up Configuration

  • Primary System
  • The Secondary System can be set if Bridgemates are used concurrently. (Note: BridgePads are not capable of running concurrently with BridgeTabs)

Session Scoring

Hand records
  1. The hands should be pre-dealt.
  2. The hand record BRI and DLM files must be saved in the c:\compassv6\handrecords\[DAY Session Name] folder
  3. For club sessions, the file names of the BRI and DLM files, and the Compass INP file should follow the Compass convention of NNxxx where NN is the week number of the session and xxx is the session day prefix. (It is best to simply get the pre-dealt hand from the XClub hand record service).
Router Set up
  1. If using a wireless router hardware
    • Plug the router into the mains and switch on. The computer will automatically pick up the wireless network. If not, connect by right-click on the wireless connection options on the laptop.
  2. If using a virtual router
    • Start the VR software from the Desktop icon
    • Click Start Virtual Router
Scoring - Compass
  1. Start a Compass session set up in the usual way
  2. If using the SAM screen, select the table movement, then click ACCEPT this movement. The CompassMate screen now opens.
  3. If using the standard set up screen select the table movement, and then click OK. The BOS Scoring Type form will display. For normal single section scoring, you can accept the default values.
  4. Answer the phantom question
  5. The CompassMate screen now opens
  6. To activate the tablets, Click the Start BOS button, to launch
    • the BOS screen
    • the BridgeTab Admin screen
    • the communication with the tablets
  7. Note: the tablets are launched using the DEFAULT settings. (If you wish to change the default settings, OR the setting specific to this session only, see this documentation)
  8. If all applications have been correctly started, the activate buttons will all be highlighted green.
  9. When all activate buttons are green, AND you are confident that the entire setup is correct, click Start (F2) to start the communication with the tablets
  10. If you are concurrently using both Bridgemates and Tablets, tick the Are you concurrently using both BridgeMates and BridgeTablets? check box.
Scoring - Tablets
  1. Before distributing the Tablets, ensure that each one has a connection to the wireless network. This should be displayed on the screen, but may depend on the version of the BridgeTab app that is running. (If they have not connected they will hit a snag when you attempt to use them).
  2. Distribute the Tablets and instruct the users to log in.
  3. Each table enters the player names and then the contract and results for all boards.
  4. At the end of the session, ie after all scores have been entered on all the tablets, you can close the three BOS related screens
  5. Exit from CompassMate screen to show the results.

Using both Tablets and BridgeMates

Whilst it is possible to concurrently use Bridgemates and some tables and tablets at other tables, this is not really recommended. The scoring can be done, but some of the features of electronic scoring such as the display of the results from other tables will be missing.

BMPro handles the tables using the Bridgemates and BSC handles the tables using the tablets. This does require a little setup

  1. In Club Information Set Up
    • set the Electronic Scoring System PRIMARY option to BridgeTAB (BOS).
    • If you could potentially use both Tabs with Mates in any scoring session, select the SECONDARY system.
  2. When scoring a session, on the CompassMate screen, click the option to concurrently use both MATEs and TABLETs.

Note: In the BSC Settings, there is a Use BridgeMate check box. It is not necessary to tick this option is you are using Bridgemates and tablets.

Revised: 8 August 2016


Electronic Scoring - When Things Go Wrong (BridgeTabs)

Instructions for BridgePal users: Electronic Scoring - When things go wrong (BridgePals)
Instructions for Bridgemate users: Electronic Scoring - When things go wrong (Bridgemates)

Wrong movement set up, late pairs arrive, wrong tables numbers, boards played out of order, phantom changes are things that do happen.

The best way to avoid errors is to delay the setting up of a session within Compass until all players are well and truly seated. The director then knows the exact table numbers and thus can determine the appropriate movement. But yes, sometimes things do not always go according to plan.

Contents

Correcting the Session Set Up
Add, Remove or Move the Phantom
Change of Movement
Scrapping a Session
Boards Played out of Sequence

Correcting the Session Set Up

These instructions cover the case when a section has been set up incorrectly. It could that the session has incorrect table numbers or boards per table or movement. This can happen with single events and with one or more sections of multi section and piggy back events.

When correcting the session setup in any way, the following is most important

  1. If BOS is running, leave it running. If it is not running, leave it stopped
  2. If BSC communication to the tablets has started [image], STOP it before any changes are made
  3. All tables in the affected section should immediately reset their tablets using the Settings ... New Game process, then await instructions to log in again.
If the above 3 steps are not followed it is not fatal, but the change process goes much more smoothly is the above is followed.

Duplicate Pairs Events

These change processes apply to duplicate events.

Add, Remove or Move the Phantom

Note: With BridgeTab, it is common to not specify a phantom table so that the sit out pair can view the hand records that they are not playing. If you do want to specify the phantom in the traditional way, proceed as follows:
  1. If BOS is running, leave it running. If not, leave it stopped
  2. If BSC communication to the tablets has started, STOP it now!
  3. The tables affected by the phantom change should reset their tablets using the Settings ... New Game process.
  3. Go through the Reposition the Phantom process in Compass.
  4. Start BOS (if it has not been started)
  5. Start the BSC communication with the tablets [image].
  6. The tablets can now log in. Note the the player IDs and some results may have to be re-entered.
  • If it appears that the movement has not been updated correctly, try the BSC System .. Forced Start menu item. This should fix the situation.
  • In the unlikely event that the movement is still not correct, scrap the session completely and start again.

Change of Movement

Notes
    1. This occurs when the movement changes in one or more of the existing sections.
    2. During this process, the results for all boards in round 1 are erased. It will be necessary to re-enter the results of boards already played.
BOS and BSC
    1. If BOS is running, leave it running. If not, leave it stopped
    2. If BSC communication to the tablets has started, STOP it now!
    3. All tables in the affected section should reset their tablets using the Settings ... New Game process.
Compass
    • Exit the INCORRECT section back to the side-bar menu. Use the Exit Back to the Side-Bar Menu menu item to do this.
    • Use the Scoring button to redo the set up for the INCORRECT section
    • If this question is displayed, always answer YES

    • If this question is displayed, always answer NO NO NO NO NO.

    • Enter the Bridgemate Scoring Type details, in the same way they were entered originally.

    • If this question is displayed, the usual answer is YES

    • Enter the "phantom" details
    • The CompassMate Screen will now open
BOS and BSC
Restart the BT Applications
  1. Start BOS (if it has not been started)
  2. Start the BSC communication with the tablets [image].
  • If it appears that the movement has not been updated correctly, try the BSC System .. Forced Start menu item. This should fix the situation.
  • In the unlikely event that the movement is still not correct, scrap the session completely and start again.

Notes for the (now) corrected section

    1. Some movement changes may mean that the last set of boards has to be inserted into the movement out of sequence. Use the Boards out of Sequence process to do this.
    2. Any previously entered board results must be re-entered
    3. if the movement change results in boards being redistributed, it may be necessary to award arbitral scores for boards that cannot be played fairly.
    4. Any incorrectly recorded names should be corrected in BSC or directly within Compass.

Scrapping a Session

In dire circumstances it may be necessary to abandon the current session and start again.
Compass
    1. From the Adjustments tab click the End this session before all rounds are played button and follow the instructions
    2. Close Compass completely
    3. Close BSC
    4. Close BOS
    5. Now start the Compass setup of the session from the beginning

Boards Played out of sequence

In the rare event where boards are not laid out in numerical sequence

  1. If BOS is running, leave it running. If not, leave it stopped
  2. If BSC communication to the tablets has started, STOP it now!
  3. The tables affected by the phantom change should reset their tablets using the Settings ... New Game process.

On the CompassMate screen

  1. From the Adjustments tab click the Boards played out of order button
  2. Enter the actual sequence of the boards.
  3. The usual sequence would be been something like: 1,2,3,4,5,6,7,8,9 10,11,12,13,14,15,16,17,18,19,20,21,22,23,24
  4. The new sequence could be: 1,2,3,4,5,6,7,8,9 10,11,12,,22,23,24,13,14,15,16,17,18,19,20,21
  5. Click the Exit button
Restart the BT Applications
  1. Start BOS (if it has not been started)
  2. Start the BSC communication with the tablets [image].
  • If it appears that the movement has not been updated correctly, try the BSC System .. Forced Start menu item. This should fix the situation.
  • In the unlikely event that the movement is still not correct, scrap the session completely and start again.
Revised: 18 February 2017


BridgeTab Settings

BridgeTab - Bridge Scorer Control Settings

The Bridge Scorer Control (BSC) Setting change the way the tablets behave. You can set the DEFAULT settings, which will then be used when a new scoring session is started. These setting should be OK for almost all scoring sessions, but if required you can modify the SESSION settings for individual sessions.

The DEFAULT settings or the SESSION settings can be changed as follows:

DEFAULT Settings

The easiest way to change the default settings is during a normal scoring process or by using View Session Results (VSR)
  1. During a normal scoring process or View Session Results (VSR), Activate BT Tablets to display the BSC screen
  3. Click the menu item System … Default Settings to display this screen

  5. Change the individual settings, then click Save

SESSION Settings

Important Note: The settings for the specific session that is being scored can be set. The changes must be saved BEFORE the Start command (F2) is sent to the table top tablets.
  1. During a normal scoring process Activate BT Tablets to display the BSC screen
  2. Click Game Settings … Settings to display the Game Settings screen
  3. Change the individual settings, then click Save

BSC Settings Options

Frame | Setting | Description | Recommended NZ Setting
Movement | Individual | The tabletop units will display four players instead of two pairs | Compass does not support this setting
TD PIN | TD PIN | The code required to reach the tabletop units hidden menu. | Your choice
Ask Players for | PIN Codes | The players are prompted to enter a PIN code at the start that is later on required when the results are re-confirmed. | No
 | Player ID | Enter NZ computer numbers | Yes
 | Lead | Enter lead card | Yes
 | Bidding | The bidding is entered bid by bid. Note that this option requires an additional license. | Your choice
 | Deal | The players are prompted to enter the deals. | Yes, only if hands are not pre dealt
 | Reconfirmation | EWs reconfirmation (on a separate screen. This can be disabled if the other setting Permit Players is set to Yes. | No
Presentation | Show names | The player names will show if the ID is found in the NZB database | Yes
 | Rotate Compass Directions | North is shown at the lower part of the screen instead of the top. | Useful if North scores
 | Points related to declarer | An alternative to NS plus and minus points respectively. | No
Enter Results As | Total number of tricks | 4 hearts with an overtrick = 11 tricks Down 2 = 8 tricks Just made = 10 tricks | No
 | + - = (Eur Standard) | 4 hearts with an overtrick is reported as +1 down two is -2 just made is = | No
 | Tricks made/minus tricks (NZ standard | 4 hearts with an overtrick = 5 tricks. down two = 2 undertricks just made = 4 tricks. | Yes
Scoring | MP or IMP | Feedback given at the table will be based on matchpoints or, if IMPs, feedback will be a percentage based on IMPs. (IMPs is a bad choice) | MPs
 | Across the Field | Frequencies and ranking given at the table will be based on the results from all sections. | Yes
Feedback (Each Deal) | Give Feedback Traveler frequencies OR Traveler | The results are presented in traveler form so long as there are few results on the board. OR The results from the own section are displayed as a list in traveler form. | Yes for club events. NZB decrees this must be NO for tournaments
Feedback (Each Round) | Show Round Summary | The players will see a summary of their own results at the end of the round. | Yes
 | Permit Changes | The players are permitted to change their own results that show in the round summary. | Yes
 | Show Go To Info | The tabletop units tell the players where to play in the next round. | Yes
 | Show Deal | Displays the deal | Yes
 | Include Makeables as Contracts or Tricks | Displays the makable contracts and the optimum contract | Contracts (this then matches the Enter Contract As setting)
At the End | Recap | The players can view their personal recap at the end. | Yes
 | Web Results | The deals and (if available), the scores and rankings are displayed on automatically generated web pages. | No
Hardware (Other than BridgeTabs) | BridgeScorer or BridgeMate or BridgePad | If BridgeMates are being used, never tick this option | Yes but only if BridgeScorers are being used concurrently
Revised: 8 August 2016


BridgeTabs - Scoring without PreDealt Hands

BridgeTabs - Scoring Pairs Events without Pre Dealt Hands

The general process for an event without pre-dealt hands is
  • A DLM file for the event does not exist in the \CompassV6\HandRecords\ folder structure
  • The hands are dealt at the table
  • After each hand is played for the first time, the hand details are entered into the tablets
  • After all hands have been played (usually at the end of round 1), the makeables are calculated

Instructions

  1. The scoring process is started in the normal way
  2. When the BSC/BT Tablets are activated, in Games Settings enable the Deal option. This means that the hands can be entered on the tablets.
  3. Play at the table begins and the players enter the hand details as each board is played.
  4. When all hands have been entered (usually at the end of round 1)
    • In BSC, select the File ... Export Deals File menu item
    • If the ... Overwrite ... message appears, click YES
    • The Dupsoft app will open
    • IMPORTANT: Close Dupsoft immediately by using the X button
  5. In Compassmate ... Adjustments Tab, click the Calculate Makeables button
  6. Dupsoft will open
  7. Click the Ma button to calculate the makeables
  8. When the makeables calculates have finished, close the Dupsoft app
  9. Now each hand will be visible after they have been played

Notes

  1. From BSC, the File ... Export Deals option can be done repeatedly
  2. After each Export, the Calculate Makeables step in Compassmate --- Adjustments Tab should be done. This step can be done repeatedly.
Revised: 3 March 2017


BridgeTab Troubleshooting

Troubleshooting the Tablets

Tournament Director Mode (TD Mode)

  • To get into TD Mode, press and hold the large green question mark (help) symbol at the top right of the screen.

Tablet beep volume not suitable

  • Press the lower of the two buttons on the side/bottom of the screen – at the bottom for lower volumes and at the top for higher volume.

Incorrect Player ID entered but detected BEFORE the player accepts the names

  • Go to the relevant screen by pressing the back arrow as often as necessary
  • Press the incorrect name on the Tablet
  • Press OK
  • Input correct player ID

Incorrect Player ID entered but detected AFTER the player accepts the names

  • Enter TD mode
  • Press NEW GAME
  • Ensure PC is communicating with the Tablet
  • Enter the correct names

Incorrect table number entered

  • Enter TD mode on Tablet that has the incorrect table number
  • Press NEW GAME
  • Both tables can now input as normal

Scoring error detected before EW agree the result

  • Go to the relevant screen by pressing the back arrow as often as necessary
  • Input the correct result

Incorrect result entered or adjusted score to be made by the Director.

This can be corrected either on the PC or on the relevant tablet.

On the Tablet

  • Go into TD mode
  • Press ADMIN
  • Press RESULTS
  • Scroll up and down till you find the one to change
  • press the incorrect one
  • Enter the correct score as normal
  • Confirm the score as normal
  • Press back arrow
  • Press CURRENT GAME

On the PC

  • Exit from CompassMate screen (it is perfectly safe to do this)
  • Use the Edit Scores button to enter/change score
  • Re-open the CompassMate screen
  • Tick the 2 "Read…" buttons

Replacing a Tablet on one table

  • Enter TD mode on the new Tablet
  • Press REPLACE
  • Enter the section and table number
  • Press table no. to be replaced
  • Press OK
  • Press CONTINUE GAME

A Tablet fails to connect when a new game is started

If a Tablet says it can’t connect

  • Check that the router is switched on
  • If using a virtual router, disable your normal WIFI connection on the PC
  • Check that the BridgeTab Admin program [image] is running and that you have clicked the Activate BT Tablets button in Compass.

If it still can’t connect

  • Make sure it’s using the correct IP address for the BridgeTab program.
  • Go into TD mode, select "BT Admin's IP" and the press the "search" button.
  • Come out of TD mode and try again.

If that does not work

  • Replace the Tablet

If that does not work

  • Close all BOS screens
  • Exit from CompassMate
  • Then go back into CompassMate and start BOS etc

If that does not work

  • Switch the router off and on again, but do not do this if other Tables have connected successfully.

If that does not work

  • Tear that last hair out
  • Score manually

Revised: 8 August 2016


BridgeTab Virtual Router

BridgeTab - Virtual Router (Wi-Fi Hotspot)

What is Virtual Router?

If a router is not available in the scoring room, you can use a Virtual Router to connect the tablets to the base computer.

Initial Set Up

  1. Download the Virtual Router program from https://virtualrouter.codeplex.com/ (paste this address into your browser)
  2. Install the program by double clicking VirtualRouterInstaller.msi
  3. The Virtual Router icon is added to the Desktop
  4. Start Virtual Router by double clicking Start Virtual Router
  5. Update the Settings panel
    • Network Name: say “BridgeTab”
    • Password: say "bridgetab"
    • Shared Connection: set to None

Scoring a Session

  1. (If you are trying this at home, first disable your normal Wi-Fi)
  2. Before starting a scoring session, open Virtual Router from the desktop icon
  3. Click Start Virtual Router
  4. Connect each of the Tablets to your “BridgeTab” Wi-Fi hotspot.

Revised: 12 March 2017


BridgeTab Licence Renewal

BridgeTab licences can be purchased from BridgeNZ (Martin Oyston), as an agent for Jannersetn-Forlag or through Bob Fearn. Comparative pricing depends on the current USD-NZD exchange rate, but typical January 2018 numbers are
  • Through BridgeNZ NZ$15 per table per year
  • Through Bob US$6 per table per year approx NZ $8-$9

Opening BOS BridgeTab Admin

Most of the licence processes are done on the BOS BridgeTab Admin screen. To open BridgeTab Admin, follow these instructions ...
1 Open BOS from the Desktop icon

Click the Resume button to open the most recent event (it does not matter what the last opened event)

Click the BridgeTab Admin button

Purchasing Licences through BridgeNZ

1 | Open BOS BridgeTab Admin
4 | Click the Buy & Renew THIS PC button.
5 | A BridgeNZ/BridgeTab order form will display. After the order has been submitted, BridgeTab will email a licence Activation Code.
6 | Activate licence Activation Code.. Refer below for details.

Purchasing Licences through Bob

1 The information required by Bob is
  • the BridgeTab User ID. See step 2 below
  • the number of licences required
  • the duration of the licence
  • requirement for addition components (eg bidding module, service agreement)
2 BridgeTab User ID

 Open BOS BridgeTab Admin

Click the System ... Licence Details menu item

The appropriate User ID is in the This PC User ID box.

3 Email all information to bobfearn@msn.com. A return email will include the licence Activation Code.

Activate the licence Activation Code.. Refer below for details.

Activate BridgeTab Licences

1 | Open BOS BridgeTab Admin
2 | Click the System ... Activate Paid Licence menu item
3 | Paste the Activation code on the box, then click the Activate button.

Revised: 2 February 2018


Bridgepads Compass Integration

Electronic Scoring - BridgePad

The BridgePad™ wireless scoring system consists of
  • A compact battery-powered wireless BridgePad Terminal at each playing table. Players enter their contract and board results into the terminal after each round.
  • A BridgePad Base Station connected to a computer that receives scores from the BridgePad™ terminals via wireless transmission and instantly transfers them to Compass.
  • BridgePad Software that connects the BridgePad™ base station to Compass.
  • Movement information from the scoring program is used to determine which pairs and which boards are at a specific table at each round of the game.
  • The BridgePad terminals can receive and display a comparison of results for the board just played against results obtained by previous teams playing the same board, and they receive and display the final results of the game.
(The above is extracted from http://www.bridgepadrf.com/index.php)

Installation

The BridgePad system can be downloaded from http://www.bridgepadrf.com/page4.php.

Club Information Set Up Configuration

  • Primary System
Revised: 6 August 2016


Electronic Scoring Types

Electronic Scoring - Scoring Type

The electronic scoring type is specified during the scoring set up of each event type.

Screen Options

  • Use Electronic Scoring for this Session: It is hard to imagine when this would not be YES.
  • A session with only one SECTION: This is the most common option and used for most club sessions
  • A session with 2 or more SECTIONS: This is the less common option more commonly used in tournaments. However, it can also be used for club sessions. See here for details.
  • Two separate events scored with only 1 BM Pro server. One SECTION in each event. This is the piggy back option. This is used when two unrelated events are run concurrently. See here for details.
When this option is used a second frame is enabled. The user enters the name of the BWS file that will be used for other sessions to piggy back on to. The Event No is the number of the piggy back session (ie 2 or 3 or higher)

  • Re-score a session using the scoring data from the existing BWS database: This is used when you start a new scoring session from scratch, but the existing BWS file will be used. This option is used when somehow, the Compass input files has been corrupted, but you suspect that the BWS file is still OK.

Revised: 8 August 2016


CompassMate Screen

CompassMate is the interface between Compass and the electronic scoring units. All electronic scoring systems use a BWS database to save the data that is entered on the table top units. Then in turn, Compass reads that data in that database and transfers it to Compass.

Screen Components - Process Results Screen

  • Control Path: This shows the location of the electronic scoring software. This is automatically determined by Compass.
  • Session Database File: The current active BWS file.
  • Hand Record Info: If a hand record files exists for this session, the items are highlighted in green. If Visible to Players is ticked, the hands will show on the table top units after the board has been played.
    • Special Note: The hand records cannot be displayed on the BridgePADS
    • Special Note: The hand records are shown on the BridgeTABs if the parameter in Settings is enabled. (See that topic)
  • Click to Start Readings ... SCORES or NAMES: These options transfer data from the BWS file to Compass. During a live session, these items must be enabled.
  • Check Names: Reports the player names and highlights errors.
  • Auto Read Every ??? Seconds. Determines the number of seconds between each read of the scores and names. The value defaults from the Club Information Set Up screen, but it can be over-typed here.
  • View This Sessions Results: Closes the CompassMate screen and displays the result in Compass.
  • Personal Guide Cards: Print these. Note: it is best to print the Personal Guide Card AFTER the players have entered their ID on the units at the start of the session. Then, player names will appear on this report. That is a good thing.
  • Scores Entry Status: Shows the progress of the session. By default, the list shows those results yet to be played and entered. All entries can be displayed when the Show All Entries is enabled. The Refresh List button updated the list

Screen Components - Adjustments Screen

  • Re-Read BWS file: The Re-Read buttons just read the entire BWS database and transfer the data to Compass. This option is usually used AFTER a live scoring session and data is missing in Compass.
  • Movement Changes
    • Reposition the phantom: This option will direct you exit CompassMate is do this on the results screen
    • End this session before all rounds are played
    • Boards Played out of order
  • Testing Functions Simulation: This is used during practice sessions and user training. Player names and contract results can be entered into the database without have to use the table top units.
  • Enable SIMULATION mode: Enables the Testing Functions.

Screen Components - Bridgemate and BridgePal Settings

Note that Bridgemate and BridgePal share the same setting - but BridgePal not not support all Bridgemate settings.
There are two categories of Settings:
  • Standard settings - these are inherited from Club Information Set Up. These are "set it and forget it" settings, and cannot be set on the Compassmate screen.
  • Special settings - these are automatically set based on the event type (eg Swiss or Pairs) or by NZB Regulations. These special settings can be changed on this screen, but only if you know exactly what you are doing.
The Special Settings values initially come from Club Information Set Up, however automatic overrides are then be applied. These are shown as a Red Highlight in the following table.

    Special Settings | BM ScreenShot | Automatic Special Settings Overrides
Show percentage on the board just played |  | Swiss Teams = NO Swiss Pairs, Duplicate Pairs, All Tournament Pairs Events - From CISU, usually YES
Show results from other tables |  | Swiss Teams = NO Swiss Pairs = NO Duplicate Pairs= From CISU, usually YES All Tournament Pairs Events = NO
Allow the players to review their own scores during the round Show this review automatically Allow players to make corrections after reviewing their scores |  | Swiss Teams = From CISU, usually YES Swiss Pairs, Duplicate Pairs, All Tournament Pairs Events - From CISU, usually YES
 |  | Swiss Teams = From CISU, usually YES Swiss Pairs, Duplicate Pairs, All Tournament Pairs Events - From CISU, usually YES
 |  | Swiss Teams = From CISU, usually YES Swiss Pairs = From CISU, usually YES Duplicate Pairs= From CISU, usually YES All Tournament Pairs Events = NO
Show current ranking for the two pairs |  | Swiss Teams = Never Swiss Pairs, Duplicate Pairs, All Tournament Pairs Events - From CISU, usually End of session only
At end of session, show the results of all boards |  | Swiss Teams = Never Swiss Pairs, Duplicate Pairs, All Tournament Pairs Events - From CISU, usually End of session only
Enter Player Numbers |  | Swiss Teams = From CISU, usually YES Swiss Pairs = Round 1 only Duplicate Pairs = From CISU, usually YES All Tournament Pairs Events = From CISU, usually YES

    Menu Items

    Close an Invisible BCS Session: (Bridgemate only) At times a phantom instance of Bridgemate Control is running in the background. This become obvious when you try to start BCS and you get a message that BCS is already running. Use this menu item to kill that phantom instance.

    Exit Back to a Side-Bar Menu: Use this to immediately close all screen except the Side-Bar menu.

    FAQ

    Is it safe to exit CompassMate screen during a scoring session?

    Certainly yes, but you have to be a little careful. Normally you exit the CompassMate screen to check/edit player names and scores. While you are away, the electronic scoring continues uninterrupted. It simply resumes once the CompassMate is re-opened and the Click to Start Reading... options are enabled.
    One thing that you must be VERY CAREFUL with is the use the VSR option when electronic scoring is running. Just be very careful that you are opening the session that corresponds with the session that is active in the electronic scoring session.

    Reposition the Phantom

    This is actually done from a menu item on the results screen menu. To repostion the phantom, exit CompassMate screen and use the Corrections menu item on the results screen.

    End this session before all rounds are played

    This should be done a little ahead of the last played round. You enter the number of rounds that will NOT be played.

    Revised: 19 December 2018


Hand Records Overview

Hand Record Overview

Compass supports hand record files in multiple formats.

Deals Generator Software and Dealer Software and Electronic Scoring Options

Compass is aware of, and supports the following software

Electronic Scoring Bridgemate
BridgePal
Bridegtabs

Deals Generator DealmasterPro
Dealer4
Dupsoft
Other miscellaneous apps

Dealer Software Dealer 4
Able AutoDealer
Duplimate 4
Easy Dealer

What Hand Record Files are Required?

It is complicated as there are a numbers of conflicting requirements and capabilities of the different software
  • Dealer 4 requires BRI or PBN files
  • Duplimate 4 requires DLM or PBN files
  • Able AutoDealer requires BRI (and txt) files
  • AutoDealer3 requires BRI or PBN files
  • Compass reporting requires BRI and TXT files OR PBN files OR EDR files
  • Bridgemate requires BRI or PBN files files
  • BridgePal requires a PBN files file only
  • Bridgetab requires DLM file and PBN files (PBN can be created from DLM files)
Note: The above is not a full list for each of the software. Most applications support other file types, but these types are not relevant to Compass.

In general terms these are the requirements
  • Clubs using Dealer4 need PBN files only
  • Clubs using Able Card Dealer V2.25L require BRI + TXT files
  • Clubs using AutoDealer3 require PBN files only
  • Clubs using BridgeTabs, DLM files are mandatory. Additional files are also required related to the dealing machine.
It is best to discuss this with Bob to determine the requirements for your specific system.

XClub Hand Record Service

The XClub hand record service is a FREE service that provides hand record files for every week day of each year. Separate files are provided for the day sessions and the evening sessions. Additional PDF files for the hand records and the traveling score sheets can also be printed. Clubs can optionally choose to be part of the CompassMate XClub Simultaneous Pairs competition.

XClub Hand Record File Types

When importing the hand record, the file type options can be set in CISU ... Club Option (3). The options are
  • PBN file
  • BRI (and txt) files
  • DLM files
  • PDF files
The exact files type requirement for for club are notes above.

Where are Hand Record Files Saved?

There are two options for the hand record folder structure
  • By Day Names (the default method)
  • By Week Number
The options are sent in CISU ... Club Options (3). Most clubs will to use existing day name option. Where clubs processes require frequent manual access to the main hand records folders, the week number structure should make this easier.

By Day Names

By Week Number

All hand record files are must be saved in the c:\CompassV6\Handrecords\yyyy\ folder..sub folder structure. The above looks daunting, but if you subscribe to the X-Club hands service, the folder structure is created automatically and all imported files will be save to the correct folder. If you are using your own hand generation, the folder structure for the following year will be created automatically during the month of December.

Old files are automatically archived into an \Archive\ folder.

Bottom line is Compass will find the hand record files no matter what folder they are in - as long as they are in the \yyyy\ folder or any of its sub-folders. That means the above structures are not mandatory, but it is highly highly recommended.

Notes for Day Name Folders

  1. BRI files and txt files should be in the day folder eg MON - Monday Evenings
  2. DLM and PBN files should also be in the day folder eg MON - Monday Evenings
  3. PDFs must be be in a PDF sub folder of the day folder eg MON - Monday Evenings\MON PDFs\
  4. All BRI, TXT, DLM, PBN files are archived into the \yyyy \Archive\ folder.

Notes for Week Number Folders

  1. All hand record files are saved in the appropriate Week XX folder.
  2. PDF files are saved in a PDFs sub folder of the day folder eg Week XX\PDFs

Associating a Hand Record File to an Event

If the standard naming convention is used for event files and for the hand record files, Compass will automatically attach the hand record file to the event file. The hand record files can be namually associated;
  • Duplicate Events: from the Edit Options ... Specify Hand Record Files menu item
  • Swiss Events: from the Edit Options ... Multi Session Details menu item
Revised: 19 December 2018


Dealer Assist

Dealer Assist (DA)

Dealer Assist is integrated with your hand dealing software. The actual hand dealing can be initiated from DA and the hand record PDF can be printed. Additionally, for those who subscribe to the XClub Hands Record service, DA is used to copy the hand records from their Dropbox location to the club computer.

As of Jan 2017, the NZB hand records that pertain to the NZB Lessons can be printed.

Configuration

  1. The configuration items in Club Information Set Up are
  • Hand Generation Program: Options are EasyDealer, Dealmaster Pro, Dealer4
  • Dealing Hardware: Options are Dealer 4, Able Autodealer, Duplimate 4, Dealer 3
  2. The option to add headings to the hand record PDF requires Foxit PDF Viewer to be your default PDF viewer.

Strip Menu Item: More Menu Items ... Dealer Assist

The screen displays a list of available BRI hand files. The filter in the upper right corner can change the list to DLM or PBN files. The list files are from the Compass hand record folder c:\compassv6\handrecords\yyyy\ and sub-folders. Files in the \Archive\ folders are not shown.
The source of the hand records is either from the club own hand generation process, or from the XClub hand record service.

Get New Hand Files

If using the XClub service, hands should always automatically appear in the list. If they do not show, the Get New Hand Files button will retrieve the files manually. The hand records related to the NZB Lessons can also be retrieved.

Steps to Deal Hands

  1. Click on a hand record file from the list.
  2. Click the Deal Hands Now button. Your dealing software will open.
  3. Deal the cards in the normal manner.
  4. (Optional) Click the Add Heading to Hand Record PDF to add a header to the PDF.
  5. (Optional) Click the Print PDFs to print the PDFs.
Notes
  • The default boards per page in the PDF is 24. Click the Use 28 board per page PDFs if they exist check box to use the 28 board per page option.

Screen Menu

  • Create Deals for Tournaments Open the Create Deals screen
  • Create Hand Record Folder Structure Creates the year specific hand record folders and sub folder

File Maintenance Buttons

  • Show Folder Column: Displays the folder of the hand record file
  • Refresh List: As read
  • Delete Selected File(s): As read
  • Archive Selected File(s): As read
Use the ctrl key to select multiple files with each mouse click.

Hand Manipulation Options

  • Reduce hand count: Reduces the number of deals within a file
  • Split Hands: Splits the current file into 2 separate files. For example, if the file contains 36 deals, this can be split to (say) 24 boards and 12 boards. In this case, the 24 boards will be saved under the original file name, and the 12 deals will be saved in a file named with a "_T" suffix.
  • Opens Windows Explorer: As read

PDFs Options

  • The Add Heading to Hand Record PDF allows you to add a header to the PDF that opens in Foxit PDF Viewer. This is usually the Competition Title.
    • Note that the Competition Title text is automatically saved to the clipboard. Use ctrl-v to paste this to the PDF header.
    • Foxit PDF Viewer menu tools can be used to add additions text.
      • Use Comment ... Textbox then "draw" a textbox on the PDF page
        • Double-click in the textbox, then type your text
        • Use the menu item Comment Format to format the text within the textbox
      • Use Comment - Typewriter, then click on the PDF to insert a textbox
        • Type your text
        • Use the A+ and A- buttons to change the size of the text
  • The Print PDFs button prints the PDFs. Note that the Hand Records and/or Traveling Score Sheets can be printed based on the selected radio button options.

Hand Records Security

Each club must consider that the hand record files could be inadvertently viewed before they are played. By necessity, the hand files exist on the club computer so their security can never be guaranteed absolutely. Most clubs, rightly, place trust in the integrity of their administrators, dealers, scorers and others with access to the scoring computer.

Steps can be taken to make it more difficult to casually access the hand records.
  1. Use Windows functionality to"hide" the CompassV6 handrecords folder. This means that, while using file related processes such as File Explorer, hidden folders are invisible to the user. Trusted users can "unhide" the folder when legitimate access to the folders is required.
  2. The Dealer Assist screen can be password protected. By necessity, the hand record files are accessible from the DA screen. The password protection limits the access to trusted members with knowledge of the password.
Hide/Unhide Folders

Full instructions can be found from a Google search of "Win7 Win10 hide unhide folder". Brief instructions are as follows.

  1. Windows 7 Systems
HIDE folders
    • Open any folder in Windows Explorer and go to > Tools > Folder options…
    • Within Folder Options switch to the View tab.
    • Under > Files and Folders find the option > Hidden files and folders and select > Don’t show hidden files, folders, or drives.
    • Click > OK and proceed to hiding a folder.
Hide the \handrecords\ Folder
    • Right-click the c:\compassv6\handrecords\ and select > Properties.
    • In the General tab check the option > Hidden.
    • IMPORTANT: In the Confirm Attribute Changes dialog, select Apply Changes to this folder only.
    • Go to > Advanced change archive and index attributes.
    • Click > OK to save your changes.
UnHide the \handrecords\ Folder
  • If you wish to access the \handrecords\ folder, follow the above "HIDE folders" steps and undo the hide.
  2. Windows 10 Systems
HIDE folders
    • Use File Explorer and navigate to the c:\compassv6\ folder
    • Point to the Handrecords folder, right click the mouse and select Properties
    • From the General tab, tick the Hidden attribute option
    • IMPORTANT: In the Confirm Attribute Changes dialog, select Apply Changes to this folder only.
UNHIDE Folders
    • Use File Explorer to navigate to the c:\compassv6 folder
    • From the View tab, tick the View Hidden option
    • When you want to again Hide the folder, untick the View Hidden option
    • If you wish to go back to the status quo (ie make the \handrecords\ folder always visible), disable the Hidden attribute option.
Password protect the DA Screen
  1. To enable the password protection, tick the Password protect the Dealer Assist screen option In Club Information Set Up ...Clun Option (1) tab.
  2. Now, when opening the Dealer Assist screen, a password will be requested.
  3. Compass administrator can email Bob for information related to the password.

Special Note for BRIDGETAB users

To enable the display of the makeables, the makeables information must first be calculated by the Dupsoft program. (Note: Dealmaster Pro also calculated the makeables, but this version cannot be used by BOS/BridgeTab.) The best way to calculate the makeables is through the Dealer Assist (DA) process as allows them to be calculated ahead of time. The other option is to do it at the beginning of each session. This method is OK, but it does hold up the starting of the session, as the makeables do take a few minutes to calculate.

Steps to Create Makeables Files for BRIDGETAB users

If the makeables have already been calculated, hand record files in the list will be coloured red,
  1. Ensure the list is showing DLM hand files
  2. Select a files from the list
  3. Click the [image] button
  4. The Dupsoft application will open
  5. Click "Ma" to start the makeables calculations. (The Makeable status will count up at the calculations are done.)
  6. Close Dupsoft when the calculation is complete.
Further information on this process can be found in the BridgeTab Show Makeables section.

Video Links

Dealer Assist

Dealer Assist for AutoDealer

Revised: 21 December 2018


Creating Hand Record Files

Overview

As part of the XClub service, an unlimited number of random handsets are available to e used when a club requires a set of random hands. Each set contains 36 individual deals both in PBN and DLM formats plus PDF copies of the hand records and the traveling score sheets.

PDF Hand Records

The XClub service always has 36 deals per file and the hand record PDF file prints 24 deals per page. If a different layout is required (og 28 deals per page), an option exits to create a new PDF via Dealer4. Doing this allows both the numbers of hand records, and the number of hands per page, to be changed.

The heading on the XClub PDF is generic, but this can be changed by editing the PDF in the Foxit PDF Viewer.

File Locations

The generated PBN, DLM files are saved in the c:\handrecords\yyyy\Tournament\ folder. The hand record and travelers PDFs are saved in the c:\handrecords\yyyy\Tournament\Tournament PDFs folder.

Strip Menu Item: More Menu Items ... Dealer Assist ... Create Deals for Tournaments

Step 1. Create the Deals

  1. The screen opens listing the Tournament Calendar events. The sessions that have deals already generated are shown in red (dlm/pbn files).
  2. Select a session from the list, and then click Create Deals for xxx where xxx is your selected session file name. If your event is not listed, click Create Deals for a non Listed Session.
  3. The hand record files are now generated and save in your local CompassV6 folder structure.

Step 2. Create HR PDF from Dealer4

This step allows you to create the PDF with any number of deals per page. Also, it allows to you add a heading to the PDF.

  1. Click Print ... Print Hands to Printer

  2. The Dealer4 Print Parameter can now be set including the total number of deals to be printed and the number of deals per page.

Step 3. Add Heading to the Existing PDF

The existing XClub PDF file can be edited to add the Session name and date information.

  1. Click the menu item Comment .... Textbox.
  2. With the mouse, paint a text box at the top of the window. The width of the textbox should be approx 5".
  3. Use ctrl-v (or right click mouse) to paste the session title into the textbox.
  4. Save the PDF and optionally print the PDF.
  5. Thats it!
Other cool things that can be done when editing the PDF ...
  1. Use the "hand" to move the textbox.
  2. Use the edit tool to change the look of the text. (Double click in the textbox to display the edit tools.)
  3. Grab the textbox handles to change the size of the textbox.
  4. Add an additional text box and add your own text.

Notes

  • The Dealer4 program can be downloaded from here Dealer4 Support.
  • The Foxit PDF Viewer can be downloaded from here Download PDF Software for Windows, Mac, Android & iOS (foxitsoftware.com)
Revised: 9 March 2021


Specify Hand Records

The hand record file for the current session is set on this screen. To select a hand record
  • Use the folder navigator to locate the folder where the had record file is located
  • Click the appropriate hand record file from the file list
  • The full path of the selected files is then displayed in the yellow text box

Notes

  1. Compass accepts hand record files in either BRI or PBN formats.
  2. IMPORTANT: All hand record files must be saved in the \handrecord\YYYY\ folder or any of its sub-folders.
  3. It is highly recommended (actually it is a forceful plea) that the standard Compass folder structure is used. Compass will always automatically create this structure for "next year" during the month of December of the previous year.
  3. A reminder: all hand record files are automatically moved to the \yyyy\Archive\ folder once their used-by date has passed. This means that, at times, you will find your required in in the \yyyy \Archive\ folder.
  4. All tournament hand record files should be saved in the \yyyy\Tournament\ folder.
Revised: 16 February 2017


Hand Records Multi Session Details

Multi Session Details

These seioin/rouns/boards information is entered on this screen, along with the hand record files for each session.

To select a hand record
  • Double cluck the mouse the appropriate Hand Record File text box
  • This will open The Specify Hand Record File screen
  • Use the folder navigator to locate the folder where the had record file is located
  • Click the appropriate hand record file from the file list
  • The full path of the selected files is then displayed in the yellow text box
  • The hand record files for the set of boards used in the triangle of a Swiss Teams event are also specified on this screen

Notes

  1. Important: If using BridgeTabs, the hand record files must be specfified in this screen, even it they do not exist. In this case, just enter any hand record name eg hand1, hand2 etc
  2. Compass accepts hand record files in either BRI or PBN formats.
  3. IMPORTANT: All hand record files must be saved in the \handrecord\YYYY\ folder or any of its sub-folders.
  4. It is highly recommended (actually it is a forceful plea) that the standard Compass folder structure is used. Compass will always automatically create this structure for "next year" during the month of December of the previous year.
  5. A reminder: all hand record files are automatically moved to the \yyyy\Archive\ folder once their used-by date has passed. This means that, at times, you will find your required in in the \yyyy \Archive\ folder.
  6. All tournament hand record files should be saved in the \yyyy\Tournament\ folder
Revised: 16 February 2017


Database Overview

Member Databases Overview

Compass has three member database files to record player information.

The main database is the Club Database which records the information for members of your club. The information includes names, address, phone numbers, email, player handicaps and subscription information.

The Non Members Database records the information for visitors to your club who are not actual club members. It can also be used to records players from the beginners lessons, before thay become full members.

The NZ Bridge (NZB) Database records the information for all players affiliated to the NZ Bridge. The information includes names NZB grading and rating points, and club information.

At various times, Compass automatically accesses each and all of these databases to retrieve information.

Revised: 7 August 2016


Club Players Database (New Version)

Club Database (NEW VERSION)

The club database is available to record the details of club members. Special Note: The new and improved version of the Compass Database was introduced in April 2019 and replaces the original Club Database screen. The new screen differs from the original in several ways.

  • The new screen is not automatically in Edit mode. To edit a member record, the Edit Member button enables edits. The user can then Save or Discard changes.
  • The number of Print options is slightly reduced (contact Bob if there is a report that you would like to see).
  • The member data can be exported to MS Excel.
  • Member data can be edited from the List Records screen.

Database Information

The database information is grouped and displayed in 4 tabs
  • Basic Info: This records the basic data for each member eg name, address, phone numbers etc. Click here for more details.
  • Handicap Info: This records the member's handicap for each of the defined handicap lists. Click here for more details.
  • Subscriptions Info: Member’s subscription details can be recorded here. Click here for more details.
  • Club Grade Handicap Info: This records the member's Grade and Grade Handicap information. Click here for more details.
  • Flags: This records miscellaneous settings for each member. Click here for more details.
  • Settings: Various club Parameters can be set here. Click here for more details.

Functions

  • Delete this Record: Deletes the displayed record
  • Find (+F3): Find a member with a Last Name that matches the entered text. F3 repeats the last search.
  • Add New Member: Creates a near blank record, ready for data entry. The records can then be edited as necessary.
  • Edit Member: Enables the current record for editing.
    • Discard Changes: Cancels any edits made to the record.
    • Save Changes: Saves the changes that have been made in the edit.

Menu Items

  • Print Options
    • Full Membership List
    • Phone List
    • Handicap List
    • Club Member Type
    • Club Grade List
    • NZB Data
    • Name Labels
      • Name and address
      • Name Only
  • Export to Excel
    • Basic Data
    • Handicap Data
    • Subs Data
    • NZB Data
    • Contacts to GMail
    • Set Excel Report Files. Use the checkboxes and Up/Down arrow keys to select and re-order the fields to be exported to Excel.

  • List Records Displays the database in list format.
  • Database Update
    • Correct Mc's and O's
    • Remove Punctuation is Addresses
    • Miscellaneous Data Fixes
    • Import Database from Excel File
    • Database Reconciliations
      • NZB Database
      • Pianola Database
  • Subscription Accounts
  • Email Options
    • Send Email
  • Maintain Handicap Lists
    • Clear out all Handicaps in one List
    • Copy one List into Another
    • Import Handicap Lists from a CSV File
  • View Text Files
    • Membership List
    • Phone List
    • Handicap List
    • NZB Data
    • Create Filtered Handicap Lists: Print one or more of the Handicap List. Optionally, the full list can be printed, or only those members that do not have a handicap in one on the selected lists.

Notes

  • The title names for the Member Class, Subscription Fee, Club Grade and Handicap Lists fields are set up in the Club Information Set Up screen.

Revised: 26 May 2019


NZB Reconciliation

NZB Database Reconciliation

This function helps to synchronize the data in the Compass Club Database and the NZB Database. This is accessed from the Auto Updates ... Reconcile NZB Database menu item from the Club Database.

Reconciliation Reports

  • Additions: Lists players that are in the club database that are not in the NZB database.
  • Resignations: Lists players that are not in the club database but still remain in the NZB database.
  • Alterations Lists players where the information in the NZB database is incorrect and should be updated (eg first or last name, home club designation). Note: This options has now been disabled as it generally just repeats the data in the other two reports.

Procedures

Additions Report

This reports
  • Players in the NZB Database, but not in the CLUB Database
  • Players that are in the club database as Home Club, but they are in the NZB with a different home club
  • Player where the Active flag in the CLUB database is inconsistent with the NZB database
  1. Click the Additions button. This lists the players in the club database, that are not found in the NZB database.
  2. De-select any record that you want to exclude from the report sent to NZB.
  3. Click the Create TXT button and the TXT report will then display in MS Word. You can review this report, then close it.

Resignation Report

This reports
  • Players in the CLUB Database, but not in the NZB Database
  1. Click the Resignations button. This lists the players in the NZB database, that are not found in the club database
  2. De-select any record that you want to exclude from the report sent to NZB.
  3. Click the Create TXT button and the TXT report will then display in MS Word. You can review this report, then close it.

Alterations Report (This option is no longer available)

  1. Click the Alterations button. This lists players where the information in the club database and the NZB database is different.
  2. That information can be the first or last name or home club designation.
  3. De-select any record that you want to exclude from the report sent to NZB.
  4. Click the Create TXT button and the TXT report will then display in MS Word. You can review this report, then close it.

Correcting Errors

Errors in the player's status or the home club flag in the Club Database can be updated directly as follows:
  • Click on the player in the list. The row will highlight in blue.
  • Right click the mouse and from the context menu, select:
    • Change Home Club Flag OR
    • Change Active Flag OR
    • Open the Club Database
Revised: 30 April 2019


Club Database Importing Handicaps

Club Database - Importing Handicaps from a File

Club handicaps can be imported from a comma separated (CSV) file. A useful starting point is to use the Export to Excel ... Handicap Data menu item as this create a list of all member with their current handicap.

CSV File Requirements

  1. The Import Files would normally be created in a spreadsheet (eg MS Excel)
  2. The file can be saved on any location on your PC.
  3. The file must be saved in CSV format.
  4. The members NZB Computer number must be in column A of the file.
  5. The spreadsheet can contain one or more columns of handicap data.
  6. The file can contain any number of header lines.

Sample CSV File

Notes on the Sample File
  1. The players NZB computer number must be in column A. This is an absolute requirement.
  2. The Handicap Data can be in any other column. There is 1 column of handicap data in this example - in column E. The spreadsheet can have multiple columns ofHandicap Data.
  3. The handicap lists have headings that help identify the handicap list that needs to be updated.
  4. This sheet has 3 header rows - which are ignored.
  5. Columns B & C & D are simply ignored.

Import Process

From the Club Database form, select the Maintain Handicap Lists ... Import Lists from a CSV File menu item.
  • Step 1: Click the Select a CSV File button, and then navigate to your CSV file. For convenience, the CSV file will open in the default application.
  • Step 2: Enter the Column of the CSV file that the handicap data is in.
  • Step 3: Select the Handicap List you want to Update from the drop-down selection.
  • Step 4: Optional: Click the Do an Import Test Run button to do a test run. It is highly recommended to do this step.
  • Step 5: Click the Import the Handicap List button.
Repeat the step for other handicap lists that are in the spreadsheet.

Notes

  1. The update is done only for the members that are included in the spreadsheet.
  2. If a member is not in the spreadsheets, their handicap will not change.
  3. Optional you can use the Clear out Handicaps in one List menu item to reset all handicap to blank.
  4. Handicap = Blank means that the member does not have a handicap for this list. When calculating a handicap result, the user will be asked to enter a handicap OR the default handicap (usually -10) will be used.

Revised: 11 May 2019


Club Database - Basic Information Tab

This records the basic data for each member eg name, address, phone numbers etc.

Significant Fields
  • Member Type: This determines the Subscription amount due.
  • Second Club (Affiliation Exempt): This determines if the payment of this member's NZB Affiliation Fee is the responsibility of your club (as opposed to this player's home club).
  • Active Flag: This is set for players who are no loner members, but you which to retain them in the database for the time being.
  • Emergency Contact Info: This information is easily accessible when scoring a session.
Whilst these two field are related, they are not automatically tied together. Each field has to set independently.

Revised: 8 May 2019


Club Database Basic Handicap Tab

Club Database - Handicaps Tab

This records the member's handicap for each of the defined handicap lists.

  • The handicap list names are defined in Club Information Set Up.
  • Any list with a blank handicap List Name are consider to be Inactive, and will not be displayed here.
  • Lists 16,17,18 are fixed lists that are calculated from the parameters set in Club Info Set Up ... NZB Handicaps and Club Info Set Up ... Club Gradings tabs.
  • All handicaps in one Handicap List can be copied to another Handicap List. Details are here.
  • Handicap can be imported from an Excel spreadsheet. Details are here Import Handicap Lists from a CSV File
Revised: 8 May 2019


Copy Handicap Lists

From this screen one handicap list can be copy to another handicap list. For example List 3 can be copied into List 8.
  • Select the Maintain Handicap Lists ... Copy one List into Another menu item.
  • Select the list to copy FROM, from the left hand list.
  • Select the list to copy TO, from the right hand list.
  • Click the Do the Copy button.

Revised: 11 May 2019


Club Database - Subscriptions Tab

The process for handling club subscriptions is typically as follows:
  1. Edit the data fields in the Subscription Info tab.
  2. Create the Subs Invoice documents
  3. Record the receipt of the subs as they are received. Summary reports can be printed from the Subscription Accounts screen.

Edit the Data Fields

The subscription info is displayed for each financial year. Note that the yellow highlighted field containing data that comes from elsewhere. The unhighlighted field can be edited here.
  • Invoice Data for Year: Display the subs invoice data for this selected year.
  • Member Type: Displays the Member Type that is defined in the Basic Data tab. (the Member Type determines the subs value that each member).
  • Affiliation Exempt: A True/False Field displaying the Second Club information that is defined in the Basic Data tab.
  • Member Type Based Sub: This value comes from the Membership Types ... Subs value set up in Club Information Set Up.
  • NZB Affiliation Fee: If the NZB Affiliation Fee is defined in Club Information Set Up, it is inserted here IF Affiliation Exempt = True (that is, if this club is a SECOND CLUB for this member). (Note that there are two different ways to handle the NZB Affiliation Fee - see the discussion in Club Information Set Up.)
  • Credits: This is a manually entered value. An example could be that a member overpaid a previous year's subscription, and they are being recompensed here. The Credit can be a negative number.
  • Joining Fee: A Joining Fee can be due if the Year part of the member's Date Joined is the same as the current Invoice Data for Year. If true, then Joining Fee = the Joining Fee as defined in Club Information Set Up.
  • Calculated Sub: This calculated value is Member Type Based Sub - NZB Affiliation Fee - Credits: + Joining Fee
  • Override Sub: If a value is here, this overrides the Calculated Sub amount.
  • Invoiced Sub: This will equal the Calculated Sub OR the Override Sub if that value is greater than 0

Create the Subs Invoice documents

The Subscription Invoices are printed for all members from the Subscription Accounts screen. These invoices will be based on the data recorded in the Subscription Info tab.

Record the receipt of the subs as they are received

  • Amount Paid: This is the amount paid by the member. Typically, this equals the Invoiced Sub value. If it is not equal, the Still Owing amount will be non zero.
  • Invoice Number: This is the invoice number for the current year, created during the Create the Subs Invoice Documents process.
  • Date Paid: Date on which the subs payment was recorded.
  • Receipt Number: This is the receipt number
  • Discounts/Penalties: This is usually a balancing number to ensure that Still Owing amount is zero.
  • Still Owing: This equals Invoiced Sub less Amount Paid less Discounts/Penalties.
  • Notes: Notes can be entered.

Screen Button

  • Recalculate Invoice Data for ALL members button: In the unlikely event that the subs amounts have gone awry, this will recalculate the subs for all members.

Membership Types and Joining Fee

Data related to subscription invoices is entered in Club Database (Subs Settings tab)

Screen Buttons
  • Annual Fees Year: This displays the data that the selected year.
  • Edit Fees: This enables the list for editing.
    • Any field can be edited
    • For the Yes/No fields, enter -1 for YES and 0 for NO.
    • A new member type can be added in the last line (the line with a *)
  • End Edit: disables the list for editing
  • Delete Selected Record: does just that. Note the database is not checked to see in a deleted member type is being used. The user must check this manually (see Club Database list).
  • The NZB Affiliation Fee can be entered here, but is not recommended. Please see the discussion in Club Information Set Up.
  • The Affiliation Exempt check box can be set but it is for information only. Compass ignores this.
  • Under the following conditions, a joining fee can be optionally applied to each invoice
    • The Joining Fee is non zero AND
    • The member's Date Joined in the Club Database is within the current year
  • Fiscal Year starts in the month of .. : Set the first moth of the fiscal year. Typically this is set to January.
  • Create Fees List for this Year: This copies the fees from the previous year to the currently displayed year.

Membership Types

The primary reason for Membership Types is to record the subscription fee for each type. This is then used in Subscription Accounts.

The NZB Affiliation Fee is used when calculating the subscription fee for secondary members ie members who belong to another club and designate that as their "home" club. The NZB Affiliation fee for these members is paid once only and that is by the home club.

For example, if the sub for a Full membership is $45 and the NZB Affiliation Fee is $21. Thus
  • a "full" member with this club as their home club, the sub is $45
  • a "full" member with this club as their second club, the sub is $24
An optional (and probably preferred) way to handle this is to use a WYSIWYG approach. That is, introduce an additional membership type for second club members, with its own sub fee. The NZB Affiliation Fee is then set to $0. The actual sub fee for every membership type is then WYSIWYG in the table.
Revised: 23 May 2020


Club Database Grade Handicaps Tab

Club Grade Handicaps Tab

This records the member's Club Grade and Grade Handicap

Club Grades

Club Grades can be used to sort the results of both Ladder Competitions and Aggregate Competitions. Each member can be assigned one of the six Club Grades that are defined in Club Information Set Up. Examples of Clubs Grades are Open, Intermediate, Junior etc.

A handicap can be assigned based on the players Club Grade, and this can be done for both pairs and teams events. This handicap is saved in Handicap List 18 and this list can be used when setting up events in the Club Calendar of Events.

If your club does not use Club Grades, it is recommended the define one nominal Club Grade, with a name of say None or All Grades.

Start of Year Handicap Grades

Two concepts are used here
  • Start of Year Handicap Grades: (SOY Handicap Grade) can be used to sort the results of both Ladder Competitions and Aggregate Competitions. Each member's SOY Handicap Grade is calculated based on their assigned handicap value from a user chosen Handicap List.
  • High Low Handicaps: The High Low handicaps are used in "High/Low" competitions where a low handicap player must play with a high handicap player. Each member's High/Low is based on the threshold handicap setting in Club Information Set Up ... Club Gradings tab.

The list of Start of Year Handicap Grade is identical to the list of Club Grades. For each Club Grade, as range of Player Handicaps is assigned in Club Information Set Up.

Screen Button: Update Handicap Grade and High/Low Handicap

This will update the Start of Year Handicap Grades and High Low Handicaps. During this process, you must specify that Handicap List that is to be referenced in the calculations.

Club Information Set Up

The parameter for Club Grades and Start of Year Handicap Grades are set up in Club Information Set Up
  • Club Grades: In the example below, the Club Grades are SNR, INT and JUN.
  • Club Grade Handicaps: For each Club Grade, a Club Grade Handicap can be set for Pairs events (% based handicap) and for Teams Events (IMPs based handicap). This handicap is saved in Handicap List 18 and this list can be used when setting up events in the Club Calendar of Events. In the example below, the Club Grade Handicaps have not yet been set.
    • Grade Handicap Range: The handicap Range for each Club Grade is entered. In the example above:
      • Members with a handicap between -5 and 2, will be assigned a Start of Year Handicap Grade of SNR
      • Members with a handicap between 3 and 7 will be assigned a Start of Year Handicap Grade of INT
      • Members with a handicap between 8 and 15, will be assigned a Start of Year Handicap Grade of JNR
    • High Low Handicap The High/Low threshold handicap is entered here. All players with a handicap less that 5, will be assigned a High/Low Handicap of HIGH. All players with a handicap greater that 5, will be assigned a High/Low Handicap of LOW.
    Revised: 9 May 2019


Club Database - Flags Tab

These are miscellaneous settings that apply to each member.

  • Privacy Requested: If enabled, the member’s address and phone numbers will not appear on any printed list.
  • EMail Results for All Sessions: If enabled, Emails for ALL results will be sent to this member, whether they are playing or not.These are miscellaneous settings that apply to each member.
  • Suppress Emailing of Results: If enabled, this stops the sending of session results emails.
  • Suppress Compa$$ Update Emails: If enabled, this stops the sending of Compa$$ update emails.
  • Suppress ALL Notification Emails: If enabled, this stops ALL notification emails.
  • Opt of of Compa$$: If enabled, this indicates that this member has opted out of Compa$$ which means that this member does not have a Compa$$ account. The club must then have processes to manage these members.
Revised: 25 May 2021


Club Database - Settings Tab

Various parameters can be set here.

Annual Fees

The various membership fees for each year are set here. Existing records can be edited.

Notes

  • Add/Refresh Records for the Selected Year: Use thus button to copy the Member Types from Club Info Set Up, along with any default fees if they are recorded there. After they have been add, use the Edit Fees button to do updates.
  • The NZB (Affiliation) Fee and Joining Fee types are automatically added to the list. The Fees associated with these can be set to zero if you club does not use these.
  • Any record can be deleted by clicking the Delete Selected Record button. Caution: a valid entry should NOT be delete, if necessary just set the amount to zero.
  • If records are accidentally deleted, they can be resurrected by clicking the Add/Refresh Records for the Selected Year button.
  • If Compass cannot find a Fee record for a particular Member Type and Year, it will assume the fee is $0.

Revised: 27 May 2019


Subscription Accounts

Club Subscriptions Accounts

Member's yearly subscription information can be managed within Compass. The process starts when subscriptions accounts for the new year are printed and/or to members. Then as payments are received, this information is entered against each member and status reports can be generated. At the end of the year, the begins again for the new year.

Note that for the creation of subscription invoices, Microsoft® Excel must be installed.

Creating Subscription Invoices

Step by step instructions are found here.

Updating Members Subs Information

Strip Menu Item: Databases .. Club Database .. Subscriptions Info tab

The player's payment information is entered into the Club Database. Full Details can be found here.

Member Subscriptions

Strip Menu Item: Databases .. Club Database ... Subscription Accounts

Screen Buttons

  • All: Lists all members.
  • In Credit: Lists members that are in credit (that is, their balance is negative).
  • Still Owing: Lists members that have an outstanding balance.
  • Fully Paid: Lists members that paid in full.
  • Uninvoiced: Lists members where the Invoice Number is blank.

Menu Items

  • Print Options
    • Print Summary (sorted by Member Type)
    • Print Filtered Invoice Payments: Reports is filtered by date range or month range
  • Export Data to Excel: Exports the displayed data to Excel. The created Excel sheet is named as Book1.xls, which you can SaveAs to another name.
  • Email Parameters: Set the Body and Footer HTML files for the emailed subscriptions. Details for creating the HTML Files are here
  • Edit Annotations: Details are here

Printing and Emailing of Invoices

The process for creating the printed invoices for the current year is:
  1. Update the member's subscription info the Club Database ... Subscriptions Info tab.
  2. Update the Invoice Date (on this screen)
  3. Update the Annotations text file.
  4. Update the Discount and Late Fee Information.
  5. Use the Create Subscription Invoices ... All Members or Selected Member Only buttons to create the invoices.
    • Printing. The PDF can be printed from File Explorer. Just highlight one or more files, right mouse click, select the Print option.
    • Emailing.
      • Use the View Email List button to display a list of members
      • Select the files you wish to send. Note: click a column header to sort the list by that column
      • Click the Send Email button.
Notes
  • Invoices will NOT be created for Inactive members, or where the Invoiced Amount = 0 (eg Life Member) of if the invoice has already been paid.
  • Invoices can be created multiple times. The new invoices simply overwrite the old invoices.
  • The emails for members WITHOUT an email address, will be sent to the club's email account.
  • The Email Body and Footer HTML files are set in the Email Parameters menu item.
  • The member's Invoice Number are a concatenation of the current year (yy) and the players NZB computer number.
  • PDF files are named SubInvoices_yyyy_12345_Name and are saved in the c:\CompassV6\Textfiles\ sub-folder.

Edit Annotations

Annotations are notes that are printed on each invoice. These are saved in a file named SubInvoice_Annotations.txt and saved in the C:\CompassV6\System folder. A sample annotation file is here

There are two types of annotation:

Annotation for the Body of the Invoice

Up to 6 lines are in the body of the invoice only

Example
[INVOICE BODY] 6 lines maximum
X Your prompt payment is appreciated
X NB - Late fee of $10 applies if payment is later that 10 January 2016
Please refer to the About Us page on our website for fee structure
Another line
Note: If the first character of any note is "X ", then this line will NOT BE PRINTED if the members balance is zero or in credit

Annotation for the Payment Options

Up to 5 lines are in the payment box

Example
[PAYMENT BOX] 5 Lines maximum
Payment Options:
1) Direct Credit (with name as reference) to
Bank account 12-1234679-123
2) Cheque to P.O Box 999, Anytown 12345"
3) Cash or cheque to a committee member

Discount and Late Fee and Joining Fee Information

These fees are set in Club Database .... Subs Settings tab. If the Discount and/or Late Fee are greater than zero, this information is printed on the invoice, but they are not included in the bottom line invoice Balance Due. It is left to each member to pay the correct amount, given the date on which the invoice is paid.

Revised: 23 May 2020


CompaSS Subscriptions

Compass Subscription Account

The following is the process for creating Subscription Accounts. Normally this is done at the start to the new financial year

Set Up Parameters

  1. In Club Database .... Settings tab
    • Set the Subscription fees for each of the member types for the current financial year
  2. In Compa$$ ... Settings (2) tab
    • Set the Use Account Credit for Subs option (Compa$$ clubs only)

Confirm the Details for all members

  1. In Club Database and List Database Records
    • Update the Member Type for all members
    • Update the Second Club (Affiliation Exempt) setting for all members

Calculate the Subs Amounts for all Members

  1. In Club Database ... Subs Info tab
    • Ensure that the Subs Data for FISCAL Year option is set for the correct year.
    • Use the Recalculate Invoice Data for ALL members button to recalculate the Invoice

Prepare the Sub invoices

  1. In Subscription Accounts
    • Ensure that the Subs Data for FISCAL Year option is set for the correct year.
    • Edit the Annotations as appropriate
    • Set the appropriate Invoice Date
    • Review the data for All members

Create the Sub invoices

This process
  • Adds an Invoice Date and Invoice Number to the database record for each member.
  • For Compa$$ clubs only) IMPORTANT: If the Use Account Credit for Subs option is set the subs will be automatically marked as PAID for these members that have sufficient account balance to cover the subs amount. Where members do not have sufficient funds, their subs amount will be deducted from the members credit, meaning the the account balances will go negative.
  • Can be repeated any number of times, with changing Invoice Dates if you wish.
  • Will NOT change the member sub if their subs has already been paid.
  1. In Subscription Accounts
    • Use the Create Sub Invoices ... Full Row Selected Member button to create the invoice for one member (to select one member only, click the small box to the left of the members name).
    • Use the Create Sub Invoices ... All Members button to create the invoice for ALL members.

Print and/or Email the Invoices (finally)

  1. From the menu, Set the Email Body and Footer file. If necessary, edit the HTML body or footer file.
  2. Select/deselect the Include Remittance Slip option as required.
  3. Click the View Email List button to all list members.
  4. Sort, select, preview, print or email the invoices.

Notes

  • The Invoice Number used is yy-nnnnn where yy is the current fiscal year and nnnnn is the members NZB ID.

Revised: Dec 2020 (month 9 in the COVID era)


Managing the Club Database

Compass has the flexibility that allows the program to be run at the club or from remote PCs. The remote PC option allows Database work to be done from a home PC.

The options for the location of the Club Database are as follows:

  1. The club database is located in the CompassV6 folder on the club Scoring PC. All database work is done on this PC.

This is the simplest but most restrictive option as all Database work is done directly on the club's PC. This option is appropriate when the club PC is a laptop which can be in any location.

Special Setup Requirements
  • In Club Info Set Up ... File Locations, the database location is set to c:\compassV6\System\Clubname.mdb

  2. The club database is located in the CompassV6 folder on the club's PC. Selected users have remote access to this PC.

This option is relatively simple as it is equivalent to using the club PC directly. Database work can be done by accessing the club PC via Ultraviewer (or Teamviewer).

Special Setup Requirements
  • In Club Info Set Up ... File Locations, the database location is set to c:\compassV6\System\Clubname.mdb
  • The club PC should be running 24/7
  • Ultraviewer must be set for Unattended Access and have a Custom Password assigned.
  • Home users must have Compass installed on their home PC
Caution
  • Database work should only be done when the club PC is not being used for scoring.

  3. The club database is located in the CompassV6 folder on the club's PC. Selected home users use "Dropbox Restore" to access the database.

This option copies the club database from the club PC and Database work done on that copy. When done, the home user copies the updated database back to the club PC via a Dropbox File Copy . The process is as follows:
  • the home user uses the Compass Dropbox Transfer > Restore from Dropbox option to copy the club database to their own c:\drive
  • the home user the does any Database Work
  • the home user then does a Database File Copy to copy their work to Dropbox
  • When the club PC is next started, the user has the option to copy the database to the club's c:\CompassV6 location.
Special Setup Requirements
  • In Club Info Set Up ... File Locations, the database location is set to c:\compassV6\System\Clubname.mdb
  • Home users must have Compass installed on their home PC
Caution
  • Database work should only be done when the club PC is not being used for scoring.

  4. The club database is located in the Dropbox. All database work can be on the club PC OR any home PC with access to the club's Dropbox folder.

This is the most flexible option as Database work can be done from any authorized PC, but there must be caution as all users have contemporaneous access to the database. This presents a risk that one user's changes might step on another user’s changes. To mitigate this, a clear set of guidelines must be available to all users.

Special Setup Requirements
  • the Club Database is saved in the Dropbox\Club [clubname] folder.
  • In Club Info Set Up ... File Locations, the database location is set to Dropbox\Club xxxx\xxxx.mdb where xxxx is the club name.
  • Home users must have Compass installed on their home PC

Special Menu Highlighting

To avoid the possibility that multiple are contemporaneously accessing the Club Database, CompassLock is used. Note this lock is a visual indicator only and does not actually prevent contemporaneously access. User disciple is essential here.
  • When another user has a LOCK on Compass, the affected menu buttons are highlighted [image] When this occurs, you must wait until that user has finished before doing any Database work.
  • Hovering over the menu item will display the user that is currently accessing the database and the time of that access.
  • The menu button highlighting is automatically removed when the other Compass user ends their session. (Compass checks every 10 seconds for a lock change.) This is an indication you can start to do the Database work.
  • If no other user is using Compass, menu highlighting will not show. In this case, you are then free to do any Database work. (Note that if OTHER users start Compass at this time, they will get the CompassLock button highlighting.
Special Considerations when using Dropbox To avoid Dropbox "conflicted file" issues, all users should follow these guidelines
  • Keep a close watch on the Dropbox icon in the system tray.
  • Hover over the icon to see the Dropbox Status
  • DO NOT START COMPASS until the status is Up to Date.
  • After ending your Compass session, DO NOT SHUP DOWN YOUR PC until the status is Up to Date.

Practice/Testing Mode

If home users wish to uses Compass WITHOUT affecting the live Club Database, an option is given when Compass starts

This option is also available when users are in Multi Club Mode.

The Main Strip Menu will indicate which Club Database is being used.

or

Definitions

  • Database work: Edits to Compa$$, Club Database, Calendar of Events, Subscription Invoices, Group and Roles Set Up.
  • Club Database: The Access mdb database used in Compass. It is named [Clubname}.mdb and is often referred to as "the mdb"
  • Club PC: the master club scoring PC.

Revised: 6 July 2020


Visitors Database

The visitors database is available to record those who play at your club,but are not club members. Typically this can be used to record:
  • Visitors from an overseas club
  • Graduates from the beginners lessons. These players could be assigned an NZB computer number**, but you do not want to add them to the Club Database until it is clear that they will continue playing on a more permanent basis.
** players can be given a temporary fake number less than 1000, or greater than 99000. When they do become a full member, a valid NZB number can be assigned.

Note: It is not necessary to add affiliated members of NZB who are members of other clubs. The details of these players is already available from the NZB Database which Compass does access during the scoring processes.

Strip Menu Item: Databases .. Visitors Database

Notes

  1. With the exception of the Computer ID column, the screen is always in "edit mode", that is all changes are automatically saved.
  2. When Transfer Selected Visitor to the Club Database, the player remain in the Visitors Database but this player can be deleted if you wish.
  3. The Add... and Edit ... buttons bring up a dialog, where the player details can be entered.
  4. When Adding a new Visitor, the next highest Computer ID is automatically assigned. This number can be changed to any other unused number.
  5. Click the column headers to sort in ascending or descending order.
Revised: 7 February 2020


NZB Database

The NZB database records all players who are affiliated to NZB. The database details includes master point status, grade, rank, rating points and club information. This information is accessed by Compass during the scoring processes.

The database is updated approximately monthly and is available immediately to clubs through a Dropbox link.

Strip Menu Item: Databases .... NZB Database

The database can viewed from the the strip menu. From there you can
  • Use the Search Filters to display the desired records
  • Use the Sort Filters to sort the records by the selected option.

Players "Preferred Name"

The NZB database now can record any players First Name as well as a Preferred Name. The preferred name will be used in all Compass results. Examples of it's use are:

First Name Preferred Name
 Dorothy Dolly
Millicent Milly
Robert Bob

Any player can change their own details on the NZB website. A club administrator can change the details of any player
Revised: 29 August 2018


NZB Rating Points

NZ Rankings & Rating Points

Rating Points are allocated by NZB and are based the number of A and B points that player's have been awarded in recent years. These Rating Points are a good indication of the playing standard of all active members. Rating Points are used by clubs for seeding players in tournaments event and for the award of prizes in stratified tournaments. Some clubs also use Rating Points to assign player handicaps.

The rating system does have faults when a players does not play competitive bridge in New Zealand in recent years. Rating Points are decreased by 20% in each of the years not played and thus do not truly reflect a players playing standard. An example of this is that, in 2018, a world class player who has represented NZ many times now has a lowly rating of 100 points as this player has not played competitively in New Zealand for the last few years. It would be unfair to use this rating for seeding and for stratified results.

Compass has two processes to artificially modify the NZB Rating Points for any player.

Method 1 - Allocation of Rating Points based on a Players Ranking

Strip Menu Item: NZB Database ... Rating & XG Defaults Tab

Players rating are modified based on a player's current NZB Ranking. Players who have reached a certain rank are allocated minimum Rating Points based on that rank. For example
  • A player who has attained the rank of Silver Grand Master will be automatically allocated Rating Points of 500, if their current NZB rating is less than 500.
  • A player who has attained the rank of Grand Master will be automatically allocated Rating Points of 200 if their current NZB rating is less than 200.
  • The Rating Points for players in the bands between Novice and Master will not be modified. That is, their current NZB Rating will be used.
The Minimum Rating Points in the above table reflect the average rating points for all NZ players that are in that ranking band.

Note: The above table can be edited by XClub administrators only. Please contact Bob if you have questions related to this.

Method 2 - Allocation of Rating Points for Individual Players

Strip Menu Item: NZB Database ... Player Adjustments Tab
Individual players are allocated a fixed number of Rating Points.

In this example, three players have been allocated an arbitrary number of Rating Points. The allocated Rating Points more realistic ally reflect the player's playing ability.

Note: The above table can be edited by XClub administrators only. Please contact Bob if you have questions related to this.

Automatic Adjustment of Rating Points

The automatic adjustment of Rating Points is enabled/disabled by setting the Use Adjusted Ratings check box on the Rating & XG Defaults Tab. It is recommended that automatic adjustment is always enabled.

Where Rating Points are used in Pre-Entry files, the adjustments are shown on the text files reports as follows (102 --> 1000).

Revised: 30 December 2019


Club Calendar of Events (NEW VERSION)

The Club Calendar of Events (CCOE) records the club and tournament sessions that are played throughout the year. This information is used when setting up the scoring of new sessions and in the calculation of the overall results of club competitions.

Special Note: The new and improved version of the Compass Club Calendar of Events screen was introduced in April 2019 and replaces the original CCOE screen. The new screen differs from the original as follows:
  • the club and tournament CCOEs are combined
  • when adding new events, all sessions of the same competition are added simultaneously
  • the Competition Number is assigned automatically by Compass
  • the SECTIONS of any club or tournament session do not have to be set up in the CCOE. (The section setup is now done when setting up the session scoring.)
  • the CCOE can be viewed in different ways
    • by year, and each month of the year
    • by specific session day (or blank session day)
  • for clubs using Hello Club, set up the Hello Club related fields

Strip Menu Item: Other Services ... Club Calendar of Events

Field Names

The fields of the club calendar are as follows:

Fields | Description
ID | A sequential number for reference only
Comp ID | A unique number for each different competition
Title | Title of each competition
Sess Number | Round number of the particular competition
Date | Session date in the format "dd mmm yyyy"
Results File | The file name under which this session will be saved. See below for Results File naming convention.
Handicap List | The handicap list applied to this competition
Event Type | Pairs, Multiple Teams, Swiss Pairs etc
MPs | Master point awards
Minimum Sessions | The minimum number of sessions required to be eligible for this competition
Substitutes | The number of subs allowed for this competition
Dropped Score | The number of dropped scores allowed for this competition

Results File Naming Convention

Standard Weekly Club EventsCompass has a strict format for the naming of Results Files. The format ties together the results file names, the electronic scoring database and the hand record files. Results File format is wwDDD where

ww is the ISO week number corresponding to the session date

DDD is a session prefix as follows ...

mon = Monday EVENING Session
tue = Tuesday EVENING Session
wed = Wednesday EVENING Session
thu = Thursday EVENING Session
fri = Friday EVENING Session

mond = Monday DAY Session
tued = Tuesday DAY Session
wedd = Wednesday DAY Session
thud = Thursday DAY Session
frid = Friday DAY Session

Other Club Events

Other club events can have a name of your choice, but it is best to follow a similar convention, for example nnTTTTTT, where nn is a numeric prefix, and TTTTTT is any text

Tournament Events

For all tournament events, the Results File format must be nnnxxxxx where nnn = 100, 200, 300 etc and xxxxx is any text.

100xxxxx Where 100 means Session 1
200xxxxx Where 200 means Session 2

If a session is run in sections, Compass will automatically create the required files. For example

101xxxxx Where 101 means Session 1, Section 1
102xxxxx Where 102 means Session 1, Section 2

Entering Data in the Calendar of Events

  1. Select the correct YEAR and the correct SESSION DAY from the right-hand panel.
  2. Click the Add New Competition Series button
  3. This opens the Add New Competition frame. Use the TAB key to cycle through and update each of the data fields.

  4. Session Day. This automatically defaults from the selected Session Day Filter and is used to construct the Filename in the wwDDDD format. If the selected Session Day Filter = "Other", an appropriate Session Day should be entered here.
  5. Event Type. Make a selection from the combo box.
  6. Ladder Type. For club Pairs events, select the type of competition - Pairs or Singles. This information is used when the competition ladders are calculated. This frame shows for specific club Event Types only.
  7. Ladder Parameters: For club duplicate events, enter the ladder parameters. This information is used when the competition ladders are calculated. This frame shows for specific club Event Types only.
  8. Competition Title: Enter the competition title
  9. Number of Sessions in this Competition: Enter the appropriate value. This open the number of sessions in the Event Dates frame.
  10. MP Awards: Enter the appropriate value.
  11. Event Dates. Usually , data for Session 1 (S1) only need be entered. The data for the other sessions can be automatically enter by using the OWL button
    • Session Date: Select from the combo box
    • Filename: Enter the filename manually OR click the OWL button
    • Handicap List: Select from the combo box OR click the OWL button
Notes:
    • The OWL (One Week Later) button will automatically insert the Session date (one week later) , Filename and Handicap List for the selected session. If the session dates are not consecutive, the Session Date must be select manually from the date picker.
    • When there are more than 8 events in this competition, click the Show S9 to S16 button to show or hide the extra sessions.
  12. Hello Club Parameters:
    • HC Chargeable
    • Payable Director
    • Prize Awards
    • Special Table Money ID

Screen Buttons

  • Edit Options Frame
    • Delete the Selected Event: Deletes the selected event. Note that Hello Club events cannot be deleted if the posting has already been done.
    • ADD New Competition Series: Initiates the Add process
    • Edit the Selected Competition: Initiates the Edit process
  • Check for Duplicate Filenames: The check for Duplicate Filenames is done when the screen is first opened, and again when any competition event is edited. Clicking this button will manually start the check. If duplicate filenames exist, the button will be red highlighted.
  • Select Event Toggles - The HC Chargeable, Prize Event, Director Payable YES/NO flags for the selected event can be toggled. Normally these flags are set for all sessions of an event from the Edit the Selected Competition button. Note that these toggle buttons show only if Hello Club is enabled for your club.
  • Show Unchargeable Sessions: Displays sessions that are not chargeable in Hello Club. Note that this option show only if Hello Club is enabled for your club.
  • Search for Title: Filter the Event by by the entered text. After entering some text, press the <enter> key to initiate the search. Use the X button to clear the search text.

Menu Items

  • Excel Reports
    • Displayed Calendar. Print the calendar as it is currently displayed.
    • Create Excel Templates
      • Calendar of Events: Creates an Excel file that contains the essential data for all events for the displayed year. This template can be used to upload a new CCOE.
      • Director ID: Creates an Excel file with information for all events for the displayed year. This template can be used to update the Director ID for each event.
    • Import From Excel File
      • Calendar of Events: Refer here for further detail .
      • Director ID: Refer here for further detail.
  • Edit Options
    • Delete ALL SESSIONS of the Selected Event: Note that Hello Club events cannot be deleted if the posting has already been done.
    • Delete ALL EVENTS for the selected Session Day
    • Create Printers Version: Refer here for further detail.
  • Import From Excel
    • Calendar of Events: Refer here for further detail .
    • Director ID: Refer here for further detail.
  • Year Rollover Functions
    • Copy YYYY Events to the YYYY+1 Year. During this copy, the Event Dates for the new events will be "one year" later that the existing calendar dates.

Importing Data from Excel

An Excel spreadsheet can be used to import the full CCOE and/or the Directors ID for each session. In both cases, the general procedure is to
  1. Use the Create Template menu item to create a MS Excel template. SaveAs the Excel file to your favourite location.
  2. Modify the data within the MS Excel application.
  3. Use the Import from Excel menu item to update the CCOE.

Creating the Calendar for a New Year

There are several different methods to creating the calendar for a new year
  1. Create a new calendar for scratch, using a blank slate. This method is suitable if the calendars are quite different from year to year.
    • Enter the calendar using the methods above.
  2. Create a new calendar, using the previous year's calendar as a template. The Event Dates for the new events will be "one year" later that the existing calendar dates.
    • Use the Year Rollover Functions Copy YYYY Events to the YYYY+1 Year menu item
    • After the copy has been done, use the Edit Options functions to correct the CCOE where necessary.
    • Note that the copy is done one Session Day at a time
  4. Use Excel to create a new calendar, using this year's calendar as a template. This method is suitable if the calendars are much the same from year to year. Details can be found in the next topic.

Creating the Calendar using the Excel Template

  • First, create a CCOE for next year, using this year's CCOE as a guide
  1. Display this year's CCOE
  2. Select one single Session Day
  3. Use the Year Rollover Functions ... Copy Previous Years Events to the Displayed Year menu item
  4. Change the Year filter to next year to check your work
  5. Repeat steps 1 to 4 for the other Session Days of the CCOE
  • Create the Excel Template file
    1. Display next year's CCOE
    2. Use the Excel Reports .. Create Templates .. Calendar of Events menu item to create the Excel template
    3. SaveAs the Excel file to your favourite location.
    4. Modify the data within the MS Excel application. Refer here for additional information.
    5. Use the Import from Excel .. Calendar of Events menu item to update the CCOE.
  • Import the Calendar from the Excel File

Notes on the CCOE Template Files and Import process
  • The Excel columns generated by the Create Template process must be exactly as shown here. Existing columns must not be deleted and additional columns must not be added.
  • The column headings must be in row 1.
  • The import will stop when a blank field in found in the Year column (column A)
  • Blank rows can be added, BUT Year column must still not be blank.
  • Any row will be ignored if the EventDate column does not contain a valid date.
  • The import Excel file can be split out into separate files containing one or more Session Days in each of the files.
  • A reality check prevents more that 1000 rows to be uploaded.
  • Whilst an Excel import of the Tournament calendar can be done, it does not make much sense to do so. The Tournament calendar can easily be enter from scratch, of by using the Year Rollover Functions .. Copy YYYY Events to the YYYY+1 Year menu item.
  • IMPORTANT NOTE: The Import File process will delete all existing events that pertain to each of the the Session Day events that appear in the file.

Importing the Director's ID

  1. Use the Create Template .. Directors ID menu item to create a MS Excel template. SaveAs the Excel file to your favourite location.
  2. Modify the data within the MS Excel application.
  3. Use the Import from Excel .. Directors ID menu item to update the CCOE.

  • The Excel Template (example above) has a number of columns, but only the highlighted columns are mandatory.
  • The Row 1 Headings of the mandatory columns must but be exactly as they appear above.
  • The Headings must be in Row 1.
  • Additional columns can be added for reference. These columns will be ignored during the upload.
  • The DirectorsID is the person's NZBridge computer ID. That person must be in the Club Database.
  • IMPORTANT NOTE: The upload will ignore any event that is in the past, that is, earlier than the day that the upload is being done.
  • A blank DirectorsID will remove the current DirectorsID, if it exists.
  • A reality check prevents more that 1000 rows to be uploaded.

Printer's Version

  • A Printer Version of the Calendar can be created

ISO Week Numbers

The ISO weeks are numbered 1 to 52 (or 53). Each week runs from Monday through to Sunday. Week 1 of any year is the week that includes 4 January. Compass guides the users to the correct week number. Double clicking the mouse on the version number on the main strip menu will display the current calendar with week numbers.

ISO week numbers are well documented in this Wiki article.
Revised: 30 April 2019


Club Calendar of Events Import from Excel

Club Calendar of Events - Updating via Excel

The calendar of events (COE) for a new year can be imported from an Excel file. This process is effective when the new calendar is roughly the same as the calendar for the current year. The general procedure would be to first export the current program to Excel, manipulate that in Excel, then import the new calendar back into Compass. A number of iterations of this can be done until the new calendar is finalized.

Strip Menu Item: Other Services ... Club Calendar of Events

Export to Excel

  1. Display the current year's calendar
  2. To get the correct dates for each session for next year, use the menu item Maintenance ... Add 1 Year to all Dates.
  3. This step will create a new COE file for next year, and will be named according to the Next Years Calendar of Events setting in Club Information Set Up .. File Locations.
  4. Use the radio buttons to change the display to show the newly created COE for next year.
  5. Use menu item Maintenance ... Export Program to Excel
  6. An Excel file will be created named COE_Year yyyy.xls will be saved in the C:\CompassV6\System folder.
Excel can now be used to edit the new calendar of events.

Editing the File in Excel

Note: The File Name column can be blanked out. When importing the file back into Compass, this column will automatically generate based on the Session Day and the Session Date.

Import From Excel

  1. Use menu item Maintenance ... Import Program From Excel
  2. Click the Open File menu item and navigate to the Excel File
  3. The program calendar will now be display in the grid.
  4. Click the Save Import button. You will be prompted to over-write the "Next Years" programme.

Revised: 26 December 2016


Club Calendar of Events - Printers Version

This creates a text file version of the entire calendar that could be suitable for printing in a booklet. This includes header and footer notes for each session and notes against individual events if they are needed. As the Club Calendar does not have a place to save these special notes, a separate file is used to record this information.

Create a Printers Version

  1. Create the Calendar of Events for the full year.
  2. Use the menu item Textfiles ... Open Header/Footer Files to edit the header and footer information in the Program_HeaderFooter.txt
  3. Save and close the HeaderFooter file
  4. Use the menu item Textfiles ... Create Printers Version to create this.
  5. Loop around until you get it right.

Notes

  • To determine which sessions will be included in the Printers Version, Compass looks at the set up in Club Information Set Up ... Club Sessions tab. The sessions entered there will be reported in the Printers Version.

Header Footer File

This file is saved in a file named Program_HeaderFooter.txt which is saved in the c:\compassV6\System folder.
Header/Footer Notes

 Each playing session (eg mon, mond, tued, wed etc) can have its own header and footer text which is printed at the head and foot of each sessions list of events.

The format for the header is [HEADER]xxx where xxx is the session short name followed by any number of text lines.
The format for the footer is the same except for the word HEADER changes to FOOTER.

A special entry of [HEADER]all or [FOOTER]all will print the associated text at the head or tail of ALL sessions list of events.

Example

[HEADER]mon
PLAYING PROGRAMME 2017
Monday Evening
Please be seated by 7:20pm. Play begins at 7:30
CLUB OPENING NIGHT 14th January (Wednesday)
Drawn or BYO Partner

[HEADER]tued
PLAYING PROGRAMME 2017
Tuesay Morning
Please be seated by 10:20pm. Play begins at 10:30
CLUB OPENING NIGHT 14th January (Wednesday)
Drawn or BYO Partner

[FOOTER]all
Annual General Meeting & Prizegiving
Monday 30th November 6:00pm

Session Notes

Special instructions for any individual competition can be entered, and these will print under the competition title. The format for the competition notes is [COMPNOTES]xxx where xxx is the EXACT session title from the program followed by any number of text lines (it is best to copy and paste the competition title from the program).

Example

[COMPNOTES]MITRE 10 MEGA Individuals
Must play with different partners
Best 3 of 4 scores count

Other Notes

You can include blank lines in the header/footers by entering a line with "*" at the beginning. All blank lines in the header/footer are ignored. Any notes added before the first [HEADER}xxx line will also be ignored.

Example of a Header/Footer File

[HEADER]mon
PLAYING PROGRAMME 2017
Monday Evening
Please be seated by 7:20pm. Play begins at 7:30
CLUB OPENING NIGHT 14th January (Wednesday)
Drawn or BYO Partner

[HEADER]tue
PLAYING PROGRAMME 2017
Tuesday Evening
Please be seated by 7:20pm. Play begins at 7:30
CLUB OPENING NIGHT 14th January (Wednesday)
Drawn or BYO Partner

[HEADER]all
*
Have a happy day.

[FOOTER]all
Annual General Meeting & Prizegiving
Monday 30th November 6:00pm

[COMPNOTES]MITRE 10 MEGA Individuals
Must play with different partners
Best 3 of 4 scores count

Example Printer Version using the Header/Footer

************************************************
              PLAYING PROGRAMME 2016
                  Monday Evening
Please be seated by 7:20pm. Play begins at 7:30
  CLUB OPENING NIGHT 14th January (Wednesday)
               Drawn or BYO Partner

                Have a happy day.

************************************************

Wk  MITRE 10 MEGA Individuals                Rd
    Must Play With Different Partners
    Best 3 Of 4 Scores Count
 3  18-Jan  _______________________________   1
 4  25-Jan  _______________________________   2
 7  15-Feb  _______________________________   3

Wk  CAMBRIDGE ADVANCED SKIN CARE Pairs       Rd
 8  22-Feb  _______________________________   1
 9  29-Feb  _______________________________   2
10  07-Mar  _______________________________   3

Wk  NICKLIN SURVEYING Pairs                  Rd
11  14-Mar  _______________________________   1
12  21-Mar  _______________________________   2
14  04-Apr  _______________________________   3

Wk  MARAC CUP Pairs                          Rd
15  11-Apr  _______________________________   1
16  18-Apr  _______________________________   2
18  02-May  _______________________________   3

Wk  DAVID'S EMPORIUM Teams                   Rd
19  09-May  _______________________________   1

Wk  Fun Fundraising Evening                  Rd
22  30-May  _______________________________   1

Wk  LILIES BY BLEWDEN Pairs                  Rd
24  13-Jun  _______________________________   1
25  20-Jun  _______________________________   2
26  27-Jun  _______________________________   3

Wk  CHAMPIONSHIP Individuals                 Rd
27  04-Jul  _______________________________   1
28  11-Jul  _______________________________   2
29  18-Jul  _______________________________   3
30  25-Jul  _______________________________   4
31  01-Aug  _______________________________   5

Wk  HENRY DAVYS Championship Pairs           Rd
32  08-Aug  _______________________________   1
33  15-Aug  _______________________________   2
34  22-Aug  _______________________________   3
35  29-Aug  _______________________________   4
36  05-Sep  _______________________________   5

Wk  WINDSOR NISSAN PAIRS                     Rd
37  12-Sep  _______________________________   1
38  19-Sep  _______________________________   2
39  26-Sep  _______________________________   3

Wk  PHILIP COLES COMMUNITY BOARD Pairs       Rd
40  03-Oct  _______________________________   1
41  10-Oct  _______________________________   2
42  17-Oct  _______________________________   3
44  31-Oct  _______________________________   4

Wk  CAMBRIAN LODGE MOTEL Swiss Pairs         Rd
45  07-Nov  _______________________________   1
46  14-Nov  _______________________________   2
47  21-Nov  _______________________________   3

      Annual General Meeting & Prizegiving
          Monday 30th November 6:00pm

************************************************
              PLAYING PROGRAMME 2016
                Wednesday Evening
Please be seated by 7:20pm. Play begins at 7:30
  CLUB OPENING NIGHT 14th January (Wednesday)
               Drawn or BYO Partner

                Have a happy day.

************************************************

Wk  Opening Night - Drawn Partners           Rd
 2  13-Jan  _______________________________   1

Wk  GRUMPY'S SIGN SHOP Pairs                 Rd
 3  20-Jan  _______________________________   1
 4  27-Jan  _______________________________   2
 5  03-Feb  _______________________________   3

Wk  CAMBRIDGE PANEL WORKS Wednesday Individu Rd
 6  10-Feb  _______________________________   1
 7  17-Feb  _______________________________   2
 8  24-Feb  _______________________________   3

Wk  LYNDA LEE HARCOURTS HAMILTON Butler Pair Rd
 9  02-Mar  _______________________________   1
10  09-Mar  _______________________________   2
11  16-Mar  _______________________________   3

Wk  DAVIDS EMPORIUM B2F Teams                Rd
12  23-Mar  _______________________________   1

Wk  CHAMPIONSHIP Junior Individuals          Rd
15  13-Apr  _______________________________   1

Wk  CHAMPIONSHIP Junior Individuals          Rd
16  20-Apr  _______________________________   2

Wk  CHAMPIONSHIP Junior Individuals          Rd
17  27-Apr  _______________________________   3

Wk  CHAMPIONSHIP Junior Individuals          Rd
18  04-May  _______________________________   4

Wk  CHAMPIONSHIP Junior Individuals          Rd
19  11-May  _______________________________   5

Wk  Pairs Salver                             Rd
20  18-May  _______________________________   1
21  25-May  _______________________________   2
22  01-Jun  _______________________________   3

Wk  CAMBRIDGE AUTO ELECTRIC Pairs            Rd
23  08-Jun  _______________________________   1
24  15-Jun  _______________________________   2
25  22-Jun  _______________________________   3

Wk  CREATIVE JEWELLERY Pairs                 Rd
26  29-Jun  _______________________________   1
27  06-Jul  _______________________________   2
28  13-Jul  _______________________________   3

Wk  Social Evening - Meet The Newbies        Rd
29  20-Jul  _______________________________   1

Wk  SUPA CLEAN WINDOWS Pairs A               Rd
30  27-Jul  _______________________________   1

Wk  SUPA CLEAN WINDOWS Pairs A               Rd
31  03-Aug  _______________________________   2

Wk  SUPA CLEAN WINDOWS Pairs A               Rd
32  10-Aug  _______________________________   3

Wk  CAMBRIDGE UNITED TRAVEL Individuals      Rd
33  17-Aug  _______________________________   1
34  24-Aug  _______________________________   2
35  31-Aug  _______________________________   3

Wk  TOP GEAR MOTORS Pairs                    Rd
36  07-Sep  _______________________________   1
37  14-Sep  _______________________________   2
38  21-Sep  _______________________________   3

Wk  CAMBRIDGE DRYCLEANERS Pairs              Rd
39  28-Sep  _______________________________   1
40  05-Oct  _______________________________   2
41  12-Oct  _______________________________   3

Wk  WEBB & WOOD ACCOUNTANTS LTD PAIRS        Rd
42  19-Oct  _______________________________   1
43  26-Oct  _______________________________   2
44  02-Nov  _______________________________   3

Wk  ALISON BOONE CAMBRIDGE REAL ESTATE P     Rd
45  09-Nov  _______________________________   1
46  16-Nov  _______________________________   2
47  23-Nov  _______________________________   3

Wk  Christmas Pairs Drawn Partners           Rd
48  30-Nov  _______________________________   1
49  07-Dec  _______________________________   2
50  14-Dec  _______________________________   3

      Annual General Meeting & Prizegiving
          Monday 30th November 6:00pm

Revised: 1 August 2016


Club Competition Ladders

The overall placing of club pairs and multiple teams events are calculated here. If a competition allows substitutions, Compass will automatically evaluate these based on the pairings in each session. In handicapped results, Compass will look at the player's handicap that exists in the databases at the time of this calculation.

When the results are calculated, they will be automatically saved in the Competition Register.

Note that Club Ladders can optionally be calculated using the XClub Results. Refer to the documentation here for details.

Strip Menu Item: Club Competition Results ... Calculate Results

This main list shows a list of events from the Club Calendar of Events (CCOE).

Steps

  1. Use the Competition List Filter to list events from you selected day session.
  2. Select an event from the list. A list of all sessions in that event will display in the upper left box.
  3. Select the Competition Parameters. (The default values come from the CCOE).
  4. Select the Competition Type.
  5. To start the calculations, click the Calculate Now button
The result will now display.

Screen Buttons
  • Create XML: Uploads the result to the bridge-club.org website. Both raw and handicap results will be uploaded if they exist.
  • Display RAW: Result in short or long form.
  • Display HANDICAP: Result in short or long form.
  • Quick Clicks: Prints the displayed report
Menu Items
  • Print: Prints the various reports
  • Edit Competition Name: As read
  • Eliminate Ineligible Players: Allows you to manually remove players from the overall result
  • View Results in Notepad: As read

Notes

  1. Parameters can be set
    • Handicap Competition?: Use this option to calculate the raw result or the handicap result or both results
    • Sort Results - Normal: As read
    • Sort Results - Club Grade: As read
    • Sort Results - NZB Grade: As read
  2. Movement Types can be set:
    • Matchpoints: the most common option
    • IMPs Add VPs: for Butler Events
    • IMPs Add IMPs: for Butler Events
    • Cross IMPS: for Cross IMP Events
    • Individual Rainbow: for Individual Events

Revised: 17 February 2017


Club Competition Ladders Based on XClub Results

Please refer to Club Competition Ladders for general information related to club ladders.

Ladder results for Pairs and Singles competitions can be optionally calculated using the XClub Result.

Configuration

If there is a possibility that XClub Results could be used in club ladders enable the Club Information Set Up option.

Club Option (1) ... Sometimes use XClub Results for Club Ladders

When this parameter is enabled, all XClub Results will be automatically copied to the club folder in Dropbox \Dropbox\Club XXX\XClub Results\YYYY\ where xxx is your club name and YYYY is the current year.

Steps

If XClub Results are to be used
  1. Click the Use XClub Results checkbox
  2. The file list changes to the XClub Results files
  3. Any missing files, or files that do NOT have a XClub result calculated, will be highlighted in red
  4. To calculate a ladder, click the Calculate Results button

Notes

  1. Ladders based on XClub results can be uploaded to bridge-club.org (Milans'site). These results will be be notated with the test (Based on XClub Results).
  2. A ladder can still be calculated when there are missing or incomplete results. Just be aware of this and act accordingly.
Revised: 26 February 2017


70% and Slam Club

70% & Slam Club Ladders

These report all players that have scored greater than 70%* in duplicate events or have bid and made slam contracts. The Slam Club calculations assign 2 points for grand slams and 1 point for slam and the report then ranks the players by points scored. The Slam Club list can also simply report the pairs who have bid and made slam contracts.

* any threshold percentage can be specified

Strip Menu Item: Other Services ... Personal Scores/Recalculate Handicaps/70% Club/Slam Club

70% Ladder

Process Steps

  1. From the left hand list, select the SESSIONS you want included in the calculations.
  2. From the right hand list, select the YEARS you want included in the calculations.
  3. A list of qualifying events is now displayed
  4. Click OK to continue
  5. From the list of qualifying sessions, select/de-select the sessions you want to include in the calculations.
  6. Click the 70% Club button.
  7. Enter the percentage threshold value (70 is the default).
  8. Two different Notepad reports are now displayed. These can be printed or pasted into other applications.

Slam Club

Process Steps

  1. From the left hand list, select the SESSIONS you want included in the calculations.
  2. From the right hand list, select the YEARS you want included in the calculations.
  3. From the right panel, select to include Swiss Pairs and Swiss Teams events and if you want to include both small and grand slams.
  4. A list of qualifying events is now displayed.
  5. Click OK to continue.
  6. From the list of qualifying sessions, select/de-select the sessions you want to include in the calculations.
  7. Click the Slam Club button.
  8. Three different Notepad reports are now displayed. These can be printed or pasted into other applications.
Revised: 7 August 2016


Aggregate Ladders

An Aggregate competition allocates points according to the placing of each player in selected duplicate pairs events. All participating players can be awarded points, or they can be awarded to some configurable number of top placings
  • If all placing are awarded points, with a 12 table Mitchell Movement, the players finishing first each way are allocated 12 points. Second place receives 11 points and so on down to last place who receive 1 point.
  • If say the top 6 placings are awarded points, the players finishing first are allocated 6 points. Second place receives 5 points and so on down to 6th place who receive 1 point. All other players receive no points.
Another option is to accumulate by the numbers of C Points awarded for each session.

The points are accumulated over of a series of sessions to calculate an overall winner.

External Points from a CSV file can be included in the player results. This may be necessary if there are missing results files because Compass was installed part way through a year.

Strip Menu Item: Club Competition Results ... Aggregate Competition

Steps

  1. From the upper left list, select the SESSION or SESSIONS you wish to accumulate. Multiple sessions can be selected/deselected by holding the [CTRL] button while clicking the mouse. The All Club Sessions option with select all sessions played.
  2. Click check box Aggregate on Handicapped Results if you wish to aggregate by handicapped results.
  3. Click check box Programme specified Handicapped or Raw Results if you wish to aggregate by handicapped results or raw results as specified in the club calendar of events.
  4. The Minimum Number of Session to be Eligible can be specified.
  5. From the list of qualifying sessions, select/de-select the sessions you want to include in the calculations.
  6. Indicate if External Points will be included.
  7. Click Calculate Results to display the results.
  8. You can restrict the number of displayed competitors to the number entered in the Show this Many Results text box.
  9. Click on any player to display their detailed results.
  10. View the results in Notepad, or Print the results as you wish.
  11. Create Excel File outputs the results to a MS Excel File.

Notes

  1. The calculations ignore players not in the Club Database.
  2. If players are tied for a certain place, the total points are shared. With 12 tables, if players NS finish first equal, each player is allocated 11.5 points.
  3. For Howell Movements, the whole field is considered to be playing in one direction. With 7 table Howell, first place will be allocated 7 points; second place will get 6.5 points and so on. Last placing will receive 0.5 points
  4. The result can be accumulated on all raw scores or all handicap scores. The check box should be blank for raw scores, or ticked for handicap scores.
  5. Alternatively, scores can be accumulated on mixtures of raw scores or handicap scores. If this option is selected, Compass will look at the Club Calendar of Events. If the Handicap List value is zero, the result will accumulate the raw score for that session. If the Handicap List value is greater than zero, Compass will read and use the saved handicap result for that session.
  6. The user initially selects the playing sessions for which the result is to be accumulated. All sessions in that playing session are then displayed in the right panel, with all sessions ticked. All ticked sessions will be included in the calculation.
  7. Sessions from the upper left list can be selected by clicking the mouse. Multiple sessions can be selected and de-selected by holding the [CTRL] button while clicking.
  8. The user will be warned if the saved result has not already been handicapped. The overall calculation will continue, but the final result will not be correct. You should go to the SCORING options to re-run the results and calculate a handicap score. You can then return to the Aggregate Competition to recalculate a result.
  9. The text in the Competition Name text box will be the report heading.

Listed Sessions

Sessions are listed according to the following criteria:
  • The session must match the "day" of the selected sessions in the upper left list. If All Club Sessions is selected, the day filter is ignored.
  • The session must be a Club sessions (that is, tournament files are ignored)
  • The session file names must start with a number, ranging from 1 to 99.

Configuration Item

There is one configuration item in Club Information Set Up
  • Club Options (2), Aggregate Competition Method .... Placing Counted: The number of top placings that are awarded points. If "0" is entered, the entire field is awarded points. If the points awarded are C Points, enter "99" here.
  • Click the Notes button for more details.

Screen Buttons

  • Change Aggregate Method: The Aggregate method can be temporarily changed here. This overrides (but dies not change) the configuration item in Club Information Set Up.
  • Create Excel File: Presents the results in Excel format.
  • Show this many Results: Enter the number of results you want to display. The default is 100.

External Points

External Points from a CSV file can be included in the player results. These points would cover the period where Compass has not been used as the scoring program.

CSV File Example
This show an example file in Notepad and in Excel formats. Your CSV files should follow this format.

CSV Format
  • The CSV file must have at least 2 columns
  • Column A = the player's NZB computer numbers.
  • Column B= the player's external points.
  • All other columns will be ignored by Compass.
  • The file must have 1 header row.
  • The best location to save the CSV files is in the c:\compassV6\yyyy\ folder.
  • The points for different session should be in separate CSV files.

Steps
  1. Click the Get CSV File button.
  2. In the pop up file dialog, navigate to your CSV File.
  3. The file name will now show in the text box.
Now, if the Include External Points option is ticked, the external points will be included in the calculations.
  4. To clear the reference to the CSV file, blank the file name from the text box.
Revised: 7 September 2016


Best Score Ladders

Best Score Ladder

The Best Score Ladder accumulates players highest scores over a specified number of sessions. For example, the best 20 scores for each player can be accumulated. Scores can be aggregated based on the raw score or handicapped scores.

Strip Menu Item: Club Competition Results ... Best Score Competitions

Steps

  1. From the upper left list, select the SESSION or SESSIONS that are to be included in the calculations. A list of the associated individual session will automatically display.
  2. From the list of qualifying files, select/de-select the files you want to include in the calculations. Click Select All Files to select/de-select all files.
  3. Enter the
    • Minimum Sessions that have to be played to be eligible. This can be a percentage of the number of selected files OR a user entered number. Players playing less than this number of sessions will be eliminated from this competition.
    • Number of Best Scores to be Counted. This can be a percentage of the number of selected files OR a user entered number. The final results will include this number of sessions.

      • The Set % of Sessions percentages are automatically inserted, but you can change these number as you wish.
      • When the Set % of Sessions percentages are changed, the Total boxes will automatically update.
      • The percentages in the shaded ed right hand boxes calculate the actual calculated percentage [Total / Selected File Count * 100] rounded to the nearest 5.
      • To restore the Total boxes to their calculated % of Sessions values, click the mouse in the Set % of Sessions boxes.
  4. Click the Accumulate Scores Based on option
    • Raw Scores accumulates the player's raw percentage scores
    • Handicap Scores accumulate the players handicapped scores.
    • Raw or Handicap accumulate the players raw or handicapped score - determined by the Handicap List setting in the Club Calender. If the Handicap List is greater then zero, the players handicap score is used.
      • The handicap scores for all players are re-calculated "on the fly" within the Best Score process. This calculation uses the Handicap List specified for each session and the players handicaps in the member database.
      • If the Handicap List is unknown, a pop up dialog will ask for the appropriate Handicap List to be used.
      • If a player does not have a handicap in the member database, the Default Handicap in the Default Handicap box. A value of -).5 is automatically inserted, but this can be change to any value.
  5. You can enter the number of competitors to display in the Maximum Number of Competitors to Display or Print text box.
  6. Click Calculate Results to display the results.
  7. View the results in Notepad, or Print the results as you wish.

Notes

  1. A competition name can be entered in the Competition Name for the Reports text box. This will be heading on the reports.
Revised: 19 March 2018


Competition Register

Compass automatically records a summary of the results of all club sessions and all club competitions. We call this the Competition Register. Compass uses this register to:
  • create a report of recent results that can be emailed to the club captain
  • create a report of recent results that can be emailed to the local newspaper
  • create a report of all competition winners for the current year
As the register is created in MS Excel, create custom reports can be created by individual users.

The reports are generated for the individual session results and/or for overall competition results. Where appropriate, both raw and handicap results are reported. Results for all types of events (duplicate and Swiss Teams and Pairs) are included in the report.
Three reports types can be generated:
  • a session results report alone
  • a overall results report alone
  • a report that concatenates both of the above reports

Strip Menu Item: Club Competition Results ... Competition Register

Procedures

The basic step to generate reports is:
  1. Select the filters on the right hand side to list the sessions to be reported
  2. Optionally, untick any sessions you want excluded from the report
  3. Select the report format type, club captain or newspaper
  4. Click the Get Report button to generate the first report (say the session report)
  5. Optionally, change the filters and generate the second report (say the session report)
  6. Email the report(s) to the appropriate recipients

The screen open with a list of sessions that satisfy the criteria specified in the right hand panel. The lists can be changes by changing the filters:
  • Result Types: either normal club sessions or overall results
  • Date Filter: either a specific week or the last 14 days or the last 31 days or the entire current year
  • Day Filter: by specific daily sessions
The panels in the lower part of the screen allow parameters to be set or the reports
  • Report Formatted For: determines the type of report to be generated - either the newspaper report or the club captain report. When selecting the newspaper report, the option for the report to include or exclude scores is available.
  • How many Places: This is a strange option that gives the option to reduce the total words in the report. A tad less reduces the report length "somewhat". A bit less reduces the report a bit more that "somewhat". (See note)
  • Get Report: generates the report for the items listed.. Note, any un-ticked item in the list will be excluded from the report.
  • Show Report: this section indicated if a particular report ((session report or overall report) or has been generated by highlight the button in a green colour. The "word" boxes indicate the numbers of words in each report.
  • EMail Reports: opens the email screen. The reports can then be emailed to interested parties.

Notes

  1. The entries in the Competition Register csv file file are updated when the user exist either the session results display screen (for duplicate and Swiss events) or the Calculate Club Competitions screen.
  2. Bad records in the register can be deleted from the Delete Bad Records in Register menu item

Configuration Items

Configuraion

The email address of the Club Captain and the Local Newspaper should be specified if they are intended to be recipients of the reports. These addresses are automatically inserted when emails are sent.

Club NZB Secretary address and the Club Captain address should always be specified for other important functionality in Compass.

These fields set the number of placings that are reported in each report type. An entered value of 99 indicates that ALL placings are to be reported.

Sample Reports

Club Captain Report

           CAMBRIDGE CONTRACT BRIDGE CLUB

                   Session Results

----------------------------------------------------------
Thursday Day                                   09-Jun-2016
LAURISTON PARK Pairs  Session  3
Raw Result                                       20 Tables
----------------------------------------------------------
NS
1   Calum MacLean & Michael Neels                  65.06
2   Saty Satyanand & Dayelle Cole                  61.20
3   Shirley Stroobant & Iris Thomas                56.51

           CAMBRIDGE CONTRACT BRIDGE CLUB

                   Overall Results

----------------------------------------------------------
Thursday Day                                   09-Jun-2016
LAURISTON PARK Pairs
Raw Result
----------------------------------------------------------
1   Kevin Whyte & Martin Steiner                   61.81
2   Michael Neels & Calum MacLean                  57.57
3   Jeff Holdsworth & Ngaire Fisher                55.43

Newspaper Report (this report is created without line feeds)

CAMBRIDGE CONTRACT BRIDGE CLUB - Recent Results

Thursday, June 9: LAURISTON PARK Pairs   NS  1. Calum MacLean and Michael Neels 2. Saty Satyanand and Dayelle Cole
Overall Results: Thursday, June 9: LAURISTON PARK Pairs   1. Kevin Whyte and Martin Steiner 2. Michael Neels and Calum MacLean 3. Jeff Holdsworth and Ngaire Fisher

Files and Folders

The reports are saved as text files in the \textfiles\ folder
File List

The CompetitionRegister.csv file is saved in the CompassV6\YYYY\ year folder.
File List

Report "Words"

Some newspapers have a restriction on the numbers of "words" in the newspaper report. By default Compass creates the report with the number of placings reported defined in the Club Information Set Up. The Include Scores option can exclude the scores from the report, thus reducing the word count somewhat. The How many Places option reduces the word count a tad by reducing the numbers of placing reported. The bit less option reduces the word count by more than the tad. Follow?

Video Links

Competition Register Part 1

Competition Register Part 2

Revised: 14 March 2017


Handicaps Overview

Handicapped results can be calculated for duplicate pairs, multiple teams and Swiss Teams events. There are a number of handicap values that can be applied. A summary of these is
  • Member Handicap Lists
  • Based on Club Grades
  • Based in NZB Grades
  • Swiss Teams
    • Pro Rate based on rating points
    • Manually assigned to each team
    • Manually assigned to each team player
    • Plus any of the methods above
  • Based on NZB Rating Bands
  • Based on the X-Club National Handicap (XG)

Members Lists

These list handicaps are usually calculated based on each club member's actual results. Each members can be allocated up to 10 different handicaps in Handicap Lists. Each list can be used to record different handicaps. For example, List 1 could record the year 2015 handicaps and List 2 the year 2016 handicaps and so on. Another option, if your club updates the handicaps mid year, is to use List 1 for the Jan-Jun handicaps and List 2 could record the Jul-Dec handicaps. Another option is to use List 1 as Monday handicaps and List 2 for Tuesday handicaps. Then again you could somehow use a combination of these three options. Individual club events can then use any one of these lists in calculating a handicapped result. The method for updating based on each club member's actual results is documented her e.

Club Grades

A player's assigned handicap can be based on their Club Grade as defined the the Club Database . The handicap for both pairs events and teams events are set up in Club Information Set Up . These handicaps are implied in Handicap List 18.

NZB Grades

A player's assigned handicap can be based on their NZB Grade as defined in the Club Database . The handicap for both pairs events and teams events are set up in Club Information Set Up . These handicaps are implied in Handicap List 17.

NZB Rating Bands

A player's assigned handicap can be based on their NZB Rating as defined the the Club Database . The handicap is available for pairs events only and is up in Club Information Set Up . The handicaps are set by a range of rating points. These handicaps are implied in Handicap List 16. This method relies on the NZB rating points reflect a player's true playing ability. These automatically calculated handicaps can be over-ridden if you feel that any individual handicap is not appropriate..
  1. Go to Club Database ... Delete/Copy Handicap Lists
  2. Select the option to Create NZB Rating Handicap (List 10)
  3. The calculated rating based handicaps are now saved to list 10. You can now edit any of the handicaps in list 10.
  4. Any session can then use the manually adjusted List 10 handicaps.

X-Club National Grade

All participants in X-Club session have their X-Club Handicaps (XG) are recalculated after each session. These XGs are calculated in accordance with the methods used by the English Bridge Union. Details of this can be found here. X-Club based handicaps can be used in any club event, including Swiss Teams events. This is done by selecting Handicap List 19 where handicaps lists are selected. Details of XClub handicaps can be found here.

Swiss Teams Handicap Options are documented here

Revised: 16 September 2019


Updating Handicaps

Updating Club Handicaps

Each player's actual results are used to calculate a players handicap. The handicap is based on the formula set up in the Club Information Set Up screen. Any handicap list in the Club Database can be updated from this screen.

Strip Menu Item: Other Services ... Personal Scores/Recalculate Handicaps ....

Any handicap list in the Club Database can be updated from this screen. Normally handicaps are calculated based on the players recent results, from this year and from previous years. A maximum number of results to use can be chosen. For example, some clubs considers a player’s last 40 results (over the last two years). If a player has played 80 times in total, only the last 40 results will be used in the recalculation. If another player has played 30 times, all 30 results will be considered.

The details of the way that the handicaps are calculated are documented in the Handicap Methods section.

Updating a List Handicap

  1. Go to menu item Other Services…Personal Score/Recalculate Handicaps
  2. Select the session or sessions you want to include in the recalculation (left hand box)
  3. Select the years you want to include in the recalculation (right hand box)
  4. A list of files from the selected folders is now displayed. Select the actual files you want included in the recalculation. Normally, you will select all files.
  5. In the Only consider this number of most recent results box, enter the number of results you can to consider for each player. If you do not want to use this feature, just leave the box blank.
  6. Click the Calculate button to recalculate the handicaps for each player.
  7. To update the club database, you go through the Update handicaps in the Database menu items.
    • Backup Existing Members Handicaps: In case it all turns to custard
    • Restore Members Handicaps from backup: In case it has already turned to custard
    • Select the Handicap List to use to calculate handicaps: This option is used then the Tauranga method of recalculation is used.
    • Select the List you want to be updated:
    • Update Members database... Handicaps:
  8. The Club database will now have been updated

Handicap Methods

This records the method used to calculate players handicaps. The standard method is to average a players scores over the (club) sessions played and subtract from a fixed Datum, usually 50%. The result becomes the player’s handicap. There is the option to apply minimum and maximum handicap limits.

The resultant calculated handicap can be rounded to the nearest whole number (0.0), or rounded to half (0.5) or to the nearest tenth of a point (0.1) or to the nearest hundredth of a point (0.01)

  • Use “Tauranga” Handicap Method. Determines the method for re-calculating handicaps. The player's best and worst score are excluded when the players average is calculated.

New Handicap = Average of the player's average and the player existing handicap from the pre-selected list

Configuration Items

  • From Club Information Setup: Minimum Sessions when Updating database. If any player plays less than this number of sessions, the database handicap will not be updated.

Revised: 7 August 2016


Calculating Handicap Results Overview

Calculating Handicap Results

Club Pairs, Individuals and Multiple Teams Events

  1. The handicap list are set in the Club Calendar of Events. This list will be used when a handicap result is calculated.
  2. On the results screen, the chosen handicap list can be changed from the menu options Edit Options ... Change Handicap List.
  3. Enter List "0" when an event is not handicapped.

Notes

  1. In the results screen, if a handicap result has not been calculated, the Handicap button background colour will be red.
  2. To calculate a handicap result, click the Handicap button. The background colour of the button will then be green.
  3. When calculating a handicap results, if any participating player does not have a handicap, a popup box appears asking for a handicap.

Configuration Items

  • From Club Information Setup: Always Calculate Handicap Result for Club Events.

Swiss Teams Events

Handicap results are calculated automatically during the scoring process requiring no action by the scorer.

Club Competition Overall Results

When calculating a handicapped overall results, Compass always goes back to the handicap list to calculate each players handicap results for each session. That means that the handicap result could be different to that calculated during the scoring of that session. .
Revised: 18 September 2019


Pre Entry Files

Pre Entry files are used to record the player entries for upcoming club and tournament events. This is most commonly used for Swiss Teams and Swiss Pairs where, for planning purposes, it is important to know the numbers attending. This are also commonly used for duplicate pairs tournaments. Data can be entered manually or it can be imported from a website file. Each player's current NZB rating points and grade are retrieved automatically from the current NZB Database and these can be used create draws for duplicate pairs events and Swiss events. The grade information can be used to check the entries for a restricted tournament.

Strip Menu Item: Tournament Options ... Pre-Entries and Seeded Draws

The screen opens with existing pre-entry files in the upper window and a list of tournaments from the Tournament Calendar of Events in the lower window.

Steps

  1. To continue editing an existing file, double-click an entry from the upper list. The data entry screen will then open.
  2. To create a new pre-entry file, select a Competition Type (ie to allow for 1 or 2 or 4 or 4-6 players in any record). Then ...
    • Double-click one of the listed tournaments OR
    • Click the Click here to create a pre-entry file for a non list event button.
  3. The data entry screen will then open.
The names entry process is much the same as it is for duplicate pairs events. One significant difference is that the number of player boxes in the bottom rights varies for 1 to 6 depending on which competition type has been selected.

Notes

  1. For entry for Swiss Teams event, if the Show Team Name check box is ticked, team names can be entered.
  2. For Swiss Teams entry, up to 6 players can be entered for each team.
  3. Players rating points and grade are retrieved from the current NZB Database.
  4. The Seed Rating box displays the calculated average rating points of all players in the one record.
  5. However, it is the Seed Override rating points are used by Compass. The Seed Override rating points can be manually entered if you feel that the NZB rating points are not accurate.
  6. To make the Seed Override rating points equal to the calculated rating points, double click in the Seed Override box.
  7. If the Seed Override rating points are not equal to the calculated average, the boxes will highlight in red. The rating in the player list will after be in a red font.
  8. If the Use Adjusted Ratings option is set in NZB Database, Compass with use the adjusted rating points process.

Stratified Groupings

  1. Use the Stratified Groups ... Stratified Groupings menu item to display the groups. Details of Stratified Groups can be found here.
  2. Use the Stratified Groups ... Create XML Upload menu item to upload the Stratified Groups to bridge-club.org websites.

Screen Buttons

  1. Find a Name (F3 to repeat): Searches the list for an entry that matches the entered Surname. F3 repeats the last search.
  2. Update Rating/Grades from the NZB dB: As read.
  3. Sort By: Name, Rating, Group ID Or Random: As read.
  4. Swiss Pairs Randomize: See Swiss Pairs Draw for Round 1
  5. Toggle Seating Rights: This applies to pairs events only. When a draw is calculated, consideration is given to the pairs that have requested seating rights. These pairs will, if possible, be put into the group that sits N-S for all sessions.

Menu Items

  1. Print: Various Print Options
  2. Import From Excel. Refer to the Import for Website article
  3. Calculate Groups and Draws: Refer to the Calculate Groups and Draws topic.
  4. View Notepad: Various Notepad options
  5. Add Event Format - free format text eg "Play starts 9:30, Lunch provided. 6x14 boards rounds, Swiss Draw. Prizegiving approx 7pm.")
  6. Create XML File of Entries - this can be uploaded to bridge-club.org sites.

Calculate Groups and Draws

Please contact Bob for details

Swiss Pairs Draw for Round 1

For Swiss Pairs events, a totally random draw or a semi random draw can be used for round 1. The first round draw is calculated as follows. Assume there are 20 pairs ..
  1. For a totally random draw, sort the players list by the Random options. This totally randomizes the list.
  2. For a semi random draw, sort the players list by the Rating Points options. This ranks the players by playing ability. Then click the Swiss Pairs Randomize button.
  3. The first round draw then divides the randomized list into
    • Pair 1 is matched against pair 11
    • Pair 2 is matched against pair 12
    • ...
    • Pair 10 is matched against pair 20
Note: If a pre-entry file is NOT used for a Swiss Pairs event, the draw for round 1 will always be totally random.

Video Links

Pre Entry Files

Seeded Draws

Revised: 18 December 2016


Pre-Entry Files- Import via Website

Pre-Entry files can be created using data from outside sources, usually a website where online entries are taken. The information is first transfered to an Excel file and that file is used for the data entry to Compass. Data files can be also created from scratch directly in Excel.

Note: The import file can also be saved in comma spparated format (CSV). This option can be used if the full version of MS Excel is not installed on your system.

Excel Format

  1. The Excel lists one pair or one team per row.
  2. The player name and player computer ID are entered in column pairs.
  3. For pairs events, there will be up to 4 columns of data (added column are ignored).
  4. For teams events, there will up to 12 columns of data.
  5. Missing data is OK (eg a missing computer number of one player in a pair is OK).
  6. Note there is no column header row and no row headings.

Entries recorded on Bridge-Club-org (Milan) websites

  1. Login to the bridge-club.org site as admin and extract the entries into an Excel file
  2. If necessary, save the file in CSV format.
  3. Use the strip menu item: Tournament Options ... Pre-Entries and Seeded Draws.
  4. Edit and existing, or create a new pre-entry file.
  5. Click the menu item Import from Excel ... Import Excel File ... WB Entry File.
  6. In the Windows Open File Dialog, navigate to your Excel File.
  7. The data will now be imported and the imported players will be displayed.
  7. Errors in the names will be highlighted in a red font
  8. Click the menu item Import from Excel ... Open the Excel file. Correction to the file can now be made.
  9. Click the menu item Import from Excel ... Re-do the Import to re-import the data.
  10. Repeat steps 7 to 9 as often as required.
Note: For teams entry, the surname of the first team member will be used at the team name.

Entries Imported from the NZB website

From September 2017 Tournament Entries can be entered on the NZB website which can then be downloaded and imported into the Compass Pre -Entry Files screen.
  1. Login to the http://www.nzbridge.co.nz/
  2. Go to the Tournament tab
  3. Select your tournament, then click the Export Excel button. This will download the entries files as a CSV file to your \Downloads\ folder
  4. Use the strip menu item: Tournament Options ... Pre-Entries and Seeded Draws.
  5. Edit an existing, or create a new pre-entry file.
  6. Click the menu item Import from Excel ... Import File ... From NZB Download.
  7. In the Windows Open File Dialog, navigate to your CSV File.
  8. The data will now be imported and the imported players will be displayed.
  9. Errors in the names will be highlighted in a red font
  10. Click the menu item Import from Excel ... Open the Excel file. Correction to the file can now be made.
  11. Click the menu item Import from Excel ... Re-do the Import to re-import the data.
  12. Repeat steps 9 to 11 as often as required.
Note: For teams entry, the surname of the first team member will be used at the team name.

Fun Stuff

It is possible to import the RESULTS for a pairs tournament and run it through the pre-entry file process to get a rating rank. The rating rank compares a pairs rating points with their final placing to evaluate if the pairs punched above or below their weight.

The data comes from the ladder results from a BridgeNZ (ie Scorer) website or from a bridge-club.org (ie Compass) website.

  1. Open a BridgeNZ wesbite and display a ladder result
  2. Use the mouse to select all rows and the 4 columns of data. Do not include the header row.
  3. Use the <ctrl-c> key to copy the data to the clipboard, then paste it into an Excel file. Save that Excel file.
  5. Click the menu item Import from Excel ... Import Excel File ...Scorer or Compass Ladder file.
  6. The import now starts
  7. Compass uses the NZB Database to match player's names to their computer number. At times a match cannot be found. A pop-up window invites the user to select a player from a list of matching names.
  9. Enter the ID of the name that matches to players name in the file. If there is no match, enter ID = 0
  10. The data will now be imported and the rating ranks will show
  11. Errors in the names will be highlighted in a red font
  12. Use the normal Names Entry process to correct the name errors.
  13. If necessary, click the Update Players Ratings/Grades ... button to correct the rating points
Notes
  1. The additional sort buttons are available to sort the list by Final Place or by Difference (ie Rating less Place).
  2. Pairs with a high Difference performed above expectations, and those with a low Difference had bad luck all day.
  3. Click the menu item View Notepad ... Rating Rank to view that report. The report must be printed from the Notepad menu.
Sample Rating Rank Report
                            Rating Rank List               Rating Final    Rating  Rank   Place  Diff   Players   ----------------------------------------------------------------      63     26      1     25    Graham Stern & Alan Parkes      30     32      7     25    Pieter Verhoek & Kathy Verhoek      89     29     10     19    Nan Wehipeihana & Tani Blackburn      63     27      9     18    Pam Burry & Barbara Horner     116     21      6     15    Chris Stack & Lynne Bowcock     161     18      5     13    Jennifer Cleaver & Judy Holdom      23     34     22     12    Margaret Sullivan & Kay Shearer      80     24     13     11    Ruth Spittle & Chris Hagen
Revised: 15 March 2021


Tournament Ladders Overview

Tournament Ladders

The overall results of tournaments are calculated from the Tournament menu item. The scoring types calculated are
  • Duplicate pairs events scored in matchpoints, Butler IMPs and Cross IMPs
  • Multiple Teams Events
  • Special Events such as
    • Regional Club Teams Events
    • C6 Swiss Pairs events
    • Regional Junior and Intermediate Leagues (Waikato Bays and Canterbury)

Strip Menu Item: Tournament Options ... Calculate Results

Details of the calculation for each scoring type in documented separately.

Duplicate Pairs Events

Regional Club Teams Events

C6 Swiss Pairs

Waikato Bays Leagues

Canterbury Leagues

Revised: 7 August 2016


Tournament Ladders - Pairs Events

The overall results of duplicate pairs events scored in matchpoints, Butler IMPs and Cross IMPs tournaments are calculated from the Tournament menu item.

Strip Menu Item: Tournament Options ... Calculate Results

Steps for Duplicate Events

  1. Select the strip menu item Tournament ... Calculate Results
  2. Select the Scoring Type, then click the OK button.
  3. A list of files is now displayed. Use the filters on the left side to change the listed files.
  4. Tick each of the sessions you want included in the result. If there is a carry-over, that must be selected here as well.
  5. Click the Add SESSIONS Together button.
  6. The calculated result is now displayed.

  1. The menu items are available to
  • Display the percentage result or the matchpoint result
  • Print various reports
  • Edit the Tournament Title and/or Sponsor
  • Select File to start the calculations again
  • Create the Master Point files for the session results and the overall result
  • Select a Finals Field. See here for details.
  • Calculate a Restricted Tournament result
  • View Christmas Prize List.
  • View Results in Notepad.
  2. The buttons are available to
  • Display Options
    • Raw, Barometer, Restricted, Stratified and Christmas
  • Email the results to the secretaries of the clubs of the competing players
  • Create the XML for upload to the bridge-club.org website

Multi Section Session Results

The overall result of a multi section session must be calculated during the scoring of the session.

Restricted Results

A Restricted result separates the participating players by their NZB Grade (Open, Intermediate and Junior) and the results for each grade combination are then reported separately. The current grade for each player is automatically retrieved from the most recent data in the NZB Database.

Calculating a Restricted Result
  1. Calculate the overall result in the normal manner.
  2. Click the Restricted Tournament Result menu item.
  3. If a player is not recorded in the NZB Database, a grade must be entered in the pop-up message.

Stratified Results

Refer here for details of stratified results.

Calculating a Stratified Result
  1. Calculate the overall result in the normal manner.
  2. Click the Stratified Result button.
  3. Enter the number of stratified group (2 to 5)
  4. Enter if you want to have EQUAL groups or BANDED groups
  5. The calculated result can be printed and/or posted on the website.

Revised: 29 August 2018


Tournament Ladders - Finals Fields

A Finals Field is used when a tournament has qualifying sessions and then has a final and possibly a plate phase. Finalists are determined by the placing in the qualifying event. A "carry over" percentage or matchpoints that can be used in the final phase also be calculated. Finals fields can be calculated for both pairs and teams events.

Strip Menu Item: Tournament Options ... Calculate Result ....

Steps

  1. The overall result of the qualifying sessions must first be calculated from Tournament Options ...
  2. From the menu, click Select Finals Field. The full field from the qualifying phase is now displayed.
  3. In the Select Placings boxes, enter the highest and lowest placing you want to include in the finals field.
  4. Enter the Carry Over Factor. This is a number between 0 and 1. Each pairs qualifying percentage and matchpoints is multiplied by this carry over factor to get the actual carry over number
  5. Tick Normalize the carry over to "normalize" the carryover. This means that the percentage/mps of the lowest qualifier is subtracted from each other the other qualifiers percentage/matchpoints.
  6. Click the Save Details button.
  7. If required, repeat the process for the plate event.

Carry Over Guide Lines

The recommended carry Max MPs in Finals X Director's Factor
Max MPs in Qualifying

Director's Factor is usually about 0.6

The calculated factor based on the above calculation is displayed. To automatically transfer this number to the Carry Over Factor box, double click the mouse on the calculated number.

Screen Buttons

  • Remove a Pair: At time a pair chooses not to play in the finals phase. To remove them from the list, click that pair, then click the Remove a Pair button.
  • Add Another Qualifier: This allows you to add a pair to the list that did not participate in the qualifying sessions.

Revised: 8 August 2016


Stratified Results

For a stratified result, the participating players are grouped based on their NZB Rating Points and the results within each stratified group are reported separately. Typically, tournament prizes are awarded to the overall winners of the event and also the winners within each of the stratified groups.

Result Groups

The players can be divided into 2 to 5 stratified groups. The stratified group names are defined in Club Information Set Up and the default names are Spades, Hearts, Diamonds, Clubs and No Trumps.

The composition of each group can be determined in two different ways
  • EQUAL Groups: Each group has an equal number of pairs. For example, if there are 40 pairs and 4 groups, each group will have 10 pairs. Where the pairs and groups are not evenly divisible, the number of pairs in each group may be slightly unequal.
  • BANDED Groups: Each group is defined by a particular rating point range. This method is probably a little fairer as it ensures that the players within a group are roughly the same standard. This method results in a different number of pairs within each group. An example of banded groups is:
    • No Trumps Group 0 to 50 rating points
    • Clubs Group 51 to 100 rating points
    • Diamonds Group 101 to 200 rating points
    • Hearts Group 201 to 500 rating points
    • Spades Group 501+ rating points
The rating point ranges are defined in Club Information Set Up.

Modified Rating Points

Important Note: The NZB rating points for some players are not reflective of their playing standard, therefore their rating points must be modified to a more appropriate value. See NZB Rating Points for details of this.

Pre-Entry Files

When using a stratified event, is highly recommended (essential really) that a pre-entry file is used. It is then possible to determine the best way to set up number of and the composition of the stratified groups.

A report of the stratified groups and be created and published before the events starts. A little care is needed as it is possible that the players turning up on the day may be a little different from the pre-entries. In this case, the composition of the groups could change.

General Decision Points for Stratified Results

  • How Many Groups should be used? The number of groups is set during the calculation of the stratified groups/results so the effects of changing this are very visible. The number of groups will be dependent on the number of entries received, the standard of the players and the number of prizes that a club wants to award.
  • Should the Groups be EQUAL or BANDED? The grouping composition is set during the calculation of the stratified groups/results so the effects of changing this are very visible. It is probably best to first assume there are EQUAL groups. Then, when the groups are viewed in Pre-Entry files, it can be seen if it is appropriate to use BANDED group, and if it is appropriate to perhaps change the number of groups.
  • If using BANDED Groups what should be the range of ratings in each group? The rating group bands are set in Club Information Set Up. When the groups are viewed in Pre-Entry files, is can be seen if it is appropriate to change the rating points range of each group. This can be done from the Open Club Info Set Up button on the Pre-Entry screen.
  • Should Modified Rating Points be used? As the NZB Rating Points are not always in line with a players ranking, it is strongly recommended that Modified Rating Points be used. The use of Modified Rating Points can be disabled in NZB Database ... Ratings Adjustments Tab strip menu item

Example of Determining the Groups

In this example
  • 20 pairs entered
  • Initially 4 equal groups were used, 5 pairs per groups
  • Looking at the spread or rating points, it seems appropriate to use BANDED groups, each group being the those on the red boxes
  • To achieve this, the BANDED groups on Club Info Set Up would be chenged
    • Spades group would be less that 10000 points
    • Hearts group would be less that 550 points
    • Diamonds group would be less that 300 points
    • Clubs group would be less that 130 points
    • No Trumps group would not be used

Calculated Stratified Result

  • For Duplicate Pairs events, the stratified result is calculated and printed from the Tournament Options menu item on the side-bar.
  • For Swiss Pairs events, the stratified result is calculated and printed from the Stratified Results button on the Swiss Pairs Results screen.
    • Note that substitutes are ignored. The competing pairs is assumed to be the first 2 players in the players list.
  • For Swiss Teams events, the stratified result is calculated and printed from the Stratified Results button on the Swiss Pairs Results screen.
    • Note that substitutes are ignored. The competing teams players are assumed to be the first 4 players in the players list.
Revised: 1 September 2018


Interclub Pairs Events

Sillick Shuffle

Interclub events are usually social get-togethers of neighbouring clubs. A very good movement to use is the Sillick Shuffle, named after Marion Sillick of Paraparaumu who first brought it to our attention. The basics of the movement are:
  1. Each club fields the same number of pairs. For example, for 11 tables each club fields 11 pairs.
  2. The movement is available for 6-24 tables
  3. The pairs from the first club are seated alternating NS and EW. That is, these pairs sit NS at odd numbered tables and EW at even numbered tables. These pairs are stationary throughout the event.
  4. The pairs from the second club fill in the gaps. These pairs move throughout the event.
  5. The first club pairs are numbers 1 to T if there are T tables. The second club pairs are numbered T+1 to 2T if there are T tables.
  6. Usually 1 or 2 boards per set are played. An even number of feed-in boards (F) can also be added to the movement.
  7. At each movement, the second club players MOVE UP one table, the boards move DOWN one table.
  8. The Director must print the Movement Guide to ensure the movement proceeds well.
  9. With even numbered tables, the moving pairs skip one table after T/2 rounds.
  10. If feed-ins are added, the moving pairs do that subtraction thing after T + F/2 rounds are played.
The results are tabulated and tallied by club to produce the stronger club on the day.

Steps for Running the Event

Prior to Play
  1. Enter the event in the Club Calendar of Events (COE).
  2. Create a new deal file, or copy an existing file (and its associated txt file) that will not have been played at either club and rename them to the appropriate filename from the COE.
  3. Save to the c:\CompassV6\handrecords\yyyy\tournaments folder.
  4. Deal the hands and print the hand records via Dealer Assist.
On the Day
  1. The club that sits could be the visiting club or the club with the most movement-impaired players.
  2. Click the strip menu item Scoring ... Pairs Contests.
  3. In Movement Options, select All to display the Sillick Shuffle movement.
  4. Using the Detail Set Up screen, select the table numbers, movement and event details.
  5. (Optional) add extra feed-in boards.
  6. Print the Directors Guide.
  7. Start the electronic scoring and proceed as usual.
At Completion of Play
  1. Under Print Options choose to print results for:
    • Sillick/Interclub Teams
    • Full Field Result
  2. Create the XML File
  3. (Optional) Create the Pianola File

Revised: 8 August 2016


Interclub Teams Events

Multi Grade Teams

These events are competitions to find the "Top Club" in the region. Each competing club usually fields an Open, Intermediate and Junior team. Each team plays within their own grading and at the end of the day, the results are tallied by club to produce the top club on the day.
  1. The event is valid for an even number of clubs only (that is, triangles are not allowed)
  2. The movement is single round robin.
  3. The event can also be play with two grades per club, eg an Open and (say) a combined Intermediate/Junior.

Steps for Running the Event

Prior to Play
  1. Enter the event in the Tournament Calendar of Events.
  2. Create hand record files for each session of the event and save these in the c:\CompassV6\handrecords\yyyy\tournaments folder.
  3. Use Dealer Assist to deal the hands and print the hand records. Use the facility to Add Heading to Hand Record PDF.
  4. Set up the scoring using the strip menu item Scoring --- Swiss Draw/Round Robin Teams. See an example here
On the Day
  1. VSR the event.
  2. Assuming all the details for the event are still correct ...
  3. Open CompassMate for Round 1.
  4. After all players have entered their player IDs, exit the CompassMate screen and check/correct all player names.
  5. Return to the CompassMate screen
  6. Complete the scoring for round 1 in the normal manner
  7. Publish the Results for round 1
  8. Upload the Result Summary and Draw XMLs to the website after round 1
  9. Repeats steps 4 to 8 for all remaining rounds
At Completion of Play
  1. Under Print Options print the results
  2. Create the XML File
  3. (Optional) Create the Pianola File

Example Set up for a 6 Club Event

Assumptions
  1. Each club fields 3 graded teams, an Open, Intermediate and Junior team.
  2. A single round robin will be played, that is a total of 5 rounds.
  3. Let's say the competing clubs are Thames, Waikato, Hamilton, Cambridge, Rotorua and Tauranga
  4. The team names and team numbers should be as follows. Note that the clubs follow the same order for each of the grades.
    1. O. Thames
    2. O. Waikato
    3. O. Hamilton
    4. O. Cambridge
    5. O. Rotorua
    6. O. Tauranga
    7. I. Thames
    8. I. Waikato
    9. I. Hamilton
    10. I. Cambridge
    11. I. Rotorua
    12. I. Tauranga
    13. J. Thames
    14. J. Waikato
    15. J. Hamilton
    16. J. Cambridge
    17. J. Rotorua
    18. J. Tauranga
Steps
  1. Set up the scoring using the strip menu item Scoring --- Swiss Draw/Round Robin Teams
  2. Enter 18 teams, and the boards per round
  3. Select Draw Type of Round Robin
  4. Select Round Robin Type of Multi Grade InterClub
  5. Select Scoring Type IMPs - VPs
  6. Enter the Datum Type and Multi Session Details
  7. Go to the Names Entry and set up the team numbers and team names as above. At this time, it is not necesarry to enter the individual team players.
  8. IMPORTANT: Each of the 18 teams must be assigned a Group ID.
    • All Open teams have Group ID = 1
    • All Intermediate teams have Group ID = 2
    • All Junior teams have Group ID = 3
  9. Check your set up
  10. From the results, select the menu item Edit Options ... Grade Names and enter the names of the three grades.
  11. Print the draw from the print menu. It is probably best to publish the round robin draw for the entire event.
  12. Upload the Result Summary and Draw XML to the website.

Revised: 7 August 2016


Waikato Bays Area Pairs

Tournaments - Waikato Bays Area Pairs

This process accumulates the overall results for the Waikato or Bay of Plenty Area Pairs. In these events about 6 tournaments are held throughout the year at different clubs. In a recent year, the Waikato events were:

15 Feb Waikato Area Pairs (1) Matamata
22 Mar Waikato Area Pairs (2) Cambridge
19 Apr Waikato Area Pairs (3) Waikato
07 Jun Waikato Area Pairs (4) Te Aroha
28 Jun Waikato Area Pairs (5) Morrinsville
09 Aug Waikato Area Pairs (6) Hamilton

The overall results are calculated using the Compass Club Competition Results processes so that consideration can be given to player substitutions and the dropping of lowest scores. One or more WB conveners gather the files and then calculate and publish the progress results for the event throughout the year.

The challenge is that the original scoring is done using different scoring programs. Currently the different formats are
  • Compass results available as INP files eg Matamata, Cambridge
  • Scorer results available as notepad files eg Morrinsville
  • Scorer results available as XML files eg Taupo (in Bay Area Pairs)
  • CompScore results available as XML eg Waikato
To accumulate the results, Compass requires “WAP” files for these tournaments to be saved in the current “year” folder eg \2018\.
  1. Compass Scoring: The WAP file is generated automatically when the overall tournament results is calculated. During this process, answer YES to the prompt: "Is this a Waikato Bays Champions League OR Area Pairs event?" The scorer for these events should forward a copy of the WAP file to the convener.
  2. NZ Scorer and CompScore Scoring: The NZW Events conversion process converts their scoring files to the Compass format. The WAP files can then be generated using Tournament menu option. The scorer for these event should forward a copy of the native results file to the convener. The process for converting NZ Scorer files and CompScore files is documented here.

Calculating the Result

Pre-Requisite

This event must exist in the Club Calendar of Events with an entry for each individual tournament in the series.

  • The competition name should probably be the same throughout (eg WAP Overall Result)
  • The file names numbers should be sequential such as 01, 02, 03… .
Steps
  1. Gather all WAP files into the \yyyy\ folder. These will come from the Tournament organizers from the various club or from the conversion process for Scorer and CompScore files. The best way to transfer files is via Dropbox or by email.
  2. If necessary, rename the WAP files so they match the file names set up in the Club Calendar of Events.
  3. Calculate the result using Club Competition Results.
  4. Publish the results.

Playing Conditions for these Events.

The current playing conditions can be found on the Waikato-Bays Region website.

Video Links

Waikato Bays Area Pairs

Revised: 7 August 2016


Waikato Bays Leagues

Tournament Ladders - Waikato Bays Leagues

This process accumulates the overall results for the Waikato Bays Intermediate and Junior League events. In these events a number of tournaments within each grade are played at different clubs throughout the year. Each player earns points based on their overall placing. Bonus points are awarded to session winners and for scores greater than 50%. Points are accumulated to get the overall winners of each league.

The overall results are calculated using the Compass Tournament processes. One or more WB conveners gather the files and then calculate and publish the progress results for the event throughout the year.

Like the Waikato Bays Area Pairs events, the challenge is that the original scoring is done using different scoring programs. Currently the different formats are
  • Compass results available as INP files eg Matamata, Cambridge
  • Scorer results available as notepad files eg Morrinsville
  • Scorer results available as XML files eg Taupo (in Bay Area Pairs)
  • CompScore results available as XML eg Waikato
To accumulate the results, Compass requires “WBL” files for these tournaments to be saved in the current “year” folder eg \2017\.
  1. Compass Scoring: The WBL file is generated automatically when the overall tournament results is calculated. During this process, answer YES to the prompt: "Is this a Waikato Bays Champions League OR Area Pairs event?" The scorer for these events should forward a copy of the WB file to the convener.
  2. NZ Scorer and CompScore Scoring: The NZW Events conversion process converts their scoring files to the Compass format. The WBL files can then be generated using Tournament menu option. The scorer for these events should forward a copy of the native results file to the convener. The process for converting NZ Scorer files and CompScore files is documented here.

Calculating the Result

Steps
  1. Gather all WBL files into the \yyyy\ folder. These will come from the Tournament organizers from the various clubs or from the conversion process for Scorer and CompScore files. The best way to transfer files is via Dropbox or by email.
  2. From the strip menu, click Tournament Options ... Calculate Results
  3. Select the Waikato Bays Junior and Intermediate Leagues option.
  4. Use the filter to display the WBL file. You should use the File Name search Text to separate out intermediate files from junior files.
  5. Select all tournaments, then click Add Sessions together.
  6. The result will now be calculated.
  7. Publish the results.

Playing Conditions for these Events.

The current playing conditions can be found on the Waikato-Bays Region website .

Revised: 7 August 2016


Waikato Bays Judith Howard League

Tournament Ladders - Waikato-Bays Open Restricted League

This accumulates the overall results for Open Restricted League, and event that is held in the Waikato-Bays region. The eligible players in this event must have a NZB Ranking less than or equal to National Master. For the 2020 year, the related events were
  • Waihi All Grades 8B
  • Mount Maunganui Multi Grade
  • Morrinsville Open 8B
  • Rotorua Open 5A
  • Matamata Open 5A
  • Te Puke Open 3A
  • Taupo Open 8B

Each player earns points as follows:
  • for their overall placing (based on the number of eligible pairs).
  • session winners get one bonus point
  • a bonus point is awarded if the pair tournament average is greater that 50%
  • all eligible player get one bonus point just for competing.
Details can be found here Waikato-Bays Region website

The overall results are calculated using the Compass Tournament processes. The WB convener gathers the files and calculates and publishes the progress results for the events throughout the year. Like the Waikato Bays Area Pairs events, the challenge is that the original scoring is done using different scoring programs. Currently the different formats are
  • Compass results available as INP files eg Matamata, Rotorua
  • Scorer results available as XML files eg Taupo
  • CompScore2 results available as an USEBIO XML file eg Waikato
To accumulate the results, Compass requires “JHL” files to be saved in the current “year” folder eg \2020\.
  1. Compass Scoring: The JHL file is generated automatically when the overall tournament results is calculated. During this process, answer YES to the prompt: "Is this a Waikato Bays Champions League OR Area Pairs event OR Open Restricted League event?" The scorer for these events should forward a copy of the JHL file to the convener (via Dropbox).
  2. NZ Scorer and CompScore2 Scoring: The NZW Events conversion process converts their scoring files to the Compass format. The JBL files can then be generated using the Tournament menu option. The scorer for these events should forward a copy of the native XML files to the convener. The process for converting NZ Scorer files and CompScore2 files is documented here.

Calculating the Result

Steps
  1. Gather all JHL files into the \yyyy\ folder. These will come from the Tournament organizers from the various clubs or from the conversion process for Scorer and CompScore files. (The best way to transfer files is via Dropbox or by email.)
  2. From the strip menu, click Tournament Options ... Calculate Results
  3. Select the Waikato Bays Judith Howard Leagues option.
.
  4. Select all tournaments, then click Add Sessions together.
  5. The result will now be calculated.
  6. Publish the results.

Open Restricted League Reports

  • For all JHL tournaments, the Open Restricted results that that particular tournament are calculated automatically.
  • Click the Show Session Results button to view the Open Restricted session result
  • The report can be printed from the Print menu item.
  • The overall Open Restricted result must be calculation using the Tournaments menu item.

Playing Conditions for these Events.

The current playing conditions can be found on the Waikato-Bays Region website .
Revised: 15 March 2021


Canterbury Leagues

Please check out the Canterbury League video in the CompassMate Documentation folder in Dropbox.


Multi Grade Swiss Pairs Events

Multi Grade Swiss Pairs

Multi-Grade Swiss Pairs can be used to score a number of different event formats
  • C6 and C8 Events: The C6 is a highly popular event conceived by the Cambridge Contract Bridge Club. A C6 team is entered with a pair from each of the NZB Open, Intermediate and Junior grades. Each grade group plays a Swiss Pairs events within their own grade and the overall results are then an aggregation of all grades. The C8 variation is where there are four grade groups competing.
  • Multi-Grade Inter-club Events: These events can be run as either a C6 or C8 event. Depending on the number of entries, the draw can be round robin, or traditional swiss or Synchronised Swiss. Two or three grade groups can be used - for example,Open, Open Reserved, Intermediate and Junior grades or Open and a combined Intermediate/Junior grade.
  • Separate Events: Two (or more) separate Swiss events are played at the same time. The Swiss draws and results are separate between the events.

Synchronised Swiss Draw

The option applies to Multi-Grade events only. The draw, for each round, is based on the overall combined results over all teams. Therefore Each pair in one teams, plays there equivalent pair from another team.

Scoring Methods

Multi-grade Swiss Pairs events can be scored using two different methods
  • Each grade is scored separately using the Compass piggy-back method. The overall result that accumulates all grades is calculated in Tournament Results.
  • All grades are scored within a single instance of Compass. Clubs should use this method as it is easier that the piggy-back method.

Pre-Entry Files

Pre-entry files are essential for all Swiss Pairs events. These allow you to keep track of the entries and tables numbers. For multi-grade events the grading of every players can be checked.

Pre-Entry File - Multi Grade Events
  1. A pre-entry file is essential. Use the 6 or 8 player option for this.
  2. The first 2 players are the Open pair, the second 2 players are the Intermediate Pair and the third 2 players are the Junior Pair. C8 events will have two additional players.
  3. A fun team name should be entered for each team.
  4. If players are not known, enter these as TBA. They can be updated later.
  5. The Players List will report the player's current NZB Grade.

Pre-Entry File - Separate Events
  1. Create a pre-entry file for each of the events.
  2. A fun team name should be entered for each team.
  3. If players are not known, enter these as TBA. They can be updated later.
  4. The Players List will report the player's current NZB Grade.
On the Day - Using Piggy Back Scoring Method
  1. The 3 events are scored separately using the Piggy Back option.
  2. The 3 SWP files must be named so they are alphabetical by the Open, Intermediate and Junior grades. For example
    • 100_C1_Open
    • 100_C2_Intermediate
    • 100_C3_Junior
  3. The Swiss draw is calculated independently based on the results within each grade.
  4. The overall results (after each round) is calculated from the strip menu item Tournament ... Calculate Results option.
On the Day - Using Single Instance Method
  1. Each grade is scored within the single SWP file.
  2. Set up the Swiss Pairs event in the normal way for these events. The Total number of Pairs is the sum of all pairs in all grades. Therefore, If there are 20 teams, each with 3 grades, the Total number of Pairs is entered as 60.
  3. Open the Swiss Pairs & Substitutions screen to enter the pair names
For Multi Grade Events
    • Import a Pre-Entry File in the normal way
    • Answer YES the warning question: Do you really want to import a C6 (or C8) Pre-Entry Files?
    • Enter the Number of Grade Groups that are competing (usually 3)
    • Enter the Group Names and the master point awards for each grade
For Separate Events
    • Import a Pre-Entry File in the normal way
    • The player names with be automatically imported. The first pair in the pre-entry file will be the pair numbers this is currently displayed on the Swiss Pairs & Substitutions screen.
    • Import another pre-entry file if there are multiple events being scored.
  4. IMPORTANT: After the names setup, ensure that the draw for round 1 is re-calculated. This is essential to make sure the draw correcrlt account for the grades and or different events being scored.
Revised: 4 November 2018


Distributed Tournaments

In distributed events, a duplicate tournament is played in multiple sections where those sections are in different physical areas. Thus there could be sections in, say, Thames, Timaru and Tairua. The match points are simultaneous style and calculated "across the board". This functionality uses the XClub framework thus any scoring program can be used to score the sections but the overall result must be calculated using any Compass Scoring System. The results can be published on any bridge-club.org website.

Process Outline

Tournament Organizer
  1. Organizes the central processing of the overall results (call this Compass Central).
  2. Sends the hand record files (BRI and PBN) for each session to the participating clubs and to Compass Central.
  3. Organize a video hook up so that all competing sections can be connected.
  4. Ensures that each participating club is well organized.
  5. Ensures that the same number of boards is played in each section.
Compass Central

Pre-Tournament
  1. Setup up the event in NZW Events.
  2. Save the hand record files in the Dropbox\X-Club Hands\yyyy Deals\ folder.
  3. Update the Participating Clubs List. This creates the file folder in which the XML files are saved.
Day of Tournament
  1. As the section results are received, import these into the XClub system.
  2. Calculate the overall result.
  3. Publish the results to a website.
  4. At the end of the tournament, process the master point files.
Section Scorer
  1. The scoring is done for each section in the normal way.
  2. After each section is played, the XML or INP file is emailed to Compass Central.
    • Compass clubs sent the INP file.
    • Scorer clubs sent the Scorer XML file.
    • CompScore2 club send the USEBIO file.
  3. That is it.

Compass Central Process Details

  • Set up Process Event (XClub).
The setup is done the the XClub Administration screen. One entry is made for each of the sessions of this event.

  • Session Name: Session Name
  • Date: Date
  • PBN File: The PDN files name of the hand records for this session
  • Sim File Name: Internal to the XClub process. Must be unique for each session.
  • Milan Site Name: Prefix used on the bridge-club.org website. Should be short and sweet, and must be unique for each session.
  • Active Event: Check this when scoring this particular session.
  • Session: Session Number
  • Master Points:
    • Owning Club Number: This is the club ID or region ID responsible for paying the master point fees.
    • Allocation: Master point award scale.

Update the Participating Clubs List

This creates the file folder in which the XML files for each session are saved.

Calculate the Results

  1. Set the session to be scored to be the Active Event.
  2. Save each of the XML results files (emailed from the participating club) into their club folder \Dropbox\NZW Events\ScorerXML\XXX where XXXX is the club name.
  3. Do the conversion.
  4. Score across sections.
  5. Publish the website results.
  1. Repeat this process for the next session
  1. At the end of the event, use the Tournaments menu item to calculate the overall result, using the Show TSIM files option to display the correct files
  2. Publish the website results.
  3. Submit the Master Point awards.
Revised: 23 December 2018


Bill Hughes Simultaneous Pairs

This event is organized by the ECatsBridge bridge organization, details can be found here.

The event is scored much like any other club event, the exception is that a special XML file must be created after the scoring has been done. The details of the Compass Scoring process are as follows:

Prior to the Event

  1. Set up the event in the Club Calendar of Events, specifying a results file of say, 01hughes
  2. Enable the creation of the XML file
    • Open Club Information Set Up ... Club Options (2)
    • Enable the Create Pianola Files option

After the Event Scoring

  1. From the results screen, click the Create Pianola File button
  2. Email the XML file to ECatsBridge. The file is saved in the C:\CompassV6\yyyy\USEBIO folder where yyyy is the current year.
  3. Disable the Create Pianola Files option in Club Information Set Up.

Revised: 12 April 2019


Master Points - Overview

Compass creates master point files for all events which then can be emailed to the NZB secretary at the click of a button. Functionality also exists to ensure the players data in the NZB database is synchronized with the data in the club database.

Revised: 7 August 2016


Master Points - FTP Files

NZ Bridge Master Points Process

From 5 September 2017, all Master Point files (aka MP Files) will be sent to NZ Bridge by ftp (file protocol transfer). This process is almost always automatic which means that the Master Points process is all but a "hands off" process for the master point secretary.

Strip Menu Item: Master Points .... FTP Master Point Processing

Configurations

Some configuration items must be set in Club Information Set Up.

  • Enable Transfer of MP files to NZBridge. This enables the creation and transferring of ftp files.
  • Transfer Method
    • Use ftp. This option uses FTP protocol to transfer the files to NZBridge. All clubs are expected to use this option.
    • Use Dropbox. This option is used when there ia an issue with the FTP process. The files are then saved to a Dropbox folder and the files are then uploaded to NZBridge on your behalf. Please discuss with Bob before enabling this option.

Summary of Task for the Master Point Secretary

All C Point Events - Club Duplicate Events, Swiss Pairs and Swiss Teams Events

As MP Files are automatically created and sent to NZ Bridge, the MP Secretary task are limited to:
  • Use the FTP Master Point Processing screen to manually send and correct MP files.
  • Use the Reconciliation Screen to reconcile the MP files created and sent to NZBridge with the files processed by NZBridge.
All A & B Points Events - Tournaments
  • At the end of each event, manually create the master point files for all session results and for the overall result
  • Then, optionally, manually ftp these files to NZ Bridge OR simply wait for them to be automatically sent to NZ Bridge

Master Point Process

  • MP files for all club events are automatically created during the scoring and re-scoring processes.
  • MP files for Tournaments must be generated manually from the Master Points menu item on each of the appropriate screens. This is because the MPs are best generated after these events have been completed.
  • Created MP files are saved into the \YYYY\Master Points\ftp\ folder "awaiting further action". This means that any subsequent corrections to the scoring simply replace any previously created MP files.
  • When Compass is exited, the MP files are then automatically sent to NZ Bridge.
  • At any time MP Files can be manually sent to NZ Bridge from the Compass FTP Master Points screen.

Notes

  • Note that the master point files are NOT automatically created if the date of the event is greater than 7 days. The creation MP Files for duplicate events can be FORCED from the Edit Options menu item of the Display Results screen.
  • Any "re-send" of a MP File to NZ Bridge simply overwrites the previously transferred data. This means that scoring corrections automatically correct the master point allocations previously sent to NZ Bridge.
  • Any incorrect master point allocations can be completely deleted by re-sending the same MP File, but filled with blank data. The Compass FTP Master Point process assists you to do this.

FTP Master Point Processing Screen

The screen lists all master point files for the current year in two list - the Unsent list and the Sent list. Various filters can change the displayed list of files.

Screen Features

  • FTP Details: These are fixed and cannot be changed by the user.
  • Date Filters: Filters the list of files by the selected date option.
  • Search Event Names: Filters the list of files by the entered text. The X button clears the text

Screen Buttons

Unsent Files List
  • Send Selected Files
    • FTPs the selected files to NZ Bridge.
    • After the files have been transferred, the file extension changes to SENT.
  • Delete Selected Files
    • Deletes the select files from your system. Use this option to delete files that are not required.
Sent Files List
  • Negate Already Sent Files
    This DELETES any masterpoints that have already been sent to NZB.
    • Change the filters so that your files are displayed in the Sent window.
    • Tick the files, then click the Negate Already Sent Files button.
    • This newly created files will have a TXT extension name and will be listed when the UnSent files list. These files will have an (EMPTY FILE) notation.
    • Tick these files from the UnSent List then click the Send Selected Files button.
  • Re-Send Existing Files
    • Changes the files extension to TXT, so that file can be re-sent to NZB. Use this option if the "sent" files are not showing up on the NZB master point website.

Other Buttons
  • Import Players File
    • This create a CSV file of all affiliated NZB members.The button is disabled for all except Compass administrators
  • Create NZB Data File
    • This function creates the NZB player list that is accessed during the scoring processes. The button is disabled for all except Compass administrators

Using Dropbox

In the unusual case where the FTP process does not work on your PC, the Dropbox alternative can be used. From a user point of view, the Dropbox process is no different to the standard FTP process. Behind the scenes, this process is as follows:
  • Master point files are created during the scoring process (exactly the same as if using FTP).
  • When the files are subsequently processed, the files are not actually sent. Instead, they are copied to the \Dropbox\CompassMate\ClubMPFiles\ folder. Important Note: Rights to share the special folder must be enabled. Please talk to Bob about this.
  • Periodically, a Compass Administrator will use the ftp process from their own PC to transfer the files to NZBridge on your behalf.

Reconcile Compass and NZB Data

Compass helps the master point secretary reconcile the files created and sent from Compass, with the files received and processed by NZ Bridge. This is accessed from the Reconcile Compass and NZB Data menu item.

After the date range is selected, a list of events is created.
  • All club and tournament events from the calendars are listed
  • The most recent master point file that has been created for each of those event is listed
  • Events without master point files are highlighted
    • if the MP file is missing - for duplicate events, use the Create Master Point File for the Selected file button. For Swiss events, create the file from the appropriate Swiss screen.
    • if the MP is a TXT file - this means that the latest MP files is waiting to be sent to NZBridge.
    • If a INP, TM, SWI, SWP results file does not exist for this event. Some events may legitimately not exist. The user must make a judgment call on this.
    • if multiple session Swiss events - sessions that precede the selected start date
This information is then matched with the master point files that have been processed by NZ Bridge. To retrieve the NZBridge data
    • log into the NZBridge master point site http://nzbridge..co.nz/nzbadmin/
    • navigate to the MP results page
    • filter the results by your club number
    • sort the list by date descending
    • use the mouse to select all displayed lines
    • use the CTRL+C keys to copy all lines into the clipboard
To paste this data into the Reconciliation Screen,
    • click the Import NZB Info from the Clipboard button
Various text and highlights indicate the reconciliation status of each item
  • MPFile Exists Column
    • Green highlight indicates the MP files has been processed by NZBridge
    • Blue highlight indicates either
      • A results file does not exist
      • The MP file has a TXT extension. This means that he MP files has been created but not sent to NZBridge
    • BLANK These master point files have not yet been created for this event. These can be created from the Create Master Point file for the Selected File button. (This Create process will create MP files for duplicate type events only. For Swiss events, go through the View Session Results process to create the MP files.
  • NZB Receipt Column
    • BLANK These master point files have not yet been processed by NZ Bridge. You can either wait for these to be processed or, better still, just re-send these files.
  • Entries Column
    • Green highlight indicates the the MP files has been processed by NZBridge
    • If Value = 0. The latest master point sent to NZB is a blank file thus, in effect, NZB has no valid record of the master points for this event. These can be created from the Create Master Point file for the Selected File button.
    • Entries > 0 and Status = Successful. These master point files have been processed fully and completely.
  • Status Column
    • Green highlight indicates the the MP files have been processed fully and completely.
  • Events with a Type = Unknown. Master points files exist for an event that is not in the Calendar of Events for the given date range.
Notes
  • If the entries in all of the 4 right most columns are green, the MP files have been correctly processed. These entries are now of little interest and can be hidden by clicking the Hide Successful Files checkbox.

Revised: 30 September 2017


Tournament Master Points

This screen is accessed from the Master Points menu item on the Tournament, Swiss Pairs or Swiss Teams Results screens. From here, the tournament master point files (MPs) are created for Pairs, or Swiss Teams or Swiss Pairs tournaments. The created files are saved in the \YYYY\MasterPoints\ftp\ folder, ready for processing at a later time.

To create the master point files for Pairs, or Swiss Teams or Swiss Pairs tournaments ...

Duplicate PAIRS Events

  1. {Enter this screen from the Master Point menu item of the tournament Results display screen}
  2. Select the Tournament Type from the drop down menu
  3. Click the Create MP Files button
  4. The master point files for all sessions/sections and the overall results are now created
Special for 8B Tournaments
For 8B tournaments, if the top placed II & JJ pairs are eligible for a bonus B Point an email is automatically sent to NZ Bridge with the required information.

When creating the master points, the user will be prompted to send this special email. Note that this email should be sent ONCE after the final tournament result has been calculated. (Multiple emails just confuse Alister.)

Swiss PAIRS Events

The master points files are created in two steps, first the MPs for individual match results, then MPs for the final overall placings.
  1. {Enter this screen from the Master Point menu item of the Swiss Pairs display screen}
  2. Select the Tournament Type from the drop down menu
  3. Click the Master Points for each match radio button
  4. Click the Create MP Files button
  5. If this is an A point or B point event, click the Master Points for overall placings radio button
  6. Click the Create MP Files button
  7. The master point files for all rounds and the overall results are now created

Swiss Teams Events

The MP files are created in two steps, first for individual match results, then for the final overall placings. If the event has separate qualifying and finals and/or plate phases, the individual match results MPs must be created separately for each of the phase.

The MPs for the overal final results are initiated from the menu item of the QUALiFYING phase of the event
  1. {Enter this screen from the Master Point menu item of the Swiss Teams display screen for a PHASE of the event }
  2. Select the Tournament Type from the drop down menu
  3. Click the Master Points for each match radio button
  4. Click the Create MP Files button
  5. Repeat the 1 to 4 for the PLATE and FINAL phases of the event
  6. If this is an A point or B point event
    • {Enter this screen from the Master Point menu item of the Swiss Teams display screen for the QUALIFYING phase of the event}
    • Click the Master Points for overall placings radio button
    • Click the Create MP Files button
    • Answer this question as the case may be
    • Enter the total number of teams that were in the FINALS plus PLATE phases
    • Entering the final placing for the teams what were in the FINALS plus PLATE phases on the Teams Placings screen

Processing Master Points Files

Once the MP files have been created successfully, you can either
  • Open the FTP Processing form, and then manually "ftp" the files to NZ Bridge
  • Just wait for the files will be automatically "ftp'd" to NZ Bridge, 2 days after the date of the event

Revised: 10 October 2018


Tournament Master Points Teams Placings

This screen is accessed when processing the MPs for a Swiss Teams event that has a FINALS and/or PLATE phase. Here, final overall placing for each of the teams that played in the finals phase are entered.

The placing are "entered" by using the mouse
  • first click the team that finished 1st
  • then click the team that finished 2nd
  • Continue for the 3rd, 4th, 5th etc placing for each of the teams that played in this phase
  • Re-clicking the last entered placing will delete that placing
  • To enter equal placings first enter it placings as above. Then right click the mouse on the line where the placing is an equal. For example, if there was a 3rd equal, first enter the placings as 1,2,3,4,5. Then right click in the "4", to change this to a "3". The placings will then read as 1,2,3,3,5
  • If you mess up (and you will), use the Reset the Final Placings button to remove the placings for all teams
  • When complete, click the Save and Exit button
  • This will return you to the Tournament Master Points screen

Revised: 24 October 2017


Hello Club Overview

Compass Hello Club Integration

What is Hello Club?

Hello Club is a new way to manage your club by keeping track of the members, bookings and finances with a solution that is easy to use and fun to work with. Hello Club is packed with useful features and integrations, making your day to day management tasks a breeze. Start managing all aspects of your club in one place and say goodbye to paper forms and spreadsheets! Includes member management, membership renewal, online payments, access control, Xero/Mailchimp integration & more.

Compass now integrates with Hello Club for the primary intent of handling the table money process, all but eliminating the need for the physical collection of this. After each session, the table money is automatically deducted from the attendees Hello Club account. Periodically the members will top up their accounts to maintain good credit. In addition to the table money management the Hello Club Compass integration can also manage the
  • Payment of the playing or non-playing director
  • Payment of prizes for session winners
Other financial transaction such as membership fees, can be done directly from the Hello Club Application.

Session Attendees and Table Money

Whilst it is anticipated that all club members will have a Hello Club account, this may not always be the case. There are four types of session attendees:
  • Club members who manage their own Hello Club account using online banking. These attendees will have table money automatically deducted from their Hello Club account.
  • Club members who have a Hello Club account but do not actively manage it themselves. Their account will be topped up using cash or cheques passed to the treasurer, who will then update Hello Club on their behalf. These attendees will also have table money automatically deducted from their Hello Club account.
  • Club members that do not have a Hello Club Account. These attendees pay table money at the table.
  • Visitors to the club. These attendees pay table money at the table.
  • For special club events (eg Babich Pairs), the table money amount can be set differently for the normal club session table money.

Generalized Procedure

After the session is played, information for all attendees can be Posted to Hello Club.
  • The postings can be done from the duplicate or swiss results screens or from the Hello Club Management screen.
  • The IDs of the session attendees are checked prior to posting. Missing or duplicate names must be corrected before the posting of a session is permitted.
  • If the director is payable for the session, their ID/name should be recorded prior to posting. If this info is missing, it can be added later, and the post can be updated.
  • If prizes are awarded for the session, these will also be posted.

Links

Hello Club Configuration and Set Up

Hello Club Postings

Hello Club Database Checks

Hello Club and Compass Settings

Hello Club Postings for Prize Awards

Hello Club Reconcilation

Hello Club Management Screen - Menu Items
Revised: 30 March 2019


Compa$$ and Hello Club Configuration

Hello Club Configuration

Your bridge club must have a registered Hello Club Account. In the first instance, refer to the Hello Club Website. For Compa$$, this is not required.

Configuration and Set Up

  • The Compa$$ and Hello Club integration is enabled by the Enable Hello Club parameter in Club Info Setup .. Club Options (4)
  • The Club Calendar of Events has additional yes/no fields that can be set
    • Hello Club Chargeable Event: Almost all club events will be Hello Club chargeable.
    • Are prizes awarded: Club policies determine which events qualify for prize awards. Typically, these prizes are equivalent to one session of table money.
    • Is Director Payable: Club policies determine if the playing director in club events is payable. Typically, this payment is equivalent to one session of table money.
      • Director ID: Director's NZB computer ID
      • Director Name: Director's name
  • Compa$$ and Hello Club Settings: These include the actual value of the table money due for each of the attendee types. The value of the prize awards, and the director's payment are also maintained here. Details are here Compa$$ and Hello Club Settings
  • Club policy may allow members to opt out of Compa$$. If this is done, the members is considered to be a "visitor" and they pay table money by cash.

Revised: 20 May 2021


Compa$$ and Hello Club Settings

The Compass Hello Club settings control the way that the postings are made.

Strip Menu Items:

More Menu Items ... Hello Club ... Settings(1) tab

More Menu Items ... Hello Club ... Settings (2) tab

Hello Club Access API Key

This is the password to the club's Hello Club application and will be supplied by Hello Club management. The access key is of the type hc_SY4M8u2YBhupRu54nDHKRtPv6itXWg and is hidden in the text box. Further, the key is encrypted when saved.
For Compa$$, the API access key is left blank.

Suspense Account Number Parameters

  • Two accounts can be set up in Hello Club to record the postings of attendees that are members without a HC account or are visitors. Refer to the Hello Club documentation for details. The Hello Club MEMBER NUMBER is entered in the appropriate box.
  • If the club policy is to not record postings for these types of attendees, leave these boxes blank.
For Compa$$
  • Use account 8080808 for Non HC members. (this has no real meaning in Compa$$, but must be set just for completeness)
  • Use account 9090909 for visitors

Posting Parameters

  • avoidNegativeAccountCredit: Sets if the members Hello Club balance can go below zero which occurs then there in insufficient funds to cover the transaction. The normal setting is YES.
  • sendNotificationEmail (for CREDIT postings): Sets if emails are automatically sent when credit postings (or prize money and director's fee) are made. The normal setting is NO.
  • Aggregate NonHC Postings: This determines if the postings for all non HC member attendees are aggregated into one transaction in the suspense account.
  • Aggregate Visitor Postings: This determines if the postings for all visitor attendees are aggregated into one transaction in the suspense account.
For Compa$$, these parameters are irrelevant.

Club Defaults

  • Use Compa$$ or Hello Club to handle payment of playing director in club sessions: If true, all new events are created with the Director Payable flag set to true.
  • Use Compa$$ or Hello Club to handle prize awards for club sessions: If true, all new events are created with the Prize Awards flag set to true.
  • Automatically set prize award basis to HANDICAP if event is listed as handicap in Club Calendar: If true, all new HANDICAPPED events are created with the the prize basis set to Handicap Score.

Prize Award Parameters

  • Number of Prize Awards ... The number of top placings that qualify the prizes is set for each of the one and two winner movement types.
  • For multi section events ... For events run in sections, this determines is prizes are awarded separately for both sections or just for the overall 'across the field' result.
  • When awards are for both Scratch and Handicap results, players can win 2 prizes ... Determines if players can be awarded TWO prizes if they win on both raw and handicapped scores.
Additional information related to Prize Awards is here.

Category Price List

Price Category Items
  • The Price Category item are predefined in the system. The available options are
    • Option 100: Standard Table Money (table money for the playing club members)
    • Option 120: Visitor Table Money (table money paid at the table by visitor attendees)
    • Option 130: Youth Member Table Money (table money paid by YOUTH attendees. YOUTH is a member type, set in the Club Database)
    • Option 131: Life Member Table Money (table money paid by LIFE member attendees. LIFE is a member type, set in the Club Database)
    • Option 140: Table Money for a PLAYING Director
    • Option 500: Club Director Fee (Fee paid to the playing director for club sessions)
    • Option 505: Non Playing Director Fee (Fee paid to the non-playing director for club sessions)
    • Option 520: Prize Credit (the credit paid to session winners based on scratch and/or handicapped scores)
    • Option 531: Day specific Director Fee: For Monday DAY Sessions
    • Option 532: Day specific Director Fee: For Tuesday DAY Sessions
    • Option 533: Day specific Director Fee: For Wednesday DAY Sessions
    • Option 534: Day specific Director Fee: For Thursday DAY Sessions
    • Option 535: Day specific Director Fee: For Friday DAY Sessions
    • Option 541: Day specific Director Fee: For Monday EVENING Sessions
    • Option 542: Day specific Director Fee: For Tuesday EVENING Sessions
    • Option 543: Day specific Director Fee: For Wednesday EVENING Sessions
    • Option 544: Day specific Director Fee: For Thursday EVENING Sessions
    • Option 545: Day specific Director Fee: For Friday EVENING Sessions
  • For the Director, use EITHER option 500 OR the options 531 to 545. DO NOT use BOTH of these options.
  • The item names can be edited but this is password protected. Items cannot be deleted.
  • New items can be added if Bob has added the programming code to handle these new items.
  • The Enable Edits button initiates the Edit or Add process.
Price List Items

This sets the prices for each of the Price Category Items, for the selected Year. Each item can be edited or deleted, and new items can be added. Also, the current year's price list can be copied into next year's list.

Miscellaneous Price Items

This item is relevant to Compa$$ users only.

This is an incentive to encourage members to use Internet banking to top up their Compa$$ accounts. The bonus is set as a percentage. Example: Say the bonus is 10%. If a member uses Internet banking to add credit of $50, the club will add $55 to the member's account. The Bonus lapses once the Expiry Date is passed.

Miscellaneous Items

  • Enable Compa$$ for sessions on or after this date: This is useful when Hello Club or Compa$$ is implement part way through a year.
Revised: 15 October 2021


Compa$$ and Hello Club - Menu Items

Compa$$ and Hello Club Management - Menu Items

Strip Menu Item: More Menu Items ... Hello Club or More Menu Items ... Compa$$

Menu Items

Excel Reports

  • Database Queries
  • Member Upload File: Create the Member file for uploading to the Hello Club Database (this is usually done by Bob)
  • Transaction Log - As Displayed
  • Transaction Log - Summary

Open Posting Log: Opens the most recent Posting Log text file.

Correction of Posts
  • Update Compass POST Data: When postings are done from different locations (eg club computer and a home PC), the posting status can go out of synch. This menu item will update the status without affecting the postings.
  • Change Session Status to FULLY Posted: At times, the status may need to be manually set to Fully Posted.
  • Change Session Status to PARTIALLY Posted: Events that are Fully Posted cannot be corrected on the original Club Status Events tab. It the status is set to PARTIALLY Posted, re-posting is enabled.
Refresh Reconciliation: Refreshes the reconciliation of the Club and Hello Club databases. This item is not available is Compa$$.
Revised: 26 May 2020


Compa$$ and Hello Club Postings for Prize Awards

Prize Awards for the winners of club sessions can be automatically posted to Hello Club and Compa$$. The default settings from Compa$$ and Hello Club Settings are used for to set the parameters for all events in the Club Calendar Events (CCOE). For example:
  • The Awards can be disabled for all events, but this can be overridden in the CCOE for any individual Competition.
  • For the top X placings for each direction in dual winner movements (eg Mitchell). ("X" is defined in Compa$$ and Hello Club Settings and if necessary, overridden in the Club Calendar of Events.)
  • For the top Y placings in single winner movements (eg Howell). ("Y" is defined in Compa$$ and Hello Club Settings and if necessary, overridden in the Club Calendar of Events.)
  • For Swiss Pairs and Swiss Teams Events, sessions prizes are awarded to the top placings based on the Victory Points for each of the sessions within the event.
  • Awards can be given for the raw score winners or the handicap score winners or both.

Swiss Events

Awards for the top placings based on the Victory Points for each of the sessions within the event. For example, if an event has 3 sessions, with 3 rounds in each session, prizes are awarded for the "winners" of rounds 1-3 only , the "winners" of rounds 4-6 only and the "winners" of rounds 7-9 only.

Prize Award Parameters

The parameters for each session are set up in the Club Calendar of Events. The relevant settings are:
  • Prize Event: Specifies if the prizes are awarded for the session
  • Prize Basis: Specifies if the prize awards are based on:
    • Scratch Score - prizes awarded to winners based on their scratch (raw) score
    • Handicap Score - prizes awarded to winners based on their handicap score
    • Both - prizes award to both the scratch score winners and the handicap score winners. SPECIAL NOTE: The When awards are for both Scratch and Handicap results, players can win 2 prizes setting determines if players can be awarded TWO prizes, win on both raw and handicapped scores.

Hello Club and Compa$$ Setup and Configuration

The settings for Hello Club and Compa$$ are documented here. In summary:
  • Number of Prize Awards ... The number of top placings that qualify for prizes is set for each of the one and two winner movement types. Note these default settings can be overridden for individual competitions as set up in the Club Calendar of Events.
  • For multi section events ... For events run in sections, this determines if prizes are awarded separately for both sections or just for the overall 'across the field' result.

One and two winner movement types

The number of prizes awarded depends on the movement type:
  • Two winner Mitchell Type movements: Prizes are awarded to each side.
  • One winner Howell Type movements: Prizes are awarded to the overall field.
  • Multiple Teams: Prizes are awarded to each side.
  • Individual Events: Prizes are awarded to the overall field.
  • Swiss Teams: Prizes are awarded to the overall field.
  • Swiss Pairs:
    • Combined field: Prizes are awarded to the overall field.
    • Separate NS/EW field: Prizes are awarded to the overall field.

Overrides

Overrides to the default settings can be made.
  • Table Money Override
  • Prizes Per Session Override
  • Prize Money Amount Overrides
Revised: 26 June 2020


Hello Club Overrides

Typically, the default Hello Club parameters are specified in the Hello Club Management ... Settings screen. However, it is possible to override these default parameters for individual competitions.

  • Prizes Count: The entered values specify the number of prizes that are awarded for each of the sessions of this competition. The entries are flexible, to allow for different options for prize awards
Prizes Per Session Entry Type: The entry in the Prizes Per Session text box is interpreted as follows

Prizes Per Session = Blank
    • The default prizes per session from Hello Club Settings will be used
Prizes Per Session = Single Digit eg "2"
    • In the example
      • for each of the NS and EW directions for Mitchell Type Movements, 2 prizes will be awarded
      • for the entire field in Howell Type Movements, 2 prizes will be awarded
      • for Swiss Teams, 2 prizes will be awarded
      • for Swiss Pairs, 2 prizes will be awarded
        • for each of the sides is a separated NS/EW fields are used
        • for the entire field for combined NS/EW fields
Prizes Per Session = Two Digits separated by a comma, eg 1,2
    • In the example
      • for each of the NS and EW directions for Mitchell Type Movements, 1 prizes will be awarded
      • for the entire field in Howell Type Movements, 2 prizes will be awarded
      • for Swiss Teams, this example does not apply
      • for Swiss Pairs, 2 prizes will be awarded
        • if separated NS/EW fields are used, 1 prizes will be awarded for each side
        • if combined NS/EW fields are used, 2 prizes will be awarded for the entire field

Prizes Per Session = Single Digit with a Percentage sign eg 12%

In this case, the number of prizes awarded is a percentage of the competing pairs or teams. Note: Normal rounding occurs, and there is always a minimum of 1 prize)
    • In the example, say there are 12 tables
      • for each of the NS and EW directions for Mitchell Type Movements, 1 prizes will be awarded (12% of 12 = 1.44 rounded to 1)
      • for the entire field in Howell Type Movements, 3 prizes will be awarded (12% of 24 = 2.88 rounded to 3)
      • for Swiss Teams, 1 prizes will be awarded (12% or 12 = 1.44 rounded to 1)
      • for Swiss Pairs, 2 prizes will be awarded
        • if separated NS/EW fields are used, 1 prizes will be awarded for each side (12% of 12 = 1.44 rounded to 1)
        • if combined NS/EW fields are used, 3 prizes will be awarded for the entire field (12% of 24 = 2.88 rounded to 3)
  • Table Money Amount: The entered amount will be used for the table money for all participants (ie members & non members & visitors) for each of the sessions in this competition. Example of where this functionality can be be used are:
    • for special club events, eg the Babich Simultaneous Pairs
  • Prize Amount ($): The entered amount will be used the session prize awards.
Revised: 6 January 2020


Compa$$ and Hello Club Director Payments

Both playing directors and non-playing directors can be "paid" via Compa$$ and Hello Club. This payment is a credit to the directors Compa$$ account. There are different situations for playing directors (PD) and non-playing directors (NPD). The fees paid for a PD and a NPD are set on the Compa$$ Settings screen.
  1. NPD - The director does not play. This is the North Shore case .... maybe??
  2. NPD - The director generally does not play, but occasionally does to fill a table. This is the East Coast Bays case.
  3. NPD - The director usually has an organized partner and usually does play. This is the Hamilton case.
  4. PD - The director always plays. This is the Cambridge case.
  5. The club does not pay the director. This is the Morrinsville, Te Awamutu and Akaroa case.
Every event in the club calendar of events (CCOE) can be marked as Director Payable =Yes or No. If Director Payable =Yes, the directors ID must eventually be entered for that event.

Settings - Price List Items

The Price List items should be set similar to the above. This means that
  • A Playing Director will be debited the table money and be credited the PD fee.
  • A Non Playing Director will be credited $0 in Compa$$.

Recommendations

The recommended way to handle these cases is as follows:
  1. NPD - The director does not play. This case is handled outside of Compa$$.
    • Every club event in the CCOE is marked Director Payable =No
    • That is the end of that!
  2. NPD - The director generally does not play, but occasionally does to fill a table. In this case the director does not pay table money and their NPD fee is handled outside of Compa$$.
    • Every club event in the CCOE is marked Director Payable =No
    • In events when the NPD does actually play, the director's ID is entered on the results screen or the Compa$$ screen. As a player, the director then "pays" the standard table money, but is also be credited the PD fee. Typically, these amounts cancel out, thus they have a "free" session.
    • The session is then posted with the correct director details.
  3. NPD - The director usually has an organized partner and usually does play. In this case the director does not pay table money and their NPD fee is handled outside of Compa$$.
    • Every club event in the CCOE is marked Director Payable =Yes
    • In events when the NPD does play, the director's ID is entered on the results screen IF it has not been pre-entered elsewhere.
    • The session is then posted with the correct director details.'
    • If the NPD does not play, this detail can be fixed by a Compa$$ administrator.
  4. PD - The director always plays. Compa$$ handles the payment.
    • Every club event in the CCOE is marked Director Payable =Yes
    • The director's ID is recorded against the event, IF it has not been pre-entered elsewhere.
    • The session is then posted with the correct director details.
  5. The club does not pay the director.
    • Every club event in the CCOE is marked Director Payable =Yes
    • That is the end of that!

Setting the Defaults that flow to the Club Calendar of Events

If this setting is ticked, all newly created events in the calendar will automatically set Director Payment = Yes.

Changing the settings in Club Calendar of Events

Any parameter can be changed in the Club Calendar at any time.

Importing a Director List from Excel

A list of the director for the whole, or part, of the year can be imported from an Excel file. Details can be found here.

Fixing Director Posting Errors

  1. The event was marked as Director Payable = No but that was wrong.
    • On the Club Events Status tab ...
    • toggle the Director Payable to Yes
    • Enter the Director ID
    • POST the event
  2. The event was marked as Director Payable = Yes but that was wrong.
    • On the Club Events Status tab ...
    • toggle the Director Payable to No
    • POST the event, to remove the director POSTing.
  3. The event was marked as Director Payable = Yes but the director was not specified when the event was posted.
    • On the Club Events Status tab, the event should show as Partially Posted.
    • enter the director ID
    • POST the event.
Revised: 26 June 2020


Compa$$ and Hello Club Events Status and Postings

Compa$$ and Hello Club Postings

Strip Menu Item: More Menu Items ... HC ... Club Events Status tab

The posting for each session is typically done from the Compass results screens, immediately after the session has ended. If the postings are are not done there, they can be done from this screen. Additionally, this screen allows the user to:
  • View the posting status of every event.
  • Change the HC Chargeable, Prize Event and Director Payable flags for each event.
  • Add or remove the Director ID and name.
  • View the Posting Log.

This list all events from the Club Calendar of Event along with the events data and the posting status.

Hello Postings

  • Posted transactions cannot be canceled or reversed from within Compass meaning that it is imperative that is input data must be as accurate as possible before it is posted. Authorized administration personnel correct posting errors directly from within the Hello Club application
  • If an attendee has a HC account, the postings will be directly against their account. For attendees that do not have a Hello Club account, and for visitors can be optionally posted to one or two Suspense Accounts. Details of this are in Hello Club and Compass Settings
  • A prerequisite for event posting is that the event must exist in the Club Calendar of Events.

Compa$$ Postings

  • Posted transactions can canceled or reversed from the Correction of POSTs menu item
  • Postings will be posted against each members account balance. Visitors wil be posted to a Suspense Account.
  • A prerequisite for event posting is that the event must exist in the Club Calendar of Events.

Generalized Process

The generalized process is as follows. Note the the File Comment associated with each event is automatically updated as the process proceeds.
  • When the session is completed, a Results File (ie INP or SWI or SWP file) is automatically created as part of the Compass Scoring process. The File Comment will then be Results Exist.
  • The attendees ID and name are then checked. The File Comment will then be Good Names or Bad Names.
  • A Player Log is then created. This adds the attendee data to the club database. The File Comment will then be Log Exists, not Posted.
  • The event can now be posted. The File Comment then depends on the success of the posting status. The options are
    • Fully Posted
    • Partial (the posting failed partway through the process. The Posting Log will indicated where the posting failed).
    • Partial, Director not Posted (all data is ok, except that the Director ID is missing)
    • Partial, Prizes not Posted (all data is ok, except that the handicap result does not exist)
    • Partial, Director Prizes not Posted
  • If the posting fails, it can be re-posted once the errors have been corrected.

Re-Postings

Assuming that the Configurations and Set up is correct, most posting will be successful. Some reasons for posting failures are:
  • no Internet connection (Hello Club only)
  • missing API key (Hello Club only)
  • missing table money, director fees or prize price lists
  • missing director ID
The Posting Log will indicate the reasons for any posting failures. Once the error has been correctly, the event can be re-posted.

Special Case for Director Payable flag
  • If the Director Fee has not already been posted, the Director Payable flag can be changed from Yes to No.
  • For any fully posted event, the Director Payable flag can be changed from No to Yes .

Screen Filters

The Date, Session Day and Show Events filters control the items that are listed.

Screen Buttons

Names Checks

This starts the Names Check process for the one selected event, or for all listed events where a results file exists. Were appropriate, the File Comment column is updated with the name status (ie ...Good Names or ...Bad Names). When selecting one event, the notepad report is automatically displayed.

Player Logs

This starts the Player Log creation process for the one selected event, or for all listed events where a results file exists. Were appropriate, the File Comment column is updated with the player log status (ie Log Exists ...).

Show Player Detail ..

This displayed the posting details for each of the session attendees.

Update Session Status
This updates the File Comment column of the table.
Note that this process does nor re-check the player names, thus the Good Names or ...Bad Names notation is lost during this update.

Menu Items

Excel Reports

The MS Excel reports show the data that is currently listed in the tables. That is, the Filters have been applied. The available reports include:
  • Session Attendees: Reports the type session attendees (eg members, visitors etc).
  • Database Queries: Reports the Club and Hello Club status of the club members. Not enabled for Compa$$.
  • Member Upload File: Creates a report that can be used to upload the member details to Hello Club. Not enabled for Compa$$.
  • Transaction Log - As displayed
  • Transaction Log - Summary
Options

Open Posting Logs

A typical log for one event is:
22-Mar 10:22:32  Post started for 3268 03thud THE SAMPLE ROOM Individuals
22-Mar 10:22:36     Post ended: Members
22-Mar 10:22:36     Post ended: Non HCMembers
22-Mar 10:22:36     No visitors this session OR they are already posted
22-Mar 10:22:36     Post Prize bypassed for Diane Emms Place = 1 Player not HC eligible
22-Mar 10:22:36     Post Prize OK     for Kevin Whyte Place = 1
22-Mar 10:22:36     Post Prize bypassed for Melanie Trevethick Place = 1 Player not HC eligible
22-Mar 10:22:36     Post Prize bypassed for Julie Rope Place = 1 Player not HC eligible
22-Mar 10:22:36     Post ended: Director  - Michael Neels
22-Mar 10:22:37  Post ended for 3268 03thud THE SAMPLE ROOM Individuals

Compa$$ Settings (These settings apply to Compa$$ users only)

Email Body and Footer files determine the format of the email sent to users. Details on how this is done are here.
  • Set Email Body File:
  • Set Email Footer File:

Excel Correction of POSTs
  • Delete a Posting: The selected posting is removed from the system. This is usually done when the results has been corrected after the initial posting. (This item applies to Compa$$ users only)
  • Update Compass POST Data: This alliggns the Compass data with the Hello Club data. (This item applies to Hello Club users only)
  • Change Session Status to FULLY Posted: Sometimes the Events status may not have been correctly reported. This item manually sets the event the Fully Posted. Fully Posted events can never be rePOSTED..
  • Change Session Status to PARTIALLY Posted: Sometimes the Events status may not have been corrected reported. This item manually sets the event the Partially Posted. Partially posted events can be rePOSTED to add the Director Posting and/or the Prizes Posting.

Important Note

To select any one event, mouse click in the small gray box in the leftmost column of the list - the entire row will then have a black background. Clicking any data cell within the table does not correctly select the item.
This is a correctly selected row.
This is an incorrectly selected row.

Revised: 23 June 2020


Compass Hello Club Database Checks

Compass Hello Club Database Queries

The tab lists all club member along with their Hello Club information. The table can be exported to MS Excel.

Strip Menu Item: More Menu Items ... Hello Club ... Database Queries tab

Text Filters

Displays the members that match the selected values. For example
  • Last Name that Starts with f
  • First Name that Equals Bob
  • HC Flag that is Yes or No
  • Acct Credit Where Account Credit <= 0
  • Acct Credit Where Amount Owing >45

Show Members that ..

This displays the members that match the selected status. For example:
  • Have good credit
  • Need to top up
  • Do not have a Hello Club Account

Database Actions

  • Do Database Check: Checks the club and Hello Club databases for anomalies, which are then reported in the Message Log. The reported anomalies include:
    • Members that are in Hello Club, but not in the club database
    • Members in the Hello Club database with a blank MEMBER NUMBER.

Message Log Actions

The message log contains the results of the Do Database Check. The displayed log can be Cleared or Printed.

Notes

Clicking a column heading will sort the table contents by the selected column.
Revised: 30 March 2019


Compass Hello Club Reconciliation

This reports the data differences between the Compass member database and the Hello Club member database., and in some cases the Compass and/or Hello Club values can be updated or synchronized.

In Hello Club but not in Compass

  • The Add Selected Member to Compass button adds the selected member to the Compass database.

In Compass, but not in Hello Club

  • The Add Selected Member to Hello Club button adds the selected member to Hello Club. The Select All check box toggles the selected members.

In Hello Club, without a Computer Number

  • The Hello Club number is the member's NZB computer ID and this is a mandatory field in Hello Club.
  • The Update the Hello Club Number button update the Hello Club database.

Archived or Suspended in Hello Club

  • This list is for information only. These statuses must be changed directly in Hello Club.

Data Differences

  • This lists the data differences within the following fields
    • name (first and last name)
    • email address
    • phone number
    • mobile number
    • address
    • membership type
    • NZB grade
  • All fields (except the name field) in the Compass or Hello Club databases can be synchronized using data from the other database.
  • The Update COMPASS with the HC Data button updates the Compass database.
  • The Update HC with the Compass Data button update the Hello Club database.
Special Case if both databases have a blank value
  • Use the Update COMPASS with the HC Data button
  • Enter the field data in the pop up box
  • The Compass data is now updated
  • Use the Update HC with the Compass Data button to synchronize the Hello Club database data.

Revised: 1 April 2019


Correcting Hello Club Postings

Corrections to postings should never be needed but, hey. For example
  • The wrong person has been recorded as playing a session
  • The director payment has gone to the wrong person.
  • Prizes have not been correctly allocated.
  • The Compass data is out of synch with the Hello Club data.

Original Posting and Fixing Posting Errors

  • Errors can be fixed from the original Club Status Events posting tab or from the Correcting POSTs tab or a combination of both.
  • Compass has a sanity check to prevent duplication of postings, so never fear (until you must). This checks directly with Hello Club if a transaction has been previously posted.
  • Original postings or correction postings can be done from any PC. The only requirement is the user must have login access to the Compass Hello Club screen.
Before any corrections are make, the posting status from a Compass point of view and a Hello Club point of view can and should be viewed

Checking the Compass Event Status

The Compass status of any event within can be checked as follows:
  • The Event Status column indicates the current status
    • Fully Posted events cannot be re-processed.
    • Partially Posted events can be re-processed.
  • Show Player Detail for the Selected Session button shows:
    • The Yes/No fields indicate the Compass posting status.

Checking the Hello Club Status

The Hello Club status of any event within can be checked as follows:
  • The HC Status is shown in the Correcting POSTs tab.

Correction of Posts (Menu Item)

  • Update Compass POST Data: When postings are done from different locations (eg club computer and a home PC), the posting status can go out of synch. This menu item will update the status without affecting the postings.
  • Change Session Status to FULLY Posted: At times, the status may need to be manually set to Fully Posted.
  • Change Session Status to PARTIALLY Posted: Events that are Fully Posted cannot be corrected on the original Club Status Events tab. It the status is set to PARTIALLY Posted, re-posting is enabled.

Table Money

  1. Wrong player recorded in the Results File. For example, player A has been debited, when it should have been player Z
  • On Correcting POSTs tab
    • Use Reverse the Selected Postings to credit Player A
    • Use Create Miscellaneous POST to charge Player Z
  2. Players is granted a FREE session
  • On Correcting POSTs tab
    • Use Reverse the Selected Postings to credit the player

Director Fees

  1. Director credited for a session where the director is NOT payable.
    • On Correcting POSTs tab
      • Use Reverse the Selected Postings to reverse the director payment
    • On Club Events Status tab
      • Clear Director
      • Toggle Director Payable to NO
  2. Director NOT credited for a session where the director IS payable.
    • On Club Events Status tab
      • Toggle Director Payable to YES
      • Update Director
      • Change Session Status to PARTIALLY Posted
      • Use Post Selected Session to complete the posting
  3. Wrong director paid. For example, person A has been credited, when it should have been person Z
    • Correcting POSTs tab
      • Use Reverse the Selected Postings to reverse the payment for person A
      • Use Create Miscellaneous POST to credit Player Z

Prize Money

  1. Session Prizes awarded in error
    • On Correcting POSTs tab
      • Use Reverse the Selected Postings to reverse the prize payment
  2. Session Prizes not awarded when they should be
    • On Correcting POSTs tab
      • Use Create Miscellaneous POST to credit the players
  3. Series Prizes are to be awarded
    • On Correcting POSTs tab
      • Display the last event in the series
      • Select the prize winner
      • Use Create Miscellaneous POST to credit the player
      • Repeat for all other players
Revised: 19 March 2020


Compa$$ and Hello Club Transaction Log

This is effectively a financial ledger as it details every transaction that has occurred.
  • For Hello Club users, these transactions come from their website.
  • For Compa$$ users, the transactions come from the club database.

Transaction Log

Club Liability

This is the clubs liability with respected to the members fund. If the club collapsed at this moment, this is the amount that would be refunded to the members. The liability changes with every transaction. For example
  • table money decreases the club liability
  • director payments increase the club liability
  • prize awards increase the club liability
  • member account top-ups increase the club liability
Liability Reconciliation

The Club Liability is calculated and displayed both on the Compa$$ tab and on the Transaction Log tab and the two numbers should match. Non-matching numbers will be highlighted red. If the numbers do not match
  • Ensure that the To Date is the same on both tabs (if the To Dates are different the numbers will definitely not match.)
  • Ensure that the Refresh Often button on the Transaction Log has been clicked
  • Check the Excel Report of the the Member Balances (on the Compa$$ tab). This will identify the discrepancies, allowing further investigation.
  • Talk to Bob.

Explanation of Column Headers

The non cash columns are self explanatory. The cash columns are essentially incoming and outgoing of the Hello Club or Compa$$ account.

Column Headers

Filter Panel

Downloads from Hello Club OR "Downloads" from Compa$$

  • Downloads are manually initiated by clicking the Refresh Often button.
  • The date range of the downloaded transactions is between the From Date and To Date date pickers.
  • The Date is the Payment Date.
  • The button text reports the date/time of the latest download.
  • Any new download deletes the existing transaction log items within the date range.
  • The download can be repeated multiple times.
  • A download can take a little time. It is best to limit any one download to a one month time span. A full month can around 2 minutes.

Date Pickers

  • These have dual functionality 1) the date range of the download and 2) the date range of the displayed transactions.
  • The "Date" is the Payment Date.
  • The + - buttons quickly change the date to the first or last day of the month.

Filters

  • Name Lookup: Displays transactions for the selected member. The X clears the name filter.
  • Visitor Account: Displays Visitor transactions only.
  • Hide Table Money: Does just that!
  • Week Number and Session Day: Displays by Compass Session day, eg 10 and mond
  • Clear All Filters: Does just that!

Session Total

This activates a pop up that reports session information. This report can be exported to MS Excel.

Show Column Filter

This filters the display by the specific column headers.

Subs Analysis

This displays a summary of the subscriptions pad and not paid. The can then be exported to Excel.

Other Screen Features

  • The Compress Columns checkbox toggles the display of non important data columns
  • The TOTALS box displays the column totals. Note the position of this is fixed, so it can become misaligned with the transactions columns. Click on either dd or mm or yyyy of the date fields to correct the alignment.
  • Clicking any column headers sorts that column in ascending or descending order.
  • The width of the screen can be changed by dragging the right hand border or the bottom border with the mouse.

Excel Reports

Reports are printed from the screen menu.

Summary Report

Report as Displayed

Revised: 21 July 2020


Hello Club Transaction Methonds

Hello Club & Compass Transactions - RECOMMENDATIONS

It is apparent that the lack of quality Hello Club reporting is jeopardizing the entire implementation. This is a discussion of the current situation and suggestions for improvements.

Note: I make these recommendations as an interested observer. Some recommendations may not be possible, and additional suggestions from users are welcomed. The aim is to make the Compass/Hello Club integration to be as perfect as possible and this is a collaborative effort.

That said, why is it my responsibility to effectively bail out Hello Club?

Main Recommendations

  1. Compass to be used for Hello Club financial reporting.
  2. To support this, the transaction processes must be documented to ensure consistent data.

Comment on HC Transaction Types

There are two types of HC transactions - Create Transaction and Add Account Credit. Create Transaction does allow flexibility transaction classifications (see below) but these do not fit bridge club language. This document recommends that a select few of these classifications be used, and the Detail field of the transaction uses a specific bridge related keyword for readability and to get the transactions into a reporting bucket appropriate for a bridge club.

Classification | Use ? | When
Account Credit | Yes | Where the transactions involve the adjustment of a members account credit
Activity Fee | Yes | For all session related transactions, ie table money, director fee and prize awards
Booking Fee | No |
Coupon Purchase | No |
Deposit | No |
Event Entry Fee | No |
Interclub Fee | No |
Membership Fee | Maybe |
Purchase | No |
Other | Yes | For everything else

Recommendation

1. For Create Transaction transactions, the classification of Account Credit, Activity Fee or Other are the only ones that are used. When required, a bridge related keywords must be added so that transactions go in the correct bucket.

2. For Add Account Credit transactions, a bridge related keywords should be used where required

  • Table
  • Director
  • Prize
  • Host
  • Free

Addition keywords can be added as required. Note that keywords are case insensitive.

Direct HELLO CLUB Transactions

Handling Money received from members via by cash/cheque, eftpos, direct credit etc

Members funds (e.g. cash cheques) are periodically handed to a club official and Hello Club must be updated. Additionally, eftpos and direct credit transactions require a Hello Club update. To ensure consistent reporting, HC should be updated in one way only, and this is by “adding Account Credit”

Members who do not manage their own accounts.

Member funds handed to a club official and Hello Club must be updated.

Visitors

Handling of visitors does seem to be a challenge for clubs. Currently the process is that
  • Visitors table money is charged against the Visitor Suspense Account when an event is posted. These debit the account credit of the suspense by the value of the table money.
  • Clubs optionally can record each individual visitor or accumulate the amount of all visitors into one total. All clubs are using the former method.
  • Visitors table money is collected by a club official during each session. (The Compass “names check” identifies the visitors.)
  • Hello club is then updated to record the collection of the table money.

In theory, the funds collected will equal the suspense account amount charged and balance will net to zero. Any imbalance must be periodically written off

The most efficient way to record the collection of visitor table money is to use the HC Add Account Credit process against the visitor suspense account. The aggregation of the total visitor table money is the only transaction required. Creating a separate transaction for each of the participating visitors add no value. Do NOT use the HC Create Transaction process for the visitors as it will lead to inconsistent reporting.

From time to time, the visitor suspense account must be balanced to account for money that has not, and never will be, received. Thus, the table money debt must be written off.

Recommendation

  1. Clubs should use Add Account Credit to record payment of visitor table money and to write off non-payments.
  2. Clubs should consider accumulating the visitor table money into one – there is no value gained by creating a transaction for each visitor.

Club Subscriptions

Subscriptions can be and should handled by Hello Club. Subs for a new year can be created automatically by Hello Club. Subsequently, payment of subs must be managed as follows.

Payment by POLi, Stripe, and by Account Credit

Members manage their own payments by these methods.

Payment by “Cash “

Members funds (e.g. cash cheques) are handed to a club official and Hello Club must be updated.

  • From the member’s account, select the Membership Fee item
  • Select the Mark as Paid option
  • Set Paid By to the most appropriate option
  • That’s it.

Miscellaneous Transactions

There are two types of miscellaneous transactions:

Transactions related directly to a session (ie table money, director fees, prize money)

Errors in standard posting for table money, director payment and prize awards should never happen, but it does. Types of error that can occur are:

  • The wrong players are recorded in Compass thus corrections are required
  • A director payment needs to be added, or corrected
  • The prize awards need to be added, or corrected

Recommendation

  1. These transactions should be processed through the Compass procedures. Only in exceptional circumstances should these transactions be posted directly in Hello Club.
  2. Clear documentation on manual postings must be available to users.

The reason for this is that Compass initiated transactions have consistent data, which leads to valuable financial reports. Direct manual HC postings do allow postings can be inconsistent leading to inconsistent reporting.

Non session related miscellaneous transactions, and the recommended HC transactions

  • A member resigns and their HC Account Credit is refunded (by cash or cheque)
  • A member gifts some of their HC credit to another member (contra deal) (Two transactions are required 1) the giver’s account is debited and 2) the receiver’s account is credited_
  • Payment for HOST duties
  • Members or Visitors are granted a “free” session
  • Miscellaneous Purchase by member via Account Credit e.g. name badge or tournament entry SUMMARY OF HELLO CLUB POSTINGS

ADD ACCOUNT CREDIT Transactions

Transaction | Detail Text (eg) | Paid by |
Money received from members | “Account top up” | Cash or cheque etc |
Members who do not manage their own accounts. | “Account top up” | Cash or cheque etc |
Recording Visitor table money | “10mon 11 March” | Cash (always use cash) * |
Write of Visitor money | “Write off” | Other ** |
Host duties | “11fri 14 Mar: Host” | Other ** | These transactions should be processed in this way, not by CREATE TRANSACTION ***
Director Fee | “11fri 14 Mar: Director” | Other **
Prize Money | “11fri 14 Mar: Prize” | Other **
Host duties | “11fri 14 Mar: Host” | Other **
Free sessions | “11fri 14 Mar: Free session” | Other **

* $ amount is accumulated over all visitors.

** Paid by Other means that the payment comes from the club.

*** CREATE TRANSACTION is convenient when multiple members need to be updated by identical transactions.

CREATE TRANSACTION Transactions – REFUND MONEY

Transaction | Option | Refund Money For | Detail (eg) | Pay Member Using |
Member resigns | Refund Money | Account Credit | “Player Resignation” | Cash or cheque etc |
Gifting (Part 1: givers account) | Refund Money | Account Credit | “Contra, Helen Jones” | Other |
Director Fee | Refund Money | Activity Fee | 11fri 14 Mar: Director Fee | “director” | These transactions are better processed by ADD ACCOUNT CREDIT
Prize | Refund Money | Activity Fee | 11fri 14 Mar: Prize money | “prize”

CREATE TRANSACTION Transactions – COLLECT MONEY

Transaction | Option | Collect Money For | Detail (eg) | Payment | Paid By
Miscellaneous Purchase by member | Collect Money | Other | “Badge purchase” | Deduct from account balance |
Gifting (Part 2: receivers account) | Collect Money | Account Credit | “Contra, Helen Jones” | Already Paid | Other
Table Money | Collect Money | Activity Fee | 11fri 14 Mar: Table money | Deduct from account balance |

Note that the essential keywords are coloured red.

Hello Club Dates

For transactions, Hello Club essentially has two dates, “Date” and “Payment Date”. HC allows flexibility with these dates which can lead to inconsistent financial reporting. In very general terms

Date: This is the date of the HC transaction. For HC initiated transactions, this is “now”, that is the time the OK button is clicked. For session related Compass transactions, this is the date of the session.

Payment Date: This is the date that the transaction is “paid”. For Hello Club initiated transaction, this defaults to “now”, but can be overwritten by the user and could be a date in the past. For Compass initiated transactions, this again is the date of the date the session.

· Accurate reporting is entirely dependent on consistent date handling of the transactions. The current flexibility allowed by Compass and Hello Club can lead to confusing reporting.

· For consistent month to month reporting, only one of the two available dates should be used for date range criteria. This will ensure that consistent financial reporting is achieved.

· Consistent dating reporting will also ensure that re-runs of old reports will return the same data.

Recommendation

For Compass reporting, it is recommended that Payment Date be used for date range criteria. The reason is that Payment Date can consistently be set to “now” thus avoiding postings being made against a date in the past.

If the approach is adopted

· Compass transactions should be created with [Payment Date] = “today”. This is easily achieved programmatically.

· HC transactions should always be created with [Payment Date] = “today”. This is achieved by user discipline.

Additional Notes

1. Hello Club allows transactions to be Removed. To ensure accurate Compass reporting transactions care should be taken when removing transactions.

Recommendation

  • HC transactions for the current reporting month can be removed without a problem.
  • HC transactions for closed months must not be removed. Any incorrect posting must be fixed by creating an equal and opposite transaction.

2. If is recommended that the default Payment Date (ie today) is always accepted but if you know what you are doing, and accepted the consequences, backdating to an earlier date within the current month is acceptable.

Compass Functionality

Please refer to the CompassHELP document for details on the

  • Correcting POSTs process
  • Transaction Log
Revised: 19 March 2020


Compa$$ Overview

Compa$$ Accounts Overview

Compa$$ (pronounced Compass dollars) is a system that all-but eliminates the handing of cash at a bridge club. Each member has a Compa$$ accounts and their debits and credits are recorded. A running total of each member's balance is maintained and periodically forwarded to members.

  • Debits come from
    • Table money. Compa$$ is updated after each session has been played.
  • Credits come from
    • Director Payment and Prize Awards. Compa$$ is updated after each session has been played.
    • Account top-ups that occur by Internet banking, or by cash/cheque handed which is then banked. The treasurer will periodically export the bank transactions as a CSV file. This file is then analyzed via Compa$$ and funds are posted to the correct accounts.
  • Member Subscriptions are also handled by Compa$$, but these transactions generally do not affect Compa$$ account balances.

Compa$$ can manage:

  • the table money process. A standard table money is set but variations are possible. For example the Babich pairs of where table money for youth members is different.
  • the payment of a playing or non-playing director (credit is automatically added to their Compa$$ account)
  • the payment of prizes for session winners (credit is automatically added to their Compa$$ account)
  • the payment of prizes for session winners (credit is added to their Compa$$ account when a series has been completed)
  • the processing of annual subscriptions
  • miscellaneous transactions (eg transferring funds between members, credit adjustments)
Session Attendees and Table Money

The types of attendees at any club session are:

  • Club members who monitor and manage their own Compa$$ account. These attendees have table money automatically deducted from their Compa$$ account and will periodically top-their accounts to cover this expense.
  • Club members who do not actively manage their Compa$$ account (eg those without email and/or do not do Internet banking). These attendees will periodically forward cash (or cheque) to the treasurer who will enter this information into their Compa$$ account on their behalf.
  • Visitors to the club. These attendees pay table money at the table. The treasurer will bank these funds record these payments against the Compa$$ Visitors account

Generalized Procedure for Table Money

After the session is played, information for all attendees is Posted to Compa$$.
  • The postings can be done by the scorer from the duplicate or swiss results screens or by an administrator from the Compa$$ Management screen.
  • The IDs of the session attendees are checked prior to posting. Missing or duplicate names must be corrected before the posting is permitted.
  • If the director is payable for the session, their ID/name will be identified.
  • If prizes are awarded for the session, these will also be posted.
Generalized Procedure for Subscription Accounts
  • At the beginning of a new year, the Member Subscription Accounts are generated. This creates a transaction in each member's Compa$$ account.
  • The payment of subscriptions is subsequently made by
    • Internet banking. The information is imported into the member's Compa$$.
    • Cash (or cheque). The treasurer manually updates the member's Compa$$ account,
  • Each member's Compa$$ account records these transactions.
Miscellaneous Transactions

From time to time, miscellaneous transactions will occur (eg voucher reimbursements, transferring of credit between members, refunding of credits for resigning members). All these transactions can be entered into the Compa$$ accounts.

Reporting

Comprehensive sets of reports of each member's transactions are visible on the screen and can be exported in full detail to MS Excel. Individual reports can also be emailed to members as required. Additionally, summary reports are available for the club treasurer and other officials.

Links

HC and Compa$$ Configuration and Set Up
HC and Compa$$ Postings

HC and Compa$$ Settings

HC and Compa$$ Postings for Prize Awards

HC and Compa$$ Management Screen - Menu Items

HC and Compa$$ Transaction Log

Compa$$ Member Accounts

Compa$$ Banking Download
Revised: 23 June 2020


Compa$$ Member Accounts

The Compa$$ tab displays account balances for all members. Reports can be emailed to individual members at any time, for example, at the end of each month.

Screen Features

  • Date Filters: Displays the account balances from the selected monthly date range.
    • Use the + and - buttons to quickly cycle the months up and down.
  • Name Lookup: Displays the account of the selected member.
    • X cancels the name lookup
  • Show: Member Details or Visitor Details
  • Credit Adjustments:
    • Add Credit or Debit: This opens the Compa$$ Download screen, where member debits and credits can be added.
    • Open CSV File for the Selected Credit: This opens the Compa$$ Download screen. Debits/Credits that have been created from the Compa$$ Download screen can then be deleted. Obviously, care must be taken when doing this.

Account Balances

This displays the final Compa$$ balance for the listed members. Individual emails can be sent to the selected recipients.

The emails will be sent to the SELECTED recipients. There are a number of ways to view and select the recipients
  • Click any of the column headings to sort that column by ascending or descending order.
  • To select multiple separate members, press the <ctrl> key, then click the mouse.
  • To select a group of continuous members, mouse click the first member, press the <shift> key, mouse click the last member.
  • Select All: Selects or unselects all items.
  • Select < $: Selects or unselects all items where the member balance is less than the entered amount. (The entered amount can be a negative number.)
  • Hide Unticked: Shows the selected items only.
  • Show All /Hide Balance Displays all items
  • Show/Hide Balance Does just that.
  • Export to Excel: There are 2 option
    • Export only those members WITHOUT an email address that fit then selected criteria.
    • Export all members that fit then selected criteria.
  • Email Balances: Sends emails to the selected members. Important Note: For members without an email address OR where email = "none", email are sent the the clubs email. These can then be printed and given to the members affected.
Email Sample

The Email body text file and footer text file are created and saved in the Bulk Email screen. Details on how this is done are here.

Menu Item ... Compa$$ Settings

These body text and footer text files attached to this email process are set from the Compa$$ Settings ... Set Email Body File and Set Email Footer File menu items.

Email - GMail - Delay Sends

The GMail client has limitation when a 3rd part app such as Compass use it to send emails.
  1. Number of sends in a short period of time (this seems to be about 80/minute ish)
    • When more that 70 emails are bring sent, a delay can be inserted to slow down the the sending of the emails. As each PC is different the delay sweet spot is not known. Initially try 10 seconds then modify this up or down accordingly.
    • If Gmail does have a problem during the sends, a pop-up will appear allowing Gmail to catch up.
  2. Total sends in a rolling 24-hour period (500 mails)
    • These bulk emails do not happen very often and if the total membership is < 500, any send on one particular day should not violate the limitation.
    • If it does, a a pop-up will appear indicating the email address of where it failed. Later, you can resume the email sends from this point

Revised: 19 July 2020


Compa$$ Banking Upload

This screen is used to import the Compa$$ related transactions from a CSV file exported from the club's bank account. This CSV file is imported into Compa$$ line by line and each transaction is allocated to the correct member ID and the appropriate bucket, eg table money or subs etc.

Bank CSV File

All account holders can export the bank transaction as CSV files. Note that the format of the CSV is slightly different for all each bank, so you must select the correct bank name at the top of the screen.
  • This is a typical CSV file, this one from the ANZ.

  • Each line item is then read into Compa$$, and actioned once the Payment For and Payment Via details are specified. If sufficient information exists, it should be quite easy to do this allocation. To help this, members should be ask to include their name, NZB number and reason in the available fields during the Internet banking process.
  • Once the line item has been actioned, th Compas$$ information is added to the CSV file east from column K. See the image below.
  • A full audit trail of the action taken, when it was done and by whom is therefore available. The GUID is a unique ID for each transaction.

Processing the CSV File

  • The CSV line items Bank Details display in the left panel and the Compa$$ Details display in the right hand panel.
  • Each line item must specify the member NZB ID and the Payment For and Payment Via parameters
  • Most line items will have enough information to easily determine this but some will require extra thought and/or research.
  • Some lines will have multiple transaction within and these must be split into separate Compa$$ parts. Details are here.
  • The Payment For and Payment Via parameters:
    • Payment For: 99.9% will be for account top up or subs.
      • Other: Is Other
      • Visitors Account: This is used for the visitor table money banked by the treasurer.
    • Payment Via: 99.9% will either be Direct Credit (ie Internet banking) or Deposit (cash banked by the treasurer). This information should always be able to be interpreted from the bank details.
      • Account Credit is used for Non Cash transactions
      • EFTPOS: These transaction can include a merchant's fee. Eg If $51 is deposites, 4! can go to the merchant fee.
  • Each line item is then actioned as:
    • Accept: The line item is accepted as a Compa$$ transaction.
    • Already Processed: This may occur when CSV files has items from overlapping dates and the same transaction appears in two CSV files.
    • Not Compa$$: This cover items not related to Compa$$.

Screen Highlighting

  • Compa$$ detects if a transaction has already been entered (based on date, member ID, amount, subs or account top up) The details are shown in the green box.
  • The Tooltip displays the CSV file used to created the existing credit.
  • A member's subscription information is always shown for information. This can help to categorize a transaction.

Screen Functions

  • Import Status:
  • |< < > >| Moves through the records
  • Jump to Record #: Displays the enter bank transaction number
  • 12 Unprocessed Records: Click here to display the next unprocessed record. Automatically goes back to record 1 if no further records are found.
  • Find Record Text Box: Enter a few letters of a member's last name, the press <enter> or click the Find Record button.

Special Functions

Split Transactions

CSV line items can be for multiple members and/or categories which must be split into separate items. These occur when one bank transaction is used to, say, pay subs and account top up.

  • Transactions can be split in multiple ways, for example:
    • one member splits $X for table money and $Y for account top up.
    • one line item is split into a top up for 2 or more members.
    • one line item is split into subs payment for 2 or more members. There could even be different subs amount for some members.
  • There are 6 colour coded "slots" for the Payment For category and any or all slots can be used. For each slot, members IDs are added to the colour coded Member List.
  • For example
    • If 10 members are playing $80 sub,
      • set slot 1 Payment For= Subs, Unit Amount = 80 then add the 10 members to the blue list
    • If 5 members are playing $80 sub, and 4 are playing a $50 sub
      • set slot 1 Payment For= Subs, Unit Amount = 80 then add the 5 members to the blue list
      • set slot 2 Payment For= Subs, Unit Amount = 50 then add the 4 members to the orange list
    • If 1 members are playing $80 sub, and topping up account by $50
      • set slot 1 Payment For= Subs, Unit Amount = 80 then add the 1 members to the blue list
      • set slot 2 Payment For= Account top up, Unit Amount = 50 then add the 1 members to the orange list
    • You get the picture
  • Special Case 1: If a) the Subs have not been paid and b) the Bank Amount is greater that the subs amount, the two slots will be automatically populated.
  • Special Case 2: If Payment For= Non Compa$$, the Member List should be left blank.
  • A different Date and or Comment can be entered for each slot.
  • The Delete Selected Members and Clear the List buttons can be used at ant time.
  • The Accept button is disabled until Grand Total = Bank Amount

Auto Processing the CSV File

This menu item automatically processes all records in the CSV file. If a record fails a validation check, that record is bypassed and can be manually processed later. The validation checks for each record include
  • A valid file Computer ID must be included in one of the Particulars, Reference, Analysis Code or Description fields.
  • The transaction date must be valid and no greater the 30 days old.
  • The Amount must be greater than 0.
  • A similar credit record must not already exist.
Note that this option assumes that the CSV amount goes to Account Top Up. If the parameter Use CompaSS Account Credit For Subs is not set, the menu item is hidden as is cannot be assured if the top-up is for Subs or Account Credit.

Remove Credits

This simply deletes the transaction from Compa$$, usually just to correct processing errors.

Adjust Account Credit

These NON CASH transactions adjust an a member's account balance. Example of this are
  • subs payment using existing account credit
  • transfer of funds between members
  • voucher/ticket reimbursement.
  • prizes for ladder events (overall prizes for a series)
  • payment of balance when a member resigns from the club. This is not strictly non-cash and whilst the members balance is set to zero and the equivalent amount is paid from the club to the (ex) member by cash.
Important Note: The non cash transactions are automatically added to the currently open CSV file. Club may consider creating a special CSV file for these transactions only, if they wish.

Notes

  • For members funds transfer, first click the TRANSFER between members option
  • Pre-defined Reference can be selected (use the up-down arrow keys to cycle through these) or a different Reference can be typed in the box.
  • Enter and appropriate Comment. This will appear on the member account balance.
  • Double click the To Member Computer ID box to open the lookup.
  • This process can be used when a member request that their current Account Credit be used to pay their subscription.

Notes

  • The default Club Bank name is set in Club Info Set Up ... Club Options (4)

  • The active CSV file can be open (in Excel) by clicking the blank box to the right of the CSV file name.
  • Double click in the CSV filename box to reload the CSV file.
  • The CSV must be closed before any line item is actioned.
  • After the current line item has been actioned, the next line item will automatically display.
  • The indicator on the bottom left displays the number of unprocessed line items. Clicking this will display the next unprocessed line item. If at the end if the file, it will display the first line item.
  • Kiwibank users must export the Basic CSV, not the Full CSV.


RealBridge Analysis

RealBridge (RB) and Compa$$

THIS DOCUMENTATION IS WORK IN PROGRESS

Compass clubs can run online RealBridge (RB) sessions and import the result into Compass to do ladder, masterpoints**, and upload to the club website.

Revised: 11 November 2001


CompassMail EMail Overview

CompassMail - Overview

CompassMail sends emails directly from the Compass application without the need for an email client (eg MS Outlook) to be installed. The GMail account can be a generic account that is managed by Bob, or a club specific GMail account. The club's XTRA account can also be used as the email client.

Compass has functionality to semi-automatically send emails with the following data.

  1. Session results and competition overall results to all participating players
  2. Tournament results to the secretaries of the clubs of all participating players
  3. A summary of recent results to the local newspaper or the club captain are any other recipient (this is using the Competition Register functionality).
  4. Any Bulk EMail to some or all club members and to NZ bridge club secretaries or to any third party

Notes

  1. To receive email, a member's email address must be entered in the Club Database or in the Compass Contact List.
  2. The email addresses of NZ club secretaries are automatically available for use in any email.
  3. Compass has a simple Contact List. Emails can be sent to recipients in this list.
  4. Attachments can be added to any email.

Bulk EMail

Bulk EMail allows fancy mails to be sent to specific recipient lists. Details can be found here.
Revised: 7 August 2016
Revised: 14 April 2020 (about day 30 in the COVID-19 era)


CompassMail - Configuration

The configuration is done on the Club Information Set Up screen.

CompassMail Account Details

Configuration

CompassMail can use
  • a generic GMail account for sending emails. Bob manages this account.
    • Mail Program: CompassMail
    • Account ID: compassmailnz@gmail.com
    • Password:
  • a club managed GMail account. Enter the account ID and password details
    • Mail Program: Club GMail Account
    • Account ID: your GMail account ID
    • Password: your password
    • Note: To allow gmails to be sent from the Compass application, you may also have to enable the Access for less secure apps in the gmail account

EMail Addresses

Configuration

The default addresses are used on the Send Email screen.

NZB Secretary The default address for master point related emails
Club MP Secretary The sender address for any email sent.
Club Captain The default address for emails sent from the Competition Register form to the club captain.
Local Newspaper The default address for emails sent from the Competition Register form to the local newspaper.

Emailing Results to all Participants

Tick to enable the Enable the option to Email results from the results screens if you want to emails the session results to the participating players and/or others.
Revised: 7 August 2016


Sending Bulk EMails

These emails are initiated from the Email Options ... Send EMail button on main strip menu.

Strip Menu Item: EMail Options ... Send EMail

The Bulk EMail functionality provides great flexibility in the sending of emails, This includes
  • format can be fancy HTML or plain text
  • various recipient groups can be used
    • by groups of members
    • by NZB grade
    • by those who participate in various playing sessions
    • by any member(s) from the club database
    • from the Compass contact list
    • by club secretaries
  • emails can be included separate body text and footer text
  • emails text can be save for future use
  • different salutations can be used
  • attachments can be included

Body Text

  • HTML format

HTML allows fancy formatting such as bold and italic fonts, colour highlighting, hyperlinks and tables, however fancy means more complexity. As visual Basic does not have an inbuilt HTML editor, a web based editor has to be used. More details are here. Then generalized process is
  • Select the Body radio option
  • EITHER Use the File ...Open Body menu option to open a previously saved body text
  • OR do nothing to start with a blank slate
  • Click the Open HTML Editor Website button to open the web based HTML editor
    • Use Ctrl-V to paste the HTML into the editor
    • Do edits are required
    • Use Ctrl-C to copy the HTML from the editor
  • Reactivate the CompassMail page in Compass
  • Click the Import Web Edits button to transfer the HTML edits to Compass
  • From here you can use the File ... Save Displayed Text As .. Body menu option to save and/or SEND the emails

  • Plain Text Format

This option is usually used to whip off a quick email to a group of people. The email text is unfancy plain text. The generalized procedure is:
  • Click the Create Plain Text Email button.
  • Type your message this the box. When the Email text is complete ..-
  • Enter the Email Subject Line
  • Select the Recipients
  • Enter the Salutations
  • Using the radio buttons, Preview EMail and check the Recipients list
  • Use the Send EMail button to send the email.
  • If required, use the File ... Save Displayed Text As .. Body menu option to save the current edits

  • Notes

    1. Use the File ...Open Body menu option to open a previously saved body text.
    2. Use the File ...Save Displayed Text As .. Body menu option to save the current text.

Footer Text

  • The edits of the FOOTER are similar to the edits of the Body Text.

Recipients

In most cases, ONE email is sent with all recipients that are in the BCC list. CAUTION CAUTION The exception is when the Salutation option of Hi {member} is used. In this case one individual email is sent to each of the recipients and this can be a huge overhead as each email takes between 2 and 5 seconds to process. When using the simple None or Hi All salutation, only one email is sent taking just 5 seconds to process. If the Hi {member} option is used to, say, 100 recipients, the process time will be approx 5 minutes!!!

  • Club Groups

    • The Club Groups are defined in Group Management.

  • NZB Grade

    • Each members NZB Grade (Open, Intermediate, Junior) is used.

  • Playing Sessions

    • First, the analysis of playing sessions is done in the Analysis of Playing Members screen. This calculates the percentage of each events played in each of the club sessions in a given period. Then when this option is slect, there is an option to specify the threshold percentage for those to receive the email. For example, if threshold = 60, the recipient list will be limited to those members who have play greater that 60% of the events in the selected club session(s).

  • By Selection

    • The selection is done on the old email screen (accessed by clicking the Close button). This selection can be club members or club secretaries in your region or those throughout New Zealand.

  • Contact List

    • Click the icon to display the Compass Contact List. Recipient can be selected from this list.
    • Use the Contact List menu item to edit the Compass Contact List.
  • Notes
    • All duplicates in the recipient list are eliminated.
    • Where an email address is shared among multiple members, only one email is set to the address.

EMail Subject Line

Any email subject line can be entered here.

Salutations

The salutation is a short greeting at the start of the mail. The option are:
  • None: No salutation is used
  • Hi All: this generic text is used
  • Hi {member}: one email is sent to each of the member in the recipient list. Please see the cautionary note here.

Attachments

  • Double click on the attachments icons to specify the file name of the attachment.
  • In the attachment list, clicking an attachment file, then right clicking the mouse, will display the selected attachment.
  • Attachments can be excluded from the email if they are unticked.

Senders (ie your) Email Address

  • This is a mandatory field that is required by the email process. It is defaulted from the Club Secretary email address in Club Information Set Up, but you can overtype any email address here.
  • This field is visible when the Close button is clicked.

Screen Menu Items and Buttons

  • Clear HTML

This clears (ie blanks out) the currently displayed HTML text. CAUTION You may wish to SAVE the current HTML text BEFORE you clear/blank the text.

Web Based HTML Editors

A number of editors are available and each has a list of pros and cons. Some of those available are
  • https://bestonlinehtmleditor.com/
  • https://html5-editor.net/
  • https://htmleditor.tools/
  • https://online-toolz.com/tools/html-editor-wysiwyg.php/
The default editor used by Compass is https://bestonlinehtmleditor.com/ but the other editors can selected from the Set Web Based HTML Editor menu item.

Revised: 17 April 2020


Sending Session Results EMails

Sending EMail - Session Results

These emails are initiated from the Email Results to Players button on the results screens of Pairs Events and Swiss Pairs Events and Swiss Teams events.

Send EMail Screen Defaults

Email Subject and (Body Text) Message

  • Text is appropriate for this type of email

Attachments

  • The session result
  • The overall result for the competition series (See Notes)

Address List (CC List)

  • Blank

BCC Address List (BCC List)

  • All participating players

Notes

If the overall result for the competition series exists, it will be automatically attached to the emails. These are the steps to achieve this:
  1. Calculate the session result for a pairs event in the normal manner.
  2. Click the Competition Results button and calculate the raw and/or handicap results for the competition.
  3. Exit back to the session result
  4. Now, when you click the Email Results to Players button, both the session result and the overall result will be added as attachments to the sent email.
  5. Some email hosts (eg xtra.co.nz) reject maisl if they have multiple attachment, To counter this, multiple HTML attachments are automatically appended into a single file.
  6. If you wish the send email with both HTML attachments and other types of attachment, two separate emails need to be sent.

Revised: 19 August 2018


Sending Tournament Results EMails

Sending EMail - Tournament Results

These emails are initiated from the Email Results to Players button on the tournament results screen.

Send EMail Screen Defaults

Email Subject and (Body Text) Message

  • Subject = Tournament title
  • Body Text Message = "Some of your members may have played in this recent tournament. Please print the attachments and post on your notice board."
You can over-type this text as you wish.

Attachments

  • The session result of the tournament.

Address List (CC List)

  • Blank

BCC Address List (BCC List)

  • The club secretary of all participating players in the tournament.

Revised: 7 August 2016


EMail Contact List

Sending Email - Contact List

The Compass Contact List records the email address of miscellaneous entities. Contacts can be added, edited, deleted or added to pre-defined groups. Contacts can also be imported from Outlook and Gmail email clients. The contacts can then be selected when sending CompassMail.

Strip Menu Item: EMail Options ... Contact List

The Contact List is also accessed from the menu of the Send Email screen. Note that this screen operates in two modes - read and write.
  • Read Mode: Contacts (or groups of contacts) are selected for inclusion in an email recipient list.
  • Write Mode: Contacts are added, edited, deleted or added to pre-defined groups.

Read Mode

Contact List

Simply tick the individual contacts, or tick one or more Groups. These contacts will be added to the email recipient list.

Write Mode

  • The Add, Edit and Delete functions are self-explanatory.
CSV Import

Contacts can be imported from Outlook and Gmail account (please contact Bob if you wish to import from other accounts).
  • From your Outlook and Gmail account, export the contacts to a CSV file.
  • Click the Start CSV Import button.
  • All contact from the CSV file is appear in the list.
  • Tick the contacts you wish to import.
  • Click the Add Ticked Contacts button.
  • Note that duplicates will be automatically removed.

Groups

Any number of groups can be defined in Group and Roles Management. To assign contact to groups:
  • Tick ONE group from the right hand list
  • The contact list will tick those who are assigned to the ticked group.
  • Tick and untick contacts as required.
  • Click the Save Contact Groups button.

Revised: 5 May 2020 (about da6 60 on the COVID-19 era) Total US deaths 67,444)


Group Role Management

Group and Roles Management

Group Management

Groups are used in the Compass Bulk EMail functionality.
  • Where Active = Yes: Club members are assigned to one or more of these groups. Then during the emailing process, the email recipient list can be from one or more of the selected groups.
  • Where Active = No In Compass Email Contacts, contacts can be assigned to these groups. Then during the emailing process, the email recipient list can be from one or more of the selected contact groups.

Roles allow the menu options to be specific for each defined role.

Strip Menu Item: Other Options ... Group Management

Group Set Up

Notes
  • The IDs must be unique. Duplicated IDs will generate an error.
  • If Active = No, the group will not be available for selection on any related screen.
  • SPECIAL NOTE: Groups are used in the set up of Contact Lists. For a Group to show in the Contact List, the Active flag must be set to NO.
  • Use the Edit Groups button to edit, delete or add a new group.
    • When editing the Active field, No = 0 and Yes = -1
    • New Groups are added on the bottom line (the line with an * in the list column)
    • Groups can be deleted, but this will completely remove this group from all members

Group Members

Adding a new Member to Groups
  1. Use the Add Member button to add a member to the list.
  2. From the middle list, tick or untick the Groups that apply to the selected member.
  3. Click the Save Updates (or the Discard Updates) button.
Editing the Groups of an Existing Member
  1. Click on any existing member (the Filter By Last Name process can be used to find an existing member).
  2. From the middle list, tick or untick the Groups that apply to the selected member.
  3. Click the Save Updates (or the Discard Updates) button.
Removing an Existing Member
  1. Click the Remove Selected Member button to do just that!
Notes
  • Filter By Last Name:
    • Enter a few letters to filter the list by member's last name.
    • Use the <escape> key or the X button to clear the filter.
  • The names in the list are sorted by the members First Name.
  • The right hand list summarizes the groups
    • The By Members and By Group Name radio buttons change the view.
    • Click the Export to Excel button to do just that!
  • The Dropbox Club File Copy menu item will copy the clubs database file (xxx.mdb) to Dropbox, which can then be picked up on the clubs scoring computer.

Roles Management

Roles Management allow the Compass menu item to be tailored for each role.

Notes
  • Roles management is enabled by selecting the Enable Roles Management checkbox in Club Info Set Up
  • A password can be applied to any or all of the roles.

Roles Set Up

Screen Features

  • The Roles definitions can be edited, and new roles can be added. Roles cannot be deleted. If you do not wish to use a role, simply set the Show? column to NO.
  • Some Roles can be password protected, simply by specifying a Password.
  • Sort Order determine the order in which the roles are displayed in the Roles Type screen.
    • Edit Roles: this enables the grid for edit. Existing records can be edited and new records can be added.
      • When editing the Active field, No = 0 and Yes = -1
      • New Roles are added on the bottom line (the line with an * in the list column)
    • End Roles: this end the edit and saved the edits.

Menu Items
  • Menu item can be added to most roles. The exception is the Super User and Admin Roles. For these roles, the menu items for these roles are pre-defined.
  • To assign menu items to roles.
    1. Select a Role from the Roles list.
    2. Tick or untick the menu items to be assigned to the selected role.
    3. Click Save Update to save, or Discard Updates to cancel the edits.

Revised: 28 May 2020 (about day 90 in the COVID-19 era)


Importing Results from other Scoring Programs Overview

Importing Results from Other Systems

Compass can import results from other systems. This is useful to get results for sessions that have been scored outside Compass.

The level of detail depends on the source of the data. If full data is available from text files or XML files, a detailed result can be imported. If a ladder only result is available, a brief summary result can be imported.

Summary Results

Summary Results can be imported from
  • NZB Masterpoint Files
Details are here.

Detail Results

Detailed Results can be imported from
  • NZ Scorer text files (3 files)
  • NZ Scorer XML files
  • Compscore2 USEBIO XML files
  • Scorebridge text files
Details are here.

Revised: 21 April 2018


Importing Summary Results from other Scoring Programs

Importing Summary Results

Summary Results

Summary Results can be imported from
  • NZ Scorer text file sites
  • NZ Scorer XML sites

Strip Menu Item: Scoring ... Pairs Contest

Process Steps

  1. Use cntr-c to copy the website result to the clipboard (this can be done anytime before step 9)
  2. Start the scoring for a pairs contest in the normal manner.
  3. Close the SAM screen if it appears
  4. Enter the session details in the Detail Set Up screen. . It is important to get the table number correct, but the movement details are not important. Just choose the movement that matches you movement type - Mitchell or some Howell variation.
  5. IMPORTANT, click the Add Manual Result check box.
  6. Click the All OK? button. The Add Result Manually screen will open.

  7. Click the appropriate data source from the Import From ... frame. Example of each type of data is below.
  8. Click the Open Paste Box button.
  9. Use cntr-v to paste the clipboard onto the box.
  10. Click the Import Now button.
  11. The result will now be imported. If a player name cannot be matched to anyone in the NZB Database, a pop-up will give the option to select a names from a list of similar names from your NZB Region.
  12. Click the Exit and Display Result button to show the result in the normal results screen.

Example - Scorer Text Results

  • Source: Any NZ Scorer club that publishes text results.
  • Highlight: All NS and EW including the heading - as shown above.

Example - Scorer XML Session Result

  • Source: Any NZ Scorer XML Site http://pairs.bridgenz.co.nz/
  • Highlight: All NS and EW pairs including the heading - as shown above.

Example - Scorer Overall Result

Example - Scorer XML Ladder

  • Source: Any NZ Scorer XML Site LADDER FILE http://pairs.bridgenz.co.nz/
  • Highlight: All NS and EW pairs EXCLUDING the heading - as shown above.

Revised: 5 August 2016


Importing Detailed Results from other Scoring Programs

Importing Detailed Results

Detail Results

Detailed Results can be imported from
  • NZ Scorer text files (3 files)
  • NZ Scorer XML files
  • Compscore2 USEBIO XML files
  • Scorebridge text files
The import uses the conversion process from X-Clubs ... NZ Wide Events. As you must have access the \Dropbox\NZW Events\folder, it preferable that Bob or Mike or Jan to do this for you on your behalf.

Preliminaries

The data files from the other scoring programs should be renamed to follow the Compass file name convention. For example, a recent conversion done for a 2 section, 2 section tournament named the files:
  • 101wap_waik.xml
  • 102wap_waik.xml
  • 101wap_waik.xml
  • 202wap_waik.xml

Process Steps

  1. Save your data files into a club sub-folder off the appropriate parent folder
    • \Dropbox\NZW Events\ScorerTEXT
    • \Dropbox\NZW Events\ScorerXML
    • \Dropbox\NZW Events\CompScore2
    • \Dropbox\NZW Events\Score
  2. Start X-Club Administration.
  3. Click the Convert Data Files button in the NZW Events frame.
  4. Navigate to the files that were saved in step 1.
  5. IMPORTANT: Click the Is this a Miscellaneous Conversion check box.
  6. Click the Convert Now button.
  7. Answer the series of pop-up questions.
  8. The INP file is now saved the c:\compassv6\yyyy folder.

Revised: 5 August 2016


BBO LIN Files

LIN Files for BBO

The LIN file is a text based file used to store the details of a set of bridge hands. LIN files can be uploaded to BBO ( Bridge Base Online ) from where they can be viewed and replayed.

  1. The X-Club process will automatically create the LIN files for all XClub sessions. This occurs when the X-Club administrator does the score-across process.
    • These LIN files are saved in the /Dropbox/CompassMate/XClubFiles/LINs folder.
  2. LIN files for any session can be created from the Other Services ... Create LIN Files from the side bar menu.
    • These LIN files are saved in the c:CompassV6/Handrecords/yyyy/LINs folder where yyyy is the current year.
    • This process is password protected.
    • The source folder is the Dropbox/X-Club Hands/yyyy Deals folder. This folder contains all X-Club hands for the current year.

Playing Hands on BBO

More information on the BBO process can be found here. This has been very kindly provided by the Tauranga Bridge Club.

Revised: 1 October 2021


Calculating a Datum

When Datum Scoring is used , there are a number of methods available to calculate the datum.

Option 1

  • A fixed percentage or a fixed number of the competing score are eliminated. The datum is then the rounded average of the remaining scores.

Option 2

  • Score are eliminated according to the number of competing tables. The datum is then the rounded average of the remaining scores.

Option 3

  • Discard rogue score only. That is, all score are counted except those scores that are different from the next closest score by a value of X (where X is the entered value). The datum is then the rounded average of the remaining scores.

Option 4

  • `Use Cross IMP Scoring

Notes

The datum score is always rounded to the nearest 10.

Revised: 7 August 2016


Club Websites

Compass creates three types of output that can up uploaded to websites
  • XML files in bridge-club.org format that can be uploaded to www.bridge-club.org sites
  • XML files in USEBIO format that can be uploaded to www.pianola.net and www.bridgewebs.com sites
  • text files that can be uploaded to any site
The most common website for Compass users is www.bridge-club.org sites

Bridge-club.org sites http://www.bridge-club.org/

The Compass System and www.bridge-club.org sites are fully integrated and all results can be uploaded with one button click. The results are then visible instantaneously on the website. The cost of this site is approximately $30 per month.

Two types of websites are available
  1. A full site hosted by www.bridge-club.org. Example of this type:
    • Cambridge Bridge Club
    • New Plymouth Bridge Club
    • Waikanae Bridge Club
  2. Clubs with their own club site, with a link to the www.bridge-club.org results
    • Howick Bridge Club
    • Tauranga Bridge Club

Pianola sites

Pianola is an exciting new bridge results hosting service. It has impressive analysis tools for each player's individual performance. Hands can be replayed. The X-Clubs results are using Pianola. Click to read the Pianola has Landed article.

Bridgewebs sites

Bridewebs sites have many nice features. Currently, no New Zealand clubs are using this site.

Text File sites

The use of text files in not a common option. The Rotorua club was the largest club to use text files, but they have now switched to bridge-club.org. Ther eold website can be viewed here.

Revised: 1 August 2016


Pairs Events Movement Options

Compass Movement Options

This displays the available movement options for the various event types of duplicate pairs, multiple teams, individuals, barometer and round robin butler.

Strip Menu Item: Other Services ... Movement Options

Steps

  1. Select a specific Total Tables or "All" to display options for all tables.
  2. Select the Event Type.
  3. Select the Dual or Single Winner types.
  4. Click the Select Movements button to select specific movement type.
  5. Tick Hide Poor Movements to do just that!
  6. Click the Print Movement Guides button to print the selected movement.

Notes

  1. Compass has approximately 450 movements built in. Those thought to be unsuitable for a normal playing session are designated "poor" or "bad" and are hidden from the user. Buttons and check boxes on various screens make these movements visible.
  2. Compass does not allow users to add their own movements, but Bob can usually add new movements very quickly.
  3. Note on the Rover Movement can be seen here.

Revised: 7 August 2016


Rover Movements

N-S Rover Movements

There are two Rover movements types:
  1. Standard Mitchell movements when there is no feed-ins (eg 8 tables, 24 boards)
  2. Webb movements with an odd numbers of tables

Mitchell Movements

A half table may be accommodated by adding a roving NS Pair to a full table movement. The full table movement can only be Mitchell without feed-ins, and the director needs to be familiar with the way a NS Rover is added to Mitchells, Skip Mitchells and Share & Relay Mitchells.

Rovers are primarily used when a late pair arrives and they need to be accommodated into the movement. If and only if the originally set up movement was a Mitchell without extra feed in boards. For example 12 table, 24 board relay share or skip Michell. For some movements, the Rover movement may be used in the original set up. For example, with 9,5 tables, 9 tables plus Rover is a better movement that 10 tables with a phantom.
  • Set up the basic movement for the full tables.
  • Assign the next higher table number to the NS Rover.
  • Give the NS Rover an ordered list of the tables to be visited This is part of the printed guide cards, and directors notes.
  • Explain the process to the roving pair if necessary.
  • The NS Rover sits out for the first round and then moves to the first table on the list.
  • The displaced NS Pair moves away and returns to its place after the round.
  • If travelers are being used, scores are enter on the line of the table number where the boards was played.
Two problems may occur with a NS Rover movement:
  • The wrong boards are moved from the table the Rover has left. Consider asking the Rover Pair to move the boards before they leave each table.
  • If the Rover Pair is slow to move, play may have already started at the next table when the pair arrives. Consider an advance warning to the next pair to be displaced

Example to the movement of the Rover Pair

Special case for 9 Table Rover

In addition to the Rover pair movement, EW pairs 6 & 9 swap positions for rounds 3, 6 and 9.

Note on Mitchell Skip Movement

The Mitchell Skip movement is bad as each EW miss playing 1 NS pair, and they play their starting NS pair twice. Add a Rover pair to this movement makes it even worse. Clubs are urged to always use the Mitchell relay/share movement in preference to the skip movement.

Printed Guide Cards

For all Rover movements, guide cards and director notes should be printed. These guide cards give the movement of the Rover Pairs. If electronic scoring is used, all players should carefully note the Next Table for both the NS and EW pairs.

Practical Examples

Note
  • with 9.5 table, the Rover movement it the best movement to start the session. 27 boards can be played the NS pairs sit out only once.
  • with 6.5 table, the Rover movement it the best movement to start the session. 24 boards can be played the NS pairs sit out only once.

Webb Movements

Webb movements with an odd number of tables are awkward, as ideally they require 3 sets of boards to avoid excessive sharing. A Rover alternative is available for some tables/boards combinations that mean that two sets of boards are required.

Thus the alternatives mean you have choices
  • Use the straight forward Webb movements, BUT this requires 3 sets of boards
  • Use the Rover option, this requires 2 sets of boards, BUT one pair is a Rover pair, and the highest table number shares boards in a slightly random order.
That is, neither is perfect. The "consensus" is that the straight forward Webb movements with 3 sets of boards is the easier option. This means that, if there is a POSSIBILITY of 19+ tables, then 3 sets of boards should be pre-dealt.
Revised:3 June 2021


Neuberg Adjustment

In duplicate bridge pairs events, the Neuberg formula is a method of fairly adjusting match point scores when a boards has not been played by all pairs. The objective is to give equal weight to each board by calculating the expected number of match points that would have been earned if the board had been played the full number of times.

A board might not have been played the full number of times because:
  • the movement was not completed
  • an average score was awarded because of an irregularity of some sort
  • a board was played in a different configuration at a numb of tables (eg cards in the wrong pockets)
The practice in New Zealand is that Neuberg is not applied when boards are not played because of a phantom.

Calculation

The Neuberg formula is:

F = (M x E ) + (E - A)
A
Where
F = Matchpoints (double) to be awarded to the PAIR
M = Matchpoints (double) when ranked in their GROUP
E = Total number of scores in the FIELD
A = Number of scores in the GROUP

Fractions are rounded to 1 decimal point

Note that the formula can be expressed as

F = E/A * (M + 1) - 1

Example

Neuberg Adjustment

Further Reading

Neuberg - Wiki

Neuberg - QBA

Revised: 8 August 2016


Password Management

Password Administration

Some Compass functionality is password protected - that is, the user must enter a password to use some screens. Currently the protected screens are
  • the Compa$$ and Hello Club administration screens
  • the Club Database screen
  • The Dropbox File Copy process

Generalized Process

  • Each club is assigned a club password - Bob will advise you of this password.
  • A club administrator uses this password to access the Password Administration screen.
  • The administrator then sets up the club members that can access any of the password protected screens.
  • When first accessing a protected screen, the member will be prompted to enter their own password.
  • The user can change their password at any time.

Administration Screen

Strip Menu Item: More Menu Items ... Password Administration

The club password must be used to access this screen. Club members can be added or removed using this screen. When a new member is added, a temporary password is assigned. When the member first accesses any of the protected screens, they are required to enter a new password.

User Password Screen

  • When first accessing a protected screen, the member must enter their own password.
  • From this screen, the member can change their password at any time.

User Password Reset

When a user forgets their password, the club administrator can use Remove then Add that user on the Password Administration screen. This will reassign a temporary password for that user.

Notes

During any one Compass session, once a user has successfully entered their password, they will not be prompted again. Thus it is essential for the current \user logs out of Compass when they have completed their work.

Revised: 20 May 2021


Players Personal Scores

The Personal Scores screen can be used to calculate a summary of all results for all players in club duplicate events. This information can be used to calculate a new handicap for each player.

This screen can also be used to calculate the 70% and Slam Club ladders.

Strip Menu Item: Other Services ... Personal Scores/Recalculate Handicaps/70% Club/Slam Club

Process Steps

  1. From the left hand list, select the SESSIONS you want included in the calculations.
  2. From the right hand list, select the YEARS you want included in the calculations.
  3. A list of qualifying events is now displayed
  4. Click OK to continue
  5. From the list of qualifying sessions, select/de-select the sessions you want to include in the calculations.
  6. Click the Calculate button.
  7. Enter the percentage threshold value (70 is the default).
  8. Two different Notepad reports are now displayed. These can be printed or pasted into other applications.
These calculations can then be used to Update the Players Handicaps that are saved in the club database.

Revised:11 February 2017


Printer Management

All Compass print requests are directed to the default Windows printer. A Club Info Set Up ... Club Options parameter Bypass Windows Printer Dialog determines whether the Windows Print Dialog is displayed on a print event.

At any time, the user can temporarily change the default printer within Compass. Some users use this to switch printing between physical and virtual PDF printers. This switch is effective during the current session of Compass only and pertains only to Compass transactions. That is, the "real" Windows default printer remains changed.

Bypass the Window Dialog

It is recommended that your Compass installation be configured to bypass the standard Windows Printer dialog. This is done in Club Information Set Up (CISU). Print requests will then be sent immediately to the default printer.

Changing the Default Printer

Printers

Steps

  1. Click the Printer Management button from the strip menu. The current default printed is indicated by a Status of Selected
  2. To change the default printer, select the appropriate printer and click the Select a Printer button

Notes

  1. When you point the mouse at the Printer Management button on the strip menu, the tool tip will display the current default Compass printer
  2. Any temporary change to the default printer is cancelled when the current Compass session is ended

Using a PDF Printer

PDF printers are very effective and convenient. When a print is requested, the output is directed to a PDF file as opposed to a physical printer. There are many free PDF printers available and the preferred PDF viewer for Compass users is Foxit which can be downloaded from here .
Revised: 7 August 2016


Set Colours

The default background screen colour is a shade of steel blue grey ish. This background colour can be changed.

Strip Menu Item: Other Services ... Set Colours ...

Options

  • Set Background Colour: Temporarily sets the colour to your choice. This setting is canceled when Compass is closed.
  • Save Current Colour as Default: Saves the current colour as the default.
  • Restore Factory Default Colour: Restores the background colour to the default steely bluish grey colour.

Note

  1. When a second (or more) instance of Compass is started from the Desktop, the background colour can be selected by the user. The options are light green, light yellow or cyan.

Revised: 7 August 2016


Scoring - Selecting the Event

The event selection is the same for every event type. A selection of events is displayed in the right hand part of the setup screens.

  1. The default list displays:
    • Events from the Club Calendar of Events
    • Events with dates that range from a week ago to 2 weeks hence
    • Events that match today's session day ID (eg mon or tued etc) or All events if no match is found for the day.
  2. Alternate between the Club Calendar and the Tournament Calendar by using the radio buttons.
  3. The Show All Competitions checkbox expands the date range of the listed events from 160 days ago to 2 week hence.
  4. The Competition Filters limit the list to a specific session day ID.

  • Double-click the mouse on the event to select it.
  • If you with to score an event that is not in any calendar of events, Double-click the mouse on the Non Listed Competition item which is the last entry in the list.
  • The double-click opens a second frame.

  • The details of the event from the calendar are displayed. You can change any information that you wish.
  • Click the Show Competitions List button to redisplay the list of events
  • Tick the Suppress Masterpoints checkbox if master points are NOT to be calculated for this session
  • If a tournament event has been set up with sections, those details are displayed. You can change any information that you wish.

  • For club events that are run in sections, enter the details manually here:
    • Tick the Sections? checkbox
    • Select the Section Number (Sect #)
    • Enter the Section Name (usually a colour)

Revised: 5 August 2016


Sections Calculator

The Section Calculator is useful to show the movement option for duplicate sessions with 2 sections.

Strip Menu Item: Other Services ... Section Calculator

Steps

  1. Enter the total number of tables and the number of sections.
  2. Click the Update Now button. The options are now displayed.
  3. Use the Display Filters options to ...
    • filter by the boards played
    • filter by specific movements types
    • Show Bad movements
    • Show Bds/Sets displays movements that have the same Boards per Set for every section
  4. The print the movements, mouse click any option from the list then click Print Movement Guide.

Notes

  1. Some movements are not ideal for normal duplicate sessions and are usually hidden from the users view. Buttons and tick boxes on various screens allow these "bad" movements to be visible.

Revised: 8 August 2016


Compass Preparing for a New Year

The following tasks should be made in preparation for a new year

Calendar of Events (COE)

Towards the end of the current year, the COE for club events and for tournaments for the following year should be created. A number of methods are available to do this
  • Enter the entire calendar from scratch
  • Copy this year's calendar into next year. You can then make corrections as necessary.
  • Export the current year's COE to MS Excel; Update the COE within Excel; Import the Excel sheet back into Compass.
Notes
  • A reminder that the Event Title for each competition series should be unique. For example, if there is an Esquire Pairs series both on Tuesday and Wednesday, these need to be distinguished eg Tues Esquire Pairs and Wed Esquire Pairs.
Further information is available in the Club Calendar of Events

Club Database

  • Add the subscription amount for the new year.

Compa$$

  • Add the price list items for the new year.

Club Information Set Up

  • Noting required here. Note the the File Location Year with automatically change after the new year starts.
Revised: 16 December 2021


Ship Results Management

Ship Results (SR) Management

ShipResults is the service that uploads XML files from Compass to the www.bridge-club.org websites. The ShipResults Management screen enables the user to install the ShipResults service and to manage the individual XML files. Additionally club websites and the Ship Results administration screen can be accessed from this screen.

This screen will primarily be used by those who provide Compass support (eg Bob, Mike and Jan) and by XClub administrators.

The Ship Results Process

The generalized process is as follows
  • Clubs must first subscribe to the Ship Results service. The approximate cost is $20-30 per month
  • Install the Ship Results app using instructions on this page
  • Add the necessary Club Profiles
  • During the scoring processes, use the Create buttons to create the XML files
  • Open the Ship Results Management screen to upload the XML file

What is the "NEW" Ship Results?

From August 2017, "New" Ship Results (NewSR) became available. The following are the changes with NewSR:
  • The uploading folder structure is simplified. XML files are created to and uploaded from a \SRXML\ folder. (The old folder structure was \yyyy\XML\ where yyyy was the current year)
  • The Ship Results application can be installed directly from within Compass
  • Club Profiles can be added directly from within Compass
  • Existing clubs can continue to use the old Ship Results for as long as they wish. All NEW clubs must use New Ship Results.

Ship Results Management Screen - XML File Queue Tab

This tab displays the XML files that are in
  • your club's XML queue
  • The CompassMate (XClub) queue
  • The Waikato Bays website queue
  • The queue for Club that you run in Multi Club mode
The user can then
  • Manage the XML files that are in any of the above queues
  • Delete files from any queue
  • Copy/move any file from one queue to another
  • Upload all XML files that are in any of the queues

Screen Buttons

  • Include Backup Folders Checkbox: The list of files will include files that are in the \XML\Backup\ folder. (Files in these folder has usually already been uploaded to a website.)
  • De-Select All Folders: Resets the selected folders.
  • DELETE Ticked Files: Deletes all selected files.
  • COPY Ticked Files to the Selected Folder: Files can be copied from any XML folder to another. Also, files in any \XML\Backup\ folder\ can be copied to any other XML folder
    1. tick the file(s) that you want to copy
    2. select the destination folder for the copy
    3. Click this Copy ... button
  • Open Selected XML Folder: Open the selected XML folder in MS File Explorer.
  • UPLOAD All Displayed XMLs: This immediately uploads all displayed XML files from each folder.

Notes

  • Use the COPY Ticked Files to the Selected Folder button to copy existing XML files for one folder to another. Once files are in a different folder, they can then be uploaded to a different website.
  • XML files can be copied from the \backup\folders and saved to any other XML folder.

Ship Results Management Screen - Ship Results Functions Tab

This tab enables the user to
  • For existing users, upgrade to New Ship Results or for new users, install New Ship Results
  • Add Profiles for
    • Your Club site
    • CompassMate (XClub) site
    • Waikato Bays Bridge Centre site
    • Bob's Test Site
    • Any club operating in Multi Club mode

For New Users, Install New Ship Results

    • Click the Enable New Ship Results Process button. This will do some basic set up work
    • Now add the Club "Profiles" that you want. The possible profiles are:
      • Your default club: The related XML folder is C:\CompassV6\SRXML\.
      • CompassMate XClub: Installs ShipResults for uploads to CompassMate (XClub). The XML folder is C:\CompassV6\Compassmate\SRXML\.
      • Waikato Bays Centre: Installs ShipResults for uploads to the Waikato Bays Centre website. The XML folder is C:\CompassV6\Club WaiBOP\SRXML\
      • Any Club set up for Multi Club mode: After the club is selected from the drop-down menu, the installation starts. The XML folder is C:\CompassV6\Club XXX\SRXML\ where XXX is the club name.
    • Restart Compass

Note: When adding the FIRST profile, a number of pop up dialogs will appear. You should accept the defaults as they are presented (by clicking the default -Next or OK.)

For Existing Users, Upgrade to New Ship Results

    • Run Compass As Administrator (IMPORTANT)
    • In SR Stuff ... Ship Results Function
      • Click Stop SR Processes
      • Click Enable New Ship Results Process
        • If prompted, enter the Club Activation Code
        • Follow the prompts
        • Ignore any error message
    • Restart Compass

Other Screen Functions

  • Delete Selected Profile: Deletes the selected profile
  • Refresh List: Refreshed the Profile List
  • Remove Ship Results: Remove the Ship Results app from you computer
  • Restart Ship Results Services: Use this is Ship Results does not seem to be running correctly
  • Open Ship Results Folder: Starts the installer. Using this method, you must have the Activation Code at the ready.

Ship Results Management Screen - Website Functions Tab

This tab enables the user to
  • Open the results pages for any club. Just cluck any club from the displayed list. The results can be formatted to show the results:
    • a monthly calendar
    • a weekly calendar
    • a dated list
    • an undated list
  • Open SR Admin for the selected club: This functions requires a password - contact Bob for this information.
NOTE:

Revised: 09 February 2020


Hints and Tips

Tip of the Day

The Tip of the Day is a series of useful tips related to the Compass system. These display when Compass starts. You can configure the system to either always or never show the Tip of the Day screen. The screen can also be accessed from the strip menu item.

Strip Menu Item: More Menu Items ... Show Tip of the Day

Notes

  1. Click the Previous Tip and Next Tip buttons to cycle through the tips
  2. Click the drop down filter to view the tips to a specific topic.
  3. Click the Request more info about this tip button to send an email to Bob.
  4. Click the right arrow button to expand the screen to show more options.
  5. Use the At Startup options to determine if this screen is always or never shown on start up.
  6. To view the tips, you must have access to the CompassMate folder in Dropbox (send email to Bob to get this access).

Revised: 7 August 2016


Task Notifications

Task Notifications allows clubs to set up automatic notification of common bridge club administration tasks. Examples are:
  • Bar license renewal
  • Electrical compliance checks
  • Evacuation exercise
  • Daylight saving changes
  • Filter cleans
  • Smoke alarm battery changes
  • End of year return of trophies

Strip Menu Item: Other Services ... Task Notifications

Task Notifications allows task to be defined, each with an Action Date, Lead Days and Day of Notification. Automatic notifications will start on the number of Lead Days before the Action Date. Further, a specific day of the week can be defined on which the automatic notification will be generated.

For Example: Action Date = 31 August
Lead Days = 30
Day = "Mon"

Notifications for this task will be triggered from 1 August (30 days before 31 August). Then, on every Monday between 1 and 31 August, a notification will be automatically generated.

Other features are
  • The task contact will normally from the club members database, but any non-member contacts can also be specified.
  • An email list of CC recipients can be created - these recipients will receive a copy of all automatically generated task emails.

Task Management

Each task is set up with the following information:
  • Description: The task description
  • Action Date: This is usually the drop-dead date by which the task must be actioned. Notiications will stop once this date has passed.
  • Lead Days: This is the number of days before the Action Date, that the notifications will start. For example, if Lead Days = 31, the notifications will start 31 days before the Action Date.
  • Day: The day of week that the auto notification will be generated. For example, if Day = "Mon", the notifications will be generated on every Monday prior to the Action Date.
The Contact is the primary recipient of the notification email.
  • Contact ID: The NZB computer ID of the contact. This is an optional field.
  • Contact Name: The name of the contact.
  • Contact EMail: The email address of the contact.
  • Status: the status of the task. The options are
    • Active: indicates that notifications will be automatically generated when the Lead Days are reached.
    • Inactive: indicates that no automatic notifications will be generated.
    • Lapsed: indicates that the Action Date is in the past, and notifications will not be automatically generated.
Once the Action Date has passed, the task status of a task will automatically be set to Lapsed.
  • Notes: This records any pertinent information related to the task.

Editing an Existing Task

  1. Select a task by mouse click.
  2. Click the Edit Selected Task button.
  3. A new window will appear.
  4. Edit each field as appropriate.
  5. Click the Save & Exit button to save the changes, or the Cancel Edit button to discard all changes.
Note on Contact Name field
  • The Contact Name field behaves like other Names Entry processes in Compass. Type a few letters of a member's name then use the up down arrow keys to select a name. Then press the <enter> key to record the name.
  • If the contact is not a member, just type the player's name (eg "Jim Jones"), then press the <enter key>. In this case, the contact's email address must be entered manually.

Add a New Task

  1. Click the Add New Task button.
  2. This will create a new task with Description="New Task" and ActionDate=today.
  3. Edit the task as above,

Delete an Existing Task

  1. Select a task by mouse click
  2. Click the Delete Selected Task button

Editing Task History

As Task History is created automatically, it should not be necessary to edit this. If you do, you can edit, delete or add a new history
  1. Select a task by mouse click
  2. Click the Edit History button
    1. To EDIT history, just over type the new values
    2. To DELETE one history record, mouse click in the first column, then click the <delete> key
    3. To ADD a history record, enter data into the line that is preceded by an asterisk (*). Notes:
      • take care to type the correct TaskID in the first column.
      • Enter the date in the format dd-mmm-yyyy
  3. Click the Save & Exit button

Manually Create Notification

  1. Select a task by mouse click.
  2. Select a Notification option - EMail or Print or Both.
  3. Click the Create Notification button. The notifications emails and prints will then be generated.

Format of Email Notification

The text of the email is a pre-formatted html file. When notifications are sent, the specific task data is inserted into this file in "mail merge" fashion. Clubs can modify the pre- formatted html file so that the email includes a club specific text.
  • The original template file is TaskTemplate.html which exists in the \Dropbox\CompassMate\CompassSystemFolder\ folder. This file should not be touched by individual users.
  • The notification process uses a copy of this file that is saved in the c:\compassv6\system\ folder.
  • The user can edit the c:\compassv6\system\TaskTemplate.html file using any html editor (KompoZer is an excellent html editor)
  • IMPORTANT: The mail merge text fields must always exist in the template, these text fields are
    • MyDescription
    • MyTaskDate
    • MyContact
    • MyNotes
Note: the format for the notification prints are pre-set. If a club specific format is required, please discuss with Bob.

Dropbox Backup and Restore

The task notification database (c:\CompassV6\System\TaskNotifications.mdb) is automatically saved in the Dropbox backup process.

Settings

Several settings related to task notifications are available.
  • Return Address for Task Emails: If the user replies to the email the reply will be sent to this address.
  • Automatically Print Notifications when Auto Emails are sent: When an automatically generated email is sent, a printed copy can also be generated. This is auto printed to the default printer.
  • Sent a Copy of each Automatic Notification to this address: One or more Email address can be entered here. The correct format for this is
    • Jim Jones <jimjones@msn.com> OR
    • jimjones@msn.com OR
    • Jim Jones <jimjones@msn.com> , Jane Jones <janejones@msn.com> OR
    • jimjones@msn.com, janejones@msn.com

Notes

  1. Automatically generated notifications will be sent from the club scoring computer only.
  2. Auto notifications are generated when the Compass application is opened.
  3. Only one notification per day will be generated.
  4. Manually generated notifications can be sent from any computer, from the sidebar menu item.

Revised: 5 February2019


WBF 20 Point VB Scale

WBF 20 Victory Point Continuous Scale

Compass uses this scale for all events that are scored with IMPs that are converted to Victory Points. This process is automatic requiring no action by the scorers.

Overview

In 2013 the WBF adopted the VP continuous scale. The following text published in 2012 is been extracted from the WBF website. The 20-point victory point scale has following features:
  1. The scales are continuous and given to two decimal places
  2. Subject to a cap, each IMP margin translates to a specific VP award
  3. Each additional IMP in the winner’s margin is worth no more than the previous one
  4. Relative to the previous WBF VP scales, the “blitz” margins in the new scale is approximately equivalent to the 25-2 in the old scales. There is no reduction of VPs for the loser when the margin exceeds the blitz margin.
  5. The new scales correct perceived weaknesses and anomalies in the old scales

Printing VP Scales

Any scale can be printed.

Steps

  1. Select strip menu item: Other Services ... 20pt Continuous VP Scale
  2. The 10 board scale is first displayed. Change the Boards per Round to display the scale for other board counts.
  3. Print (Long Format) creates a report akin to portrait format
  4. Print (Wide Format) creates a report akin to landscape format

Printing Score up Sheets for Teams Events

A score up sheet for teams events can be printed. The single page has a section to enter the contract and results along with the IMP difference table and the appropriate VP scale.

Steps

  1. This is printed from the menu of the results screen of Swiss Teams/Round Robin events.
  2. Select menu item Print Options ... Score Sheet and VP Scale.
  3. The report is now printed automatically.
  4. IMPORTANT NOTE: This report requires MS Excel to be installed on your computer.
The sheet for an event that plays 2 rounds of 12 board is as follows:


Backup/Restore Dropbox

Backup/Restore

The Backup and Restore of important Compass data files can be done using a USB stick or using Dropbox.

These Compass processes are not true backups! Moreover, they are simple file copy processes typically of what can be done in Windows Explorer. They are not a substitute for a comprehensive backup regime for your computer.

The backup of Compass files must just be part of the scheduled backup task associated with your computer. Today, there are many convenient online backup services available for less that $100 per year. Some of the better known services are Carbonite and CrashPlan. Personally, I use CrashPlan and find it extremely good. You are compelled to have a good backup process on your computer. One day you will need it!
Revised: 8 August 2016


Backup/Restore Data Dropbox

Dropbox File Copy

This process is a quick and easy method to transfer important Compass data files from one computer to another. A pre-requisite is that the source and destination computers must have the Dropbox application installed and the user has sharing rights to the related folders. This process is very useful to synch up files on a home computer with those on the club scoring computer.

Compass can be configured to do the Dropbox file copy when Compass is exited.

Backup Process

This process copies files from the CLUB computer to Dropbox.

Strip Menu Item: Dropbox File Transfer ... Backup to Dropbox

  1. From the strip menu, select Dropbox File Transfer... Backup to Dropbox
  2. Select (tick) the System Files you want to include in the back up. Note, the All files in System Folder option does just that. This is a good option when doing the initial set up of Compass on the home computer of a club member.
  3. Select (radio buttons) the date range if the Input files you want to include in the back up
  4. Select (tick) to include BWS files (ie Bridgemate or Bridgepad files), master point files, hand records and BOS folders.
  5. Click Start Backup Now
This process can be automated by enabling the Automatically Backup to Dropbox when exiting Compass parameter Club information Set Up item

Restriction

  1. The backup to Dropbox can only be done from an authorized PC. This prevents backup being done willy nilly from home computers. Contact Bob if your PC needs to be authorized.

Notes

  1. The selected files will be copied to the \Compassmate\Club xxx\BU\ folder in Dropbox, where xxx is your club name as set up in Club Information Set Up.
  2. When a backup is started, all existing content of the \BU\ sub-folder is deleted.
  3. The backup files are saved to their equivalent CompassV6 folders, \System\, \yyyy\, \yyyy\MasterPoints\, \yyyy\Bridgemate\ folders where yyyy is the current year eg 2020
  4. A Backup/Restore Log records the details of each completed backup.

Configuration

  • The Club information Set Up item Automatically Backup to Dropbox when exiting Compass can be set to yes or no.

Restore Process

Dropbox file transfers can be restored to another computer. Care must be taken when restoring file to prevent inadvertent loss of data on the destination computer. Restores to the clubs scoring computer are password protected and must be done by an authorized person.

Strip Menu Item: Dropbox File Transfer ... Restore From Dropbox

  1. From the strip menu, select Dropbox File Transfer... Restore from Dropbox
  2. An information box shows the date, user and computer that created the most recent backup.
  3. A list of files available to restore is displayed. A date comparison is made of the listed files and those files in the \CompassV6\ folder.
  4. Files that you wish to restore must be selected in the tick box.
  5. All files on the destination computer that are the same age or newer than files in the backup are NOT TICKED automatically as it is unlikely that you want to copy these.
  6. All files on the destination computer that are older than files on the \CompassV6\ folders are automatically TICKED as you probably do what to copy these files. Likewise files that are in the backup, but not in the \CompassV6\ folders are also automatically TICKED.
  7. Click the Hide 'Same' Files (ie identical files in both places) check box to hide or show files that are dated the same in both the backup location and in the \CompassV6\ folders
  8. Click the Select all Files button to select/deselect all files
  9. Click the Start the Restore button to begin the restore process
  10. A list of all selected file is now redisplayed. From here, you can review your selected files and again tick or untick them as appropriate.
  11. Click the Complete the Restore button. If you are restoring to a club scoring computer, you must then enter the correct password.

Notes

  1. A Backup/Restore Log records the details of each completed restore.
  2. You cannot do a restore to the same computer that created the backup.

Backup/Restore Logs

The backup/restore logs can be reviewed from the menu of both the Backup and Restore screens. Periodically, this log is automatically edited to remove transactions that are more than 3 weeks old.

Full Backup

Sidebar Item: Dropbox File Transfer ... Full Compass Backup to Dropbox

This create a copy of ALL important Compass files into a separate dated BU folder. Note that this is not a substitute for a comprehensive backup regimen for your PV.

Periodically, older backup (folders) should be deleted manually using Windows Explorer. There is really no need to keep all but the last full backup.

Copy Files from a Home PC to the club computer

At times, files edited on a home PC need to be copied back to the club. Obviously, care must be taken when doing this.

The generalized process is

  1. Some change/edit/update is done on a home PC
  2. Use the menu item Options ... Dropbox Club File Transfer. This copies the appropriate files to the Dropbox Dropbox\Club Waihi\FileTransfer folder .
  3. When Compass is started on the club computer, a check is make for any transfer files. The user can then optionally transfer one or all of the files.

Files that can be transferred

  • All results files (INP, SWI, SWP etc)
  • Club Database, this includes the member info and calendar of events)
  • Pre-Entry files
Note on Hand Record Files
Hand record files unfortunately do no fit into this process, but there is a work around. Any BRI, PBN or DLM file manually copied to the Dropbox\Club Waihi\FileTransfer folder will be part this transfer process.
Revised: 25 March 2020 (in the COVID-19 era)


Backup/Restore USB Stick

Backup/Restore to a USB Stick

Important data files can be backed up periodically to a USB stick and then restored to any computer at a later date. Some clubs use this to copy files from the club scoring computer to a home computer. This process is a simplified Compass version of structured backup/restore process and is perhaps better described as a simple file copy from one computer to another.

The Copy to Dropbox process is the preferred method to copy files from the club computer to a home computer.

Backup Process

  1. Insert a USB stick
  2. From the strip menu, select Backup and Restore ... Backup Data Files to USB Stick
    • Select the USB Drive from the combo box
    • Select (tick) the files you want to back up
    • Select the date range of the files you want to back up. You can select to backup files that have been created or edited
      • irrespective of the date that they changed
      • since the last backup was done
      • within a specified number of days
  3. Click Start Backup Now

Restore Process

The restore process simply copies the files from the USB stick and saves them to the main Compass folder. During this process, a date check is done so that any file in the Compass folder that are newer than the file on the USB stick, will not be copied across.

  1. Insert the USB stick that has your most recent backup
  2. From the strip menu, select Backup and Restore ... Restore Data Files to Computer
  3. Click Start Restore Now

Revised: 8 August 2016


Remote Support

Remote Support

Compass has functionality to allow a technical support person to run Compass on their local PC using the data files from a club PC. The functionality uses Dropbox to access the remote data files.

Steps for the club requiring support

  1. The person/club requiring remote support must first do a Dropbox File Transfer ... Backup to Dropbox from the main strip menu.

Steps for the technical support person

  1. From the main strip menu, select More Menu Items ... Remote Support.
  2. Navigate to and select the \Club xxx\BU\ folder where xxx is the name of the club.
  3. Click Use Selected Folder & Exit.
  4. Compass must now be closed and restarted.
  5. When Compass restarts, the remote support image will flash on the strip menu. Remote Support
  6. Compass can now be used to do almost anything you can do in a local session of Compass.
  7. When the support is complete, select More Menu Items ... Remote Support from the strip menu.
  8. Click the Cancel Remote Support button.
  9. Compass must now be closed and restarted. Compass will next open in normal mode.

Other Functions

  1. Create a COPY of the Selected Folder: If you want to leave the original \BU\ folder untouched, you can create a copy and then use the copied files during remote support.
  2. Delete Selected Folder: This allows tidy up of any folder that you may have created through the copy process.

Revised: 8 August 2016


XClub Events

XClub Administration

"XClub Events" are events where the same set of hands are played are different club around New Zealand. The scores from participating clubs are then collated to get an "across the field" result. The XClub process covers the daily club events and the NZ wide events conducted by NZ Bridge. such as the NZW Babich Pairs.

Please refer to the CompassMate site for an introduction to XClub Events.

Participation in XClub

All New Zealand clubs can participate in XClub events, irrespective of the scoring program software that is used. All participating clubs create an input file which is save in a Dropbox folder. The XClub process uses these input files for the calculations.
  • Compass clubs: A SIM file is automatically created during the scoring process.
  • Compscor2 clubs: The standard USEBIO xml file is created and saved in the /Dropbox/ScorerXML/ folder.
  • Scorer clubs: The proprietary xml file is created and saved in the /Dropbox/ScorerXML/ folder.
(Note that a BATCH file can be supplied to semi-automate the transfer of the XML file to the Dropbox folder. Please contact Mike or Bob for more information.)

SIM Files

SIM Files are the input file for the XClub calculations. Compass clubs create the SIM files automatically. For Compscor2 and Scorer club, the SIM files are created using the data in the xml file.

Event Types

All event types, eg Duplicate, Multiple Teams, Swiss Teams, Swiss Pairs, using any scoring method, can participate in the XClub process.

Screen Functions

Oops, the second Area 6 should read Area 7

Area 1

  • This list all SIM files separated by the hand record PBN file name.
  • The number of listed files can by using the options in the SIM File Selection Filters frame.
  • Clicking and file, then right click the mouse will open that SIM file in MS Notepad.
  • The Use File column indicates if the SIM files will be included (Yes/No) in the Across the Field (ATF) result. Files can be switched from Yes to No by selecting a specific row, then clicking the Change "Use" for Selected File button (Area 6)
  • The Across the Field result is calculated by
    • Mouse click the FIRST file for a particular day session
    • Click the Score Across Sections button (Area 6)

Area 2

  • A percentage of the numbers of pairs reported in the ATF result can be changed. (Almost always, this is left as 0%, that is NO pairs are omitted.)
  • The Minimum Boards per session can be set. Clubs playing less that this number of boards should be excluded by using the Change "Use" for Selected File button (Area 6).
  • The Maximum Boards counted can be set. Typically, this is done only for the annual NZB Babich Pairs.

Area 3

  • The number of listed files can be changed by selecting different options.
  • The You Choose options allows the user to select any number of days.
  • The Show Single Sessions option will display PBN file that have only one club session.
  • The Show .. buttons show ALL files or all Archived files. It is unlikely that these buttons will ever be used.

Area 4

  • This Area relates to NZ Wide events (eg the Babich Pairs). Refer here for further details.

Area 5

  • This Area is used AFTER the ATF result has been calculated.
  • The Session Result button will display the results for one club only. After the ATF results has been calculated:
    • Click the Close Display button to return to the file list
    • Select one file from the last calculated ATF result
    • Click the Session Result button
  • The Board Results button displays the board by board result for all pairs for all clubs.
  • The Notables Only checkbox filters the Board Results by displaying hands were the "Makeable Contracts" are at the 5 or 6 or 7 levels.
  • The Slam Analysis prints nothing useful
  • The Quick Print button prints the currently displayed report.
  • The Open in Excel button opens the currently displayed report in MS Excel.

Area 6

  • The Delete Sel(ected) TSIM button deletes the selected TSIM file. It would be highly unusual to use this button.
  • The Delete Sel(ected) SIM button deletes the selected SIM file. This should be done if the SIM is known to be a bad file. (Maybe, look at the file by clicking the file, then right click the mouse to open that SIM file in MS Notepad.)
  • The Change "Use" for Selected File button will change the Use File flag from yes to no to yes.
  • The Assign DNP, x% Scores button will assign
    • DNP or
    • 50% or
    • 60%
scores for one board of the selected club.
  • The Assign ASM, FBM button will assign
    • Arrow Shift Matchpointing
    • Fouled Board Matchpointing
scores for one board of the selected club.
  • The Log button will display the adjusted scores that have been assigned for the selected event.

Area 7

  • The Score Across Section button calculates the ATF result for the selected day session
  • The Create XML and Pianola XML buttons create Milan site and Pianola xml files.
  • The Convert Scorer XML Files will concert the select XML file to the XClub format. Note that this conversion is always automatically done when the XClub Admin screen is opened.
    • XML files that have not yet been converted exist in the \Dropbox\ScorerXML\ folder
    • XML files that have already been converted exist in the \Dropbox\ScorerXML\ConvertedFiles\ folder
  • The League Results button opens the League Results screen. Details of this screen can be found here.
Revised: 9 December 2019


Compass and Dropbox
Dropbox is a file hosting service that offers cloud storage and file synchronization . Compass uses Dropbox extensively to:
  1. Enable clubs and users to install Compass updates
  2. Access important data files so they are immediately available to all clubs (eg the NZB Database)
  3. Transfer files from the club computer to home computers
  4. Enable Remote Support by a Compass technical support person
  5. Store documentation
  6. Distribute X-Club hand records
  7. Score special events such as the NZ Wide Pairs

Dropbox can be very useful for clubs as it can share their own Dropbox folder(s) with other involved members. You then have a shared resource that is accessible by all from any location. Some suggestions for use are:
  • your secretary to store the minutes of your meetings
  • newsletter editor as a central repository for your newsletters
  • tutor to store the lesson materials such as notes and hand record files
  • treasurer for use as a crash-proof backup of your valuable data files
  • website administrator to use as a data repository for files used on the website
  • committee members who collaborate in various projects

Configuration

Dropbox must be installed to enable share rights to the relevant folders.
  1. Download and install the Dropbox application from www.dropbox.com.
  2. Create an account with Dropbox. The ID is an email address so you can use your normal email address or create a gmail account just for Dropbox stuff.
  3. Accept the sharing invitations which are forwarded by Email.
  4. The shared folders are created on your computer under the root directory of c:\Users\[YourUserName]\.
  5. The initial "synching" of files takes a little time - maybe up to 30 minutes. After that, the synching will happen in real time.

Dropbox 101

  1. The Dropbox icon is in the taskbar. Click this to open the Dropbox pop-up.
  2. The folder icon opens the Dropbox folder in Windows Explorer.
  3. The globe icon open Dropbox in Dropbox.com
  4. The synching status is shown in the top left
  5. The Gearbox icon ... Preferences allows you to stop notifications, and to choose specific folder to synch. (Be very careful when making changes here).

Dropbox Rules for Compass Users

  1. The shared Compass related folders are \Dropbox\CompassMate\ and \Dropbox\Club xxx\ where xxx is your club name.
  2. As these folders are shared with others, you must be aware that everything you do with the files will update for all other sharers. This is, of course, the whole point of Dropbox.
  3. You can freely add files to the Dropbox folders.
  4. You can edit files only if you are entitled to do so.
  5. You can only delete a file only if you have added that file yourself. THIS IS VERY IMPORTANT. When you delete a file, you delete it for every other club/user that shares the folders.
  6. If you think you want to delete a lot of files, first talk to a Compass Administrator (Bob, Jan and Mike)
  7. If you are a CLUB, you own the \[Club XXX]\ folder and sub-folders
    • you are free to create additional folders off this folder
    • you are free to invite others (eg club members) to share this folder
  8. If you are a USER,
    • you are free to create personal new folders off the \Dropbox\ folder
    • you are free to invite others (eg friends and family) to share this folder

Revised: 8 August 2016


Installing Compass

Compass can be installed on the club scoring and dealing computers and on the home computer of a club members. The basic steps to install are as follows

Basic Steps

  1. Install peripheral applications
  2. Set up Dropbox
  3. For clubs switching from other scoring programs, extract the club membership and club program, that can be imported into Compass
  4. Install the Compass executable from Dropbox
  5. Install your electronic scoring option eg BridgeMate or BridgeTab or BridgePal
Install Peripheral Applications

The following peripheral apps should be installed

  1. Dropbox https://www.dropbox.com/install
    • Dropbox is used extensively in Compass for upgrade installations, documentation, backups and the X-Club hand generation service.
    • If installing on the club computer, the Dropbox user ID is the club email address, or a special email address created from Dropbox use
    • If installing on a home computer, the Dropbox user ID is your personal email address, or a special email address created from Dropbox use
    • Store the user name and password in a safe place!!
  2. Foxit PDF Viewer https://www.foxitsoftware.com/downloads
    • Foxit PDF Viewer is the viewer of choice for the Compass System. Please use this in preference to Adobe Acrobat PDF viewer
    • You should make Foxit your default PDF viewer.
  3. UltraViewer http://ultraviewer.net/en/download.html
    • For Compass support, Ultraviewer is the preferred option (over Teamviewer) for remote access and support.
  4. TeamViewer (optional) http://www.teamviewer.com/en/download/windows/
    • Within Dropbox, an Instant Team \Viewer 2016 Version option is available. The full TeamViewer app does not have to be installed.
  5. MS Word and Excel
    • These are not compulsory but are highly desirable as these apps are used in various parts of Compass.

Share Dropbox Folders

You will receive an email invitation to share the following Dropbox folders

  • CompassMate
  • Club [Clubname], where [Clubname] is the name of your club
  • X-Club Hands, (optional, if you want to subscribe to the X-Club hand generation service)

Extract Data from Existing Program

NZ Scorer has the facility to extract the club database and the club program to an Excel file. CompScore2 has the facilities to extract the club database to an Excel file. Once extracted, copy the files to the Club Clubname folder in Dropbox, or email the files to Bob who will do the conversions. Note that this step can be done at a later date.

Installing Compass

Two options are used here. For new club installations, the install is done from a Dropbox file. For home installations, the install is done by copying the club files.

New Club Installations
A file named [Clubname].exe will be in the \Club [Clubname]\ folder in Dropbox, where [Clubname] is your club name, eg Golden Bay.
  1. Double click on [Clubname].exe
  2. Click Unzip. Then "Unzip to Folder" must be left as C:\ DO NOT change this.
  3. Then click OK, then Close, Approx 50-60 files will be extracted.
  4. Install the required system files
    • Open the \Dropbox\CompassMate\CompassMate Download Files\Install System Files folder
    • Execute the setup.exe program
    • Follow the instructions. IMPORTANT: If you get a popup message advising that a file already exists, then click option to KEEP the existing file.
  5. Create a desktop shortcut to c:\compassv6\CompassV6.exe
  6. Bob will Install the data extracts from your existing scoring system, it this has not already been done.
  7. Start Compass and update the parameters in ClubInfoSetUp
Home Computer Installations
 A file named [Clubname].exe will be in the \Club [Clubname]\ folder in Dropbox, where [Clubname] is your club name, eg Golden Bay.
  1. Double click on [Clubname].exe
  2. Click Unzip. Then "Unzip to Folder" must be left as C:\ DO NOT change this.
  3. Then click OK, then Close, Approx 50-60 files will be extracted.
  4. Install the required system files
    • Open the \Dropbox\CompassMate\CompassMate Download Files\Install System Files folder
    • Execute the setup.exe program
    • Follow the instructions. IMPORTANT: If you get a popup message advising that a file already exists, then click option to KEEP the existing file.
  5. Create a desktop shortcut to c:\compassv6\CompassV6.exe
  6. Start Compass from the desktop icon
  7. To synchronize the club data files to your home computer, use the Dropbox File Copy …Restore from Dropbox menu options.

Install your Electronic Scoring Option

BridgeMate
Please refer to Jan Spaans for full instructions.

BridgeTab
Please refer to the separate document for the installation instructions.

BridgePal
Install software from https://mirgo2.co.uk/bridgepal/
Revised: 10 May 2021


Installing Updates

Installing Version Updates

Regular updates of the Compass program are available from Dropbox. To install updates you must have sharing rights to the \Dropbox\CompassMate\ folder. These rights can be given by any Compass administrator (Bob, Jan, Mike).

The installation file is a self extracting zip file and named in the style of CompassWinZIP_Vyyyy.mm.dd.exe where yyyy.mm.dd is the release date. When a new update is available, the background colour of the version number in the strip menu will be magenta in colour.
Update

Steps to Install a new Version Update

  1. Important: Close all Compass sessions before starting the update
  2. Navigate to the \Dropbox\CompassMate\CompassMate Download Files\ folder
  3. Double click the mouse on the latest update file CompassWinZIP_Vyyyy.mm.dd.exe
  4. The update process will begin. The Unzip to Folder must be left as c\: DO NOT change this.
  5. Click Unzip, then OK then Close.
  6. Thats it!

Notes

  1. Release notes are available in the Release Notes CompassMate YYYY.htm file in the same Downloads folder. You are encouraged to read these.
  2. An Update Video is often available for updates with significant changes. Older update videos are available from the \Old Release Videos\ folder.
  3. Previous versions of the update files are available from the \Old Exe Files\ folder.
  4. It is very helpful to use Windows Explorer tools to add the \CompassMate Download Files\ folder to Favourites or Quick Access (Win10).

Revised: 6 August 2016


Compass International

Compass International Use

Whilst Compass is developed for use in New Zealand, it can be used in other countries. Some features may not be available - please discuss this directly with Bob.

Password Protection

All non New Zealand systems are password protected and this password is fixed and specific to one PC. Bob will advise the password

System Installation

The basic steps to get Compass running are
  1. Install peripheral applications
  2. Share Dropbox folders
  3. Install the Compass executable from Dropbox
  4. Install your electronic scoring option eg BridgeMate or BridgeTab or BridgePal

Install Peripheral Applications

The following peripheral apps should be installed
  1. Dropbox https://www.dropbox.com/install
    • Dropbox is used extensively in Compass for upgrade installations, documentation, backups and the X-Club hand generation service.
    • Store the user name and password in a safe place!!
  2. Foxit PDF Viewer https://www.foxitsoftware.com/downloads
    • Foxit PDF Viewer is the viewer of choice for the Compass System. Please use this in preference to Adobe Acrobat PDF viewer
    • You should make Foxit your default PDF viewer.
  3. UltraViewer http://ultraviewer.net/
    • For Compass support, Ultraviewer is the preferred option (over Teamviewer) for remote access and support.
  4. TeamViewer (optional) http://www.teamviewer.com/en/download/windows/
    • This is an alternative to Ultraviewer.
  5. MS Word and Excel
    • These are not compulsory but are highly desirable as these apps are used in Masterpoint Maintenance, Subscription Accounts and some other areas.

Share Dropbox Folders

You will receive an email invitations to share the following Dropbox folders

  • Club [Clubname], where [Clubname] is the short name of your club
  • Compass [Country], where [Country] is your country name

Important: Do NOT delete edit any files that are in these Dropbox folder - else Compass may not run correctly.

Install Compass from Dropbox

A file named Clubname.exe will be in the \Club [Clubname]\ folder in Dropbox.
  1. Double click on [Clubname].exe
  2. Click Unzip. Then "Unzip to Folder" must be left as C:\ DO NOT change this.
  3. Then click OK, then Close, Approx 50-60 files will be extracted.
  4. Install the required system files
    • Open the c:\compassv6\Install System Files folder
    • Execute the setup.exe program
    • Follow the instructions. If you get a popup message advising that a file already exists, then click option to KEEP the existing file.
  5. Create a desktop shortcut to c:\compassv6\CompassV6.exe
  6. Start Compass.

Compass Documentation

The CompassHTMLHelp documentation is in the Compass [CountryName]\System folder in Dropbox. This HELP can be accessed from the ? icon that is on most Compass screens.

Data Setup in Compass

Before Compass can be used, some basic data should be entered

Club Information Set Up

Update the information as necessary. The most important tabs are
  • Sessions
  • File Locations
Club Database

Enter you player details here. The Computer ID is usually the National Bridge Organization ID, but any number system (eg 1 up) is OK. Each player should have a unique ID. If the player information is on a spreadsheet, contact Bob to get this imported automatically.

Calendar of Events

If your club hold regular daily or weekly session, the event details should be entered here. If the calendar information is on a spreadsheet, contact Bob to get this imported automatically.
Revised: 27 December 2018


Compass Folder Structure

Compass System Folder Structure

Compass Files

The main folder for the Compass Scoring System is c:\CompassV6

Main Folder | Sub Folders | Content | Automatic File Delete Days
CompassV6 | YYYY | "Results Files" for the scored sessions. A separate folder exists for each year. | Never
 | YYYY/BridgeMate/ | When electronic scoring is used, this contains the BWS files for each session. | Never
 | YYYY/HTML/ | Contains a HTML version of the session results. | 10 Days
 | YYYY/MasterPoints/ | Contains the master point files of the scored sessions. Once the files have been processed and sent to NZB, the files are moved to the /YYYY/MasterPoints/NZB folder. | Never
 | YYYY/MasterPoints/NZB | Contains the master point files that have been sent to NZB. | Never
 | YYYY/Temp/ | Temporary files created internally by Compass. | 10 Days
 | YYYY/XML/ | Files created for those clubs using www.bridge-club.org for the publishing of results. Files in this folder are transferred to the web site using the ShipResults service. Once transferred, the files are moved to the YYYY/XML/Backup folder. | Never
 | YYYY/XML/Backup | YYYY/XML/Backup | Periodically
 | Entries | Files created through the Pre-Entry files functionality | Never
 | Handrecords | YYYY/ [day SubFolders] The hand record files for the current year. | Never
 | Recycle | The files copies that have been created during the scoring process. | 30 Days
 | System | All user created and system created data files including the club database, calendar of events, NZB member list and movement options. And many other files. | Never
 | TextFiles | All text files created during the Scoring process, and list file created from various places including the Club Database and Club Competition processes | 10 Days
 | InstallNewFiles | The installation files for the required Compass system files | Never

Dropbox Files

Compass makes use of the Dropbox File share application. The main folder for the Compass Scoring System is \Dropbox\CompassMate\

Main Folder | Sub Folders | Content
CompassMate | Bridgemate Documentation | Miscellaneous documentation for Bridgemates
 | Club Bob | A folder that can be used to copy files to and from Bob
 | CompassMate Download Files | The folder from which Version Upgrades are installed.
 | Movements | PDFs of the Directors Guide and Guide Cards of many of the movements available in Compass.
 | Shared Documentation | Miscellaneous documentation created by individual clubs.
 | XClub Files | A temporary folder for X-Club "SIM" files.


DataFiles

Compass Data Files

System Folder

File | Purpose
AllCompCorrections.txt | Records the correction to names in the NZB database
bridgemate.ini bridgemate.SWI.ini bridgemate.SWP.ini | Bridgemate initialization files.
clubinfo.ini | The data parameters for the Compass system.
CompassMovement.csv | Compass movement options.
ContractData.csv | Random contract and results used in Bridgemate simulations.
howellnew.ini | This file is no longer needed in Compass.
tourn.prg | The Tournament Calendar of Events for the current year.
NZBSecretaries.csv | NZB club secretaries list.
ScorerInfo.csv | The NZB players database file.
program.dat *** | The Tournament Calendar of Events for the current year. *** This may be named differently in your system. Refer to Club Information Set Up for the correct name.
Redmond.dat *** | The club database file. *** This may be named differently in your system. Refer to Club Information Set Up for the correct name.
SubInvoice_Annotations.txt | Records the textual information used when printing subscription invoices.
validscores.ini | Record the common duplicate scores. This is used to highlight unusual score in the traveling score sheet.

Revised: 8 August 2016


Data Limits

The data limits are as follows. Note the a "~" indicates an unlimited number.

Event Type | Condition | Value | Comment
Duplicate | Max Tables per session | 36 | -
Duplicate | Max Boards per Session | 48 | -
Swiss Pairs | Max number of pairs | ~ | -
Swiss Pairs | Max rounds per event | 20 | -
Swiss Teams | Max number of pairs | ~ | -
Swiss Teams | Min number of teams (Swiss) | 4 | -
Swiss Teams | Min number of teams (Round Robin) | 7 | -
Club Competitions | Max number of qualifiers | 500 | -
Club Competitions | Maximum sessions per event | 20 | -
 |  |  | -
 |  |  | -

Revised: 8 August 2016


mycompasss.com Administration

Access to the mycompass.com website administration functions are authorized by Mike or Bob.

The mycompass.com website functions include
  • Manage Users
  • Manage Clubs
  • Manage Compa$$ Clubs
  • Manage Posts
  • Manage Images
  • Manage NZB Database
  • Manage Tournament Results

Manage Users

Columns

  • Home Club: This is retrieved from the NZB Database. A blank Home Club indicates that either
    • the NZB Database needs to be updated OR
    • that user is not active in the NZB Database
  • Private: Indicates if this user detailed NG information is publicly displayed.
  • Admin: Indicates if this user is a mycompasss administrator.
  • BBO Admin: Indicates if this user is a BBO Names administrator.
  • BBO Admin Inits: This is the administrator's initials, which are used on the BBO Names page.
  • Compa$$ Admin: Indicates if this user is an administrator for Compa$$ clubs. A Compa$$ club administrator can edit the clubs "blurb" and can view the Compa$$ accounts for all members of that club.
  • Admin Club IDs: This list the club IDs that this user has Compa$$ Admin privileges.

The administration processes include:
  • Assigning a user to be a mycompasss.com administrator
  • Deleting users who that made errors during registration (eg entering the incorrect NZB computer ID). Typically, users will use the mycompasss Contact pages to advise us of this type of issue.
  • Change the users Privacy setting
  • Assigning a user to be a Compass administrator
    • These users
      • have access to the processes documented on this page.
  • Assigning a user to be a Compa$$ administrators
    • On the Compa$$ Accounts page, these users
      • can edit the blurb
      • can view the Compa$$ for any member of the clubs they have access to.
  • Assigning a user to be a BBO Administrator.

Notes

  • A User can be edited by clicking Edit in the Action column.
  • A User can be deleted by clicking Delete in the Action column.
  • The Private or Admin or BBO Admin or CompaSS Admin settings can be toggled by clicking the Yes or No in the appropriate column.
  • The Admin Club IDs list the clubs that this user has CompaSS Admin. Each club ID is separated by a space.

Manage Clubs

This records the information for all NZ Clubs and regions. This information is linked to the part of the mycompasss admin.

Columns

  • Short Name: This is is used on the NG Gradings page.
  • Scoring Software: This for information only and displayed on the mycompasss Compass Clubs page.
  • Website: This for information only and displayed on the mycompasss Compass Clubs page.
  • Provider: This for information only and displayed on the mycompasss Compass Clubs page.
The administration processes include:
  • Adding a new club
  • Deleting an existing club
  • Change the club's website
  • Change the clubs Results website. Note that for
    • Scorer clubs, both the PAIRS results page and the SWISS results page are specified.
    • Compass and Compscore2 clubs, the single results page is specified.

Notes

  • A Club can be edited by clicking Edit in the Action column.
  • A Club can be deleted by clicking Delete in the Action column.

Edit Club Details

Columns

  • Results Page 1: This is the link to the results page 1.
    • For Scorer clubs, this is the link to the PAIRS results page.
    • For Compass and Compscore clubs, this is the link to the results page..
  • Results Page 2: This is the link to the results page 2.
    • For Scorer clubs, this is the link to the SWISS results page.
    • For Compass and Compscore clubs, this is blank.
  • All other columns are self-explanatory.

Manage CompaSS Clubs

This indicates if the clubs Compa$$ Accounts are shown on the mycompasss website.

The administration processes include:
  • Adding a new club
  • Deleting an existing club
  • Change the club's website
  • Change the club's results web page. Note that for
    • Scorer clubs, both the PAIRS results page and the SWISS results page are specified.
    • Compass and Compscore2 clubs, the single results page is specified.

Columns

  • Show in mycompasss: Indicates if the club's Compa$$ Accounts are shown in mycompasss.com.
  • Use POLI: Indicates if the POLI icon is displayed. Please discuss with Bob before enabling this option.
  • Contact Person: This is the contact person, and is displayed on the Compa$$ Accounts page.
  • Contact Email: This information only and displayed on the mycompasss Compass Clubs page.

Notes

  • A Club can be edited by clicking Edit in the Action column.
  • A Club can be deleted by clicking Delete in the Action column.

Manage Posts

Posts are blog items that appear on the landing page of the mycompass website.

The administration processes include:
  • Adding a new post
  • Deleting an existing post
  • Setting a post to Published or Sticky

Columns

  • isPublished: This indicates that this post is visible on the landing page. This allows posts to be edited before they are published.
  • isSticky: This indicates is this post appears at the TOP of the postings list.
  • All other columns are self-explanatory.

Notes

  • A full HTML editor is available when adding or editing a new post.

Manage Images

Images do are not a significant part of the mycompasss website. The significance is that any image can be uploaded to the mycompasss website, then this image can be used in and HTML page - for example in any CompassMail or on the Compa$$ Accounts blurb.

The administration processes include:
  • Adding or deleting an image.

Columns

  • These columns are self-explanatory.

Notes

  • To add a new image
    • save any image on your hard-drive, preferably with a succinct, meaningful name.
    • add that image to the website, using the Add Images option
  • Club logos can be added in the Manages Clubs Option. These will then be displayed on the Compass Clubs page on the mycompasss website.

Manage NZB Database

This process synchronizes the information in the mycompasss database and the NZB database. The should be run periodically, say every 2-4 weeks.

This administration process imports the NZB database into the mycompasss website.

Notes

  • Follow the Import NZB Database instructions detailed above to import the database.

Manage Tournaments

This determines the tournaments that appear in the Current Tournament section of the Club Results page of the website.

The administration process is to download/import the NZB tournaments

Columns

  • Club: The name of the organizing club.
  • Club Number: This links the Manage Clubs section, from which the results web page is determined. At times it may be necessary to create a fake club in Maintain Clubs so that a link can be made to web page that different to the normal club page. For example club 800 is used for the NZB Babich Pairs, which links to the CompassMate web page.
  • Display: This determines if this tournament is displayed on the Club Results page.
  • Scorer Swiss: This applies to clubs using the NZ Scorer scoring system. If the event is a teams or pairs Swiss event, this parameter should be set to YES.
  • All other columns are self-explanatory.

Notes

  • The Display or Scorer Swiss settings can be toggled by clicking the Yes or No in the appropriate columns.
  • Typically, the tournament schedule will be download from the NZB website at the beginning of each month, then uploaded to mycompasss.
  • Then, week by week, the completed tournament can be deleted, and the Display parameter for the upcoming tournaments can be set to Yes.
  • After the schedule has been downloaded from the NZB website, the CSV file should be edited to remove irrelevant events, eg director's seminars of charity events. That said, for Compass clubs, charity events can be plugged on the results page.
  • Typically, only weekend tournaments are listed however, where appropriate, weekday tournaments can be shown if you wish.

Revised: 1 October 2021


Compass Admin Taskd

Compass Administration Tasks

ISO Calender that appears when clicking the Version Number on the Strip Menu.

  • Around September of each year, create a new PNG file from timeanddate.com
    • You first create a PDF file and take a screen shot of the calendar and save is as Dropbox\CompassMate\CompassSystemFolder\CurrentYear_ISO_WeekNumbers.png

Dropbox

  • Delete Bogus Folders eg Dropbox\Club\ and Dropbox\Club (Unicode Encoding Conflict)
    • These are randomly withing Compass and sohod be deleted as soon as possible


Processing XG Ratings

XG Ratings Calculation

The XG Ratings are calculated at the end of each week. To do this, the XClub across the boards results are recalculated for all sessions, then the actual XG Ratings are calculated. Note that the normal XClub calculation rules are a little different when doing these for XG Rating calculations.
  • Single sessions when one club only plays the set of hands, qualify for the XG calculations. This usually occurs when a club plays the wrong set of XClub hands.
  • Results where the less than normal number of boards are usually included. Optionally, these short sessions can be extracted from the XClub process and processed as a single session.

Detailed Process

Compass XClub Admin
  • Ensure that the Show Single Session checkbox is ticked.
  • For each of the sessions ....
    • If the Use File flag = No, toggle this to Yes. (This is to double check that session is indeed "bad")
    • Score Across Sessions
    • Check the detailed results - usually by ticking the Notables Only checkbox.
    • Ensure that the results are consistent,
    • If it is apparent that a club played the wrong hands, separate off this SIM file
      • Right click the SIM file in the SIM file list. This will open the SIM file in Notepad
      • CAREFULLY edit the hand record file name by changing the existing week number to 99. Thus in the above 02mon would be changed to 99mon. Note if more than one club played the incorrect hands, rename these other files (eg) 98mon or 97mon etc
      • Exit and save to Notepad file. This will create a new entry in the SIM file list - which can be scored across on its own.
      • If necessary, toggle the option Use File flag to Yes (or No as appropriate)
      • Score Across Sessions both the original current session AND the new single sessions
    • If a club played less than 20 boards, there are 2 options
      1. if almost the right number were played (say 18 or 19), just change the Minimum Boards per session to 18, and then Score Across Sessions
      2. create a new single session by using the process described above
    • if a club result is total rubbish, nuke the SIM file by clicking the Delete Sel Sim button, OR set Use File flag = No
  • That's it for the Compass side of things

XG Ratings Calculations
  • The executable for this is \Dropbox\X-Club Admin\XClub NGS\NZGradingSystem.exe. Best to create a desktop shortcut to this file.
  • Start the executable
  • Refresh the NZB Database by click the Update NZB Member Data button (this should be done each week)
  • Click the Create Players Log button
  • Enter the appropriate Week Number then click the Update File List button
    • The listed SIM files should be coloured red, indicating there is no existing Player Log. (Green text indicates that a Player Log exists.)
  • Tick the Select all checkbox then click the Delete ticked SIMs button
    • The SIM files list will now be refreshed.
  • Tick the Select all checkbox then click the Create Players Log for the Selected SIMs button
    • If necessary, untick the SIM files that should be excluded (eg BBO files)
    • After this step, the listed SIM files will now be coloured green
During this step, there is a reality check for unusual scores re <25 or > 55. The SIM file will be displayed, along with a message box (probably hidden behind Notepad).
  • Click the Go to Calculations button.
  • Click the Start Calculations button. The Session ID of the start SIM and the last SIM should be populated. If not, populate this manually.
  • Click the Finish Calculations button.
    • The calculation will take approximately 20-30 seconds per session
  • When complete, Export Player Summary to Excel to create the text file of XG Ratings for non Compass clubs.
Revised: 15 October 2021 (month 20 of the COVID-19 pandemic)


Analysis of Playing Members

This reports the members attendance at normal club sessions. The reports can printed or exported as an Excel or CSV file.

Strip Menu Item: Other Services ... Analysis of Playing Members

Report Types

Two different reports are available.
  1. By Week Number: Reports the weeks that each member has played in the selected sessions.
  2. By Session: Reports the total number of times that each players has played in the selected sessions.
To generate the reports
  • Click the check box of one or more sessions from the session list
  • Optionally, enter the Week Number range to be reported
  • Click the Calculate button
  • Use the buttons in the Reports frame to view the different reports
  • The report can then be filtered to Show members who played between a range of session numbers

Sample Report - By Week Number

The report lists each week number of the year. The attendance at the session in that weeks is reported as follows:
  • An underscore _ indicates that the player attended that session
  • An A indicates that the player was Absent from that session
  • An blank means there is no information for that session (that is, the master point file does not exist)

Sample Report - By Sessions

Menu Items

  • The reports can be printed or exported to a CSV file or and Excel file.
  • All report are saved into the c:\compassv6\textfiles folder,

Notes

  1. The reports use the information in the "ftp" Master Point forms that were implemented in September 2017.
  2. The reports includes all Swiss Teams or Swiss Pairs events.
  3. When Exporting to Excel, the (3) Excel worksheets are created on the fly as you watch.
  4. These Excel spreadsheets are create as Book1, Book2 etc. You can "SaveAs" these as you wish.
Revised: 3 November 2018


Analysis of Playing Non Members

This reports the attendance of non members at normal club sessions.

Strip Menu Item: Other Services ... Analysis of Playing Non Members

The report is automatically generated when the screen is opened. The user can then manually request a report for the current or the previous year.

Sample Report

Notes

  1. The report uses the information in the "ftp" Master Point forms that were implemented in September 2017.
  2. The report Ignores all Swiss Teams or Swiss Pairs events.
  3. A text file report is saved under the name C:\CompassV6\TextFiles\PlayingNonMembersReport.txt.
Revised: 29 December 2016


Contact Details

Bob

email bobfearn@msn.com
phone +1 425 558 3877
cell +1 425 985 2103
SkypeID bob__fearn

Current Time Zone Difference

The time difference changes and NZ and USA go in and out of daylight saving.
  • During the NZ summer, the time difference is 3 hours
  • During the NZ spring and autumn, the time difference is 4 hours
  • During the NZ summer, the time difference is 5 hours
TODAY, the difference is 3 hours

For Seattle time, add 3 hours to NZ time (and subtract one day) eg Saturday noon NZ = Friday 3 pm Seattle

In emergencies, call +1 425 558 3877 any time night or day. If no reply, follow up with an email.

Revised: 11 Novenber 2017


Compass Backup of Results Files

Backup of Results Files

During the session set up, the following message can be displayed.

  • Respond YES if the scorer is knowingly restarting the scoring of the existing session.
  • Respond NO if you want to restart the scoring process. When restarting the scoring, you may want to change the results file name to something like 04thudxxx if you are unsure of the cause of the message. An administrator can sort it out later,

Overwrite and Existing File

If the overwrite option is selected, the existing file is saved to the \CompassV6\Recycle\ folder. A number of backup of the same file can exist, the latest version having the highest BUxx number.

When required, a BU file can be manually copied to the current \YYYY\ folder location.

Notes

  1. Compass automatically purges \Recycle\ files older than 30 days.
Revised: 1 January 2017


Club Database - Member List

This display the Club Database in list form. When the Basis Data option is selected, Full Screen Edit option can be enabled.
  • The list can be sorted by clicking the mouse on any column header.
  • The the Show Information option shows different categories of data that are in the database.
    • Basic Data (address, phone etc)
    • Handicap Data
    • Subscriptions Data
  • The Filters option filters the list by the selected option.
  • The Delete Selected Member button deletes the selected member.

Full Screen Edit Mode

  • Use the Enable Full Screen Data Edit button to open the list up for spreadsheet type editing.
  • Take special care, as edits are automatically saved as the changes are made.
  • While in Edit mode, all Yes/No fields display as Yes = -1 and No = 0. Enter -1 or 0 to change these fields

Notes
  • Full Screen Edit is available only when the Show Information ... Basic Data option is selected.
  • When Exiting this screen, the Club Database screen will open at the selected member.
Revised: 4 May 2019


Eliminate Ineligible Players

This screen allows you to remove any pair/player from the final results. To eliminate ineligible players, click the check box off, then click "Process"
Revised: 17 February 2017


Competition Register - Delete Records

From time to time, some bad records may get into the register. This screen can be used to delete those bad records

  • Use the mouse to highlight the rows (records) that are to be deleted
  • Click the Delete Selected Rows button

Notes

  1. To select multiple rows, hold down the <crtl> key while clicking the mouse
  2. To select a range of rows
    • mouse select the first row
    • hold down the <shift> key
    • mouse select the last row
  3. Use the Open Register in Notepad button to view and edit the register in Notepad
Revised: 16 February 2017


Dropbox File Copy

This process copies data files from a home PC to Dropbox and later restores the files to the main Club PC.

Copy from a home PC

  • The Club Database (Clubname.mdb file) Note: This option is not available when the Club Database is located in the club's Dropbox folder.
  • Any Results File (INP, SWI, SWP files). Note: This is useful when scoring corrections are done on a home PC.
  • Tournament Pre-Entry files (*.ent files) Note: This is useful when tournament preparations are done on a home PC.
  • Club Info Set Up file (clubinfo.ini file)
  • To initiate this process, select the Options .. Dropbox File Copy menu item on the appropriate screens
  • To UNDO the copy, select the Options .. Dropbox File Copy DELETE menu item on the appropriate screens
  • The files are saved in the Dropbox\Club [clubname]\FileTransfer folder.

Security

The copy of the Club Database from a home PC to the club PC is password protected. Note that the Club Database includes the member database, the calendar of events and the group & roles management.

Restore on the Club PC

When Compass is next started on the Club's Scoring PC, the files in Dropbox are copied to that PC. This restore can be either automatic or manual, the recommended setting to automatic.
  • Automatic or manual copy is set in Club Info Set Up parameter Copy' files from Dropbox to the club's main PC.. The default setting is True.
  • The process for manual copy is as follows:
    • When Compass is start on the main PC, this pop up is displayed
    • If Yes is selected, a file list is displayed
    • To copy the files , select the files then click the Copy Selected Files button.
    • Other things that can be done are:
      • click the DELETE Selected Files button. The files will NOT be copied, and they will be deleted from the Dropbox\Club [clubname]\FileTransfer folder.
      • click the Exit button. The files will be left in Dropbox until another day.

Revised: 20 May 2021


Running Multiple Compass Sessions

Opening Multiple Compass Sessions (aka Instances)

It is possible to have two (or more) separate instances of Compass running.
  • If a scoring session is underway, you may wish to open another Compass do do other non scoring related things
  • When scoring multiple events. This is the Piggy Back Option

All instances are initiated from the Compass icon on the desktop. Each of these additional instances starts with the menu showing on the right side of the Desktop with a background colour selected by the user. The choices are light green, light yellow or cyan.

Revised: 11 February 2017


Print Personal Score Sheets (PSS)

From this screen, the personal score sheets (PSS) for duplicate pairs and Swiss Pairs events can be printed.

There are two formats:
  • Expanded Version (1 pair per page)
  • Short Version (4 or 8 pairs per page)
There are option to print the the PSSs for:
  • All pairs - both NS and EW directions
  • All pairs in the NS direction
  • All pairs in the EW direction
  • Selected pairs (the PSS report is the simple version of this report)
When printing the Short Version, there is an option to print these in scissor sort order. This means that if the printed sheets are cut, then suitably stacked, the individual slips will then be in numerical order.


Duplicate Events - Director's Adjustments

Directors adjustments can be made in pairs events for infractions such as slow play , messing up the hands on a particular board.

Most adjusted scores are dealt with within the scoring, eg average boards, arrow shifts, fouled board match pointing, manually applied match points etc and therefore do not required directors adjustments.

To apply directors adjustments use the Edit Options ... Apply Directors Adjustments menu item

  1. Click the Show N-S/E-W button to display the affected pair
  2. Select the affected pair with the mouse
  3. Enter the match point adjustment in the Adjustment MPs text box. A penalty of match points (ie a reduction) is entered as a negative number
  4. Repeat step 1-3 for other affected pairs
  5. Click the Exit button to exit this screen

Notes

  1. The applied adjustments are displayed in the lower list.
  2. To remove any adjustment, select that adjustment text with the mouse, the click the Delete Selected Rows button.
  3. When a result is re-calculated, the director's adjustments are automatically recalculated.
  4. Director's adjustments are reported in the printed copy of the results.
Revised: 16 February 2017


Boards Played out of Sequence

In the rare event that the boards are not laid out in numerical sequence ....

    1. On the CompassMate screen ...
    2. From the Adjustments tab click the Boards played out of order button
    3. Enter the actual sequence of the boards.
      • The usual sequence would be been something like: 1,2,3,4,5,6,7,8,9 10,11,12,13,14,15,16,17,18,19,20,21,22,23,24
      • The new sequence could be: 1,2,3,4,5,6,7,8,9 10,11,12,,22,23,24,13,14,15,16,17,18,19,20,21
    4. Click the Exit button
    5. Confirm that the new sequence is correct
    6. The new sequence will now be sent to BCS

Notes

  • The change can be done at any time before, or during the play of round 1
  • These instruction are applicable to DUPLICATE PAIRS events only.
Revised: 7 February 2017


Export Contacts

Export Contacts to GMail/Google Contacts

Members names and Email addresses can be exported from Compass and imported into GMail contacts.

Process Summary

  • From Compass Club Database
    • Export the data to a CSV file.
    • Tidy up names the CSV file.
  • From Google Contacts
    • Import the Contacts from the CSV file.
    • Move the imported contact to you regular Contact List.

Process Details

  • From Compass Club Database
    1. Select the Club Database ... Export to Excel ... Contacts to GMail menu item
    2. This create a CSV as follows

    3. Using Excel tools, edit this file, eg edit, delete, add new records.
    4. Save this CSV file to you favourite location
  • From Google Contacts
    1. Navigate to your Google Contacts.
    2. Use the Google Import process
    3. This will save the contacts into a "label" like Imported on 12/23
    4. Use Google tools to move all or some of the imported contacts to the regular "Contacts" label.
Revised: 23 December 2019


Import Database From Spreadsheet

The basic data of the Club Database can be imported from an Excel spreadsheet. This process can also be used to selectively update/edit existing member records in the database.

Process Summary

  • Create a template Excel file by exporting the existing database to Excel.
  • Edit the Excel file.
  • Import the Excel file back into the database.

Process Details

  1. Select the Club Database ... Export to Excel ... Basic Data menu item.
  2. Answer YES to the "Do you intend to use the Excel file as a template ..." question.
  3. This will create an Excel file of the current Club Database, like this ...

  4. Edit the spreadsheet as necessary. Rows can be added, deleted or edited according to the following rules:
Editing Rules
  • The heading row (row 1) must not be changed. These headings are the actual database field names.
  • The ComputerID column must alway exist in the spreadsheet.
  • All or any of the other column(s) can be deleted. Do this if you do not want to update a particular field from the Club Database.
  • If a particular ComputerID does NOT exist in the Club Database, it will be added with the data in the spreadsheet.
  • If a particular ComputerID ALREADY exists in the Club Database, the data in the Club Database will be updated with the data in the spreadsheet.
  • To REMOVE any text data (eg remove a phone number), put a "-" (no quotes) in the field. This is interpreted as delete the existing data in this field.
  • All BLANK cells in the spreadsheet will be ignored. That is, the original data in the database will remain unchanged.
  • The update will stop when at any row with a blank ComputerID.
  5. Save the Excel into your favourite location.
  6. Select the Club Database ... Database Update ... Import Database from Excel file menu item
    • Navigate to your saved spreadsheet
    • Answer the question "Do you wish to DELETE the existing database?". Almost for certain, the correct answer is NO NO NO.
  7. That's it

Revised: 23 December 2019


Notepad Session Results Files

This screen concatenates any numbers of individual text files into one Session Results file, which can then be pasted into a web site or email to interested parties via CompassMail.

  • The files listed in the right hand box will be included in the Session Results file
  • The files listed in the left hand box will be excluded in the Session Results file
  • Use the left and right arrow buttons to move files from one list to another
  • Use the up and down arrow buttons to reorder the list
  • Click the Create Session Files button to create the files
  • The file is saved in the C:\CompassV6\TextFiles folder with a name of xxx - Session.txt where xxx is the event ID.
Revised: 17 February 2017


Player IDs (aka Computer Numbers)

NZB Affiliated Players

All NZB affiliated players will have an NZ Bridge player number/ID. This ID is assigned by NZ Bridge and the numbers range from 1000 to 89999.

Non Affiliated Clubs

Non affiliated clubs allocate their own player IDs. To avoid a clash with the NZB IDs, the number range for non affiliated players should be from 100 to 999. Some affiliated players may also belong to a non affiliated clubs. In this case, those players can use their NZB ID or the non affiliated club ID.

Visitor to the Club

From time to time, visitors will play at the club. If they are an affiliated NZB player, their name will show up on the table top units so there is no issue. If they are not an affiliated player, their name will have to be entered into Compass manually. In this case, and ID must be assigned - the appropriate ID to assign is between 1 and 99. Numbers in this range will not clash with the club's non affiliatted player IDs or the NZB player IDs.

Note: When manually entering palyer numbers, there is an option to add these players to the non-members database. It is a good idea to do this is these players are expected to play again at the

In summary, the player IDs for all players will be as follows:
  • 1000-89999 NZB affiliated players
  • 100-999 Club non affilayiated players
  • 1-99 All other players (eg casual players or overseas players)

Revised: 14 November 2017


Privacy Management

In 2021 NZBridge implemented a privacy requirement due to the passing of the New Zealand Privacy Act 2020. For bridge clubs, this mean that all member address, phone, email and subscription data must be accessible to authorized club personnel only.

The Privacy Management module incorporates the Roles Management and Password Management functionality with Compass. This module does the following
  • The Member Database menu item are split into two types
    • ADMIN. This option gives full access to all member database information and is password protected.
    • PUBLIC. This option have access to non confidential information only and is not password protected.
  • Compass users are categorized by the Compass Roles functionality
    • Users in the Superuser role and the Admin role have full access to all information in the member database
    • All other users are assigned to other roles that give access to non confidential member information only (eg handicaps and club grades)
  • Access to the Superuser role and the Admin role should be password protected
  • Note that the Dropbox File Copy process related to the Club Database is also password protected.

Setup for Privacy Management

  • Enable Roles Management by ticking the Enable Roles Management option in Club Information Set Up (Club Options 4).
  • Enable Privacy Management by ticking the Enable Privacy Management option in Club Information Set Up (Club Options 4).
  • Password Management
    • Identify the club users that are authorized to have access to the Club Member Database, Subscription Accounts, Compa$$ and the Dropbox File Copy process.
    • Add these user IDs to Password Management.
  • Set up Roles Management recommendations ...
    • Password protect the SUPERUSER Role.
    • Password protect the ADMIN Role.
    • Password protection for other roles is by club preference.
    • The Club Database ADMIN and Subscription Accounts menu items should be activated for the ADMIN Role only.
    • The Club Database PUBLIC menu item can be activated for any other role, as this item will not access any private member information.
Revised: 25 May 2021


Supervised Sessions

Supervised Sessions are usually part of a club's beginners or learners lessons. The results of these sessions can be modified so that the bottom and top percentage are adjusted to be within a specified range. Another option is to scale all the results between a specified range.

Supervised Session Setup

In Club Information Set Up, mark the sessions as Supervised Sessions

Supervised Session - Percentage Limits

In Club Information Set Up, specify the low and high percentage limits.

  • In this example,
    • any score less that 45% will be adjusted to 45% and and score greater than 55% will be adjusted to 55%.
    • any score between 45% and 55% will not be adjusted
  • If no percentage limits apply, set the low percentage to 0 (zero), and the high percentage to 99.
  • The Scale all Results within these limits option, will scale all results between the percentage limits
    • all scores will be scaled to be between 45% and 55%
    • if all raw scores happen to be between 45% and 55%, no scaling will take place

Results Display

The results screen will display Supervised Results with all score adjusted to be between the low and high percentage limits.

The Show Raw Result button will open a Notepad file of the raw result.

Enabling and Disabling Supervised Scores

The supervised calculation for any individual session can be enabled/disabled from the Edit Options ... Supervised Result menu item.

Revised: 14 November 2017


Print Personal Score Sheets (PSS)

From this screen, the personal score sheets (PSS) for Swiss Pairs events can be printed.

There are three print formats:

Short Form (Type 1)

Pair 1 Nicki Lauder & Jean Shaheen
Round 5 Played Don Trump & Micky Flynn at Table 6
BD Score Par IMP BD Score Par IMP BD Score Par IMP BD Score Par IMP
---------------------------------------------------------------------------------------
1 50 -50 3 2 140 -30 5 3 100 -30 4 4 120 80 1
5 -430 30 -10 6 -50 90 -4 7 200 80 3 8 -420 0 -9
9 -630 40 -12 10 100 0 3 11 170 50 3 12 -510 -220 -7
---------------------------------------------------------------------------------------
Current Place 18 IMPs -20 VPs 4 - 16 Loss Adj 0.0 Total VPs 44.6

Long Form (Type 2)

  +-----------------------------+
  | Thu Swiss Pairs             |
  |                             |
  | 25-08-2016                  |
  | Pair   1                    |
  |-----------------------------|
  | Nicki Lauder & Jean Shaheen |
  |                             |
  |-----------------------------|
  | Round  5 Played as N-S vs   |
  | Don Trump & Micky Flynn     |
  |-----------------------------|
  | BD Contract Score MyPar IMP |
  |-----------------------------|
  |  1 5D  E -1   50  -50   3.0 |
  |  2 2S  N  3  140  -30   5.0 |
  |  3 4S  W -1  100  -30   4.0 |
  |  4 1NT N  2  120   80   1.0 |
  |  5 3NT E  4 -430   30 -10.0 |
  |  6 4S  N -1  -50   90  -4.0 |
  |  7 1NT E -2  200   80   3.0 |
  |  8 4S  E  4 -420    0  -9.0 |
  |  9 3NT E  4 -630   40 -12.0 |
  | 10 4D  E -1  100    0   3.0 |
  | 11 3S  N  4  170   50   3.0 |
  | 12 4S  W  7 -510 -220  -7.0 |
  |-----------------------------|
  | Match Net IMPs          -20 |
  | Match VPs              4.42 |
  | To Date Place          18th |
  +-----------------------------+

When printing this version, there is an option to print these in scissor sort order. This means that if the printed sheets are cut, then suitably stacked, the individual slips will then be in numerical order.

Round Detail (Type 3)

  +-----------------------------------------------------------+
  | Thu Swiss Pairs                                25-08-2016 |
  | Round  5                                                  |
  |-----------------------------------------------------------|
  | Pair   1   Nicki Lauder & Jean Shaheen                          |
  |-----------------------------------------------------------|
  | N-S Pair   1  Nicki Lauder & Jean Shaheen                       |
  | E-W Pair  11  Don Trump & Micky Flynn                         |
  |-----------------------------------------------------------|
  | BD   Dir   Contract  NS_Score  NS_Par   IMPs              |
  |-----------------------------------------------------------|
  |  1   N-S   5D  E -1      50     -50     3.0               |
  |  2   N-S   2S  N  3     140     -30     5.0               |
  |  3   N-S   4S  W -1     100     -30     4.0               |
  |  4   N-S   1NT N  2     120      80     1.0               |
  |  5   N-S   3NT E  4    -430      30   -10.0               |
  |  6   N-S   4S  N -1     -50      90    -4.0               |
  |  7   N-S   1NT E -2     200      80     3.0               |
  |  8   N-S   4S  E  4    -420       0    -9.0               |
  |  9   N-S   3NT E  4    -630      40   -12.0               |
  | 10   N-S   4D  E -1     100       0     3.0               |
  | 11   N-S   3S  N  4     170      50     3.0               |
  | 12   N-S   4S  W  7    -510    -220    -7.0               |
  |-----------------------------------------------------------|
  | Match Net IMPs                        -20.0               |
  | Match VPs                           4.42 - 15.58          |
  +-----------------------------------------------------------+

  Provisional Progress Results
  ----------------------------

  Round Table Dir  Played                                    IMPs   VPS
  -----------------------------------------------------------------------
    1      8  N-S  Jim Green & James Denton                  18   15.15
    2      2  E-W  Nicholas Johns & Matt Tan                 -34    2.00
    3      9  N-S  Pat Smith & Neil Ricketts                  2   10.71
    4      7  E-W  Leo Mills & Anne Jones                     7   12.31
    5      6  N-S   Don Trump & Micky Flynn                      -20    4.42
                                                             ------------
         Current Placing      18th                          -27   44.59

  Seating for round  6
  --------------------
  Table  9  N-S   8  Bill Jones & Jocelyn Southon
            E-W   1  Nicki Lauder & Jean Shaheen
  This match is provisional until the official next round draw is published.

  Provisional Leaderboard                                 VPS
  -------------------------------------------------------------
    1    Gina Kay & Jeffrey Mills                        68.69
    2    Lindsay Adams & Bill Jones                      66.59
    3    Tracey Edwards & Gill Nelson                    63.71

When printing this version, you can select to print ALL pairs or a selection of pairs.

The Sort by Next Round Seating buttons option sorts printout based on the seating for the next round (if the draw for that round has been done).
Revised: 11 February 2016


View Session Results (VSR)

VSR is used to open a result that has previously been partially or fully scored. This is usually done to correct a result or, in the case of Swiss events, to enter the results for new rounds.

Note: If the electronic scoring Bridge Control Software is running, the current session will usually automatically open.

Steps

  1. Select the Select File Type Filter: The default is Matchpoints (*.INP) but you can select any other file type.
  2. (Optional) Select the Selection Filters:
    • Today: Displays files with today's date only
    • Last 30 Days: Displays files with a date within the last 30 days
    • All Dates: Displays all files irrespective of date
    • Day Filter: Displays files that match the selected day filter
    • Search Title: Displays files that match the enter text
    • All All: Displays all files irrespective of date or day filter
    • Repeat Last Search: Sets the filters to those last used
  3. Click any of the column headers to sort the data by that column
  4. Double click the mouse on your event to open it.

Delete the Selected File

When using the VSR screen, the scorer can use the Delete the Selected File button to delete files that are no longer needed. This process will delete the results file, BWS files and the master point files.

Revised: 11 February 2016


XClub National Handicap (XG Handicap)

X-Club Handicaps (XG Handicaps)

All participants in X-Club session have their X-Club Handicaps (XG Handicaps) are recalculated after each session. These XGs are calculated in accordance with the methods used by the English Bridge Union - details of this can be found here. X-Club based handicaps can be used in any club event, including Swiss Teams events. This is done by selecting Handicap List 19 where handicaps lists are selected.

Note that X-Club based Handicaps are date based, that is they are re-calculated after every session.
  • For Duplicate Events the XG used is the one may immediately precedes the session date.
  • For Ladders, the XG used is the one may immediately precedes each of the session date within the ladder.
  • For Swiss Teams Events the XG used is the one may immediately precedes the first session of the event.

ES Handicaps

When using XG handicapping, actual applied handicap is referred to as the Expected Score Handicap (ES Handicap for short). These handicaps are based on the players X-Club National Grade.
  • Expected Score Handicaps take into account
    • your own XG grade
    • your partner's XG grade
    • the XG grade of all your opponents (that is othe average XG of all other pairs sitting in the same direction as you)
Calculation Example

Your XG 54%
Your Partners XG 60%
Opponents XG 55%
Your Expected Score = 50 + (54 + 60) /2 - 55 = 52%
Thus your ES Handicap = -2%

Comments
  • In straight Mitchell movements, the strength of each direction could be significantly different. ES Handicaps take this into account.
  • The ES handicap of a bad pair in a good field would be higher than a straight XG based handicap.
  • The ES handicap of a good pair in a good field would be lower than their straight XG based handicap.
  • The ES effect in single winner competitions is less, as all pairs have the same opponents (except themselves).
Special Case for Multiple Teams Events

For multiple teams events score in IMPs, the Expected Score is converted from a percenatge to IPM by applying a conversion factor.

ES (IMPs) = ES (Percentage) * Boards Played / 5.4

Example: For a player with a ES of 55%, playing a 20 board event

Handicap = (50 - 55 ) * 20 / 5.4 = -18

The Teams handicap is the average og the XG handicap of all members of the team.

A player's assigned handicap can be based on their X-Club National Grade handicap. These handicaps are implied in Handicap List 19. The actual applied handicap is the ES Handicap.
  • Please note the a players X_Club handicap is used if the players has played at least 300 deals (approx 12 sessions).
  • If less that 300 deals have been played, a default handicap is applied based on the players current NZB ranking. The default handicaps are defined on the NZB Database screen. This table should be updated by XClub administrators only - contact Bob is you would like to do any updates.
Note: On 12 April 2021, the XG Default Handicap for the Club Master rank was amended to 11

Manual Over-ride Handicaps

It is possible to manually assign an over-ride handicap for any member. These handicaps are saved in a file located here c:\compassv6\yyyy\DefaultHandicap.txt. The format of this file is

Date, ComputerID, Name, Handicap

Example:
"2021-05-01",1234,"Jim Jones",-7            This means that a handicap of -7 will be used for all sessions up to and including 1 May 2021.
"2021-05-01",3456,"Jan Joyce", 3            This means that a handicap of +3 will be used for all sessions up to and including 1 May 2021.

"2021-08-01",1234,"Jim Jones",-10           This means that a handicap of -10 will be used for all sessions up to and including 1 August 2021.
In this specific case, this handicap will apply AFTER 1 May and before 1 August.

When a handicap result is being calculated, the process looks for a handicap in the club database or in the XG file. After this it checks if there is an entry in the DefaultHandicap.txt file. A date comparison is made between the date in this file and the actual session date. If a match is found, then the over-ride handicap is used.

The date comparison works such that if the actual date of the session is less than the date-in-file, the over-ride handicap will be used.

Looking at Jim Jones using the data above:
  • In a session played before 01 May 2021, his over-ride handicap of -7 will be used.
  • In a session played between 02 May 2021 and 01 Aug 2021, his over-ride handicap of -10 will be used.
  • In a session played after 01 Aug 2021, the over-ride handicap will not be used at all.

Using XG Handicaps

For duplicate events, XG Handicaps are applied by using Handicap List 19. Simulation/testing can be done with XG handicap by using the View Result in Notepad ... Result - Handicap (XG) menu option. This will calculate the XG result without actually changing the Handicap List for the session. This XG handicap result can also be printed.

If you choose to use Handicap List 19, the Handicap List for the session muct be changed to List 19. (Hovering the mouse over the Handicap button will display the "official" handicap list for that session.)

Special Case for Swiss Teams

As the XG is percentage based, the XGs need to be converted to reflect the IMPs/VPs scoring in Swiss Teams events. A discussion of this can be found here.

Revised: 15 May 2021


Club Calendar of Events

Club Calendar of Events (COE)

The Club Calendar of Events records the clubs sessions that are played throughout the year. This information recorded here is used in setting up the scoring of new events and in the calculation of the overall results of club competitions.

The calendar for either "this year" or "next year" can be displayed by toggling the Show COE For Year option.

Strip Menu Item: Other Services ... Club Calendar of Events

Calendar of Event File Names

The COE's file for This Year and Next Year are specified in Club Information Set Up. Examples are:

Field Names

The fields of the club calendar are as follows:

Fields | Description
Record | A sequential number for reference only
Comp Number | A unique number for each different competition
Competition Title | Title of each competition
Round | Round number the particular competition
Date | Session date in the format "dd mmm yyyy"
Results File | The file name under which this session will be saved. See below for Results File naming convention.
Handicap List | The handicap list applied to this competition (if the event is not handicapped, enter "0")
Type | Competition type P=Pairs, T=Teams, S=Singles, F=Flexible Singles, I=Individual. See below for a description of Competition Types.
Minimum Sessions | The minimum number of session required to be eligible for this competition
Substitutes | The number of subs allowed for this competition
Dropped Score | The number of dropped scores allowed for this competition

Results File Naming Convention

Compass has a strict format for the name of Results Files. The format ties together the results file names, the electronic scoring database and the hand record files. Results File format is wwDDD where

ww is the ISO week number corresponding to the session date
DDD is a session prefix as follows ...

mon = Monday EVENING Session
tue = Tuesday EVENING Session
wed = Wednesday EVENING Session
thu = Thursday EVENING Session
fri = Friday EVENING Session

mond = Monday DAY Session
tued = Tuesday DAY Session
wedd = Wednesday DAY Session
thud = Thursday DAY Session
frdi = Friday DAY Session

Competition Types

P = Pairs Events
T = Teams Events
M = Multiple Teams
S = Singles or Individual Events
F = Flexible Singles Event This is a variation of a “singles” competition. Players can play with the same partner more than once, and score the winner is determined by TOTAL score, (not the usual average score). This type of competition is intended for social, fun event.
I = Individual Event. All players are partnered with a different players for each set of boards, and more often for every different board.

Competition Types Notes

  1. These references are used when calculating competition results. It has no effect on how each session is scored.
  2. For Swiss Events, the type in not important. You can use "P" or "T" as appropriate.

Entering Data in the Calendar of Events

IMPORTANT: Always press the <enter> key after any data entry. This will move to cursor to the next logical field and auto fill other data fields.
  1. The event should be entered, as much as possible, in chronological order.
  2. Each playing session (eg Tuesday Night) should be entered completely before starting a new playing session. That is, enter all 50 ish sessions of Tuesday Night play, then the 50 sessions for Wednesday afternoon , then the 50 for Friday Night etc
  3. Once all record number lines have been filled in, use the Competition Number Entry box at the bottom part of the screen to enter new entries.

Changing the Competition Number

If the Competition Number only needs to be changed, and all other data is to remain the same
  • Place the curser in the apprpriate COMP NUM field
  • enter the new comp number
  • hit the F1 key, while still in the COMP NUM field

Menu Items

  • Print: Prints the calendar.
  • Edit .. Delete Record: First click the sequence number of a record. Then select this menu item.
  • Edit .. Insert a Gap: First click the sequence number of a record. Then select this menu item to insert a gap AFTER the selected record.
  • Maintenance .. Export Program to Excel
  • Maintenance .. Import Program from Excel
  • Clear Program (Backup to Disk): Clears all entries in the current program and saves a backup of this.
  • Add 1 Year to All Dates: In effect, creates the calendar of events for next year, using this year as a template.
  • Update all File Names with the Correct Week Number: Checks and corrects all result file names.
  • Text Files .. View calendar in Notepad
  • Text Files .. Create Printers Version of the calendar formatted so that it is suitable for printing in a booklet.
  • Text Files .. Open Header/Footer file for the printer's version.
The screen buttons at the right are short cuts to the Delete and Insert functions.

Special Functions

  • A Printer Version of the Calendar can be created
  • The calendar can be Imported from Excel.

ISO Week Numbers

The ISO weeks are numbered 1 to 52 (or 53). Each week runs from Monday through to Sunday. Week 1 of any year is the week that includes 4 January. Compass guides the users to the correct week number. Double clicking the mouse on the version number on the main strip menu will display the current calendar with week numbers.

ISO week numbers are well documented in this Wiki article.

Creating the Calendar for a new year

There are two methods to creating the calendar for a new year
  1. Create a new calendar for scratch, using a blank slate. This method is suitable if the calendars are quite different from year to year.
    • In Club Information Set Up, change the "Program" file name to something appropriate - eg programzzz, where yyyy is next year.
    • Enter the calendar using the methods above.
    • IMPORTANT Note: When the data entry for next year's calendar is complete, in Club Information Set Up, change the "Program" file name back to that being used from the current year.
  2. Use Excel to create a new calendar, using this years calendar as a template. This method is suitable if the calendars are much the same from year to year. Details can be found here.

Revised: 17 October 2016


Club Players Database

Club Database

The club database is available to record the details of club members.

Database Information

Functions

  • Add - New: Creates a blank record, ready for data entry
  • Add - Copy: Created a record, using current screen values, ready for data update
  • Delete: Deletes the displayed record
  • Find (+F3): Find a member that matches the entered text. F3 repeats the last search.
  • Sort by Name: Sorts the database by surname
  • Sort by Number: Sorts the database by computer numbers
Menu Option Screen Shot Comment
Print Options
  • Print various reports
  • Prints name labels
  • Print the Member Details that are included in EMails
  • Exports data to a CSV file
List Records -
  • Open the List All Records screen
Auto Updates
  • Update master point info from the NZB Database
  • Corrects the case of the players name
  • Creates a basic database for the club from info in the NZB Database
  • Imports data from a NZScorer or CompScore csv file
Subscription Accounts -
  • Opens the Subscription Accounts screen
Email Options

-
  • Send Notification EMails opens the Send Email screen
  • EMail Members Info This open the Email Member Information screen that emails the information that is saved in the club database, and invites the member to correct any information by return mail

  • Print Member Info for Members with an EMail Address This prints the information that is saved in the club database.
  • Print Member Info for Members WITHOUT an EMail Address. This prints the information that is saved in the club database.
  • Print Member Info for this Member. This prints the information that is saved in the club database for the dipsplayed member.
Maintain Handicap Lists
  • Results all handicaps in an existing list to zero
  • Copies one list to another
  • Create List 10 based in players rating points

  • Import Handicaps from a File
Text Files -
  • Creates text files for viewing in Notepad

Notes

  • The title names for the Member Class, Subscription Fee, Club Grade and Handicap Lists fields are set up in the Club Information Set Up screen.
  • Records can be scrolled through directly from the scroll bar, or by clicking the left or right mouse button in the gray area on of the screen.
  • Current edits can be canceled by clicking the Cancel Edits button.
  • Scrolling from one record to another automatically saves the edits on the first record.
  • Member’s subscription details can be recorded. Subscription invoices can be printed from the Subscription Account screen.

List Records Screen

The List Records screen list the information recorded on the database.

Video Links

Part 1

Part 2

Revised: 22 September 2018


Club Database - Member List

Database List Screen

  • The list can be sorted by clicking the mouse on any column header
  • The Show Members frame can show active only and inactive only members
  • The Show Information frame hides columns that are not related to the selected option
  • Search Words: The list is filtered by matching the players name or grade or computer ID with the entered text. Multiple words can be entered in the text box. X cancels the current search.
  • Delete Selected Records: Deletes all member that are ticked

Revised: 3 March2017


Non Members Database

The non members database is available to record those who play at your club, but are not club members. Typically this can be used to record:
  • Visitors from an overseas club
  • Graduates from the beginners lessons. These players could be assigned an NZB computer number**, but you do not want to add them to the Club Database until it is clear that they will continue playing on a more permanent basis.
** player can be given a temporary fake number between 1 and 999. When they do become a full member, a valid NZB number can be assigned.

Note: It is not necessary to add affiliated members of NZB who are members of other clubs. The details of these players is already available from the NZB Database which Compass does access during the scoring processes.

Strip Menu Item: Databases .. Non Members Database

Notes

  1. The screen is always in "edit mode", that is all changes are automatically saved.
  2. Edit to the current record are canceled by clicking the Cancel Edits button.
  3. The functions of Add, Delete, Find, Sort and Print are self explanatory.
  4. List all records from the menu item List Records

Menu Item ... List Records

This menu item lists all non members records (obviously). The Auto Update menu item is useful to:
  • Update From NZB Files: Update the players rating and grade from the NZB Database.
  • Correct First Names: When the first name is recorded as an initial only, this allows you to enter the players given name.
  • Correct Mc's and O's: Corrects the case on names such as Mcdonald and O'brien
  • Correct Case: Corrects first names and last names and club to proper case
Revised: 7 August 2016


BridgeTab Show Makeables

BridgeTab - Show Makeables on the Tablets

For the makeables to show on the tablets, the makeables information must first be calculated by the Dupsoft program. (Note: Dealmaster Pro also calculated the makeables, but this version cannot be used by BOS/BridgeTab.)

The best way to calculate the makeables is through the Dealer Assist (DA) process. DA does allow them to be calculated ahead of time. The other option is to do it at the beginning of each session. This method is OK, but it does hold up the starting of the session, as the makeables take a few minutes to calculate.

Calculating Makeables within Dealer Assist (DA)

  1. From the DA Screen, select an event
  2. Click the Create BOS event button
  3. The Dupsoft Application will open
  4. Click "Ma" to start the makeables calculation. (The Makeable status will count up at the calculations are done.)
  5. Close Dupsoft when the calculation is complete.

Calculating Makeables at the Start of the Session

If the makeables have NOT been created in Dealer Assist, the Dupsoft software is automatically opened when the Start BOS button is clicked.
  1. From the CompassMate screen, click the Start BOS button
  2. The Dupsoft Application will open
  3. Click "Ma" to start the makeables calculation. (The Makeable status will count up at the calculations are done.)
  4. Close Dupsoft
  5. The tablets can now be started.

Notes

  1. The "Show Hands" can be toggled on and off by using the Ctrl-H keys. (If that does not work, open BOS, and click the Edit button.)

Revised: 8 August 2016


Importing Results from NZB Master Point Files

Summary Results for duplicate events can be imported from the master point files submitted to the NZB website. These import results have minimal information, just player names, pair placings and scores.

When doing this, the user must have access to the Master Point files that have been created from your existing Scoring Program.

Strip Menu Item: Other Menu Items ... Import Result from NZB Masterpoint File

Process Steps

Preliminaries
  1. Locate the master point files from your existing scoring progrem.
    • NZ Scorer saves these files in the \CPts\Posted\ folder
  2. Copy all of these files to a new named folder (best as a sun folder of c:\Compassv6\)
  3. Copy ALL master point files to this new folder. Compass will sort out those files that cannot be converted.
Compass
  4. Open the Other Menu Items ... Import Result from NZB Masterpoint File menu item
  5. Click the Import All Files from a Single Folder button. A folder navigation panel will display.
  6. Navigate to the folder where the master point files are saved
  7. Click the Import all Files button. The results will now be imported..
  8. Answer any pop up questions if they are displayed
  9. The results will now be imported
  10. Click the Exit button to end the process

Notes

  1. Club results only will be imported.
  2. Tournament files will NOT be imported.
  3. Swiss Events will not be imported.
  4. Compass will automatically sort out which files can and cannot be imported.
Revised: 27 May 2018


Duplicate Pairs Names Entry Process

Names Entry Process

The names entry process is used for every scoring session. Whilst there are some minor differences when scoring different types of events, the same principles apply to all of them.

The left hand list displays the NS and EW player names for the session. The right hand list displays a list of names from which the player names can be chosen.

Generalized Process for Correcting Names

  1. Click a pair from the NS or EW lists. The player names will transfer to the boxes in the lower right.
  2. Click the players names you want to edit. The background will turn yellow.
  3. In the Search Surname or Computer box enter either
    • a few letters of the players surname. The player list will filter to show matching players.
    • the players computer number. The player list will filter to show matching players.
  4. To accept a player names
    • If the correct player is highlighted, just press the <enter> key OR
    • Use the up/down arrow keys to move to the correct player, then press the <enter> key
    • click the mouse on any name
  5. Repeat from step 1.

Handling Visitors

Some processes (mainly Pianola) get quite upset if duplicate players numbers appear in their files, thus it is important to plan to avoid these. The problem usually comes when visitors with no NZ Bridge computer number play at the club.
  • Enter a few bogus players in the NZB Data. Use
    • First name = 1, 2 3 etc
    • Last Name = Visitor
    • Status = Temporary
    • NZB will assign a computer ID
  • Keep a list of these computer IDs available to scorers/directors
  • When a visitor plays, ask them to use numbers one if these computer IDs on the table top units.
  • Later, the player names can be optionally updated in Compass, changing the name from 1 Visitor to the player's correct name.

Correcting a Players Name

Sometimes, the player is not included in the player list and therefore you need to enter their name and computer number directly. The players names can be entered as follows:
  1. Click a pair from the NS or EW lists. The player names will transfer to the boxes in the lower right.
  2. Click the players names you want to edit. The background will turn yellow.
  3. Type the players name in the search box (eg "Mary Jones"), then hit the <enter> key
  4. In the pop-up boxes, confirm the players name then enter their computer number. If the number is not known, just press <enter>. Compass will automatically assign a number.
OR (alternate method)
  1. Click a pair from the NS or EW lists. The player names will transfer to the boxes in the lower right.
  2. Click the players names you want to edit. The background will turn yellow.
  3. Point at the yellow box and right-click the mouse.
  4. In the pop-up boxes, confirm the players name and then enter their computer number. If the number is not known, just press <enter>. Compass will automatically assign a number.

Generalized Process for Entering All NS/EW Names

This is used for clubs without electronic scoring. In that case, all player names have to be entered from scratch.
  1. Click NS pair 1.
  2. In the Search Surname of Computer box enter the surname or computer number for the player.
  3. Accept the player name.
  4. Repeat the process for player B.
  5. The cursor will move to the next logical pair.
  6. Repeat the steps the rest of the pairs.

Deleting or Inserting Names for the Lists

  1. Click any pair from the NS or EW lists.
  2. Now click in the Search Surname or Computer box.
  3. To Delete a pair, press the <delete> key. All pairs will be moved up one slot.
  4. To Insert a pair, press the <insert> key. All pairs will be moved down one slot. The last pair will slide off the bottom.

Screen Buttons and Options

  • Colour Code: The player is the NS/EW lists are highlighted if there is a duplicate, or unknown or a phantom. Clicking this button will display the colour coding.
    • Blue indicates a phantom
    • Magenta indicates duplicate pairs
    • Red indicates an unknown player
  • Check Names: Displays a text file with the players names and notated anomalies.
  • View This Sessions Results: Close the names entry screen and opens the results screen.
  • Random Names: A button that is used when running a test session. This button must **NEVER** be pressed when scoring an actual session.
  • Entry Order: This determines the movement of the cursor after the entry of any one pair. the options are
    • All NS then all EW
    • Table 1 NS/EW then table 2 NS/EW etc.

Member Lists Options

These determines the contents of the Players List. The options are
    • Club Database: Lists the club databases
    • Non Members Database: Merges the club and non members databases
    • Copy Names from a Finals Field File: THIS OPTION HAS NOW BEEN REMOVED.
    • Recall a Pre-Entry File: When this option is used, the LSB button is enabled. This copies the list names to the NS or EW list.
      • select the first pair from the NS or EW list
      • select the first pair from the pre-entry list
      • this sets the start points for the copy and the paste
      • click the LSB button
    • NZB Database: When this option is selected, the list can be filtered by geographical regions. (Reminder, use the Refresh Members List button after making a selection)

Revised: 13 August 2018


Scoring Barometer Pairs - Details

Scoring Barometer Pairs - Detail

A general introduction to Barometer scoring is here. Typically special movements are used for Barometer events to ensure that each pair meets every other pair. Some movements are completed within 1 normal length session, whilst others are completed in two sessions.

These instructions assume that the scoring is for a stand-alone event. (If this is a FINAL event after qualifying sessions, steps are required at the end of the qualifying to create the participant is the finals event.)

Event Format

For events over two or more sessions, there are a few different ways that the event can be run. For example, with 8 table, 16 pairs playing 4 boards against very other pair, 60 boards are played, the options are:
  • TYPE 1: Two sessions, each play 2 boards per set, 30 boards per session, 60 boards total. In each session, pairs players 2 boards against every other pair. Both sessions can be Barometer Scoring, or the first session can be normal Howell, and the 2nd session can be Barometer.
  • TYPE 2: Two sessions, each play 4 boards per set, x boards in session 1, 60-x boards in session 2, 60 boards total. The pairs meet once only and play 4 boards. In this case, both sessions use Barometer Scoring.
  • Note that for normal Howell movements, one set of boards is required. For Barometer movements, one set is required for each table.

Prior to the Event

  • Create the events in the club calendar. Note that these should be set up as tournaments, using the appropriate 100 and 200 naming conventions, for example ...
  • Use Dealer Assist ... Create Hand Records to create the hand record files for each session.'
  • Determine the movement given the number of competing tables and ensure that this movement is available in Compass
  • Deal the boards. Note for Barometer scoring, there must be one set of boards dealt for each table playing. For example, with 8 tables, 8 sets of boards are required.

On the Day - Session 1 Setup

  • For TYPE 2 format, a pre-entry file should be created. This enable a seating plan to be published for each session.
  • For TYPE 1 format, a pre-entry file is not required as the pairs can start at any table in each session.
  • Note that in all cases, there is only 1 stationary position, that is NS at table 1.
  • For all true barometer movements, the highest pair number is seated NS at table 1 and is stationary for all rounds. All other pairs move after each round.
  • Set up the event for Session 1, taking care to specify the correct Scoring Type (eg matchpoints or Cross IMPs)
  • Exit the CompassMate screen
  • For TYPE 2 format,
    • Import the pre-entry file (if there is one).
    • Print and publish the seating plan for Round 1
  • For TYPE 1 format, instruct the players to sit at any table (seating rights excluded).
  • Start the scoring. Players enter their NZB IDs at the start of R1.
  • After each round, the Barometer Result is calculated and published. At the completion of each round ...
    1. Exit CompassMate, leaving BSC/BSC running
    2. Open the Tournament Options... Calculate Results side-bar menu item
    3. IMPORTANT: Select the correct Scoring Method either matchpoints or Cross IMPs or Butler IMPs.
    4. Tick S1 of the event, then Add Sessions Together
      • TIP: If the correct sessions are not displayed, click the Select Files menu item and start again.
    5. The 'to-date' result will display
    6. Create and publish the Barometer XML and print the result if desired
    7. Return to CompassMate screen. Ensure that Click to START reading SCORES is ticked.
    8. Repeat steps 1 to 5 for the rest of the session. (note that the Tournament process 'remembers' the session IDs so these do not have to be entered after each round.
  • Print and publish the normal Session 1 Tournament Results

On the Day - Session 2 Setup

  • IMPORTANT: Before starting session 2, shut down Compass
  • Restart Compass and set up the event for Session 2, taking care to specify the correct Scoring Type (eg matchpoints or Cross IMPs)
  • Exit the CompassMate screen
  • For TYPE 2 format,
    • Import the same pre-entry file that was imported for session 1
    • Print and publish the seating plan for Round 1 of this second session
  • For TYPE 1 format, instruct the players to sit at any table (seating rights excluded).
  • Start the scoring. Players enter their NZB IDs at the start of R1.
  • After each round, the Barometer Result is calculated and published. At the completion of each round ...
    1. Exit CompassMate, leaving BM Control running
    2. Open the Tournament Options... Calculate Results side-bar menu item
    3. IMPORTANT: Select the correct Scoring Method either matchpoints or Cross IMPs or Butler IMPs.
    4. Tick S1 AND S2 of the event, then Add Sessions Together
      • TIP: If the correct sessions are not displayed, click the Select Files menu item and start again.
    5. The 'to-date' result will display
    6. Create and publish the Barometer XML and print the result if desired
    7. Return to CompassMate screen. Ensure that Click to START reading SCORES is ticked.
    8. Repeat steps 1 to 5 for the rest of the session. (note that the Tournament process 'remembers' the session IDs so these do not have to be entered after each round.

Wrap-up

  • The calculate the standard tournament result (as opposed to the barometer result), exit and restart Compass , then go to the Tournament menu item.
  • Print and publish the tournament result
  • Upload the final result to the website
  • Process the master points

Notes

  1. If using Barometer Flower movements, take extra care when setting up to choose the correct total board count in each session.
  2. Barometer Flower movement the movement of the pairs is fairly orderly BUT, there are ARROW SHIFTS at some table. Players need to ensure they are sitting in the correct NS or EW orientation.
  3. If pairs do play any board(s) in the wrong direction, edit the NS/EW pair numbers on the Traveling Score Sheet screen.

Revised: 8 May 2021


Tournament Calendar of Events

The tournament calendar of events records the details of the tournament that the club runs throughout the year. One entry is made for every session/section of each tournament. A separate calendar exists for each individual year and it is possible to view this for last year or this year or next year.

Strip Menu Item: Tournament Options ... Program Set Up

An example of a calendar of events that has been entered correctly is:

Field Names

Field | Description
Record | A sequential number for reference only
Tourn Number | A unique number for each competition
Date | Tournament date in format dd mmm yyyy
Tournament Name | Title of each tournament
Session | The tournament session number (1,2,3 etc)
Session Number | If this session is run in sections, enter the section number (1,2,3 etc). If there are no separate sections, enter "zero"
Section Colour | The colour recorded in the Club Information Set Up screen is defaulted in here. The entry can be over-typed.
Input File | This is the name of the file under which this result will be saved. This name should be structured as described below.
Type | Competition type P=Pairs, T=Teams
MP | The master point allocation
C ot T | An indication if this it to be called a Club or Tournament event. See Notes.

Entering a New Tournament

IMPORTANT: Always press the <enter> key after any data entry. This will move to cursor to the next logical field and auto fill other data fields.
  1. In the first available blank line or in the Entry Box text box, enter the new tournament number.
  2. Enter the date in the form dd mmm. After pressing the <enter> key, the year will auto fill.
  3. Enter the tournament name.
  4. Enter the session number.
  5. If it applies, enter the section number. If this tournament is not being played in sections, just tab over the section and section colour fields.
  6. If a section number was entered, the section colour will be inserted. The entry can be over-typed.
  7. At this point, Compass will insert the file name under which the results will be saved. If session 1 of a tournament is being entered, this will read "100". You must enter the 5 character suffix description.
  8. Enter the Tournament Type, "P" for pairs or "T" for Teams. This is for information only.
  9. Enter the MP allocation.
  10. Enter the C or T indicator.
  11. To enter the second session (or section), enter the same tournament number in the Tournament Number column (or in the Entry Box).
  12. Compass will autofill the details. Repeat the above step for all subsequent sessions/sections.
  13. Sometimes the autofill may not be as you wish. Just tab over to the relevant field and over-type the correct information.

Changing the Competition Number

If the Competition Number only needs to be changed, and all other data is to remain the same
  • Place the cursor in the appropriate COMP NUM field
  • enter the new comp number
  • hit the F1 key, while still in the COMP NUM field

Will the Event have Multiple Sections?

As it is usually not known if multiple sessions will run on the day, it is advisable to set up the tournament both with and without sections. Examples of this are in the screen shot above.

Entering a new Calendar for Next Year

Optionally, you can
  • Select the relevant calendar year
  • Clear the Calendar
  • Enter all events from scratch
OR
  • Select this years or last years calendar
  • Use the Copy the displayed Calendar to the Next Year menu item
  • Use the Add 1 Year to All Dates menu item. You may still have to manually change the updated dates if an event is played at different time compared to last year

Menu Items

  • Print List:
  • Edit: Same as the button items plus
    • Copy the displayed Calendar to the Next Year
    • Add 1 Year to All Date
    • Subtract 1 Year to All Date
  • View File in Notepad:

Button Items

  • Insert a Record: First click a record number from the listed events (it will then turn red). This button will then insert a blank record AFTER your selected record.
  • Insert a Record: First click a record number from the listed events (it will then turn red). This button will then delete your selected record.
  • Delete all Sessions of a range of Tournaments: Enter the range od competition in the pop up dialogue box eg 10 or 10-10 or 10-12
  • Delete all Tournaments: As read.

Input File Format

For SINGLE SECTION sessions, the format is

100xxxxx Where 100 means Session 1
200xxxxx Where 200 means Session 2

For MULTIPLE SECTION sessions, the format is

101xxxxx Where 101 means Session 1 Section 1
102xxxxx Where 102 means Session 1 Section 2
103xxxxx Where 103 means Session 1 Section 3

201xxxxx Where 201 means Session 2 Section 1
202xxxxx Where 202 means Session 2 Section 2
203xxxxx Where 203 means Session 2 Section 3

where xxxxx is an identifier, up to 5 characters

The overall results will be saved in files that are automatically created by Compass.

100xxxxx Where 100 means Session 1 combined result
200xxxxx Where 200 means Session 2 combined result

Notes

  1. C or T: Sometimes, for technical reasons it is necessary to enter a Club event on the Tournament Calendar and vice versa. When necessary, it is documented in the relevant section of this help file.
  2. The calendar file names are fixed with a format
    • TournamentProgram.Club XXXXX.YYYY where X is your club name (eg Te Awamutu) and YYYY is the relevant year.

Revised: 24 March 2017


EMail Member Information

This process emails the member data that is in the club database. In addition, a pre-prepared body text message and one file attachment can be included in the email.

Screen

  • The Path to Body Text is the path to the textfile file that has the body text. Click the Change Path button to change the body text path.
  • The Path to Attachment is the path to the attachment file. Click the Change Path button to change the attachment path.
  • Click the Add Body Text to EMails checkbox to actually add the body text to the emails.
  • Click the Add Attachment to EMails checkbox to actually add the attachment to the emails.
  • The EMail Range of Members button starts the process of sending emails to a range of members. You can then specify the FIRST record number and the LAST record number of the members that will be sent emails.
  • The EMail [Person] only button starts the process of sending an email to the member that was being displayed when this screen was entered.

Notes

  • The body text file MUST BE a notepad txt file.
  • When sending emails to ALL members, the process will be broken into batches of 50 emails. This is necessary as GMAIL get overwhelmed when sending many emails in a short period of time. Compass will guide you through this process.
  • Not that is table approx 1 second to send one email, thus 50 emails will take about one minute.

Sample EMail

Revised: 22 September 2018